//
// File: Cego.cc
// This code was produced by the dragon parser generator
//
#include "Cego.h"
#include <lfc/Exception.h>
#include <lfc/StackT.h>

Cego::ScannerStateEntry::ScannerStateEntry()
{
}

Cego::ScannerStateEntry::ScannerStateEntry(int state, ScannerStateType type)
{
   _state = state;
   _type = type;
}

Cego::ScannerStateEntry& Cego::ScannerStateEntry::operator = (const Cego::ScannerStateEntry& s)
{
   _state = s._state;
   _type = s._type;
   return(*this);
}

bool Cego::ScannerStateEntry::operator == (const Cego::ScannerStateEntry& s)
{
   if ( _state == s._state )
      return true;
   return false;
}

Cego::ScannerStateType Cego::ScannerStateEntry::getType()
{
   return _type;
}
int Cego::ScannerStateEntry::getState()
{
   return _state;
}


Cego::ScannerTransEntry::ScannerTransEntry()
{
}

Cego::ScannerTransEntry::ScannerTransEntry(int state, char c)
{
   _state = state;
   _c = c;
}

Cego::ScannerTransEntry::ScannerTransEntry(int state, char c, int fstate)
{
   _state = state;
   _c = c;
   _fstate = fstate;
}

Cego::ScannerTransEntry& Cego::ScannerTransEntry::operator = (const Cego::ScannerTransEntry& s)
{
   _state = s._state;
   _c = s._c;
   _fstate = s._fstate;
   return(*this);
}

bool Cego::ScannerTransEntry::operator == (const Cego::ScannerTransEntry& s)
{
   if ( _state == s._state && _c == s._c)
      return true;
   return false;
}

int Cego::ScannerTransEntry::getFState()
{
   return _fstate;
}


Cego::Scanner::Scanner()
{
}


Cego::Scanner::Scanner(Token t)
{
   _token = t;
}

Cego::Token Cego::Scanner::getToken()
{
   return _token;
}

void Cego::Scanner::addState(ScannerStateEntry s)
{
   _stateList.Insert(s);
}

void Cego::Scanner::addTransition(ScannerTransEntry t)
{
   _transList.Insert(t);
}

bool Cego::Scanner::checkPattern(const Chain& p)
{
   unsigned long state = 0;
   ScannerStateEntry* pS = _stateList.First();
   while (pS)
   {
      if (pS->getType() == START || pS->getType() == ANY)
      {
         state = pS->getState();
         pS = 0;
      }
      else
      {
         pS = _stateList.Next();
      }
   }
   unsigned long i = 0;
   ScannerTransEntry* pT = 
   _transList.Find(ScannerTransEntry(state, p[i]));
   while (pT)
   {
      ScannerStateEntry* pS = _stateList.Find(ScannerStateEntry(pT->getFState())); 
      if (pS)
      {
         if ( ( i == p.length()-2 ) && ( pS->getType() == FINAL || pS->getType() == ANY))
         {
            return true;
         }
         else
         {
            state = pT->getFState();
         }
      }
      else
      {
         return false;
      }
      i++;
      pT = _transList.Find(ScannerTransEntry(state, p[i]));
   }
   return false;
}
Cego::StackEntry::StackEntry()
{
   _symbol = NONE;
}

Cego::StackEntry::StackEntry(Symbol symbol, int num, int state, Chain tval)
{
   _symbol=symbol;
   _num=num;
   _state=state;
   _tval=tval;
}

Cego::StackEntry& Cego::StackEntry::operator = (const Cego::StackEntry& se)
{
   _symbol=se._symbol;
   _num=se._num;
   _state=se._state;
   _tval=se._tval;
   return(*this);
}

int Cego::StackEntry::getState()
{
   return _state;
}
Cego::Symbol Cego::StackEntry::getSymbol()
{
   return _symbol;
}
Chain& Cego::StackEntry::getTval()
{
   return _tval;
}

Cego::ActionEntry::ActionEntry()
{
   _action=NULLACTION;
}

Cego::ActionEntry::ActionEntry(Action action , int num)
{
   _action=action;
   _num=num;
}

bool Cego::ActionEntry::operator == (const Cego::ActionEntry& ae)
{
   if (_action == ae._action && _num == ae._num)
      return true;
   return false;
}

Cego::ActionEntry& Cego::ActionEntry::operator = (const Cego::ActionEntry& ae)
{
   _action=ae._action;
   _num=ae._num;
   return(*this);
}

Cego::Action Cego::ActionEntry::getAction()
{
   return _action;
}

int Cego::ActionEntry::getNum()
{
   return _num;
}

Cego::ProdEntry::ProdEntry()
{
}

Cego::ProdEntry::ProdEntry(int id)
{
   _id = id;
}

Cego::ProdEntry::ProdEntry(int id, Production prod, int numSymbol)
{
   _id = id;
   _prod = prod;
   _numSymbol = numSymbol;
}

bool Cego::ProdEntry::operator == (const Cego::ProdEntry& pe)
{
   if (_id == pe._id)
      return true;
   return false;
}

Cego::ProdEntry& Cego::ProdEntry::operator = (const Cego::ProdEntry& pe)
{
   _id = pe._id;
   _prod = pe._prod;
   _numSymbol = pe._numSymbol;
   return(*this);
}


int Cego::ProdEntry::getId()
{
   return _id;
}

Cego::Production Cego::ProdEntry::getProd()
{
   return _prod;
}

int Cego::ProdEntry::getNumSymbol()
{
   return _numSymbol;
}
void Cego::loadScanner()
{
   Scanner s0(ADD);
   s0.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s0.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s0.addState(ScannerStateEntry(2 ,START));
   s0.addState(ScannerStateEntry(3 ,FINAL));
   s0.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s0.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s0.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s0);

   Scanner s1(AND);
   s1.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s1.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s1.addState(ScannerStateEntry(2 ,START));
   s1.addState(ScannerStateEntry(3 ,FINAL));
   s1.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s1.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s1.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s1);

   Scanner s2(ALL);
   s2.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s2.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s2.addState(ScannerStateEntry(2 ,START));
   s2.addState(ScannerStateEntry(3 ,FINAL));
   s2.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s2.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s2.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s2);

   Scanner s3(ALTER);
   s3.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s3.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s3.addState(ScannerStateEntry(2 ,START));
   s3.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s3.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s3.addState(ScannerStateEntry(5 ,FINAL));
   s3.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s3.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s3.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s3.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s3.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s3);

   Scanner s4(APPEND);
   s4.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(2 ,START));
   s4.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(6 ,FINAL));
   s4.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s4.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s4.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s4.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s4.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s4.addTransition(ScannerTransEntry(5 ,'d' ,6));
   _scannerList.Insert(s4);

   Scanner s5(AS);
   s5.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s5.addState(ScannerStateEntry(1 ,FINAL));
   s5.addState(ScannerStateEntry(2 ,START));
   s5.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s5.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s5);

   Scanner s6(ASC);
   s6.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s6.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s6.addState(ScannerStateEntry(2 ,START));
   s6.addState(ScannerStateEntry(3 ,FINAL));
   s6.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s6.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s6.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s6);

   Scanner s7(AUTHORIZE);
   s7.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(2 ,START));
   s7.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(9 ,FINAL));
   s7.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s7.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s7.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s7.addTransition(ScannerTransEntry(3 ,'h' ,4));
   s7.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s7.addTransition(ScannerTransEntry(5 ,'r' ,6));
   s7.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s7.addTransition(ScannerTransEntry(7 ,'z' ,8));
   s7.addTransition(ScannerTransEntry(8 ,'e' ,9));
   _scannerList.Insert(s7);

   Scanner s8(AUTOCOMMIT);
   s8.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(2 ,START));
   s8.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(10 ,FINAL));
   s8.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s8.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s8.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s8.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s8.addTransition(ScannerTransEntry(4 ,'c' ,5));
   s8.addTransition(ScannerTransEntry(5 ,'o' ,6));
   s8.addTransition(ScannerTransEntry(6 ,'m' ,7));
   s8.addTransition(ScannerTransEntry(7 ,'m' ,8));
   s8.addTransition(ScannerTransEntry(8 ,'i' ,9));
   s8.addTransition(ScannerTransEntry(9 ,'t' ,10));
   _scannerList.Insert(s8);

   Scanner s9(AVG);
   s9.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s9.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s9.addState(ScannerStateEntry(2 ,START));
   s9.addState(ScannerStateEntry(3 ,FINAL));
   s9.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s9.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s9.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s9);

   Scanner s10(BEGIN);
   s10.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(2 ,START));
   s10.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(5 ,FINAL));
   s10.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s10.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s10.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s10.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s10.addTransition(ScannerTransEntry(4 ,'n' ,5));
   _scannerList.Insert(s10);

   Scanner s11(BETWEEN);
   s11.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(2 ,START));
   s11.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(7 ,FINAL));
   s11.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s11.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s11.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s11.addTransition(ScannerTransEntry(3 ,'w' ,4));
   s11.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s11.addTransition(ScannerTransEntry(5 ,'e' ,6));
   s11.addTransition(ScannerTransEntry(6 ,'n' ,7));
   _scannerList.Insert(s11);

   Scanner s12(BIGINT);
   s12.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(2 ,START));
   s12.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(6 ,FINAL));
   s12.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s12.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s12.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s12.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s12.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s12.addTransition(ScannerTransEntry(5 ,'t' ,6));
   _scannerList.Insert(s12);

   Scanner s13(BITAND);
   s13.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(2 ,START));
   s13.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(6 ,FINAL));
   s13.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s13.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s13.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s13.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s13.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s13.addTransition(ScannerTransEntry(5 ,'d' ,6));
   _scannerList.Insert(s13);

   Scanner s14(BITOR);
   s14.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(2 ,START));
   s14.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(5 ,FINAL));
   s14.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s14.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s14.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s14.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s14.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s14);

   Scanner s15(BITXOR);
   s15.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(2 ,START));
   s15.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(6 ,FINAL));
   s15.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s15.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s15.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s15.addTransition(ScannerTransEntry(3 ,'x' ,4));
   s15.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s15.addTransition(ScannerTransEntry(5 ,'r' ,6));
   _scannerList.Insert(s15);

   Scanner s16(BLOB);
   s16.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s16.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s16.addState(ScannerStateEntry(2 ,START));
   s16.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s16.addState(ScannerStateEntry(4 ,FINAL));
   s16.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s16.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s16.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s16.addTransition(ScannerTransEntry(3 ,'b' ,4));
   _scannerList.Insert(s16);

   Scanner s17(BOOL);
   s17.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(2 ,START));
   s17.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(4 ,FINAL));
   s17.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s17.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s17.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s17.addTransition(ScannerTransEntry(3 ,'l' ,4));
   _scannerList.Insert(s17);

   Scanner s18(BTREE);
   s18.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s18.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s18.addState(ScannerStateEntry(2 ,START));
   s18.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s18.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s18.addState(ScannerStateEntry(5 ,FINAL));
   s18.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s18.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s18.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s18.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s18.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s18);

   Scanner s19(BY);
   s19.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s19.addState(ScannerStateEntry(1 ,FINAL));
   s19.addState(ScannerStateEntry(2 ,START));
   s19.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s19.addTransition(ScannerTransEntry(2 ,'b' ,0));
   _scannerList.Insert(s19);

   Scanner s20(CALL);
   s20.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s20.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s20.addState(ScannerStateEntry(2 ,START));
   s20.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s20.addState(ScannerStateEntry(4 ,FINAL));
   s20.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s20.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s20.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s20.addTransition(ScannerTransEntry(3 ,'l' ,4));
   _scannerList.Insert(s20);

   Scanner s21(CASE);
   s21.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s21.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s21.addState(ScannerStateEntry(2 ,START));
   s21.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s21.addState(ScannerStateEntry(4 ,FINAL));
   s21.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s21.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s21.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s21.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s21);

   Scanner s22(CHECK);
   s22.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(2 ,START));
   s22.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(5 ,FINAL));
   s22.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s22.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s22.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s22.addTransition(ScannerTransEntry(3 ,'c' ,4));
   s22.addTransition(ScannerTransEntry(4 ,'k' ,5));
   _scannerList.Insert(s22);

   Scanner s23(CLOSE);
   s23.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(2 ,START));
   s23.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(5 ,FINAL));
   s23.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s23.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s23.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s23.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s23.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s23);

   Scanner s24(COMMIT);
   s24.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(2 ,START));
   s24.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(6 ,FINAL));
   s24.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s24.addTransition(ScannerTransEntry(1 ,'m' ,3));
   s24.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s24.addTransition(ScannerTransEntry(3 ,'m' ,4));
   s24.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s24.addTransition(ScannerTransEntry(5 ,'t' ,6));
   _scannerList.Insert(s24);

   Scanner s25(COLUMN);
   s25.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(2 ,START));
   s25.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(6 ,FINAL));
   s25.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s25.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s25.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s25.addTransition(ScannerTransEntry(3 ,'u' ,4));
   s25.addTransition(ScannerTransEntry(4 ,'m' ,5));
   s25.addTransition(ScannerTransEntry(5 ,'n' ,6));
   _scannerList.Insert(s25);

   Scanner s26(CONSTRAINT);
   s26.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s26.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s26.addState(ScannerStateEntry(2 ,START));
   s26.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s26.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s26.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s26.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s26.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s26.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s26.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s26.addState(ScannerStateEntry(10 ,FINAL));
   s26.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s26.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s26.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s26.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s26.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s26.addTransition(ScannerTransEntry(5 ,'r' ,6));
   s26.addTransition(ScannerTransEntry(6 ,'a' ,7));
   s26.addTransition(ScannerTransEntry(7 ,'i' ,8));
   s26.addTransition(ScannerTransEntry(8 ,'n' ,9));
   s26.addTransition(ScannerTransEntry(9 ,'t' ,10));
   _scannerList.Insert(s26);

   Scanner s27(COUNT);
   s27.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(2 ,START));
   s27.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(5 ,FINAL));
   s27.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s27.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s27.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s27.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s27.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s27);

   Scanner s28(COUNTER);
   s28.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(2 ,START));
   s28.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(7 ,FINAL));
   s28.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s28.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s28.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s28.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s28.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s28.addTransition(ScannerTransEntry(5 ,'e' ,6));
   s28.addTransition(ScannerTransEntry(6 ,'r' ,7));
   _scannerList.Insert(s28);

   Scanner s29(CREATE);
   s29.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(2 ,START));
   s29.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(6 ,FINAL));
   s29.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s29.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s29.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s29.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s29.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s29.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s29);

   Scanner s30(CURSOR);
   s30.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s30.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s30.addState(ScannerStateEntry(2 ,START));
   s30.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s30.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s30.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s30.addState(ScannerStateEntry(6 ,FINAL));
   s30.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s30.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s30.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s30.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s30.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s30.addTransition(ScannerTransEntry(5 ,'r' ,6));
   _scannerList.Insert(s30);

   Scanner s31(DATE);
   s31.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(2 ,START));
   s31.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(4 ,FINAL));
   s31.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s31.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s31.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s31.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s31);

   Scanner s32(DATE2STR);
   s32.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(2 ,START));
   s32.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(8 ,FINAL));
   s32.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s32.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s32.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s32.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s32.addTransition(ScannerTransEntry(4 ,'2' ,5));
   s32.addTransition(ScannerTransEntry(5 ,'s' ,6));
   s32.addTransition(ScannerTransEntry(6 ,'t' ,7));
   s32.addTransition(ScannerTransEntry(7 ,'r' ,8));
   _scannerList.Insert(s32);

   Scanner s33(DATE2INT);
   s33.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(2 ,START));
   s33.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(8 ,FINAL));
   s33.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s33.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s33.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s33.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s33.addTransition(ScannerTransEntry(4 ,'2' ,5));
   s33.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s33.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s33.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s33);

   Scanner s34(DATETIME);
   s34.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(2 ,START));
   s34.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(8 ,FINAL));
   s34.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s34.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s34.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s34.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s34.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s34.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s34.addTransition(ScannerTransEntry(6 ,'m' ,7));
   s34.addTransition(ScannerTransEntry(7 ,'e' ,8));
   _scannerList.Insert(s34);

   Scanner s35(DECIMAL);
   s35.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(2 ,START));
   s35.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(7 ,FINAL));
   s35.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s35.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s35.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s35.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s35.addTransition(ScannerTransEntry(4 ,'m' ,5));
   s35.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s35.addTransition(ScannerTransEntry(6 ,'l' ,7));
   _scannerList.Insert(s35);

   Scanner s36(DEFAULT);
   s36.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(2 ,START));
   s36.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(7 ,FINAL));
   s36.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s36.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s36.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s36.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s36.addTransition(ScannerTransEntry(4 ,'u' ,5));
   s36.addTransition(ScannerTransEntry(5 ,'l' ,6));
   s36.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s36);

   Scanner s37(DELETETOK);
   s37.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(2 ,START));
   s37.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(6 ,FINAL));
   s37.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s37.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s37.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s37.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s37.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s37.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s37);

   Scanner s38(DESC);
   s38.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(2 ,START));
   s38.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(4 ,FINAL));
   s38.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s38.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s38.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s38.addTransition(ScannerTransEntry(3 ,'c' ,4));
   _scannerList.Insert(s38);

   Scanner s39(DISTINCT);
   s39.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(2 ,START));
   s39.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(8 ,FINAL));
   s39.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s39.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s39.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s39.addTransition(ScannerTransEntry(3 ,'t' ,4));
   s39.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s39.addTransition(ScannerTransEntry(5 ,'n' ,6));
   s39.addTransition(ScannerTransEntry(6 ,'c' ,7));
   s39.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s39);

   Scanner s40(DIV);
   s40.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(2 ,START));
   s40.addState(ScannerStateEntry(3 ,FINAL));
   s40.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s40.addTransition(ScannerTransEntry(1 ,'v' ,3));
   s40.addTransition(ScannerTransEntry(2 ,'d' ,0));
   _scannerList.Insert(s40);

   Scanner s41(DOUBLE);
   s41.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(2 ,START));
   s41.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(6 ,FINAL));
   s41.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s41.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s41.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s41.addTransition(ScannerTransEntry(3 ,'b' ,4));
   s41.addTransition(ScannerTransEntry(4 ,'l' ,5));
   s41.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s41);

   Scanner s42(DROP);
   s42.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(2 ,START));
   s42.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(4 ,FINAL));
   s42.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s42.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s42.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s42.addTransition(ScannerTransEntry(3 ,'p' ,4));
   _scannerList.Insert(s42);

   Scanner s43(ELSE);
   s43.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(2 ,START));
   s43.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(4 ,FINAL));
   s43.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s43.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s43.addTransition(ScannerTransEntry(2 ,'e' ,0));
   s43.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s43);

   Scanner s44(ELSIF);
   s44.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s44.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s44.addState(ScannerStateEntry(2 ,START));
   s44.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s44.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s44.addState(ScannerStateEntry(5 ,FINAL));
   s44.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s44.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s44.addTransition(ScannerTransEntry(2 ,'e' ,0));
   s44.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s44.addTransition(ScannerTransEntry(4 ,'f' ,5));
   _scannerList.Insert(s44);

   Scanner s45(END_TOKEN);
   s45.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(2 ,START));
   s45.addState(ScannerStateEntry(3 ,FINAL));
   s45.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s45.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s45.addTransition(ScannerTransEntry(2 ,'e' ,0));
   _scannerList.Insert(s45);

   Scanner s46(EXCEPTION);
   s46.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(2 ,START));
   s46.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(9 ,FINAL));
   s46.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s46.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s46.addTransition(ScannerTransEntry(2 ,'e' ,0));
   s46.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s46.addTransition(ScannerTransEntry(4 ,'p' ,5));
   s46.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s46.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s46.addTransition(ScannerTransEntry(7 ,'o' ,8));
   s46.addTransition(ScannerTransEntry(8 ,'n' ,9));
   _scannerList.Insert(s46);

   Scanner s47(EXISTS);
   s47.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(2 ,START));
   s47.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(6 ,FINAL));
   s47.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s47.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s47.addTransition(ScannerTransEntry(2 ,'e' ,0));
   s47.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s47.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s47.addTransition(ScannerTransEntry(5 ,'s' ,6));
   _scannerList.Insert(s47);

   Scanner s48(FALSEVAL);
   s48.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(2 ,START));
   s48.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(5 ,FINAL));
   s48.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s48.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s48.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s48.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s48.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s48);

   Scanner s49(FETCH);
   s49.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s49.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s49.addState(ScannerStateEntry(2 ,START));
   s49.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s49.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s49.addState(ScannerStateEntry(5 ,FINAL));
   s49.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s49.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s49.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s49.addTransition(ScannerTransEntry(3 ,'c' ,4));
   s49.addTransition(ScannerTransEntry(4 ,'h' ,5));
   _scannerList.Insert(s49);

   Scanner s50(FIXED);
   s50.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(2 ,START));
   s50.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(5 ,FINAL));
   s50.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s50.addTransition(ScannerTransEntry(1 ,'x' ,3));
   s50.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s50.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s50.addTransition(ScannerTransEntry(4 ,'d' ,5));
   _scannerList.Insert(s50);

   Scanner s51(FLOAT);
   s51.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s51.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s51.addState(ScannerStateEntry(2 ,START));
   s51.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s51.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s51.addState(ScannerStateEntry(5 ,FINAL));
   s51.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s51.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s51.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s51.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s51.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s51);

   Scanner s52(FOR);
   s52.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(2 ,START));
   s52.addState(ScannerStateEntry(3 ,FINAL));
   s52.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s52.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s52.addTransition(ScannerTransEntry(2 ,'f' ,0));
   _scannerList.Insert(s52);

   Scanner s53(FOREIGN);
   s53.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(2 ,START));
   s53.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(7 ,FINAL));
   s53.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s53.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s53.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s53.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s53.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s53.addTransition(ScannerTransEntry(5 ,'g' ,6));
   s53.addTransition(ScannerTransEntry(6 ,'n' ,7));
   _scannerList.Insert(s53);

   Scanner s54(FROM);
   s54.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(2 ,START));
   s54.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(4 ,FINAL));
   s54.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s54.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s54.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s54.addTransition(ScannerTransEntry(3 ,'m' ,4));
   _scannerList.Insert(s54);

   Scanner s55(GETPOS);
   s55.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s55.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s55.addState(ScannerStateEntry(2 ,START));
   s55.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s55.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s55.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s55.addState(ScannerStateEntry(6 ,FINAL));
   s55.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s55.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s55.addTransition(ScannerTransEntry(2 ,'g' ,0));
   s55.addTransition(ScannerTransEntry(3 ,'p' ,4));
   s55.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s55.addTransition(ScannerTransEntry(5 ,'s' ,6));
   _scannerList.Insert(s55);

   Scanner s56(GROUP);
   s56.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(2 ,START));
   s56.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(5 ,FINAL));
   s56.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s56.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s56.addTransition(ScannerTransEntry(2 ,'g' ,0));
   s56.addTransition(ScannerTransEntry(3 ,'u' ,4));
   s56.addTransition(ScannerTransEntry(4 ,'p' ,5));
   _scannerList.Insert(s56);

   Scanner s57(HAVING);
   s57.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(2 ,START));
   s57.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(6 ,FINAL));
   s57.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s57.addTransition(ScannerTransEntry(1 ,'v' ,3));
   s57.addTransition(ScannerTransEntry(2 ,'h' ,0));
   s57.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s57.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s57.addTransition(ScannerTransEntry(5 ,'g' ,6));
   _scannerList.Insert(s57);

   Scanner s58(IDENTIFIED);
   s58.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s58.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s58.addState(ScannerStateEntry(2 ,START));
   s58.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s58.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s58.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s58.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s58.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s58.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s58.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s58.addState(ScannerStateEntry(10 ,FINAL));
   s58.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s58.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s58.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s58.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s58.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s58.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s58.addTransition(ScannerTransEntry(6 ,'f' ,7));
   s58.addTransition(ScannerTransEntry(7 ,'i' ,8));
   s58.addTransition(ScannerTransEntry(8 ,'e' ,9));
   s58.addTransition(ScannerTransEntry(9 ,'d' ,10));
   _scannerList.Insert(s58);

   Scanner s59(IF);
   s59.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s59.addState(ScannerStateEntry(1 ,FINAL));
   s59.addState(ScannerStateEntry(2 ,START));
   s59.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s59.addTransition(ScannerTransEntry(2 ,'i' ,0));
   _scannerList.Insert(s59);

   Scanner s60(INTOK);
   s60.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s60.addState(ScannerStateEntry(1 ,FINAL));
   s60.addState(ScannerStateEntry(2 ,START));
   s60.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s60.addTransition(ScannerTransEntry(2 ,'i' ,0));
   _scannerList.Insert(s60);

   Scanner s61(INDEX);
   s61.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s61.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s61.addState(ScannerStateEntry(2 ,START));
   s61.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s61.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s61.addState(ScannerStateEntry(5 ,FINAL));
   s61.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s61.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s61.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s61.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s61.addTransition(ScannerTransEntry(4 ,'x' ,5));
   _scannerList.Insert(s61);

   Scanner s62(INNER);
   s62.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s62.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s62.addState(ScannerStateEntry(2 ,START));
   s62.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s62.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s62.addState(ScannerStateEntry(5 ,FINAL));
   s62.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s62.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s62.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s62.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s62.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s62);

   Scanner s63(INT);
   s63.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s63.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s63.addState(ScannerStateEntry(2 ,START));
   s63.addState(ScannerStateEntry(3 ,FINAL));
   s63.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s63.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s63.addTransition(ScannerTransEntry(2 ,'i' ,0));
   _scannerList.Insert(s63);

   Scanner s64(INTO);
   s64.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(2 ,START));
   s64.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(4 ,FINAL));
   s64.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s64.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s64.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s64.addTransition(ScannerTransEntry(3 ,'o' ,4));
   _scannerList.Insert(s64);

   Scanner s65(INT2DATE);
   s65.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(2 ,START));
   s65.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(8 ,FINAL));
   s65.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s65.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s65.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s65.addTransition(ScannerTransEntry(3 ,'2' ,4));
   s65.addTransition(ScannerTransEntry(4 ,'d' ,5));
   s65.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s65.addTransition(ScannerTransEntry(6 ,'t' ,7));
   s65.addTransition(ScannerTransEntry(7 ,'e' ,8));
   _scannerList.Insert(s65);

   Scanner s66(INSERT);
   s66.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s66.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s66.addState(ScannerStateEntry(2 ,START));
   s66.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s66.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s66.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s66.addState(ScannerStateEntry(6 ,FINAL));
   s66.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s66.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s66.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s66.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s66.addTransition(ScannerTransEntry(4 ,'r' ,5));
   s66.addTransition(ScannerTransEntry(5 ,'t' ,6));
   _scannerList.Insert(s66);

   Scanner s67(IS);
   s67.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(1 ,FINAL));
   s67.addState(ScannerStateEntry(2 ,START));
   s67.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s67.addTransition(ScannerTransEntry(2 ,'i' ,0));
   _scannerList.Insert(s67);

   Scanner s68(ISOLATION);
   s68.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s68.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s68.addState(ScannerStateEntry(2 ,START));
   s68.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s68.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s68.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s68.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s68.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s68.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s68.addState(ScannerStateEntry(9 ,FINAL));
   s68.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s68.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s68.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s68.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s68.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s68.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s68.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s68.addTransition(ScannerTransEntry(7 ,'o' ,8));
   s68.addTransition(ScannerTransEntry(8 ,'n' ,9));
   _scannerList.Insert(s68);

   Scanner s69(JDBC);
   s69.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(2 ,START));
   s69.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(4 ,FINAL));
   s69.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s69.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s69.addTransition(ScannerTransEntry(2 ,'j' ,0));
   s69.addTransition(ScannerTransEntry(3 ,'c' ,4));
   _scannerList.Insert(s69);

   Scanner s70(JOIN);
   s70.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s70.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s70.addState(ScannerStateEntry(2 ,START));
   s70.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s70.addState(ScannerStateEntry(4 ,FINAL));
   s70.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s70.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s70.addTransition(ScannerTransEntry(2 ,'j' ,0));
   s70.addTransition(ScannerTransEntry(3 ,'n' ,4));
   _scannerList.Insert(s70);

   Scanner s71(KEY);
   s71.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s71.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s71.addState(ScannerStateEntry(2 ,START));
   s71.addState(ScannerStateEntry(3 ,FINAL));
   s71.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s71.addTransition(ScannerTransEntry(1 ,'y' ,3));
   s71.addTransition(ScannerTransEntry(2 ,'k' ,0));
   _scannerList.Insert(s71);

   Scanner s72(LEFT);
   s72.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(2 ,START));
   s72.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(4 ,FINAL));
   s72.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s72.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s72.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s72.addTransition(ScannerTransEntry(3 ,'t' ,4));
   _scannerList.Insert(s72);

   Scanner s73(LENGTH);
   s73.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s73.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s73.addState(ScannerStateEntry(2 ,START));
   s73.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s73.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s73.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s73.addState(ScannerStateEntry(6 ,FINAL));
   s73.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s73.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s73.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s73.addTransition(ScannerTransEntry(3 ,'g' ,4));
   s73.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s73.addTransition(ScannerTransEntry(5 ,'h' ,6));
   _scannerList.Insert(s73);

   Scanner s74(LIKE);
   s74.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s74.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s74.addState(ScannerStateEntry(2 ,START));
   s74.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s74.addState(ScannerStateEntry(4 ,FINAL));
   s74.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s74.addTransition(ScannerTransEntry(1 ,'k' ,3));
   s74.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s74.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s74);

   Scanner s75(LIST);
   s75.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s75.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s75.addState(ScannerStateEntry(2 ,START));
   s75.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s75.addState(ScannerStateEntry(4 ,FINAL));
   s75.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s75.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s75.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s75.addTransition(ScannerTransEntry(3 ,'t' ,4));
   _scannerList.Insert(s75);

   Scanner s76(LOAD);
   s76.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s76.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s76.addState(ScannerStateEntry(2 ,START));
   s76.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s76.addState(ScannerStateEntry(4 ,FINAL));
   s76.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s76.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s76.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s76.addTransition(ScannerTransEntry(3 ,'d' ,4));
   _scannerList.Insert(s76);

   Scanner s77(LOCKS);
   s77.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s77.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s77.addState(ScannerStateEntry(2 ,START));
   s77.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s77.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s77.addState(ScannerStateEntry(5 ,FINAL));
   s77.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s77.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s77.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s77.addTransition(ScannerTransEntry(3 ,'k' ,4));
   s77.addTransition(ScannerTransEntry(4 ,'s' ,5));
   _scannerList.Insert(s77);

   Scanner s78(LONG);
   s78.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(2 ,START));
   s78.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(4 ,FINAL));
   s78.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s78.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s78.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s78.addTransition(ScannerTransEntry(3 ,'g' ,4));
   _scannerList.Insert(s78);

   Scanner s79(LOWER);
   s79.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(2 ,START));
   s79.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(5 ,FINAL));
   s79.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s79.addTransition(ScannerTransEntry(1 ,'w' ,3));
   s79.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s79.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s79.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s79);

   Scanner s80(LTRIM);
   s80.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s80.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s80.addState(ScannerStateEntry(2 ,START));
   s80.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s80.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s80.addState(ScannerStateEntry(5 ,FINAL));
   s80.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s80.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s80.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s80.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s80.addTransition(ScannerTransEntry(4 ,'m' ,5));
   _scannerList.Insert(s80);

   Scanner s81(MIN);
   s81.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s81.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s81.addState(ScannerStateEntry(2 ,START));
   s81.addState(ScannerStateEntry(3 ,FINAL));
   s81.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s81.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s81.addTransition(ScannerTransEntry(2 ,'m' ,0));
   _scannerList.Insert(s81);

   Scanner s82(MAX);
   s82.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s82.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s82.addState(ScannerStateEntry(2 ,START));
   s82.addState(ScannerStateEntry(3 ,FINAL));
   s82.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s82.addTransition(ScannerTransEntry(1 ,'x' ,3));
   s82.addTransition(ScannerTransEntry(2 ,'m' ,0));
   _scannerList.Insert(s82);

   Scanner s83(MOD);
   s83.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s83.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s83.addState(ScannerStateEntry(2 ,START));
   s83.addState(ScannerStateEntry(3 ,FINAL));
   s83.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s83.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s83.addTransition(ScannerTransEntry(2 ,'m' ,0));
   _scannerList.Insert(s83);

   Scanner s84(MODIFY);
   s84.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(2 ,START));
   s84.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(6 ,FINAL));
   s84.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s84.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s84.addTransition(ScannerTransEntry(2 ,'m' ,0));
   s84.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s84.addTransition(ScannerTransEntry(4 ,'f' ,5));
   s84.addTransition(ScannerTransEntry(5 ,'y' ,6));
   _scannerList.Insert(s84);

   Scanner s85(NEXTCOUNT);
   s85.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s85.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s85.addState(ScannerStateEntry(2 ,START));
   s85.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s85.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s85.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s85.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s85.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s85.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s85.addState(ScannerStateEntry(9 ,FINAL));
   s85.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s85.addTransition(ScannerTransEntry(1 ,'x' ,3));
   s85.addTransition(ScannerTransEntry(2 ,'n' ,0));
   s85.addTransition(ScannerTransEntry(3 ,'t' ,4));
   s85.addTransition(ScannerTransEntry(4 ,'c' ,5));
   s85.addTransition(ScannerTransEntry(5 ,'o' ,6));
   s85.addTransition(ScannerTransEntry(6 ,'u' ,7));
   s85.addTransition(ScannerTransEntry(7 ,'n' ,8));
   s85.addTransition(ScannerTransEntry(8 ,'t' ,9));
   _scannerList.Insert(s85);

   Scanner s86(NOOP);
   s86.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s86.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s86.addState(ScannerStateEntry(2 ,START));
   s86.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s86.addState(ScannerStateEntry(4 ,FINAL));
   s86.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s86.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s86.addTransition(ScannerTransEntry(2 ,'n' ,0));
   s86.addTransition(ScannerTransEntry(3 ,'p' ,4));
   _scannerList.Insert(s86);

   Scanner s87(NOT);
   s87.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s87.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s87.addState(ScannerStateEntry(2 ,START));
   s87.addState(ScannerStateEntry(3 ,FINAL));
   s87.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s87.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s87.addTransition(ScannerTransEntry(2 ,'n' ,0));
   _scannerList.Insert(s87);

   Scanner s88(NULLTOKEN);
   s88.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s88.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s88.addState(ScannerStateEntry(2 ,START));
   s88.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s88.addState(ScannerStateEntry(4 ,FINAL));
   s88.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s88.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s88.addTransition(ScannerTransEntry(2 ,'n' ,0));
   s88.addTransition(ScannerTransEntry(3 ,'l' ,4));
   _scannerList.Insert(s88);

   Scanner s89(OFF);
   s89.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s89.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s89.addState(ScannerStateEntry(2 ,START));
   s89.addState(ScannerStateEntry(3 ,FINAL));
   s89.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s89.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s89.addTransition(ScannerTransEntry(2 ,'o' ,0));
   _scannerList.Insert(s89);

   Scanner s90(ON);
   s90.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s90.addState(ScannerStateEntry(1 ,FINAL));
   s90.addState(ScannerStateEntry(2 ,START));
   s90.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s90.addTransition(ScannerTransEntry(2 ,'o' ,0));
   _scannerList.Insert(s90);

   Scanner s91(OUTTOK);
   s91.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s91.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s91.addState(ScannerStateEntry(2 ,START));
   s91.addState(ScannerStateEntry(3 ,FINAL));
   s91.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s91.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s91.addTransition(ScannerTransEntry(2 ,'o' ,0));
   _scannerList.Insert(s91);

   Scanner s92(OUTER);
   s92.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s92.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s92.addState(ScannerStateEntry(2 ,START));
   s92.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s92.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s92.addState(ScannerStateEntry(5 ,FINAL));
   s92.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s92.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s92.addTransition(ScannerTransEntry(2 ,'o' ,0));
   s92.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s92.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s92);

   Scanner s93(OR);
   s93.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s93.addState(ScannerStateEntry(1 ,FINAL));
   s93.addState(ScannerStateEntry(2 ,START));
   s93.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s93.addTransition(ScannerTransEntry(2 ,'o' ,0));
   _scannerList.Insert(s93);

   Scanner s94(ORDER);
   s94.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s94.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s94.addState(ScannerStateEntry(2 ,START));
   s94.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s94.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s94.addState(ScannerStateEntry(5 ,FINAL));
   s94.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s94.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s94.addTransition(ScannerTransEntry(2 ,'o' ,0));
   s94.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s94.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s94);

   Scanner s95(PLAN);
   s95.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s95.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s95.addState(ScannerStateEntry(2 ,START));
   s95.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s95.addState(ScannerStateEntry(4 ,FINAL));
   s95.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s95.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s95.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s95.addTransition(ScannerTransEntry(3 ,'n' ,4));
   _scannerList.Insert(s95);

   Scanner s96(POOL);
   s96.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(2 ,START));
   s96.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(4 ,FINAL));
   s96.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s96.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s96.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s96.addTransition(ScannerTransEntry(3 ,'l' ,4));
   _scannerList.Insert(s96);

   Scanner s97(POWER);
   s97.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s97.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s97.addState(ScannerStateEntry(2 ,START));
   s97.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s97.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s97.addState(ScannerStateEntry(5 ,FINAL));
   s97.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s97.addTransition(ScannerTransEntry(1 ,'w' ,3));
   s97.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s97.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s97.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s97);

   Scanner s98(PRIMARY);
   s98.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s98.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s98.addState(ScannerStateEntry(2 ,START));
   s98.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s98.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s98.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s98.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s98.addState(ScannerStateEntry(7 ,FINAL));
   s98.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s98.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s98.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s98.addTransition(ScannerTransEntry(3 ,'m' ,4));
   s98.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s98.addTransition(ScannerTransEntry(5 ,'r' ,6));
   s98.addTransition(ScannerTransEntry(6 ,'y' ,7));
   _scannerList.Insert(s98);

   Scanner s99(PRINT);
   s99.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(2 ,START));
   s99.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(5 ,FINAL));
   s99.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s99.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s99.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s99.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s99.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s99);

   Scanner s100(PROCEDURE);
   s100.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(2 ,START));
   s100.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(9 ,FINAL));
   s100.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s100.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s100.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s100.addTransition(ScannerTransEntry(3 ,'c' ,4));
   s100.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s100.addTransition(ScannerTransEntry(5 ,'d' ,6));
   s100.addTransition(ScannerTransEntry(6 ,'u' ,7));
   s100.addTransition(ScannerTransEntry(7 ,'r' ,8));
   s100.addTransition(ScannerTransEntry(8 ,'e' ,9));
   _scannerList.Insert(s100);

   Scanner s101(QUERYCACHE);
   s101.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(2 ,START));
   s101.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(10 ,FINAL));
   s101.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s101.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s101.addTransition(ScannerTransEntry(2 ,'q' ,0));
   s101.addTransition(ScannerTransEntry(3 ,'r' ,4));
   s101.addTransition(ScannerTransEntry(4 ,'y' ,5));
   s101.addTransition(ScannerTransEntry(5 ,'c' ,6));
   s101.addTransition(ScannerTransEntry(6 ,'a' ,7));
   s101.addTransition(ScannerTransEntry(7 ,'c' ,8));
   s101.addTransition(ScannerTransEntry(8 ,'h' ,9));
   s101.addTransition(ScannerTransEntry(9 ,'e' ,10));
   _scannerList.Insert(s101);

   Scanner s102(QUIT);
   s102.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s102.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s102.addState(ScannerStateEntry(2 ,START));
   s102.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s102.addState(ScannerStateEntry(4 ,FINAL));
   s102.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s102.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s102.addTransition(ScannerTransEntry(2 ,'q' ,0));
   s102.addTransition(ScannerTransEntry(3 ,'t' ,4));
   _scannerList.Insert(s102);

   Scanner s103(RANDSTR);
   s103.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(2 ,START));
   s103.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(7 ,FINAL));
   s103.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s103.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s103.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s103.addTransition(ScannerTransEntry(3 ,'d' ,4));
   s103.addTransition(ScannerTransEntry(4 ,'s' ,5));
   s103.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s103.addTransition(ScannerTransEntry(6 ,'r' ,7));
   _scannerList.Insert(s103);

   Scanner s104(RANDINT);
   s104.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(2 ,START));
   s104.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(7 ,FINAL));
   s104.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s104.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s104.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s104.addTransition(ScannerTransEntry(3 ,'d' ,4));
   s104.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s104.addTransition(ScannerTransEntry(5 ,'n' ,6));
   s104.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s104);

   Scanner s105(RBSEG);
   s105.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(2 ,START));
   s105.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(5 ,FINAL));
   s105.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s105.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s105.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s105.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s105.addTransition(ScannerTransEntry(4 ,'g' ,5));
   _scannerList.Insert(s105);

   Scanner s106(REFERENCES);
   s106.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(2 ,START));
   s106.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(10 ,FINAL));
   s106.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s106.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s106.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s106.addTransition(ScannerTransEntry(4 ,'r' ,5));
   s106.addTransition(ScannerTransEntry(5 ,'e' ,6));
   s106.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s106.addTransition(ScannerTransEntry(7 ,'c' ,8));
   s106.addTransition(ScannerTransEntry(8 ,'e' ,9));
   s106.addTransition(ScannerTransEntry(9 ,'s' ,10));
   _scannerList.Insert(s106);

   Scanner s107(RENAME);
   s107.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(2 ,START));
   s107.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(6 ,FINAL));
   s107.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s107.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s107.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s107.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s107.addTransition(ScannerTransEntry(4 ,'m' ,5));
   s107.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s107);

   Scanner s108(REORGANIZE);
   s108.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(2 ,START));
   s108.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(10 ,FINAL));
   s108.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s108.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s108.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s108.addTransition(ScannerTransEntry(3 ,'r' ,4));
   s108.addTransition(ScannerTransEntry(4 ,'g' ,5));
   s108.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s108.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s108.addTransition(ScannerTransEntry(7 ,'i' ,8));
   s108.addTransition(ScannerTransEntry(8 ,'z' ,9));
   s108.addTransition(ScannerTransEntry(9 ,'e' ,10));
   _scannerList.Insert(s108);

   Scanner s109(RETURNTOKEN);
   s109.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(2 ,START));
   s109.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(6 ,FINAL));
   s109.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s109.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s109.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s109.addTransition(ScannerTransEntry(3 ,'u' ,4));
   s109.addTransition(ScannerTransEntry(4 ,'r' ,5));
   s109.addTransition(ScannerTransEntry(5 ,'n' ,6));
   _scannerList.Insert(s109);

   Scanner s110(REMOVE);
   s110.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(2 ,START));
   s110.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(6 ,FINAL));
   s110.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s110.addTransition(ScannerTransEntry(1 ,'m' ,3));
   s110.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s110.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s110.addTransition(ScannerTransEntry(4 ,'v' ,5));
   s110.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s110);

   Scanner s111(REPLACE);
   s111.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(2 ,START));
   s111.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(7 ,FINAL));
   s111.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s111.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s111.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s111.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s111.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s111.addTransition(ScannerTransEntry(5 ,'c' ,6));
   s111.addTransition(ScannerTransEntry(6 ,'e' ,7));
   _scannerList.Insert(s111);

   Scanner s112(RIGHT);
   s112.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(2 ,START));
   s112.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(5 ,FINAL));
   s112.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s112.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s112.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s112.addTransition(ScannerTransEntry(3 ,'h' ,4));
   s112.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s112);

   Scanner s113(ROLLBACK);
   s113.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(2 ,START));
   s113.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(8 ,FINAL));
   s113.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s113.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s113.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s113.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s113.addTransition(ScannerTransEntry(4 ,'b' ,5));
   s113.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s113.addTransition(ScannerTransEntry(6 ,'c' ,7));
   s113.addTransition(ScannerTransEntry(7 ,'k' ,8));
   _scannerList.Insert(s113);

   Scanner s114(ROUND);
   s114.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(2 ,START));
   s114.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(5 ,FINAL));
   s114.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s114.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s114.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s114.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s114.addTransition(ScannerTransEntry(4 ,'d' ,5));
   _scannerList.Insert(s114);

   Scanner s115(ROWLIMIT);
   s115.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(2 ,START));
   s115.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(8 ,FINAL));
   s115.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s115.addTransition(ScannerTransEntry(1 ,'w' ,3));
   s115.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s115.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s115.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s115.addTransition(ScannerTransEntry(5 ,'m' ,6));
   s115.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s115.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s115);

   Scanner s116(RTRIM);
   s116.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(2 ,START));
   s116.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(5 ,FINAL));
   s116.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s116.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s116.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s116.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s116.addTransition(ScannerTransEntry(4 ,'m' ,5));
   _scannerList.Insert(s116);

   Scanner s117(SELECT);
   s117.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s117.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s117.addState(ScannerStateEntry(2 ,START));
   s117.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s117.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s117.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s117.addState(ScannerStateEntry(6 ,FINAL));
   s117.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s117.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s117.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s117.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s117.addTransition(ScannerTransEntry(4 ,'c' ,5));
   s117.addTransition(ScannerTransEntry(5 ,'t' ,6));
   _scannerList.Insert(s117);

   Scanner s118(SET);
   s118.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(2 ,START));
   s118.addState(ScannerStateEntry(3 ,FINAL));
   s118.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s118.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s118.addTransition(ScannerTransEntry(2 ,'s' ,0));
   _scannerList.Insert(s118);

   Scanner s119(SETCOUNT);
   s119.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(2 ,START));
   s119.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(8 ,FINAL));
   s119.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s119.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s119.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s119.addTransition(ScannerTransEntry(3 ,'c' ,4));
   s119.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s119.addTransition(ScannerTransEntry(5 ,'u' ,6));
   s119.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s119.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s119);

   Scanner s120(SHOW);
   s120.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(2 ,START));
   s120.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(4 ,FINAL));
   s120.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s120.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s120.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s120.addTransition(ScannerTransEntry(3 ,'w' ,4));
   _scannerList.Insert(s120);

   Scanner s121(SMALLINT);
   s121.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(2 ,START));
   s121.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(8 ,FINAL));
   s121.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s121.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s121.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s121.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s121.addTransition(ScannerTransEntry(4 ,'l' ,5));
   s121.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s121.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s121.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s121);

   Scanner s122(START_TOKEN);
   s122.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(2 ,START));
   s122.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(5 ,FINAL));
   s122.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s122.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s122.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s122.addTransition(ScannerTransEntry(3 ,'r' ,4));
   s122.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s122);

   Scanner s123(STRING);
   s123.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s123.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s123.addState(ScannerStateEntry(2 ,START));
   s123.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s123.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s123.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s123.addState(ScannerStateEntry(6 ,FINAL));
   s123.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s123.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s123.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s123.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s123.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s123.addTransition(ScannerTransEntry(5 ,'g' ,6));
   _scannerList.Insert(s123);

   Scanner s124(SUBSTR);
   s124.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(2 ,START));
   s124.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(6 ,FINAL));
   s124.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s124.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s124.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s124.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s124.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s124.addTransition(ScannerTransEntry(5 ,'r' ,6));
   _scannerList.Insert(s124);

   Scanner s125(SUM);
   s125.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(2 ,START));
   s125.addState(ScannerStateEntry(3 ,FINAL));
   s125.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s125.addTransition(ScannerTransEntry(1 ,'m' ,3));
   s125.addTransition(ScannerTransEntry(2 ,'s' ,0));
   _scannerList.Insert(s125);

   Scanner s126(SYNC);
   s126.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(2 ,START));
   s126.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(4 ,FINAL));
   s126.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s126.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s126.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s126.addTransition(ScannerTransEntry(3 ,'c' ,4));
   _scannerList.Insert(s126);

   Scanner s127(SYSDATE);
   s127.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(2 ,START));
   s127.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(7 ,FINAL));
   s127.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s127.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s127.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s127.addTransition(ScannerTransEntry(3 ,'d' ,4));
   s127.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s127.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s127.addTransition(ScannerTransEntry(6 ,'e' ,7));
   _scannerList.Insert(s127);

   Scanner s128(SYSTEMSPACE);
   s128.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(2 ,START));
   s128.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(10 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(11 ,FINAL));
   s128.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s128.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s128.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s128.addTransition(ScannerTransEntry(3 ,'t' ,4));
   s128.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s128.addTransition(ScannerTransEntry(5 ,'m' ,6));
   s128.addTransition(ScannerTransEntry(6 ,'s' ,7));
   s128.addTransition(ScannerTransEntry(7 ,'p' ,8));
   s128.addTransition(ScannerTransEntry(8 ,'a' ,9));
   s128.addTransition(ScannerTransEntry(9 ,'c' ,10));
   s128.addTransition(ScannerTransEntry(10 ,'e' ,11));
   _scannerList.Insert(s128);

   Scanner s129(SYSOBJ);
   s129.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(2 ,START));
   s129.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(6 ,FINAL));
   s129.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s129.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s129.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s129.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s129.addTransition(ScannerTransEntry(4 ,'b' ,5));
   s129.addTransition(ScannerTransEntry(5 ,'j' ,6));
   _scannerList.Insert(s129);

   Scanner s130(TABLEINFO);
   s130.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(2 ,START));
   s130.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(9 ,FINAL));
   s130.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s130.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s130.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s130.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s130.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s130.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s130.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s130.addTransition(ScannerTransEntry(7 ,'f' ,8));
   s130.addTransition(ScannerTransEntry(8 ,'o' ,9));
   _scannerList.Insert(s130);

   Scanner s131(TABLE);
   s131.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(2 ,START));
   s131.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(5 ,FINAL));
   s131.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s131.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s131.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s131.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s131.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s131);

   Scanner s132(TABLESET);
   s132.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(2 ,START));
   s132.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(8 ,FINAL));
   s132.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s132.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s132.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s132.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s132.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s132.addTransition(ScannerTransEntry(5 ,'s' ,6));
   s132.addTransition(ScannerTransEntry(6 ,'e' ,7));
   s132.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s132);

   Scanner s133(THEN);
   s133.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(2 ,START));
   s133.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(4 ,FINAL));
   s133.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s133.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s133.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s133.addTransition(ScannerTransEntry(3 ,'n' ,4));
   _scannerList.Insert(s133);

   Scanner s134(TINYINT);
   s134.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(2 ,START));
   s134.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(7 ,FINAL));
   s134.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s134.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s134.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s134.addTransition(ScannerTransEntry(3 ,'y' ,4));
   s134.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s134.addTransition(ScannerTransEntry(5 ,'n' ,6));
   s134.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s134);

   Scanner s135(TMPOBJ);
   s135.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(2 ,START));
   s135.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(6 ,FINAL));
   s135.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s135.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s135.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s135.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s135.addTransition(ScannerTransEntry(4 ,'b' ,5));
   s135.addTransition(ScannerTransEntry(5 ,'j' ,6));
   _scannerList.Insert(s135);

   Scanner s136(TRANSACTION);
   s136.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(2 ,START));
   s136.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(10 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(11 ,FINAL));
   s136.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s136.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s136.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s136.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s136.addTransition(ScannerTransEntry(4 ,'s' ,5));
   s136.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s136.addTransition(ScannerTransEntry(6 ,'c' ,7));
   s136.addTransition(ScannerTransEntry(7 ,'t' ,8));
   s136.addTransition(ScannerTransEntry(8 ,'i' ,9));
   s136.addTransition(ScannerTransEntry(9 ,'o' ,10));
   s136.addTransition(ScannerTransEntry(10 ,'n' ,11));
   _scannerList.Insert(s136);

   Scanner s137(STR2INT);
   s137.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(2 ,START));
   s137.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(7 ,FINAL));
   s137.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s137.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s137.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s137.addTransition(ScannerTransEntry(3 ,'2' ,4));
   s137.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s137.addTransition(ScannerTransEntry(5 ,'n' ,6));
   s137.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s137);

   Scanner s138(STR2LONG);
   s138.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(2 ,START));
   s138.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(8 ,FINAL));
   s138.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s138.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s138.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s138.addTransition(ScannerTransEntry(3 ,'2' ,4));
   s138.addTransition(ScannerTransEntry(4 ,'l' ,5));
   s138.addTransition(ScannerTransEntry(5 ,'o' ,6));
   s138.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s138.addTransition(ScannerTransEntry(7 ,'g' ,8));
   _scannerList.Insert(s138);

   Scanner s139(TO);
   s139.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s139.addState(ScannerStateEntry(1 ,FINAL));
   s139.addState(ScannerStateEntry(2 ,START));
   s139.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s139.addTransition(ScannerTransEntry(2 ,'t' ,0));
   _scannerList.Insert(s139);

   Scanner s140(TRIM);
   s140.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s140.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s140.addState(ScannerStateEntry(2 ,START));
   s140.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s140.addState(ScannerStateEntry(4 ,FINAL));
   s140.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s140.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s140.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s140.addTransition(ScannerTransEntry(3 ,'m' ,4));
   _scannerList.Insert(s140);

   Scanner s141(TRUEVAL);
   s141.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s141.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s141.addState(ScannerStateEntry(2 ,START));
   s141.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s141.addState(ScannerStateEntry(4 ,FINAL));
   s141.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s141.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s141.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s141.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s141);

   Scanner s142(TRUNC);
   s142.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(2 ,START));
   s142.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(5 ,FINAL));
   s142.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s142.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s142.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s142.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s142.addTransition(ScannerTransEntry(4 ,'c' ,5));
   _scannerList.Insert(s142);

   Scanner s143(UNION);
   s143.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(2 ,START));
   s143.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(5 ,FINAL));
   s143.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s143.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s143.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s143.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s143.addTransition(ScannerTransEntry(4 ,'n' ,5));
   _scannerList.Insert(s143);

   Scanner s144(UNIQUE);
   s144.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s144.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s144.addState(ScannerStateEntry(2 ,START));
   s144.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s144.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s144.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s144.addState(ScannerStateEntry(6 ,FINAL));
   s144.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s144.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s144.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s144.addTransition(ScannerTransEntry(3 ,'q' ,4));
   s144.addTransition(ScannerTransEntry(4 ,'u' ,5));
   s144.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s144);

   Scanner s145(UPDATE);
   s145.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(2 ,START));
   s145.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(6 ,FINAL));
   s145.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s145.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s145.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s145.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s145.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s145.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s145);

   Scanner s146(UPPER);
   s146.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(2 ,START));
   s146.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(5 ,FINAL));
   s146.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s146.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s146.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s146.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s146.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s146);

   Scanner s147(VAR);
   s147.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(2 ,START));
   s147.addState(ScannerStateEntry(3 ,FINAL));
   s147.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s147.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s147.addTransition(ScannerTransEntry(2 ,'v' ,0));
   _scannerList.Insert(s147);

   Scanner s148(VALUES);
   s148.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(2 ,START));
   s148.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(6 ,FINAL));
   s148.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s148.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s148.addTransition(ScannerTransEntry(2 ,'v' ,0));
   s148.addTransition(ScannerTransEntry(3 ,'u' ,4));
   s148.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s148.addTransition(ScannerTransEntry(5 ,'s' ,6));
   _scannerList.Insert(s148);

   Scanner s149(VIEW);
   s149.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s149.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s149.addState(ScannerStateEntry(2 ,START));
   s149.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s149.addState(ScannerStateEntry(4 ,FINAL));
   s149.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s149.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s149.addTransition(ScannerTransEntry(2 ,'v' ,0));
   s149.addTransition(ScannerTransEntry(3 ,'w' ,4));
   _scannerList.Insert(s149);

   Scanner s150(WHEN);
   s150.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s150.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s150.addState(ScannerStateEntry(2 ,START));
   s150.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s150.addState(ScannerStateEntry(4 ,FINAL));
   s150.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s150.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s150.addTransition(ScannerTransEntry(2 ,'w' ,0));
   s150.addTransition(ScannerTransEntry(3 ,'n' ,4));
   _scannerList.Insert(s150);

   Scanner s151(WHERE);
   s151.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s151.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s151.addState(ScannerStateEntry(2 ,START));
   s151.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s151.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s151.addState(ScannerStateEntry(5 ,FINAL));
   s151.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s151.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s151.addTransition(ScannerTransEntry(2 ,'w' ,0));
   s151.addTransition(ScannerTransEntry(3 ,'r' ,4));
   s151.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s151);

   Scanner s152(WHILE);
   s152.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s152.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s152.addState(ScannerStateEntry(2 ,START));
   s152.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s152.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s152.addState(ScannerStateEntry(5 ,FINAL));
   s152.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s152.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s152.addTransition(ScannerTransEntry(2 ,'w' ,0));
   s152.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s152.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s152);

   Scanner s153(CONCAT);
   s153.addState(ScannerStateEntry(0 ,START));
   s153.addState(ScannerStateEntry(1 ,FINAL));
   s153.addTransition(ScannerTransEntry(0 ,'|' ,1));
   _scannerList.Insert(s153);

   Scanner s154(EQU);
   s154.addState(ScannerStateEntry(0 ,START));
   s154.addState(ScannerStateEntry(1 ,FINAL));
   s154.addTransition(ScannerTransEntry(0 ,'=' ,1));
   _scannerList.Insert(s154);

   Scanner s155(KSEP);
   s155.addState(ScannerStateEntry(0 ,START));
   s155.addState(ScannerStateEntry(1 ,FINAL));
   s155.addTransition(ScannerTransEntry(0 ,',' ,1));
   _scannerList.Insert(s155);

   Scanner s156(LB);
   s156.addState(ScannerStateEntry(0 ,START));
   s156.addState(ScannerStateEntry(1 ,FINAL));
   s156.addTransition(ScannerTransEntry(0 ,'(' ,1));
   _scannerList.Insert(s156);

   Scanner s157(LT);
   s157.addState(ScannerStateEntry(0 ,START));
   s157.addState(ScannerStateEntry(1 ,FINAL));
   s157.addTransition(ScannerTransEntry(0 ,'<' ,1));
   _scannerList.Insert(s157);

   Scanner s158(MT);
   s158.addState(ScannerStateEntry(0 ,START));
   s158.addState(ScannerStateEntry(1 ,FINAL));
   s158.addTransition(ScannerTransEntry(0 ,'>' ,1));
   _scannerList.Insert(s158);

   Scanner s159(NEGATION);
   s159.addState(ScannerStateEntry(0 ,START));
   s159.addState(ScannerStateEntry(1 ,FINAL));
   s159.addTransition(ScannerTransEntry(0 ,'!' ,1));
   _scannerList.Insert(s159);

   Scanner s160(RB);
   s160.addState(ScannerStateEntry(0 ,START));
   s160.addState(ScannerStateEntry(1 ,FINAL));
   s160.addTransition(ScannerTransEntry(0 ,')' ,1));
   _scannerList.Insert(s160);

   Scanner s161(LAB);
   s161.addState(ScannerStateEntry(0 ,START));
   s161.addState(ScannerStateEntry(1 ,FINAL));
   s161.addTransition(ScannerTransEntry(0 ,'[' ,1));
   _scannerList.Insert(s161);

   Scanner s162(RAB);
   s162.addState(ScannerStateEntry(0 ,START));
   s162.addState(ScannerStateEntry(1 ,FINAL));
   s162.addTransition(ScannerTransEntry(0 ,']' ,1));
   _scannerList.Insert(s162);

   Scanner s163(SEMICOLON);
   s163.addState(ScannerStateEntry(0 ,START));
   s163.addState(ScannerStateEntry(1 ,FINAL));
   s163.addTransition(ScannerTransEntry(0 ,';' ,1));
   _scannerList.Insert(s163);

   Scanner s164(STAR);
   s164.addState(ScannerStateEntry(0 ,START));
   s164.addState(ScannerStateEntry(1 ,FINAL));
   s164.addTransition(ScannerTransEntry(0 ,'*' ,1));
   _scannerList.Insert(s164);

   Scanner s165(DIVISION);
   s165.addState(ScannerStateEntry(0 ,START));
   s165.addState(ScannerStateEntry(1 ,FINAL));
   s165.addTransition(ScannerTransEntry(0 ,'/' ,1));
   _scannerList.Insert(s165);

   Scanner s166(MINUS);
   s166.addState(ScannerStateEntry(0 ,START));
   s166.addState(ScannerStateEntry(1 ,FINAL));
   s166.addTransition(ScannerTransEntry(0 ,'-' ,1));
   _scannerList.Insert(s166);

   Scanner s167(PLUS);
   s167.addState(ScannerStateEntry(0 ,START));
   s167.addState(ScannerStateEntry(1 ,FINAL));
   s167.addTransition(ScannerTransEntry(0 ,'+' ,1));
   _scannerList.Insert(s167);

   Scanner s168(INTVAL);
   s168.addState(ScannerStateEntry(0 ,START));
   s168.addState(ScannerStateEntry(1 ,FINAL));
   s168.addState(ScannerStateEntry(2 ,FINAL));
   s168.addTransition(ScannerTransEntry(0 ,'1' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'2' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'3' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'4' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'5' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'6' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'7' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'8' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'9' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'0' ,2));
   s168.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'9' ,1));
   _scannerList.Insert(s168);

   Scanner s169(FLOATVAL);
   s169.addState(ScannerStateEntry(0 ,START));
   s169.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s169.addState(ScannerStateEntry(2 ,INTERMEDIATE));
   s169.addState(ScannerStateEntry(3 ,FINAL));
   s169.addTransition(ScannerTransEntry(0 ,'1' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'2' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'3' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'4' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'5' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'6' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'7' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'8' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'9' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'0' ,2));
   s169.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'.' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'.' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'0' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'1' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'2' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'3' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'4' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'5' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'6' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'7' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'8' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'9' ,3));
   _scannerList.Insert(s169);

   Scanner s170(IDENTIFIER);
   s170.addState(ScannerStateEntry(0 ,START));
   s170.addState(ScannerStateEntry(1 ,FINAL));
   s170.addTransition(ScannerTransEntry(0 ,'$' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'z' ,1));
   _scannerList.Insert(s170);

   Scanner s171(VARREF);
   s171.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s171.addState(ScannerStateEntry(1 ,FINAL));
   s171.addState(ScannerStateEntry(2 ,START));
   s171.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'z' ,1));
   s171.addTransition(ScannerTransEntry(2 ,':' ,0));
   _scannerList.Insert(s171);

   Scanner s172(QUALIFIEDOBJ);
   s172.addState(ScannerStateEntry(0 ,START));
   s172.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s172.addState(ScannerStateEntry(2 ,INTERMEDIATE));
   s172.addState(ScannerStateEntry(3 ,FINAL));
   s172.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'z' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'.' ,2));
   s172.addTransition(ScannerTransEntry(2 ,'$' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'A' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'B' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'C' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'D' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'E' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'F' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'G' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'H' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'I' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'J' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'K' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'L' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'M' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'N' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'O' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'P' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'Q' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'R' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'S' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'T' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'U' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'V' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'W' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'X' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'Y' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'Z' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'a' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'b' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'c' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'d' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'e' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'f' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'g' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'h' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'i' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'j' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'k' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'l' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'m' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'n' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'o' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'p' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'q' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'r' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'s' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'t' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'u' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'v' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'w' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'x' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'y' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'z' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'0' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'1' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'2' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'3' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'4' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'5' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'6' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'7' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'8' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'9' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'A' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'B' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'C' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'D' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'E' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'F' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'G' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'H' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'I' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'J' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'K' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'L' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'M' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'N' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'O' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'P' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'Q' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'R' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'S' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'T' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'U' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'V' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'W' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'X' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'Y' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'Z' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'_' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'a' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'b' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'c' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'d' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'e' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'f' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'g' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'h' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'i' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'j' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'k' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'l' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'m' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'n' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'o' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'p' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'q' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'r' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'s' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'t' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'u' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'v' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'w' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'x' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'y' ,3));
   s172.addTransition(ScannerTransEntry(3 ,'z' ,3));
   _scannerList.Insert(s172);

   Scanner s173(QUALIFIEDPRE);
   s173.addState(ScannerStateEntry(0 ,START));
   s173.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s173.addState(ScannerStateEntry(2 ,FINAL));
   s173.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'z' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'.' ,2));
   _scannerList.Insert(s173);

   Scanner s174(QUALIFIEDTS);
   s174.addState(ScannerStateEntry(0 ,START));
   s174.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s174.addState(ScannerStateEntry(2 ,INTERMEDIATE));
   s174.addState(ScannerStateEntry(3 ,FINAL));
   s174.addTransition(ScannerTransEntry(0 ,'$' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'z' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'@' ,2));
   s174.addTransition(ScannerTransEntry(2 ,'A' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'B' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'C' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'D' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'E' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'F' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'G' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'H' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'I' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'J' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'K' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'L' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'M' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'N' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'O' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'P' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'Q' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'R' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'S' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'T' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'U' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'V' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'W' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'X' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'Y' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'Z' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'a' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'b' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'c' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'d' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'e' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'f' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'g' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'h' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'i' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'j' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'k' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'l' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'m' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'n' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'o' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'p' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'q' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'r' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'s' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'t' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'u' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'v' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'w' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'x' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'y' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'z' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'0' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'1' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'2' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'3' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'4' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'5' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'6' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'7' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'8' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'9' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'A' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'B' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'C' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'D' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'E' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'F' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'G' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'H' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'I' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'J' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'K' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'L' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'M' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'N' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'O' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'P' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'Q' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'R' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'S' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'T' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'U' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'V' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'W' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'X' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'Y' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'Z' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'_' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'a' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'b' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'c' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'d' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'e' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'f' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'g' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'h' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'i' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'j' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'k' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'l' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'m' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'n' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'o' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'p' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'q' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'r' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'s' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'t' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'u' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'v' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'w' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'x' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'y' ,3));
   s174.addTransition(ScannerTransEntry(3 ,'z' ,3));
   _scannerList.Insert(s174);

}
void Cego::loadParser0()
{
   _actionMap[826][SEMICOLON] = ActionEntry(REDUCE, 67);
   _actionMap[825][RB] = ActionEntry(SHIFT, 826);
   _actionMap[824][IDENTIFIER] = ActionEntry(SHIFT, 708);
   _jumpMap[824][SimpleAttr] = 707;
   _jumpMap[824][SimpleAttrList] = 825;
   _actionMap[821][LB] = ActionEntry(SHIFT, 824);
   _actionMap[822][ROWLIMIT] = ActionEntry(REDUCE, 236);
   _actionMap[822][UNION] = ActionEntry(REDUCE, 236);
   _actionMap[822][ENDTOKEN] = ActionEntry(REDUCE, 236);
   _actionMap[822][RB] = ActionEntry(REDUCE, 236);
   _actionMap[822][SEMICOLON] = ActionEntry(REDUCE, 236);
   _actionMap[822][KSEP] = ActionEntry(REDUCE, 236);
   _actionMap[823][PLUS] = ActionEntry(SHIFT, 225);
   _actionMap[823][MINUS] = ActionEntry(SHIFT, 224);
   _actionMap[823][CONCAT] = ActionEntry(SHIFT, 223);
   _actionMap[823][ORDER] = ActionEntry(REDUCE, 230);
   _actionMap[823][ROWLIMIT] = ActionEntry(REDUCE, 230);
   _actionMap[823][UNION] = ActionEntry(REDUCE, 230);
   _actionMap[823][ENDTOKEN] = ActionEntry(REDUCE, 230);
   _actionMap[823][RB] = ActionEntry(REDUCE, 230);
   _actionMap[823][SEMICOLON] = ActionEntry(REDUCE, 230);
   _actionMap[817][IDENTIFIER] = ActionEntry(SHIFT, 821);
   _actionMap[818][SEMICOLON] = ActionEntry(REDUCE, 79);
   _actionMap[818][RB] = ActionEntry(REDUCE, 79);
   _actionMap[819][PLUS] = ActionEntry(SHIFT, 225);
   _actionMap[819][MINUS] = ActionEntry(SHIFT, 224);
   _actionMap[819][CONCAT] = ActionEntry(SHIFT, 223);
   _actionMap[819][ASC] = ActionEntry(SHIFT, 810);
   _actionMap[819][ROWLIMIT] = ActionEntry(REDUCE, 241);
   _actionMap[819][DESC] = ActionEntry(SHIFT, 811);
   _actionMap[819][UNION] = ActionEntry(REDUCE, 241);
   _actionMap[819][ENDTOKEN] = ActionEntry(REDUCE, 241);
   _actionMap[819][RB] = ActionEntry(REDUCE, 241);
   _actionMap[819][SEMICOLON] = ActionEntry(REDUCE, 241);
   _actionMap[819][KSEP] = ActionEntry(REDUCE, 241);
   _jumpMap[819][DefaultOrderOpt] = 809;
   _jumpMap[819][OrderingOpt] = 822;
   _actionMap[820][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[820][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[820][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[820][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[820][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[820][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[820][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[820][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[820][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[820][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[820][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[820][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[820][LEFT] = ActionEntry(SHIFT, 115);
}
void Cego::loadParser1()
{
   _actionMap[820][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[820][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[820][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[820][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[820][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[820][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[820][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[820][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[820][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[820][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[820][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[820][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[820][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[820][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[820][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[820][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[820][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[820][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[820][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[820][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[820][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[820][LB] = ActionEntry(SHIFT, 141);
   _actionMap[820][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[820][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[820][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[820][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[820][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[820][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[820][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[820][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[820][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[820][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[820][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[820][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[820][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[820][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[820][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[820][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[820][ObjSpec] = 99;
   _jumpMap[820][Constant] = 98;
   _jumpMap[820][SignedFloat] = 97;
   _jumpMap[820][SignedInt] = 96;
   _jumpMap[820][Attribute] = 95;
   _jumpMap[820][Function] = 94;
   _jumpMap[820][CasePrepare] = 93;
   _jumpMap[820][CaseClause] = 92;
   _jumpMap[820][Factor] = 91;
   _jumpMap[820][Term] = 90;
   _jumpMap[820][Expr] = 823;
   _actionMap[805][REFERENCES] = ActionEntry(SHIFT, 817);
}
void Cego::loadParser2()
{
   _actionMap[806][ELSE] = ActionEntry(REDUCE, 115);
   _actionMap[806][ELSIF] = ActionEntry(REDUCE, 115);
   _actionMap[806][EXCEPTION] = ActionEntry(REDUCE, 115);
   _actionMap[806][END_TOKEN] = ActionEntry(REDUCE, 115);
   _actionMap[806][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[806][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[806][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[806][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[806][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[806][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[806][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[806][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[806][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[806][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[806][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[806][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[806][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[806][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[806][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[806][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[806][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[806][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[806][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[806][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[806][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[806][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[806][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[806][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[806][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[806][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[806][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[806][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[806][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[806][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[806][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[806][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[806][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[806][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[806][LB] = ActionEntry(SHIFT, 141);
   _actionMap[806][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[806][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[806][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[806][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[806][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[806][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[806][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[806][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[806][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[806][VARREF] = ActionEntry(SHIFT, 341);
   _actionMap[806][FETCH] = ActionEntry(SHIFT, 112);
}
void Cego::loadParser3()
{
   _actionMap[806][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[806][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[806][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[806][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[806][MAX] = ActionEntry(SHIFT, 120);
   _actionMap[806][IF] = ActionEntry(SHIFT, 336);
   _actionMap[806][BEGIN] = ActionEntry(SHIFT, 333);
   _actionMap[806][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[806][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[806][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[806][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[806][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[806][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[806][VAR] = ActionEntry(SHIFT, 339);
   _actionMap[806][CURSOR] = ActionEntry(SHIFT, 335);
   _actionMap[806][CLOSE] = ActionEntry(SHIFT, 334);
   _actionMap[806][NOOP] = ActionEntry(SHIFT, 337);
   _actionMap[806][RETURNTOKEN] = ActionEntry(SHIFT, 338);
   _actionMap[806][WHILE] = ActionEntry(SHIFT, 340);
   _jumpMap[806][ObjSpec] = 99;
   _jumpMap[806][Constant] = 98;
   _jumpMap[806][SignedFloat] = 97;
   _jumpMap[806][SignedInt] = 96;
   _jumpMap[806][Attribute] = 95;
   _jumpMap[806][Function] = 94;
   _jumpMap[806][DeleteStatement] = 332;
   _jumpMap[806][UpdateStatement] = 331;
   _jumpMap[806][InsertStatement] = 330;
   _jumpMap[806][RollbackStatement] = 329;
   _jumpMap[806][CommitStatement] = 328;
   _jumpMap[806][StartStatement] = 327;
   _jumpMap[806][CasePrepare] = 93;
   _jumpMap[806][CaseClause] = 92;
   _jumpMap[806][Factor] = 91;
   _jumpMap[806][Term] = 90;
   _jumpMap[806][Expr] = 326;
   _jumpMap[806][ProcStatement] = 455;
   _jumpMap[806][ProcIfPart] = 324;
   _jumpMap[806][ProcBlockStart] = 323;
   _actionMap[807][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[807][SelectStatement] = 818;
   _actionMap[808][ROWLIMIT] = ActionEntry(REDUCE, 237);
   _actionMap[808][UNION] = ActionEntry(REDUCE, 237);
   _actionMap[808][ENDTOKEN] = ActionEntry(REDUCE, 237);
   _actionMap[808][RB] = ActionEntry(REDUCE, 237);
   _actionMap[808][SEMICOLON] = ActionEntry(REDUCE, 237);
   _actionMap[808][KSEP] = ActionEntry(REDUCE, 237);
   _actionMap[809][ROWLIMIT] = ActionEntry(REDUCE, 238);
   _actionMap[809][UNION] = ActionEntry(REDUCE, 238);
   _actionMap[809][ENDTOKEN] = ActionEntry(REDUCE, 238);
}
void Cego::loadParser4()
{
   _actionMap[809][RB] = ActionEntry(REDUCE, 238);
   _actionMap[809][SEMICOLON] = ActionEntry(REDUCE, 238);
   _actionMap[809][KSEP] = ActionEntry(REDUCE, 238);
   _actionMap[810][ROWLIMIT] = ActionEntry(REDUCE, 240);
   _actionMap[810][UNION] = ActionEntry(REDUCE, 240);
   _actionMap[810][ENDTOKEN] = ActionEntry(REDUCE, 240);
   _actionMap[810][RB] = ActionEntry(REDUCE, 240);
   _actionMap[810][SEMICOLON] = ActionEntry(REDUCE, 240);
   _actionMap[810][KSEP] = ActionEntry(REDUCE, 240);
   _actionMap[811][ROWLIMIT] = ActionEntry(REDUCE, 239);
   _actionMap[811][UNION] = ActionEntry(REDUCE, 239);
   _actionMap[811][ENDTOKEN] = ActionEntry(REDUCE, 239);
   _actionMap[811][RB] = ActionEntry(REDUCE, 239);
   _actionMap[811][SEMICOLON] = ActionEntry(REDUCE, 239);
   _actionMap[811][KSEP] = ActionEntry(REDUCE, 239);
   _actionMap[812][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[812][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[812][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[812][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[812][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[812][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[812][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[812][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[812][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[812][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[812][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[812][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[812][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[812][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[812][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[812][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[812][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[812][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[812][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[812][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[812][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[812][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[812][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[812][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[812][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[812][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[812][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[812][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[812][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[812][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[812][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[812][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[812][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[812][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[812][LB] = ActionEntry(SHIFT, 141);
}
void Cego::loadParser5()
{
   _actionMap[812][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[812][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[812][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[812][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[812][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[812][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[812][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[812][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[812][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[812][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[812][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[812][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[812][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[812][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[812][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[812][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[812][ObjSpec] = 99;
   _jumpMap[812][Constant] = 98;
   _jumpMap[812][SignedFloat] = 97;
   _jumpMap[812][SignedInt] = 96;
   _jumpMap[812][Attribute] = 95;
   _jumpMap[812][Function] = 94;
   _jumpMap[812][CasePrepare] = 93;
   _jumpMap[812][CaseClause] = 92;
   _jumpMap[812][Factor] = 91;
   _jumpMap[812][Term] = 90;
   _jumpMap[812][Expr] = 819;
   _actionMap[813][PLUS] = ActionEntry(SHIFT, 225);
   _actionMap[813][MINUS] = ActionEntry(SHIFT, 224);
   _actionMap[813][CONCAT] = ActionEntry(SHIFT, 223);
   _actionMap[813][EQU] = ActionEntry(SHIFT, 500);
   _actionMap[813][NEGATION] = ActionEntry(SHIFT, 503);
   _actionMap[813][LT] = ActionEntry(SHIFT, 501);
   _actionMap[813][MT] = ActionEntry(SHIFT, 502);
   _jumpMap[813][Comparison] = 820;
   _actionMap[814][KSEP] = ActionEntry(REDUCE, 228);
   _actionMap[814][HAVING] = ActionEntry(REDUCE, 228);
   _actionMap[814][ORDER] = ActionEntry(REDUCE, 228);
   _actionMap[814][ROWLIMIT] = ActionEntry(REDUCE, 228);
   _actionMap[814][UNION] = ActionEntry(REDUCE, 228);
   _actionMap[814][ENDTOKEN] = ActionEntry(REDUCE, 228);
   _actionMap[814][RB] = ActionEntry(REDUCE, 228);
   _actionMap[814][SEMICOLON] = ActionEntry(REDUCE, 228);
   _actionMap[815][AND] = ActionEntry(SHIFT, 504);
   _actionMap[815][OR] = ActionEntry(SHIFT, 505);
   _actionMap[815][LEFT] = ActionEntry(REDUCE, 213);
   _actionMap[815][RIGHT] = ActionEntry(REDUCE, 213);
   _actionMap[815][INNER] = ActionEntry(REDUCE, 213);
   _actionMap[815][JOIN] = ActionEntry(REDUCE, 213);
   _actionMap[815][RETURNTOKEN] = ActionEntry(REDUCE, 213);
}
void Cego::loadParser6()
{
   _actionMap[815][SEMICOLON] = ActionEntry(REDUCE, 213);
   _actionMap[815][RB] = ActionEntry(REDUCE, 213);
   _actionMap[815][ENDTOKEN] = ActionEntry(REDUCE, 213);
   _actionMap[815][UNION] = ActionEntry(REDUCE, 213);
   _actionMap[815][ROWLIMIT] = ActionEntry(REDUCE, 213);
   _actionMap[815][ORDER] = ActionEntry(REDUCE, 213);
   _actionMap[815][GROUP] = ActionEntry(REDUCE, 213);
   _actionMap[815][WHERE] = ActionEntry(REDUCE, 213);
   _actionMap[816][AND] = ActionEntry(SHIFT, 504);
   _actionMap[816][OR] = ActionEntry(SHIFT, 505);
   _actionMap[816][LEFT] = ActionEntry(REDUCE, 214);
   _actionMap[816][RIGHT] = ActionEntry(REDUCE, 214);
   _actionMap[816][INNER] = ActionEntry(REDUCE, 214);
   _actionMap[816][JOIN] = ActionEntry(REDUCE, 214);
   _actionMap[816][RETURNTOKEN] = ActionEntry(REDUCE, 214);
   _actionMap[816][SEMICOLON] = ActionEntry(REDUCE, 214);
   _actionMap[816][RB] = ActionEntry(REDUCE, 214);
   _actionMap[816][ENDTOKEN] = ActionEntry(REDUCE, 214);
   _actionMap[816][UNION] = ActionEntry(REDUCE, 214);
   _actionMap[816][ROWLIMIT] = ActionEntry(REDUCE, 214);
   _actionMap[816][ORDER] = ActionEntry(REDUCE, 214);
   _actionMap[816][GROUP] = ActionEntry(REDUCE, 214);
   _actionMap[816][WHERE] = ActionEntry(REDUCE, 214);
   _actionMap[782][RB] = ActionEntry(SHIFT, 805);
   _actionMap[783][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[783][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[783][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[783][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[783][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[783][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[783][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[783][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[783][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[783][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[783][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[783][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[783][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[783][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[783][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[783][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[783][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[783][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[783][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[783][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[783][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[783][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[783][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[783][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[783][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[783][POWER] = ActionEntry(SHIFT, 124);
}
void Cego::loadParser7()
{
   _actionMap[783][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[783][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[783][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[783][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[783][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[783][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[783][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[783][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[783][LB] = ActionEntry(SHIFT, 141);
   _actionMap[783][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[783][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[783][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[783][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[783][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[783][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[783][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[783][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[783][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[783][VARREF] = ActionEntry(SHIFT, 341);
   _actionMap[783][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[783][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[783][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[783][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[783][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[783][MAX] = ActionEntry(SHIFT, 120);
   _actionMap[783][IF] = ActionEntry(SHIFT, 336);
   _actionMap[783][BEGIN] = ActionEntry(SHIFT, 333);
   _actionMap[783][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[783][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[783][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[783][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[783][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[783][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[783][VAR] = ActionEntry(SHIFT, 339);
   _actionMap[783][CURSOR] = ActionEntry(SHIFT, 335);
   _actionMap[783][CLOSE] = ActionEntry(SHIFT, 334);
   _actionMap[783][NOOP] = ActionEntry(SHIFT, 337);
   _actionMap[783][RETURNTOKEN] = ActionEntry(SHIFT, 338);
   _actionMap[783][WHILE] = ActionEntry(SHIFT, 340);
   _jumpMap[783][ObjSpec] = 99;
   _jumpMap[783][Constant] = 98;
   _jumpMap[783][SignedFloat] = 97;
   _jumpMap[783][SignedInt] = 96;
   _jumpMap[783][Attribute] = 95;
   _jumpMap[783][Function] = 94;
   _jumpMap[783][DeleteStatement] = 332;
   _jumpMap[783][UpdateStatement] = 331;
   _jumpMap[783][InsertStatement] = 330;
   _jumpMap[783][RollbackStatement] = 329;
   _jumpMap[783][CommitStatement] = 328;
}
void Cego::loadParser8()
{
   _jumpMap[783][StartStatement] = 327;
   _jumpMap[783][CasePrepare] = 93;
   _jumpMap[783][CaseClause] = 92;
   _jumpMap[783][Factor] = 91;
   _jumpMap[783][Term] = 90;
   _jumpMap[783][Expr] = 326;
   _jumpMap[783][ProcStatement] = 325;
   _jumpMap[783][ProcIfPart] = 324;
   _jumpMap[783][ProcBlockStart] = 323;
   _jumpMap[783][ProcStatementList] = 806;
   _actionMap[784][BEGIN] = ActionEntry(REDUCE, 326);
   _actionMap[784][DEFAULT] = ActionEntry(REDUCE, 326);
   _actionMap[784][NULLTOKEN] = ActionEntry(REDUCE, 326);
   _actionMap[784][NOT] = ActionEntry(REDUCE, 326);
   _actionMap[784][KSEP] = ActionEntry(REDUCE, 326);
   _actionMap[784][RB] = ActionEntry(REDUCE, 326);
   _actionMap[784][EQU] = ActionEntry(REDUCE, 326);
   _actionMap[784][SEMICOLON] = ActionEntry(REDUCE, 326);
   _actionMap[785][BEGIN] = ActionEntry(REDUCE, 331);
   _actionMap[785][DEFAULT] = ActionEntry(REDUCE, 331);
   _actionMap[785][NULLTOKEN] = ActionEntry(REDUCE, 331);
   _actionMap[785][NOT] = ActionEntry(REDUCE, 331);
   _actionMap[785][KSEP] = ActionEntry(REDUCE, 331);
   _actionMap[785][RB] = ActionEntry(REDUCE, 331);
   _actionMap[785][EQU] = ActionEntry(REDUCE, 331);
   _actionMap[785][SEMICOLON] = ActionEntry(REDUCE, 331);
   _actionMap[786][BEGIN] = ActionEntry(REDUCE, 332);
   _actionMap[786][DEFAULT] = ActionEntry(REDUCE, 332);
   _actionMap[786][NULLTOKEN] = ActionEntry(REDUCE, 332);
   _actionMap[786][NOT] = ActionEntry(REDUCE, 332);
   _actionMap[786][KSEP] = ActionEntry(REDUCE, 332);
   _actionMap[786][RB] = ActionEntry(REDUCE, 332);
   _actionMap[786][EQU] = ActionEntry(REDUCE, 332);
   _actionMap[786][SEMICOLON] = ActionEntry(REDUCE, 332);
   _actionMap[787][BEGIN] = ActionEntry(REDUCE, 323);
   _actionMap[787][DEFAULT] = ActionEntry(REDUCE, 323);
   _actionMap[787][NULLTOKEN] = ActionEntry(REDUCE, 323);
   _actionMap[787][NOT] = ActionEntry(REDUCE, 323);
   _actionMap[787][KSEP] = ActionEntry(REDUCE, 323);
   _actionMap[787][RB] = ActionEntry(REDUCE, 323);
   _actionMap[787][EQU] = ActionEntry(REDUCE, 323);
   _actionMap[787][SEMICOLON] = ActionEntry(REDUCE, 323);
   _actionMap[788][SEMICOLON] = ActionEntry(REDUCE, 57);
   _actionMap[789][RB] = ActionEntry(REDUCE, 180);
   _actionMap[790][SEMICOLON] = ActionEntry(REDUCE, 174);
   _actionMap[790][KSEP] = ActionEntry(REDUCE, 174);
   _actionMap[790][RB] = ActionEntry(REDUCE, 174);
   _actionMap[791][LEFT] = ActionEntry(REDUCE, 312);
   _actionMap[791][RIGHT] = ActionEntry(REDUCE, 312);
   _actionMap[791][INNER] = ActionEntry(REDUCE, 312);
}
void Cego::loadParser9()
{
   _actionMap[791][JOIN] = ActionEntry(REDUCE, 312);
   _actionMap[791][RETURNTOKEN] = ActionEntry(REDUCE, 312);
   _actionMap[791][SEMICOLON] = ActionEntry(REDUCE, 312);
   _actionMap[791][ENDTOKEN] = ActionEntry(REDUCE, 312);
   _actionMap[791][UNION] = ActionEntry(REDUCE, 312);
   _actionMap[791][ROWLIMIT] = ActionEntry(REDUCE, 312);
   _actionMap[791][ORDER] = ActionEntry(REDUCE, 312);
   _actionMap[791][GROUP] = ActionEntry(REDUCE, 312);
   _actionMap[791][WHERE] = ActionEntry(REDUCE, 312);
   _actionMap[791][THEN] = ActionEntry(REDUCE, 312);
   _actionMap[791][AND] = ActionEntry(REDUCE, 312);
   _actionMap[791][OR] = ActionEntry(REDUCE, 312);
   _actionMap[791][RB] = ActionEntry(REDUCE, 312);
   _actionMap[792][SEMICOLON] = ActionEntry(REDUCE, 202);
   _actionMap[792][RB] = ActionEntry(REDUCE, 202);
   _actionMap[793][ALL] = ActionEntry(SHIFT, 807);
   _actionMap[794][UNION] = ActionEntry(REDUCE, 244);
   _actionMap[794][ENDTOKEN] = ActionEntry(REDUCE, 244);
   _actionMap[794][RB] = ActionEntry(REDUCE, 244);
   _actionMap[794][SEMICOLON] = ActionEntry(REDUCE, 244);
   _actionMap[795][PLUS] = ActionEntry(SHIFT, 225);
   _actionMap[795][MINUS] = ActionEntry(SHIFT, 224);
   _actionMap[795][CONCAT] = ActionEntry(SHIFT, 223);
   _actionMap[795][ASC] = ActionEntry(SHIFT, 810);
   _actionMap[795][ROWLIMIT] = ActionEntry(REDUCE, 241);
   _actionMap[795][DESC] = ActionEntry(SHIFT, 811);
   _actionMap[795][UNION] = ActionEntry(REDUCE, 241);
   _actionMap[795][ENDTOKEN] = ActionEntry(REDUCE, 241);
   _actionMap[795][RB] = ActionEntry(REDUCE, 241);
   _actionMap[795][SEMICOLON] = ActionEntry(REDUCE, 241);
   _actionMap[795][KSEP] = ActionEntry(REDUCE, 241);
   _jumpMap[795][DefaultOrderOpt] = 809;
   _jumpMap[795][OrderingOpt] = 808;
   _actionMap[796][KSEP] = ActionEntry(SHIFT, 812);
   _actionMap[796][ROWLIMIT] = ActionEntry(REDUCE, 233);
   _actionMap[796][UNION] = ActionEntry(REDUCE, 233);
   _actionMap[796][ENDTOKEN] = ActionEntry(REDUCE, 233);
   _actionMap[796][RB] = ActionEntry(REDUCE, 233);
   _actionMap[796][SEMICOLON] = ActionEntry(REDUCE, 233);
   _actionMap[797][ORDER] = ActionEntry(REDUCE, 225);
   _actionMap[797][ROWLIMIT] = ActionEntry(REDUCE, 225);
   _actionMap[797][UNION] = ActionEntry(REDUCE, 225);
   _actionMap[797][ENDTOKEN] = ActionEntry(REDUCE, 225);
   _actionMap[797][RB] = ActionEntry(REDUCE, 225);
   _actionMap[797][SEMICOLON] = ActionEntry(REDUCE, 225);
   _actionMap[798][ORDER] = ActionEntry(REDUCE, 231);
   _actionMap[798][ROWLIMIT] = ActionEntry(REDUCE, 231);
   _actionMap[798][UNION] = ActionEntry(REDUCE, 231);
   _actionMap[798][ENDTOKEN] = ActionEntry(REDUCE, 231);
   _actionMap[798][RB] = ActionEntry(REDUCE, 231);
}
void Cego::loadParser10()
{
   _actionMap[798][SEMICOLON] = ActionEntry(REDUCE, 231);
   _actionMap[799][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[799][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[799][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[799][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[799][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[799][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[799][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[799][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[799][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[799][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[799][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[799][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[799][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[799][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[799][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[799][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[799][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[799][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[799][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[799][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[799][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[799][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[799][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[799][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[799][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[799][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[799][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[799][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[799][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[799][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[799][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[799][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[799][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[799][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[799][LB] = ActionEntry(SHIFT, 141);
   _actionMap[799][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[799][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[799][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[799][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[799][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[799][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[799][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[799][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[799][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[799][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[799][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[799][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[799][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[799][AVG] = ActionEntry(SHIFT, 101);
}
void Cego::loadParser11()
{
   _actionMap[799][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[799][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[799][ObjSpec] = 99;
   _jumpMap[799][Constant] = 98;
   _jumpMap[799][SignedFloat] = 97;
   _jumpMap[799][SignedInt] = 96;
   _jumpMap[799][Attribute] = 95;
   _jumpMap[799][Function] = 94;
   _jumpMap[799][CasePrepare] = 93;
   _jumpMap[799][CaseClause] = 92;
   _jumpMap[799][Factor] = 91;
   _jumpMap[799][Term] = 90;
   _jumpMap[799][Expr] = 813;
   _actionMap[800][IDENTIFIER] = ActionEntry(SHIFT, 775);
   _actionMap[800][QUALIFIEDOBJ] = ActionEntry(SHIFT, 776);
   _actionMap[800][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _jumpMap[800][Attribute] = 814;
   _actionMap[801][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[801][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[801][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[801][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[801][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[801][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[801][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[801][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[801][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[801][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[801][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[801][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[801][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[801][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[801][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[801][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[801][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[801][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[801][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[801][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[801][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[801][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[801][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[801][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[801][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[801][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[801][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[801][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[801][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[801][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[801][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[801][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[801][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
}
void Cego::loadParser12()
{
   _actionMap[801][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[801][LB] = ActionEntry(SHIFT, 371);
   _actionMap[801][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[801][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[801][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[801][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[801][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[801][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[801][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[801][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[801][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[801][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[801][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[801][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[801][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[801][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[801][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[801][MAX] = ActionEntry(SHIFT, 120);
   _actionMap[801][EXISTS] = ActionEntry(SHIFT, 369);
   _actionMap[801][NOT] = ActionEntry(SHIFT, 370);
   _jumpMap[801][ObjSpec] = 99;
   _jumpMap[801][Constant] = 98;
   _jumpMap[801][SignedFloat] = 97;
   _jumpMap[801][SignedInt] = 96;
   _jumpMap[801][Attribute] = 95;
   _jumpMap[801][QueryPredicate] = 368;
   _jumpMap[801][QueryCondition] = 815;
   _jumpMap[801][Function] = 94;
   _jumpMap[801][CasePrepare] = 93;
   _jumpMap[801][CaseClause] = 92;
   _jumpMap[801][Factor] = 91;
   _jumpMap[801][Term] = 90;
   _jumpMap[801][Expr] = 366;
   _actionMap[802][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[802][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[802][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[802][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[802][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[802][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[802][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[802][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[802][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[802][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[802][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[802][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[802][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[802][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[802][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[802][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[802][REPLACE] = ActionEntry(SHIFT, 127);
}
void Cego::loadParser13()
{
   _actionMap[802][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[802][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[802][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[802][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[802][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[802][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[802][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[802][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[802][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[802][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[802][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[802][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[802][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[802][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[802][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[802][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[802][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[802][LB] = ActionEntry(SHIFT, 371);
   _actionMap[802][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[802][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[802][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[802][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[802][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[802][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[802][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[802][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[802][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[802][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[802][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[802][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[802][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[802][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[802][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[802][MAX] = ActionEntry(SHIFT, 120);
   _actionMap[802][EXISTS] = ActionEntry(SHIFT, 369);
   _actionMap[802][NOT] = ActionEntry(SHIFT, 370);
   _jumpMap[802][ObjSpec] = 99;
   _jumpMap[802][Constant] = 98;
   _jumpMap[802][SignedFloat] = 97;
   _jumpMap[802][SignedInt] = 96;
   _jumpMap[802][Attribute] = 95;
   _jumpMap[802][QueryPredicate] = 368;
   _jumpMap[802][QueryCondition] = 816;
   _jumpMap[802][Function] = 94;
   _jumpMap[802][CasePrepare] = 93;
   _jumpMap[802][CaseClause] = 92;
   _jumpMap[802][Factor] = 91;
   _jumpMap[802][Term] = 90;
   _jumpMap[802][Expr] = 366;
   _actionMap[803][SEMICOLON] = ActionEntry(REDUCE, 253);
}
void Cego::loadParser14()
{
   _actionMap[803][KSEP] = ActionEntry(REDUCE, 253);
   _actionMap[804][PLUS] = ActionEntry(SHIFT, 225);
   _actionMap[804][MINUS] = ActionEntry(SHIFT, 224);
   _actionMap[804][CONCAT] = ActionEntry(SHIFT, 223);
   _actionMap[804][SEMICOLON] = ActionEntry(REDUCE, 255);
   _actionMap[804][KSEP] = ActionEntry(REDUCE, 255);
   _actionMap[742][AND] = ActionEntry(SHIFT, 504);
   _actionMap[742][OR] = ActionEntry(SHIFT, 505);
   _actionMap[742][SEMICOLON] = ActionEntry(REDUCE, 68);
   _actionMap[743][IDENTIFIER] = ActionEntry(SHIFT, 708);
   _jumpMap[743][SimpleAttr] = 707;
   _jumpMap[743][SimpleAttrList] = 782;
   _actionMap[744][SEMICOLON] = ActionEntry(REDUCE, 265);
   _actionMap[744][KSEP] = ActionEntry(REDUCE, 265);
   _actionMap[745][THEN] = ActionEntry(SHIFT, 783);
   _actionMap[746][THEN] = ActionEntry(REDUCE, 120);
   _actionMap[747][END_TOKEN] = ActionEntry(REDUCE, 125);
   _actionMap[747][ELSE] = ActionEntry(REDUCE, 125);
   _actionMap[747][ELSIF] = ActionEntry(REDUCE, 125);
   _actionMap[748][BEGIN] = ActionEntry(REDUCE, 139);
   _actionMap[748][THEN] = ActionEntry(REDUCE, 139);
   _actionMap[748][OR] = ActionEntry(REDUCE, 139);
   _actionMap[748][AND] = ActionEntry(REDUCE, 139);
   _actionMap[748][RB] = ActionEntry(REDUCE, 139);
   _actionMap[749][PLUS] = ActionEntry(SHIFT, 225);
   _actionMap[749][MINUS] = ActionEntry(SHIFT, 224);
   _actionMap[749][CONCAT] = ActionEntry(SHIFT, 223);
   _actionMap[749][SEMICOLON] = ActionEntry(REDUCE, 100);
   _actionMap[750][RB] = ActionEntry(SHIFT, 784);
   _actionMap[751][RB] = ActionEntry(SHIFT, 785);
   _actionMap[752][RB] = ActionEntry(SHIFT, 786);
   _actionMap[753][RB] = ActionEntry(SHIFT, 787);
   _actionMap[754][SEMICOLON] = ActionEntry(REDUCE, 131);
   _actionMap[755][RB] = ActionEntry(SHIFT, 788);
   _actionMap[756][SEMICOLON] = ActionEntry(REDUCE, 56);
   _actionMap[757][IDENTIFIER] = ActionEntry(SHIFT, 708);
   _jumpMap[757][SimpleAttr] = 707;
   _jumpMap[757][SimpleAttrList] = 789;
   _actionMap[758][SEMICOLON] = ActionEntry(REDUCE, 172);
   _actionMap[758][KSEP] = ActionEntry(REDUCE, 172);
   _actionMap[758][RB] = ActionEntry(REDUCE, 172);
   _actionMap[759][SEMICOLON] = ActionEntry(REDUCE, 175);
   _actionMap[759][KSEP] = ActionEntry(REDUCE, 175);
   _actionMap[759][RB] = ActionEntry(REDUCE, 175);
   _actionMap[760][NULLTOKEN] = ActionEntry(SHIFT, 790);
   _actionMap[761][SEMICOLON] = ActionEntry(REDUCE, 173);
   _actionMap[761][KSEP] = ActionEntry(REDUCE, 173);
   _actionMap[761][RB] = ActionEntry(REDUCE, 173);
   _actionMap[762][NULLTOKEN] = ActionEntry(REDUCE, 177);
   _actionMap[762][NOT] = ActionEntry(REDUCE, 177);
}
void Cego::loadParser15()
{
   _actionMap[762][KSEP] = ActionEntry(REDUCE, 177);
   _actionMap[762][SEMICOLON] = ActionEntry(REDUCE, 177);
   _actionMap[762][RB] = ActionEntry(REDUCE, 177);
   _actionMap[763][LONG] = ActionEntry(SHIFT, 273);
   _actionMap[763][BIGINT] = ActionEntry(SHIFT, 269);
   _actionMap[763][SMALLINT] = ActionEntry(SHIFT, 274);
   _actionMap[763][TINYINT] = ActionEntry(SHIFT, 275);
   _actionMap[763][DOUBLE] = ActionEntry(SHIFT, 271);
   _actionMap[763][DECIMAL] = ActionEntry(SHIFT, 270);
   _actionMap[763][FIXED] = ActionEntry(SHIFT, 272);
   _actionMap[764][PLUS] = ActionEntry(SHIFT, 225);
   _actionMap[764][MINUS] = ActionEntry(SHIFT, 224);
   _actionMap[764][CONCAT] = ActionEntry(SHIFT, 223);
   _actionMap[764][KSEP] = ActionEntry(REDUCE, 200);
   _actionMap[764][RB] = ActionEntry(REDUCE, 200);
   _actionMap[765][PLUS] = ActionEntry(SHIFT, 225);
   _actionMap[765][MINUS] = ActionEntry(SHIFT, 224);
   _actionMap[765][CONCAT] = ActionEntry(SHIFT, 223);
   _actionMap[765][LEFT] = ActionEntry(REDUCE, 314);
   _actionMap[765][RIGHT] = ActionEntry(REDUCE, 314);
   _actionMap[765][INNER] = ActionEntry(REDUCE, 314);
   _actionMap[765][JOIN] = ActionEntry(REDUCE, 314);
   _actionMap[765][RETURNTOKEN] = ActionEntry(REDUCE, 314);
   _actionMap[765][SEMICOLON] = ActionEntry(REDUCE, 314);
   _actionMap[765][ENDTOKEN] = ActionEntry(REDUCE, 314);
   _actionMap[765][UNION] = ActionEntry(REDUCE, 314);
   _actionMap[765][ROWLIMIT] = ActionEntry(REDUCE, 314);
   _actionMap[765][ORDER] = ActionEntry(REDUCE, 314);
   _actionMap[765][GROUP] = ActionEntry(REDUCE, 314);
   _actionMap[765][WHERE] = ActionEntry(REDUCE, 314);
   _actionMap[765][THEN] = ActionEntry(REDUCE, 314);
   _actionMap[765][AND] = ActionEntry(REDUCE, 314);
   _actionMap[765][OR] = ActionEntry(REDUCE, 314);
   _actionMap[765][RB] = ActionEntry(REDUCE, 314);
   _actionMap[766][LEFT] = ActionEntry(REDUCE, 311);
   _actionMap[766][RIGHT] = ActionEntry(REDUCE, 311);
   _actionMap[766][INNER] = ActionEntry(REDUCE, 311);
   _actionMap[766][JOIN] = ActionEntry(REDUCE, 311);
   _actionMap[766][RETURNTOKEN] = ActionEntry(REDUCE, 311);
   _actionMap[766][SEMICOLON] = ActionEntry(REDUCE, 311);
   _actionMap[766][ENDTOKEN] = ActionEntry(REDUCE, 311);
   _actionMap[766][UNION] = ActionEntry(REDUCE, 311);
   _actionMap[766][ROWLIMIT] = ActionEntry(REDUCE, 311);
   _actionMap[766][ORDER] = ActionEntry(REDUCE, 311);
   _actionMap[766][GROUP] = ActionEntry(REDUCE, 311);
   _actionMap[766][WHERE] = ActionEntry(REDUCE, 311);
   _actionMap[766][THEN] = ActionEntry(REDUCE, 311);
   _actionMap[766][AND] = ActionEntry(REDUCE, 311);
   _actionMap[766][OR] = ActionEntry(REDUCE, 311);
   _actionMap[766][RB] = ActionEntry(REDUCE, 311);
}
void Cego::loadParser16()
{
   _actionMap[767][RB] = ActionEntry(SHIFT, 791);
   _actionMap[768][KSEP] = ActionEntry(REDUCE, 166);
   _actionMap[768][RB] = ActionEntry(REDUCE, 166);
   _actionMap[769][UNION] = ActionEntry(SHIFT, 793);
   _actionMap[769][SEMICOLON] = ActionEntry(REDUCE, 80);
   _actionMap[769][RB] = ActionEntry(REDUCE, 80);
   _jumpMap[769][UnionAllOpt] = 792;
   _actionMap[770][UNION] = ActionEntry(REDUCE, 245);
   _actionMap[770][ENDTOKEN] = ActionEntry(REDUCE, 245);
   _actionMap[770][RB] = ActionEntry(REDUCE, 245);
   _actionMap[770][SEMICOLON] = ActionEntry(REDUCE, 245);
   _actionMap[771][INTVAL] = ActionEntry(SHIFT, 794);
   _actionMap[772][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[772][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[772][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[772][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[772][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[772][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[772][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[772][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[772][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[772][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[772][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[772][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[772][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[772][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[772][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[772][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[772][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[772][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[772][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[772][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[772][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[772][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[772][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[772][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[772][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[772][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[772][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[772][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[772][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[772][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[772][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[772][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[772][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[772][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[772][LB] = ActionEntry(SHIFT, 141);
   _actionMap[772][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[772][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[772][SYSDATE] = ActionEntry(SHIFT, 134);
}
void Cego::loadParser17()
{
   _actionMap[772][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[772][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[772][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[772][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[772][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[772][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[772][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[772][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[772][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[772][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[772][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[772][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[772][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[772][ObjSpec] = 99;
   _jumpMap[772][Constant] = 98;
   _jumpMap[772][SignedFloat] = 97;
   _jumpMap[772][SignedInt] = 96;
   _jumpMap[772][Attribute] = 95;
   _jumpMap[772][Function] = 94;
   _jumpMap[772][OrderingList] = 796;
   _jumpMap[772][CasePrepare] = 93;
   _jumpMap[772][CaseClause] = 92;
   _jumpMap[772][Factor] = 91;
   _jumpMap[772][Term] = 90;
   _jumpMap[772][Expr] = 795;
   _actionMap[773][KSEP] = ActionEntry(SHIFT, 800);
   _actionMap[773][ORDER] = ActionEntry(REDUCE, 232);
   _actionMap[773][HAVING] = ActionEntry(SHIFT, 799);
   _actionMap[773][ROWLIMIT] = ActionEntry(REDUCE, 232);
   _actionMap[773][UNION] = ActionEntry(REDUCE, 232);
   _actionMap[773][ENDTOKEN] = ActionEntry(REDUCE, 232);
   _actionMap[773][RB] = ActionEntry(REDUCE, 232);
   _actionMap[773][SEMICOLON] = ActionEntry(REDUCE, 232);
   _jumpMap[773][NoHaving] = 798;
   _jumpMap[773][HavingClause] = 797;
   _actionMap[774][KSEP] = ActionEntry(REDUCE, 229);
   _actionMap[774][HAVING] = ActionEntry(REDUCE, 229);
   _actionMap[774][ORDER] = ActionEntry(REDUCE, 229);
   _actionMap[774][ROWLIMIT] = ActionEntry(REDUCE, 229);
   _actionMap[774][UNION] = ActionEntry(REDUCE, 229);
   _actionMap[774][ENDTOKEN] = ActionEntry(REDUCE, 229);
   _actionMap[774][RB] = ActionEntry(REDUCE, 229);
   _actionMap[774][SEMICOLON] = ActionEntry(REDUCE, 229);
   _actionMap[775][KSEP] = ActionEntry(REDUCE, 340);
   _actionMap[775][HAVING] = ActionEntry(REDUCE, 340);
   _actionMap[775][ORDER] = ActionEntry(REDUCE, 340);
   _actionMap[775][ROWLIMIT] = ActionEntry(REDUCE, 340);
   _actionMap[775][UNION] = ActionEntry(REDUCE, 340);
   _actionMap[775][ENDTOKEN] = ActionEntry(REDUCE, 340);
   _actionMap[775][RB] = ActionEntry(REDUCE, 340);
}
void Cego::loadParser18()
{
   _actionMap[775][SEMICOLON] = ActionEntry(REDUCE, 340);
   _actionMap[776][KSEP] = ActionEntry(REDUCE, 341);
   _actionMap[776][HAVING] = ActionEntry(REDUCE, 341);
   _actionMap[776][ORDER] = ActionEntry(REDUCE, 341);
   _actionMap[776][ROWLIMIT] = ActionEntry(REDUCE, 341);
   _actionMap[776][UNION] = ActionEntry(REDUCE, 341);
   _actionMap[776][ENDTOKEN] = ActionEntry(REDUCE, 341);
   _actionMap[776][RB] = ActionEntry(REDUCE, 341);
   _actionMap[776][SEMICOLON] = ActionEntry(REDUCE, 341);
   _actionMap[777][AND] = ActionEntry(SHIFT, 504);
   _actionMap[777][OR] = ActionEntry(SHIFT, 505);
   _actionMap[777][LEFT] = ActionEntry(REDUCE, 212);
   _actionMap[777][RIGHT] = ActionEntry(REDUCE, 212);
   _actionMap[777][INNER] = ActionEntry(REDUCE, 212);
   _actionMap[777][JOIN] = ActionEntry(REDUCE, 212);
   _actionMap[777][RETURNTOKEN] = ActionEntry(REDUCE, 212);
   _actionMap[777][SEMICOLON] = ActionEntry(REDUCE, 212);
   _actionMap[777][RB] = ActionEntry(REDUCE, 212);
   _actionMap[777][ENDTOKEN] = ActionEntry(REDUCE, 212);
   _actionMap[777][UNION] = ActionEntry(REDUCE, 212);
   _actionMap[777][ROWLIMIT] = ActionEntry(REDUCE, 212);
   _actionMap[777][ORDER] = ActionEntry(REDUCE, 212);
   _actionMap[777][GROUP] = ActionEntry(REDUCE, 212);
   _actionMap[777][WHERE] = ActionEntry(REDUCE, 212);
   _actionMap[778][ON] = ActionEntry(SHIFT, 736);
   _jumpMap[778][JoinTableOn] = 801;
   _actionMap[779][ON] = ActionEntry(SHIFT, 736);
   _jumpMap[779][JoinTableOn] = 802;
   _actionMap[780][VARREF] = ActionEntry(SHIFT, 741);
   _jumpMap[780][ReturnVar] = 803;
   _actionMap[781][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[781][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[781][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[781][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[781][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[781][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[781][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[781][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[781][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[781][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[781][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[781][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[781][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[781][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[781][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[781][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[781][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[781][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[781][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[781][STR2INT] = ActionEntry(SHIFT, 135);
}
void Cego::loadParser19()
{
   _actionMap[781][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[781][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[781][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[781][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[781][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[781][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[781][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[781][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[781][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[781][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[781][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[781][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[781][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[781][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[781][LB] = ActionEntry(SHIFT, 141);
   _actionMap[781][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[781][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[781][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[781][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[781][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[781][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[781][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[781][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[781][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[781][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[781][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[781][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[781][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[781][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[781][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[781][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[781][ObjSpec] = 99;
   _jumpMap[781][Constant] = 98;
   _jumpMap[781][SignedFloat] = 97;
   _jumpMap[781][SignedInt] = 96;
   _jumpMap[781][Attribute] = 95;
   _jumpMap[781][Function] = 94;
   _jumpMap[781][CasePrepare] = 93;
   _jumpMap[781][CaseClause] = 92;
   _jumpMap[781][Factor] = 91;
   _jumpMap[781][Term] = 90;
   _jumpMap[781][Expr] = 804;
   _actionMap[682][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[682][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[682][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[682][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[682][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[682][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[682][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[682][DATE2STR] = ActionEntry(SHIFT, 108);
}
void Cego::loadParser20()
{
   _actionMap[682][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[682][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[682][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[682][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[682][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[682][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[682][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[682][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[682][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[682][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[682][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[682][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[682][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[682][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[682][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[682][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[682][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[682][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[682][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[682][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[682][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[682][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[682][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[682][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[682][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[682][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[682][LB] = ActionEntry(SHIFT, 371);
   _actionMap[682][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[682][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[682][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[682][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[682][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[682][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[682][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[682][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[682][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[682][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[682][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[682][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[682][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[682][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[682][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[682][MAX] = ActionEntry(SHIFT, 120);
   _actionMap[682][EXISTS] = ActionEntry(SHIFT, 369);
   _actionMap[682][NOT] = ActionEntry(SHIFT, 370);
   _jumpMap[682][ObjSpec] = 99;
   _jumpMap[682][Constant] = 98;
   _jumpMap[682][SignedFloat] = 97;
   _jumpMap[682][SignedInt] = 96;
   _jumpMap[682][Attribute] = 95;
}
void Cego::loadParser21()
{
   _jumpMap[682][QueryPredicate] = 368;
   _jumpMap[682][QueryCondition] = 742;
   _jumpMap[682][Function] = 94;
   _jumpMap[682][CasePrepare] = 93;
   _jumpMap[682][CaseClause] = 92;
   _jumpMap[682][Factor] = 91;
   _jumpMap[682][Term] = 90;
   _jumpMap[682][Expr] = 366;
   _actionMap[683][LB] = ActionEntry(SHIFT, 743);
   _actionMap[684][IDENTIFIER] = ActionEntry(SHIFT, 744);
   _actionMap[685][SEMICOLON] = ActionEntry(REDUCE, 29);
   _actionMap[686][IDENTIFIER] = ActionEntry(SHIFT, 746);
   _jumpMap[686][ProcExceptionType] = 745;
   _actionMap[687][END_TOKEN] = ActionEntry(REDUCE, 126);
   _actionMap[688][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[688][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[688][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[688][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[688][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[688][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[688][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[688][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[688][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[688][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[688][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[688][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[688][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[688][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[688][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[688][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[688][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[688][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[688][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[688][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[688][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[688][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[688][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[688][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[688][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[688][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[688][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[688][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[688][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[688][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[688][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[688][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[688][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[688][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[688][LB] = ActionEntry(SHIFT, 141);
   _actionMap[688][STRINGVAL] = ActionEntry(SHIFT, 100);
}
void Cego::loadParser22()
{
   _actionMap[688][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[688][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[688][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[688][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[688][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[688][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[688][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[688][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[688][VARREF] = ActionEntry(SHIFT, 341);
   _actionMap[688][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[688][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[688][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[688][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[688][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[688][MAX] = ActionEntry(SHIFT, 120);
   _actionMap[688][IF] = ActionEntry(SHIFT, 336);
   _actionMap[688][BEGIN] = ActionEntry(SHIFT, 333);
   _actionMap[688][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[688][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[688][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[688][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[688][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[688][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[688][VAR] = ActionEntry(SHIFT, 339);
   _actionMap[688][CURSOR] = ActionEntry(SHIFT, 335);
   _actionMap[688][CLOSE] = ActionEntry(SHIFT, 334);
   _actionMap[688][NOOP] = ActionEntry(SHIFT, 337);
   _actionMap[688][RETURNTOKEN] = ActionEntry(SHIFT, 338);
   _actionMap[688][WHILE] = ActionEntry(SHIFT, 340);
   _jumpMap[688][ObjSpec] = 99;
   _jumpMap[688][Constant] = 98;
   _jumpMap[688][SignedFloat] = 97;
   _jumpMap[688][SignedInt] = 96;
   _jumpMap[688][Attribute] = 95;
   _jumpMap[688][Function] = 94;
   _jumpMap[688][DeleteStatement] = 332;
   _jumpMap[688][UpdateStatement] = 331;
   _jumpMap[688][InsertStatement] = 330;
   _jumpMap[688][RollbackStatement] = 329;
   _jumpMap[688][CommitStatement] = 328;
   _jumpMap[688][StartStatement] = 327;
   _jumpMap[688][CasePrepare] = 93;
   _jumpMap[688][CaseClause] = 92;
   _jumpMap[688][Factor] = 91;
   _jumpMap[688][Term] = 90;
   _jumpMap[688][Expr] = 326;
   _jumpMap[688][ProcStatement] = 325;
   _jumpMap[688][ProcIfPart] = 324;
   _jumpMap[688][ProcBlockStart] = 323;
   _jumpMap[688][ProcStatementList] = 322;
}
void Cego::loadParser23()
{
   _jumpMap[688][ProcStmtBlock] = 747;
   _actionMap[689][SEMICOLON] = ActionEntry(REDUCE, 95);
   _actionMap[690][END_TOKEN] = ActionEntry(REDUCE, 122);
   _actionMap[690][ELSE] = ActionEntry(REDUCE, 122);
   _actionMap[690][ELSIF] = ActionEntry(REDUCE, 122);
   _actionMap[691][BEGIN] = ActionEntry(REDUCE, 134);
   _actionMap[691][RB] = ActionEntry(REDUCE, 134);
   _actionMap[691][AND] = ActionEntry(REDUCE, 134);
   _actionMap[691][OR] = ActionEntry(REDUCE, 134);
   _actionMap[691][THEN] = ActionEntry(REDUCE, 134);
   _actionMap[692][BEGIN] = ActionEntry(REDUCE, 133);
   _actionMap[692][RB] = ActionEntry(REDUCE, 133);
   _actionMap[692][AND] = ActionEntry(REDUCE, 133);
   _actionMap[692][OR] = ActionEntry(REDUCE, 133);
   _actionMap[692][THEN] = ActionEntry(REDUCE, 133);
   _actionMap[693][PLUS] = ActionEntry(SHIFT, 225);
   _actionMap[693][MINUS] = ActionEntry(SHIFT, 224);
   _actionMap[693][CONCAT] = ActionEntry(SHIFT, 223);
   _actionMap[693][BEGIN] = ActionEntry(REDUCE, 137);
   _actionMap[693][THEN] = ActionEntry(REDUCE, 137);
   _actionMap[693][OR] = ActionEntry(REDUCE, 137);
   _actionMap[693][AND] = ActionEntry(REDUCE, 137);
   _actionMap[693][RB] = ActionEntry(REDUCE, 137);
   _actionMap[694][NULLTOKEN] = ActionEntry(SHIFT, 748);
   _actionMap[695][BEGIN] = ActionEntry(REDUCE, 138);
   _actionMap[695][THEN] = ActionEntry(REDUCE, 138);
   _actionMap[695][OR] = ActionEntry(REDUCE, 138);
   _actionMap[695][AND] = ActionEntry(REDUCE, 138);
   _actionMap[695][RB] = ActionEntry(REDUCE, 138);
   _actionMap[696][BEGIN] = ActionEntry(REDUCE, 136);
   _actionMap[696][RB] = ActionEntry(REDUCE, 136);
   _actionMap[696][AND] = ActionEntry(REDUCE, 136);
   _actionMap[696][OR] = ActionEntry(REDUCE, 136);
   _actionMap[696][THEN] = ActionEntry(REDUCE, 136);
   _actionMap[697][SEMICOLON] = ActionEntry(REDUCE, 94);
   _actionMap[698][SEMICOLON] = ActionEntry(REDUCE, 101);
   _actionMap[699][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[699][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[699][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[699][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[699][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[699][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[699][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[699][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[699][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[699][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[699][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[699][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[699][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[699][RIGHT] = ActionEntry(SHIFT, 128);
}
void Cego::loadParser24()
{
   _actionMap[699][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[699][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[699][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[699][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[699][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[699][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[699][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[699][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[699][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[699][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[699][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[699][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[699][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[699][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[699][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[699][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[699][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[699][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[699][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[699][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[699][LB] = ActionEntry(SHIFT, 141);
   _actionMap[699][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[699][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[699][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[699][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[699][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[699][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[699][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[699][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[699][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[699][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[699][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[699][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[699][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[699][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[699][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[699][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[699][ObjSpec] = 99;
   _jumpMap[699][Constant] = 98;
   _jumpMap[699][SignedFloat] = 97;
   _jumpMap[699][SignedInt] = 96;
   _jumpMap[699][Attribute] = 95;
   _jumpMap[699][Function] = 94;
   _jumpMap[699][CasePrepare] = 93;
   _jumpMap[699][CaseClause] = 92;
   _jumpMap[699][Factor] = 91;
   _jumpMap[699][Term] = 90;
   _jumpMap[699][Expr] = 749;
   _actionMap[700][INTVAL] = ActionEntry(SHIFT, 750);
   _actionMap[701][INTVAL] = ActionEntry(SHIFT, 751);
}
void Cego::loadParser25()
{
   _actionMap[702][INTVAL] = ActionEntry(SHIFT, 752);
   _actionMap[703][INTVAL] = ActionEntry(SHIFT, 753);
   _actionMap[704][END_TOKEN] = ActionEntry(SHIFT, 754);
   _actionMap[705][IDENTIFIER] = ActionEntry(SHIFT, 708);
   _jumpMap[705][SimpleAttr] = 707;
   _jumpMap[705][SimpleAttrList] = 755;
   _actionMap[706][RB] = ActionEntry(SHIFT, 756);
   _actionMap[707][KSEP] = ActionEntry(SHIFT, 757);
   _actionMap[707][RB] = ActionEntry(REDUCE, 181);
   _actionMap[708][RB] = ActionEntry(REDUCE, 182);
   _actionMap[708][KSEP] = ActionEntry(REDUCE, 182);
   _actionMap[709][KSEP] = ActionEntry(REDUCE, 87);
   _actionMap[709][RB] = ActionEntry(REDUCE, 87);
   _actionMap[710][BEGIN] = ActionEntry(REDUCE, 83);
   _actionMap[711][KSEP] = ActionEntry(REDUCE, 89);
   _actionMap[711][RB] = ActionEntry(REDUCE, 89);
   _actionMap[712][KSEP] = ActionEntry(REDUCE, 90);
   _actionMap[712][RB] = ActionEntry(REDUCE, 90);
   _actionMap[713][KSEP] = ActionEntry(REDUCE, 168);
   _actionMap[713][RB] = ActionEntry(REDUCE, 168);
   _actionMap[714][SEMICOLON] = ActionEntry(REDUCE, 176);
   _actionMap[714][NULLTOKEN] = ActionEntry(SHIFT, 761);
   _actionMap[714][NOT] = ActionEntry(SHIFT, 760);
   _actionMap[714][KSEP] = ActionEntry(REDUCE, 176);
   _actionMap[714][RB] = ActionEntry(REDUCE, 176);
   _jumpMap[714][DefaultNullOpt] = 759;
   _jumpMap[714][NullOpt] = 758;
   _actionMap[715][NULLTOKEN] = ActionEntry(REDUCE, 178);
   _actionMap[715][NOT] = ActionEntry(REDUCE, 178);
   _actionMap[715][KSEP] = ActionEntry(REDUCE, 178);
   _actionMap[715][SEMICOLON] = ActionEntry(REDUCE, 178);
   _actionMap[715][RB] = ActionEntry(REDUCE, 178);
   _actionMap[716][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[716][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[716][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[716][LB] = ActionEntry(SHIFT, 763);
   _actionMap[716][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[716][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[716][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[716][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[716][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[716][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[716][LAB] = ActionEntry(SHIFT, 142);
   _jumpMap[716][Constant] = 762;
   _jumpMap[716][SignedFloat] = 97;
   _jumpMap[716][SignedInt] = 96;
   _actionMap[717][SEMICOLON] = ActionEntry(REDUCE, 195);
   _actionMap[717][KSEP] = ActionEntry(REDUCE, 195);
   _actionMap[718][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[718][MINUS] = ActionEntry(SHIFT, 143);
}
void Cego::loadParser26()
{
   _actionMap[718][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[718][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[718][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[718][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[718][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[718][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[718][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[718][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[718][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[718][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[718][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[718][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[718][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[718][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[718][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[718][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[718][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[718][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[718][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[718][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[718][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[718][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[718][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[718][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[718][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[718][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[718][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[718][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[718][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[718][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[718][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[718][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[718][LB] = ActionEntry(SHIFT, 141);
   _actionMap[718][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[718][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[718][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[718][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[718][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[718][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[718][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[718][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[718][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[718][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[718][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[718][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[718][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[718][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[718][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[718][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[718][ObjSpec] = 99;
}
void Cego::loadParser27()
{
   _jumpMap[718][Constant] = 98;
   _jumpMap[718][SignedFloat] = 97;
   _jumpMap[718][SignedInt] = 96;
   _jumpMap[718][Attribute] = 95;
   _jumpMap[718][Function] = 94;
   _jumpMap[718][CasePrepare] = 93;
   _jumpMap[718][CaseClause] = 92;
   _jumpMap[718][Factor] = 91;
   _jumpMap[718][Term] = 90;
   _jumpMap[718][Expr] = 764;
   _actionMap[719][SEMICOLON] = ActionEntry(REDUCE, 197);
   _actionMap[719][KSEP] = ActionEntry(REDUCE, 197);
   _actionMap[720][KSEP] = ActionEntry(REDUCE, 198);
   _actionMap[720][RB] = ActionEntry(REDUCE, 198);
   _actionMap[721][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[721][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[721][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[721][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[721][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[721][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[721][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[721][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[721][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[721][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[721][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[721][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[721][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[721][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[721][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[721][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[721][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[721][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[721][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[721][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[721][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[721][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[721][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[721][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[721][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[721][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[721][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[721][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[721][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[721][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[721][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[721][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[721][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[721][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[721][LB] = ActionEntry(SHIFT, 141);
   _actionMap[721][STRINGVAL] = ActionEntry(SHIFT, 100);
}
void Cego::loadParser28()
{
   _actionMap[721][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[721][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[721][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[721][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[721][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[721][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[721][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[721][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[721][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[721][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[721][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[721][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[721][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[721][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[721][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[721][ObjSpec] = 99;
   _jumpMap[721][Constant] = 98;
   _jumpMap[721][SignedFloat] = 97;
   _jumpMap[721][SignedInt] = 96;
   _jumpMap[721][Attribute] = 95;
   _jumpMap[721][Function] = 94;
   _jumpMap[721][CasePrepare] = 93;
   _jumpMap[721][CaseClause] = 92;
   _jumpMap[721][Factor] = 91;
   _jumpMap[721][Term] = 90;
   _jumpMap[721][Expr] = 765;
   _actionMap[722][RB] = ActionEntry(SHIFT, 766);
   _actionMap[723][LEFT] = ActionEntry(REDUCE, 316);
   _actionMap[723][RIGHT] = ActionEntry(REDUCE, 316);
   _actionMap[723][INNER] = ActionEntry(REDUCE, 316);
   _actionMap[723][JOIN] = ActionEntry(REDUCE, 316);
   _actionMap[723][RETURNTOKEN] = ActionEntry(REDUCE, 316);
   _actionMap[723][SEMICOLON] = ActionEntry(REDUCE, 316);
   _actionMap[723][ENDTOKEN] = ActionEntry(REDUCE, 316);
   _actionMap[723][UNION] = ActionEntry(REDUCE, 316);
   _actionMap[723][ROWLIMIT] = ActionEntry(REDUCE, 316);
   _actionMap[723][ORDER] = ActionEntry(REDUCE, 316);
   _actionMap[723][GROUP] = ActionEntry(REDUCE, 316);
   _actionMap[723][WHERE] = ActionEntry(REDUCE, 316);
   _actionMap[723][THEN] = ActionEntry(REDUCE, 316);
   _actionMap[723][AND] = ActionEntry(REDUCE, 316);
   _actionMap[723][OR] = ActionEntry(REDUCE, 316);
   _actionMap[723][RB] = ActionEntry(REDUCE, 316);
   _actionMap[724][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[724][SelectStatement] = 767;
   _actionMap[725][LEFT] = ActionEntry(REDUCE, 318);
   _actionMap[725][RIGHT] = ActionEntry(REDUCE, 318);
   _actionMap[725][INNER] = ActionEntry(REDUCE, 318);
   _actionMap[725][JOIN] = ActionEntry(REDUCE, 318);
   _actionMap[725][RETURNTOKEN] = ActionEntry(REDUCE, 318);
}
void Cego::loadParser29()
{
   _actionMap[725][SEMICOLON] = ActionEntry(REDUCE, 318);
   _actionMap[725][ENDTOKEN] = ActionEntry(REDUCE, 318);
   _actionMap[725][UNION] = ActionEntry(REDUCE, 318);
   _actionMap[725][ROWLIMIT] = ActionEntry(REDUCE, 318);
   _actionMap[725][ORDER] = ActionEntry(REDUCE, 318);
   _actionMap[725][GROUP] = ActionEntry(REDUCE, 318);
   _actionMap[725][WHERE] = ActionEntry(REDUCE, 318);
   _actionMap[725][THEN] = ActionEntry(REDUCE, 318);
   _actionMap[725][AND] = ActionEntry(REDUCE, 318);
   _actionMap[725][OR] = ActionEntry(REDUCE, 318);
   _actionMap[725][RB] = ActionEntry(REDUCE, 318);
   _actionMap[726][THEN] = ActionEntry(REDUCE, 310);
   _actionMap[726][LEFT] = ActionEntry(REDUCE, 310);
   _actionMap[726][RIGHT] = ActionEntry(REDUCE, 310);
   _actionMap[726][INNER] = ActionEntry(REDUCE, 310);
   _actionMap[726][JOIN] = ActionEntry(REDUCE, 310);
   _actionMap[726][RETURNTOKEN] = ActionEntry(REDUCE, 310);
   _actionMap[726][SEMICOLON] = ActionEntry(REDUCE, 310);
   _actionMap[726][RB] = ActionEntry(REDUCE, 310);
   _actionMap[726][ENDTOKEN] = ActionEntry(REDUCE, 310);
   _actionMap[726][UNION] = ActionEntry(REDUCE, 310);
   _actionMap[726][ROWLIMIT] = ActionEntry(REDUCE, 310);
   _actionMap[726][ORDER] = ActionEntry(REDUCE, 310);
   _actionMap[726][GROUP] = ActionEntry(REDUCE, 310);
   _actionMap[726][WHERE] = ActionEntry(REDUCE, 310);
   _actionMap[726][AND] = ActionEntry(REDUCE, 310);
   _actionMap[726][OR] = ActionEntry(REDUCE, 310);
   _actionMap[727][WHEN] = ActionEntry(REDUCE, 357);
   _actionMap[727][ELSE] = ActionEntry(REDUCE, 357);
   _actionMap[727][LEFT] = ActionEntry(REDUCE, 357);
   _actionMap[727][RIGHT] = ActionEntry(REDUCE, 357);
   _actionMap[727][INNER] = ActionEntry(REDUCE, 357);
   _actionMap[727][JOIN] = ActionEntry(REDUCE, 357);
   _actionMap[727][RETURNTOKEN] = ActionEntry(REDUCE, 357);
   _actionMap[727][ORDER] = ActionEntry(REDUCE, 357);
   _actionMap[727][GROUP] = ActionEntry(REDUCE, 357);
   _actionMap[727][WHERE] = ActionEntry(REDUCE, 357);
   _actionMap[727][NULLTOKEN] = ActionEntry(REDUCE, 357);
   _actionMap[727][FROM] = ActionEntry(REDUCE, 357);
   _actionMap[727][AS] = ActionEntry(REDUCE, 357);
   _actionMap[727][END_TOKEN] = ActionEntry(REDUCE, 357);
   _actionMap[727][BEGIN] = ActionEntry(REDUCE, 357);
   _actionMap[727][THEN] = ActionEntry(REDUCE, 357);
   _actionMap[727][OR] = ActionEntry(REDUCE, 357);
   _actionMap[727][AND] = ActionEntry(REDUCE, 357);
   _actionMap[727][INTOK] = ActionEntry(REDUCE, 357);
   _actionMap[727][NOT] = ActionEntry(REDUCE, 357);
   _actionMap[727][BETWEEN] = ActionEntry(REDUCE, 357);
   _actionMap[727][IS] = ActionEntry(REDUCE, 357);
   _actionMap[727][LIKE] = ActionEntry(REDUCE, 357);
}
void Cego::loadParser30()
{
   _actionMap[727][MT] = ActionEntry(REDUCE, 357);
   _actionMap[727][LT] = ActionEntry(REDUCE, 357);
   _actionMap[727][NEGATION] = ActionEntry(REDUCE, 357);
   _actionMap[727][EQU] = ActionEntry(REDUCE, 357);
   _actionMap[727][RB] = ActionEntry(REDUCE, 357);
   _actionMap[727][ENDTOKEN] = ActionEntry(REDUCE, 357);
   _actionMap[727][UNION] = ActionEntry(REDUCE, 357);
   _actionMap[727][ROWLIMIT] = ActionEntry(REDUCE, 357);
   _actionMap[727][KSEP] = ActionEntry(REDUCE, 357);
   _actionMap[727][ASC] = ActionEntry(REDUCE, 357);
   _actionMap[727][DESC] = ActionEntry(REDUCE, 357);
   _actionMap[727][SEMICOLON] = ActionEntry(REDUCE, 357);
   _actionMap[727][PLUS] = ActionEntry(REDUCE, 357);
   _actionMap[727][MINUS] = ActionEntry(REDUCE, 357);
   _actionMap[727][DIVISION] = ActionEntry(REDUCE, 357);
   _actionMap[727][STAR] = ActionEntry(REDUCE, 357);
   _actionMap[727][CONCAT] = ActionEntry(REDUCE, 357);
   _actionMap[728][VARREF] = ActionEntry(SHIFT, 768);
   _actionMap[729][WHEN] = ActionEntry(REDUCE, 149);
   _actionMap[729][ELSE] = ActionEntry(REDUCE, 149);
   _actionMap[729][LEFT] = ActionEntry(REDUCE, 149);
   _actionMap[729][RIGHT] = ActionEntry(REDUCE, 149);
   _actionMap[729][INNER] = ActionEntry(REDUCE, 149);
   _actionMap[729][JOIN] = ActionEntry(REDUCE, 149);
   _actionMap[729][RETURNTOKEN] = ActionEntry(REDUCE, 149);
   _actionMap[729][ORDER] = ActionEntry(REDUCE, 149);
   _actionMap[729][GROUP] = ActionEntry(REDUCE, 149);
   _actionMap[729][WHERE] = ActionEntry(REDUCE, 149);
   _actionMap[729][AS] = ActionEntry(REDUCE, 149);
   _actionMap[729][FROM] = ActionEntry(REDUCE, 149);
   _actionMap[729][END_TOKEN] = ActionEntry(REDUCE, 149);
   _actionMap[729][BEGIN] = ActionEntry(REDUCE, 149);
   _actionMap[729][THEN] = ActionEntry(REDUCE, 149);
   _actionMap[729][OR] = ActionEntry(REDUCE, 149);
   _actionMap[729][AND] = ActionEntry(REDUCE, 149);
   _actionMap[729][LIKE] = ActionEntry(REDUCE, 149);
   _actionMap[729][IS] = ActionEntry(REDUCE, 149);
   _actionMap[729][BETWEEN] = ActionEntry(REDUCE, 149);
   _actionMap[729][NOT] = ActionEntry(REDUCE, 149);
   _actionMap[729][INTOK] = ActionEntry(REDUCE, 149);
   _actionMap[729][EQU] = ActionEntry(REDUCE, 149);
   _actionMap[729][NEGATION] = ActionEntry(REDUCE, 149);
   _actionMap[729][LT] = ActionEntry(REDUCE, 149);
   _actionMap[729][MT] = ActionEntry(REDUCE, 149);
   _actionMap[729][DESC] = ActionEntry(REDUCE, 149);
   _actionMap[729][ASC] = ActionEntry(REDUCE, 149);
   _actionMap[729][KSEP] = ActionEntry(REDUCE, 149);
   _actionMap[729][ROWLIMIT] = ActionEntry(REDUCE, 149);
   _actionMap[729][UNION] = ActionEntry(REDUCE, 149);
   _actionMap[729][ENDTOKEN] = ActionEntry(REDUCE, 149);
}
void Cego::loadParser31()
{
   _actionMap[729][RB] = ActionEntry(REDUCE, 149);
   _actionMap[729][SEMICOLON] = ActionEntry(REDUCE, 149);
   _actionMap[729][CONCAT] = ActionEntry(REDUCE, 149);
   _actionMap[729][STAR] = ActionEntry(REDUCE, 149);
   _actionMap[729][DIVISION] = ActionEntry(REDUCE, 149);
   _actionMap[729][MINUS] = ActionEntry(REDUCE, 149);
   _actionMap[729][PLUS] = ActionEntry(REDUCE, 149);
   _actionMap[730][WHEN] = ActionEntry(REDUCE, 299);
   _actionMap[730][ELSE] = ActionEntry(REDUCE, 299);
   _actionMap[730][LEFT] = ActionEntry(REDUCE, 299);
   _actionMap[730][RIGHT] = ActionEntry(REDUCE, 299);
   _actionMap[730][INNER] = ActionEntry(REDUCE, 299);
   _actionMap[730][JOIN] = ActionEntry(REDUCE, 299);
   _actionMap[730][RETURNTOKEN] = ActionEntry(REDUCE, 299);
   _actionMap[730][ORDER] = ActionEntry(REDUCE, 299);
   _actionMap[730][GROUP] = ActionEntry(REDUCE, 299);
   _actionMap[730][WHERE] = ActionEntry(REDUCE, 299);
   _actionMap[730][FROM] = ActionEntry(REDUCE, 299);
   _actionMap[730][AS] = ActionEntry(REDUCE, 299);
   _actionMap[730][END_TOKEN] = ActionEntry(REDUCE, 299);
   _actionMap[730][BEGIN] = ActionEntry(REDUCE, 299);
   _actionMap[730][THEN] = ActionEntry(REDUCE, 299);
   _actionMap[730][OR] = ActionEntry(REDUCE, 299);
   _actionMap[730][AND] = ActionEntry(REDUCE, 299);
   _actionMap[730][INTOK] = ActionEntry(REDUCE, 299);
   _actionMap[730][NOT] = ActionEntry(REDUCE, 299);
   _actionMap[730][BETWEEN] = ActionEntry(REDUCE, 299);
   _actionMap[730][IS] = ActionEntry(REDUCE, 299);
   _actionMap[730][LIKE] = ActionEntry(REDUCE, 299);
   _actionMap[730][MT] = ActionEntry(REDUCE, 299);
   _actionMap[730][LT] = ActionEntry(REDUCE, 299);
   _actionMap[730][NEGATION] = ActionEntry(REDUCE, 299);
   _actionMap[730][EQU] = ActionEntry(REDUCE, 299);
   _actionMap[730][RB] = ActionEntry(REDUCE, 299);
   _actionMap[730][ENDTOKEN] = ActionEntry(REDUCE, 299);
   _actionMap[730][UNION] = ActionEntry(REDUCE, 299);
   _actionMap[730][ROWLIMIT] = ActionEntry(REDUCE, 299);
   _actionMap[730][KSEP] = ActionEntry(REDUCE, 299);
   _actionMap[730][ASC] = ActionEntry(REDUCE, 299);
   _actionMap[730][DESC] = ActionEntry(REDUCE, 299);
   _actionMap[730][SEMICOLON] = ActionEntry(REDUCE, 299);
   _actionMap[730][PLUS] = ActionEntry(REDUCE, 299);
   _actionMap[730][MINUS] = ActionEntry(REDUCE, 299);
   _actionMap[730][DIVISION] = ActionEntry(REDUCE, 299);
   _actionMap[730][STAR] = ActionEntry(REDUCE, 299);
   _actionMap[730][CONCAT] = ActionEntry(REDUCE, 299);
   _actionMap[731][SEMICOLON] = ActionEntry(REDUCE, 246);
   _actionMap[731][RB] = ActionEntry(REDUCE, 246);
   _actionMap[731][ENDTOKEN] = ActionEntry(REDUCE, 246);
   _actionMap[731][UNION] = ActionEntry(REDUCE, 246);
}
void Cego::loadParser32()
{
   _actionMap[731][ROWLIMIT] = ActionEntry(SHIFT, 771);
   _jumpMap[731][NoLimit] = 770;
   _jumpMap[731][LimitOpt] = 769;
   _actionMap[732][ROWLIMIT] = ActionEntry(REDUCE, 234);
   _actionMap[732][UNION] = ActionEntry(REDUCE, 234);
   _actionMap[732][ENDTOKEN] = ActionEntry(REDUCE, 234);
   _actionMap[732][RB] = ActionEntry(REDUCE, 234);
   _actionMap[732][SEMICOLON] = ActionEntry(REDUCE, 234);
   _actionMap[733][BY] = ActionEntry(SHIFT, 772);
   _actionMap[734][IDENTIFIER] = ActionEntry(SHIFT, 775);
   _actionMap[734][QUALIFIEDOBJ] = ActionEntry(SHIFT, 776);
   _actionMap[734][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _jumpMap[734][Attribute] = 774;
   _jumpMap[734][GroupList] = 773;
   _actionMap[735][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[735][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[735][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[735][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[735][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[735][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[735][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[735][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[735][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[735][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[735][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[735][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[735][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[735][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[735][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[735][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[735][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[735][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[735][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[735][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[735][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[735][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[735][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[735][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[735][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[735][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[735][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[735][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[735][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[735][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[735][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[735][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[735][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[735][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[735][LB] = ActionEntry(SHIFT, 371);
   _actionMap[735][STRINGVAL] = ActionEntry(SHIFT, 100);
}
void Cego::loadParser33()
{
   _actionMap[735][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[735][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[735][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[735][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[735][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[735][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[735][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[735][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[735][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[735][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[735][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[735][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[735][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[735][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[735][MAX] = ActionEntry(SHIFT, 120);
   _actionMap[735][EXISTS] = ActionEntry(SHIFT, 369);
   _actionMap[735][NOT] = ActionEntry(SHIFT, 370);
   _jumpMap[735][ObjSpec] = 99;
   _jumpMap[735][Constant] = 98;
   _jumpMap[735][SignedFloat] = 97;
   _jumpMap[735][SignedInt] = 96;
   _jumpMap[735][Attribute] = 95;
   _jumpMap[735][QueryPredicate] = 368;
   _jumpMap[735][QueryCondition] = 777;
   _jumpMap[735][Function] = 94;
   _jumpMap[735][CasePrepare] = 93;
   _jumpMap[735][CaseClause] = 92;
   _jumpMap[735][Factor] = 91;
   _jumpMap[735][Term] = 90;
   _jumpMap[735][Expr] = 366;
   _actionMap[736][EXISTS] = ActionEntry(REDUCE, 221);
   _actionMap[736][LB] = ActionEntry(REDUCE, 221);
   _actionMap[736][NOT] = ActionEntry(REDUCE, 221);
   _actionMap[736][VARREF] = ActionEntry(REDUCE, 221);
   _actionMap[736][FETCH] = ActionEntry(REDUCE, 221);
   _actionMap[736][COUNT] = ActionEntry(REDUCE, 221);
   _actionMap[736][SUM] = ActionEntry(REDUCE, 221);
   _actionMap[736][AVG] = ActionEntry(REDUCE, 221);
   _actionMap[736][MIN] = ActionEntry(REDUCE, 221);
   _actionMap[736][MAX] = ActionEntry(REDUCE, 221);
   _actionMap[736][CASE] = ActionEntry(REDUCE, 221);
   _actionMap[736][TRIM] = ActionEntry(REDUCE, 221);
   _actionMap[736][RTRIM] = ActionEntry(REDUCE, 221);
   _actionMap[736][LTRIM] = ActionEntry(REDUCE, 221);
   _actionMap[736][ROUND] = ActionEntry(REDUCE, 221);
   _actionMap[736][DATE2STR] = ActionEntry(REDUCE, 221);
   _actionMap[736][DATE2INT] = ActionEntry(REDUCE, 221);
   _actionMap[736][INT2DATE] = ActionEntry(REDUCE, 221);
   _actionMap[736][LOWER] = ActionEntry(REDUCE, 221);
   _actionMap[736][UPPER] = ActionEntry(REDUCE, 221);
}
void Cego::loadParser34()
{
   _actionMap[736][LEFT] = ActionEntry(REDUCE, 221);
   _actionMap[736][RIGHT] = ActionEntry(REDUCE, 221);
   _actionMap[736][GETPOS] = ActionEntry(REDUCE, 221);
   _actionMap[736][SUBSTR] = ActionEntry(REDUCE, 221);
   _actionMap[736][REPLACE] = ActionEntry(REDUCE, 221);
   _actionMap[736][LENGTH] = ActionEntry(REDUCE, 221);
   _actionMap[736][TRUNC] = ActionEntry(REDUCE, 221);
   _actionMap[736][STR2INT] = ActionEntry(REDUCE, 221);
   _actionMap[736][STR2LONG] = ActionEntry(REDUCE, 221);
   _actionMap[736][RANDSTR] = ActionEntry(REDUCE, 221);
   _actionMap[736][RANDINT] = ActionEntry(REDUCE, 221);
   _actionMap[736][MOD] = ActionEntry(REDUCE, 221);
   _actionMap[736][DIV] = ActionEntry(REDUCE, 221);
   _actionMap[736][POWER] = ActionEntry(REDUCE, 221);
   _actionMap[736][BITAND] = ActionEntry(REDUCE, 221);
   _actionMap[736][BITOR] = ActionEntry(REDUCE, 221);
   _actionMap[736][BITXOR] = ActionEntry(REDUCE, 221);
   _actionMap[736][NEXTCOUNT] = ActionEntry(REDUCE, 221);
   _actionMap[736][SETCOUNT] = ActionEntry(REDUCE, 221);
   _actionMap[736][IDENTIFIER] = ActionEntry(REDUCE, 221);
   _actionMap[736][QUALIFIEDOBJ] = ActionEntry(REDUCE, 221);
   _actionMap[736][QUALIFIEDTS] = ActionEntry(REDUCE, 221);
   _actionMap[736][QUALIFIEDPRE] = ActionEntry(REDUCE, 221);
   _actionMap[736][STRINGVAL] = ActionEntry(REDUCE, 221);
   _actionMap[736][DATE] = ActionEntry(REDUCE, 221);
   _actionMap[736][SYSDATE] = ActionEntry(REDUCE, 221);
   _actionMap[736][NULLTOKEN] = ActionEntry(REDUCE, 221);
   _actionMap[736][TRUEVAL] = ActionEntry(REDUCE, 221);
   _actionMap[736][FALSEVAL] = ActionEntry(REDUCE, 221);
   _actionMap[736][LAB] = ActionEntry(REDUCE, 221);
   _actionMap[736][FLOATVAL] = ActionEntry(REDUCE, 221);
   _actionMap[736][MINUS] = ActionEntry(REDUCE, 221);
   _actionMap[736][INTVAL] = ActionEntry(REDUCE, 221);
   _actionMap[737][IDENTIFIER] = ActionEntry(SHIFT, 50);
   _actionMap[737][QUALIFIEDOBJ] = ActionEntry(SHIFT, 51);
   _actionMap[737][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _jumpMap[737][ObjSpec] = 433;
   _jumpMap[737][Table] = 778;
   _actionMap[738][IDENTIFIER] = ActionEntry(SHIFT, 50);
   _actionMap[738][QUALIFIEDOBJ] = ActionEntry(SHIFT, 51);
   _actionMap[738][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _jumpMap[738][ObjSpec] = 433;
   _jumpMap[738][Table] = 779;
   _actionMap[739][KSEP] = ActionEntry(SHIFT, 780);
   _actionMap[739][SEMICOLON] = ActionEntry(REDUCE, 251);
   _actionMap[740][SEMICOLON] = ActionEntry(REDUCE, 254);
   _actionMap[740][KSEP] = ActionEntry(REDUCE, 254);
   _actionMap[741][EQU] = ActionEntry(SHIFT, 781);
   _actionMap[582][SEMICOLON] = ActionEntry(REDUCE, 260);
   _actionMap[583][COLUMN] = ActionEntry(SHIFT, 446);
}
void Cego::loadParser35()
{
   _actionMap[584][ON] = ActionEntry(SHIFT, 682);
   _actionMap[585][SEMICOLON] = ActionEntry(REDUCE, 263);
   _actionMap[585][KSEP] = ActionEntry(REDUCE, 263);
   _actionMap[586][IDENTIFIER] = ActionEntry(SHIFT, 683);
   _actionMap[587][SEMICOLON] = ActionEntry(REDUCE, 262);
   _actionMap[587][KSEP] = ActionEntry(REDUCE, 262);
   _actionMap[588][SEMICOLON] = ActionEntry(REDUCE, 264);
   _actionMap[588][KSEP] = ActionEntry(REDUCE, 264);
   _actionMap[589][TO] = ActionEntry(SHIFT, 684);
   _actionMap[590][IDENTIFIER] = ActionEntry(SHIFT, 685);
   _actionMap[591][PLUS] = ActionEntry(SHIFT, 225);
   _actionMap[591][MINUS] = ActionEntry(SHIFT, 224);
   _actionMap[591][CONCAT] = ActionEntry(SHIFT, 223);
   _actionMap[591][KSEP] = ActionEntry(REDUCE, 118);
   _actionMap[591][RB] = ActionEntry(REDUCE, 118);
   _actionMap[592][ELSE] = ActionEntry(REDUCE, 113);
   _actionMap[592][ELSIF] = ActionEntry(REDUCE, 113);
   _actionMap[592][EXCEPTION] = ActionEntry(REDUCE, 113);
   _actionMap[592][END_TOKEN] = ActionEntry(REDUCE, 113);
   _actionMap[593][WHEN] = ActionEntry(SHIFT, 686);
   _actionMap[594][EXCEPTION] = ActionEntry(REDUCE, 92);
   _actionMap[594][END_TOKEN] = ActionEntry(REDUCE, 92);
   _actionMap[594][ELSE] = ActionEntry(REDUCE, 92);
   _actionMap[594][ELSIF] = ActionEntry(REDUCE, 92);
   _actionMap[594][VAR] = ActionEntry(REDUCE, 92);
   _actionMap[594][CURSOR] = ActionEntry(REDUCE, 92);
   _actionMap[594][CLOSE] = ActionEntry(REDUCE, 92);
   _actionMap[594][VARREF] = ActionEntry(REDUCE, 92);
   _actionMap[594][NOOP] = ActionEntry(REDUCE, 92);
   _actionMap[594][RETURNTOKEN] = ActionEntry(REDUCE, 92);
   _actionMap[594][WHILE] = ActionEntry(REDUCE, 92);
   _actionMap[594][IF] = ActionEntry(REDUCE, 92);
   _actionMap[594][BEGIN] = ActionEntry(REDUCE, 92);
   _actionMap[594][ROLLBACK] = ActionEntry(REDUCE, 92);
   _actionMap[594][COMMIT] = ActionEntry(REDUCE, 92);
   _actionMap[594][START_TOKEN] = ActionEntry(REDUCE, 92);
   _actionMap[594][UPDATE] = ActionEntry(REDUCE, 92);
   _actionMap[594][DELETETOK] = ActionEntry(REDUCE, 92);
   _actionMap[594][INSERT] = ActionEntry(REDUCE, 92);
   _actionMap[594][FETCH] = ActionEntry(REDUCE, 92);
   _actionMap[594][LB] = ActionEntry(REDUCE, 92);
   _actionMap[594][COUNT] = ActionEntry(REDUCE, 92);
   _actionMap[594][SUM] = ActionEntry(REDUCE, 92);
   _actionMap[594][AVG] = ActionEntry(REDUCE, 92);
   _actionMap[594][MIN] = ActionEntry(REDUCE, 92);
   _actionMap[594][MAX] = ActionEntry(REDUCE, 92);
   _actionMap[594][CASE] = ActionEntry(REDUCE, 92);
   _actionMap[594][TRIM] = ActionEntry(REDUCE, 92);
   _actionMap[594][RTRIM] = ActionEntry(REDUCE, 92);
   _actionMap[594][LTRIM] = ActionEntry(REDUCE, 92);
}
void Cego::loadParser36()
{
   _actionMap[594][ROUND] = ActionEntry(REDUCE, 92);
   _actionMap[594][DATE2STR] = ActionEntry(REDUCE, 92);
   _actionMap[594][DATE2INT] = ActionEntry(REDUCE, 92);
   _actionMap[594][INT2DATE] = ActionEntry(REDUCE, 92);
   _actionMap[594][LOWER] = ActionEntry(REDUCE, 92);
   _actionMap[594][UPPER] = ActionEntry(REDUCE, 92);
   _actionMap[594][LEFT] = ActionEntry(REDUCE, 92);
   _actionMap[594][RIGHT] = ActionEntry(REDUCE, 92);
   _actionMap[594][GETPOS] = ActionEntry(REDUCE, 92);
   _actionMap[594][SUBSTR] = ActionEntry(REDUCE, 92);
   _actionMap[594][REPLACE] = ActionEntry(REDUCE, 92);
   _actionMap[594][LENGTH] = ActionEntry(REDUCE, 92);
   _actionMap[594][TRUNC] = ActionEntry(REDUCE, 92);
   _actionMap[594][STR2INT] = ActionEntry(REDUCE, 92);
   _actionMap[594][STR2LONG] = ActionEntry(REDUCE, 92);
   _actionMap[594][RANDSTR] = ActionEntry(REDUCE, 92);
   _actionMap[594][RANDINT] = ActionEntry(REDUCE, 92);
   _actionMap[594][MOD] = ActionEntry(REDUCE, 92);
   _actionMap[594][DIV] = ActionEntry(REDUCE, 92);
   _actionMap[594][POWER] = ActionEntry(REDUCE, 92);
   _actionMap[594][BITAND] = ActionEntry(REDUCE, 92);
   _actionMap[594][BITOR] = ActionEntry(REDUCE, 92);
   _actionMap[594][BITXOR] = ActionEntry(REDUCE, 92);
   _actionMap[594][NEXTCOUNT] = ActionEntry(REDUCE, 92);
   _actionMap[594][SETCOUNT] = ActionEntry(REDUCE, 92);
   _actionMap[594][IDENTIFIER] = ActionEntry(REDUCE, 92);
   _actionMap[594][QUALIFIEDOBJ] = ActionEntry(REDUCE, 92);
   _actionMap[594][QUALIFIEDTS] = ActionEntry(REDUCE, 92);
   _actionMap[594][QUALIFIEDPRE] = ActionEntry(REDUCE, 92);
   _actionMap[594][STRINGVAL] = ActionEntry(REDUCE, 92);
   _actionMap[594][DATE] = ActionEntry(REDUCE, 92);
   _actionMap[594][SYSDATE] = ActionEntry(REDUCE, 92);
   _actionMap[594][NULLTOKEN] = ActionEntry(REDUCE, 92);
   _actionMap[594][TRUEVAL] = ActionEntry(REDUCE, 92);
   _actionMap[594][FALSEVAL] = ActionEntry(REDUCE, 92);
   _actionMap[594][LAB] = ActionEntry(REDUCE, 92);
   _actionMap[594][FLOATVAL] = ActionEntry(REDUCE, 92);
   _actionMap[594][MINUS] = ActionEntry(REDUCE, 92);
   _actionMap[594][INTVAL] = ActionEntry(REDUCE, 92);
   _actionMap[595][SEMICOLON] = ActionEntry(REDUCE, 111);
   _actionMap[596][END_TOKEN] = ActionEntry(SHIFT, 599);
   _actionMap[597][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[597][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[597][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[597][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[597][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[597][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[597][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[597][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[597][DATE2INT] = ActionEntry(SHIFT, 109);
}
void Cego::loadParser37()
{
   _actionMap[597][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[597][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[597][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[597][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[597][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[597][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[597][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[597][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[597][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[597][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[597][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[597][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[597][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[597][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[597][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[597][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[597][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[597][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[597][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[597][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[597][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[597][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[597][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[597][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[597][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[597][LB] = ActionEntry(SHIFT, 141);
   _actionMap[597][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[597][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[597][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[597][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[597][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[597][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[597][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[597][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[597][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[597][VARREF] = ActionEntry(SHIFT, 341);
   _actionMap[597][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[597][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[597][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[597][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[597][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[597][MAX] = ActionEntry(SHIFT, 120);
   _actionMap[597][IF] = ActionEntry(SHIFT, 336);
   _actionMap[597][BEGIN] = ActionEntry(SHIFT, 333);
   _actionMap[597][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[597][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[597][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[597][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[597][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[597][INSERT] = ActionEntry(SHIFT, 21);
}
void Cego::loadParser38()
{
   _actionMap[597][VAR] = ActionEntry(SHIFT, 339);
   _actionMap[597][CURSOR] = ActionEntry(SHIFT, 335);
   _actionMap[597][CLOSE] = ActionEntry(SHIFT, 334);
   _actionMap[597][NOOP] = ActionEntry(SHIFT, 337);
   _actionMap[597][RETURNTOKEN] = ActionEntry(SHIFT, 338);
   _actionMap[597][WHILE] = ActionEntry(SHIFT, 340);
   _jumpMap[597][ObjSpec] = 99;
   _jumpMap[597][Constant] = 98;
   _jumpMap[597][SignedFloat] = 97;
   _jumpMap[597][SignedInt] = 96;
   _jumpMap[597][Attribute] = 95;
   _jumpMap[597][Function] = 94;
   _jumpMap[597][DeleteStatement] = 332;
   _jumpMap[597][UpdateStatement] = 331;
   _jumpMap[597][InsertStatement] = 330;
   _jumpMap[597][RollbackStatement] = 329;
   _jumpMap[597][CommitStatement] = 328;
   _jumpMap[597][StartStatement] = 327;
   _jumpMap[597][CasePrepare] = 93;
   _jumpMap[597][CaseClause] = 92;
   _jumpMap[597][Factor] = 91;
   _jumpMap[597][Term] = 90;
   _jumpMap[597][Expr] = 326;
   _jumpMap[597][ProcStatement] = 325;
   _jumpMap[597][ProcIfPart] = 324;
   _jumpMap[597][ProcBlockStart] = 323;
   _jumpMap[597][ProcStatementList] = 322;
   _jumpMap[597][ProcStmtBlock] = 687;
   _actionMap[598][VAR] = ActionEntry(REDUCE, 128);
   _actionMap[598][CURSOR] = ActionEntry(REDUCE, 128);
   _actionMap[598][CLOSE] = ActionEntry(REDUCE, 128);
   _actionMap[598][VARREF] = ActionEntry(REDUCE, 128);
   _actionMap[598][NOOP] = ActionEntry(REDUCE, 128);
   _actionMap[598][RETURNTOKEN] = ActionEntry(REDUCE, 128);
   _actionMap[598][WHILE] = ActionEntry(REDUCE, 128);
   _actionMap[598][IF] = ActionEntry(REDUCE, 128);
   _actionMap[598][BEGIN] = ActionEntry(REDUCE, 128);
   _actionMap[598][ROLLBACK] = ActionEntry(REDUCE, 128);
   _actionMap[598][COMMIT] = ActionEntry(REDUCE, 128);
   _actionMap[598][START_TOKEN] = ActionEntry(REDUCE, 128);
   _actionMap[598][UPDATE] = ActionEntry(REDUCE, 128);
   _actionMap[598][DELETETOK] = ActionEntry(REDUCE, 128);
   _actionMap[598][INSERT] = ActionEntry(REDUCE, 128);
   _actionMap[598][FETCH] = ActionEntry(REDUCE, 128);
   _actionMap[598][LB] = ActionEntry(REDUCE, 128);
   _actionMap[598][COUNT] = ActionEntry(REDUCE, 128);
   _actionMap[598][SUM] = ActionEntry(REDUCE, 128);
   _actionMap[598][AVG] = ActionEntry(REDUCE, 128);
   _actionMap[598][MIN] = ActionEntry(REDUCE, 128);
   _actionMap[598][MAX] = ActionEntry(REDUCE, 128);
}
void Cego::loadParser39()
{
   _actionMap[598][CASE] = ActionEntry(REDUCE, 128);
   _actionMap[598][TRIM] = ActionEntry(REDUCE, 128);
   _actionMap[598][RTRIM] = ActionEntry(REDUCE, 128);
   _actionMap[598][LTRIM] = ActionEntry(REDUCE, 128);
   _actionMap[598][ROUND] = ActionEntry(REDUCE, 128);
   _actionMap[598][DATE2STR] = ActionEntry(REDUCE, 128);
   _actionMap[598][DATE2INT] = ActionEntry(REDUCE, 128);
   _actionMap[598][INT2DATE] = ActionEntry(REDUCE, 128);
   _actionMap[598][LOWER] = ActionEntry(REDUCE, 128);
   _actionMap[598][UPPER] = ActionEntry(REDUCE, 128);
   _actionMap[598][LEFT] = ActionEntry(REDUCE, 128);
   _actionMap[598][RIGHT] = ActionEntry(REDUCE, 128);
   _actionMap[598][GETPOS] = ActionEntry(REDUCE, 128);
   _actionMap[598][SUBSTR] = ActionEntry(REDUCE, 128);
   _actionMap[598][REPLACE] = ActionEntry(REDUCE, 128);
   _actionMap[598][LENGTH] = ActionEntry(REDUCE, 128);
   _actionMap[598][TRUNC] = ActionEntry(REDUCE, 128);
   _actionMap[598][STR2INT] = ActionEntry(REDUCE, 128);
   _actionMap[598][STR2LONG] = ActionEntry(REDUCE, 128);
   _actionMap[598][RANDSTR] = ActionEntry(REDUCE, 128);
   _actionMap[598][RANDINT] = ActionEntry(REDUCE, 128);
   _actionMap[598][MOD] = ActionEntry(REDUCE, 128);
   _actionMap[598][DIV] = ActionEntry(REDUCE, 128);
   _actionMap[598][POWER] = ActionEntry(REDUCE, 128);
   _actionMap[598][BITAND] = ActionEntry(REDUCE, 128);
   _actionMap[598][BITOR] = ActionEntry(REDUCE, 128);
   _actionMap[598][BITXOR] = ActionEntry(REDUCE, 128);
   _actionMap[598][NEXTCOUNT] = ActionEntry(REDUCE, 128);
   _actionMap[598][SETCOUNT] = ActionEntry(REDUCE, 128);
   _actionMap[598][IDENTIFIER] = ActionEntry(REDUCE, 128);
   _actionMap[598][QUALIFIEDOBJ] = ActionEntry(REDUCE, 128);
   _actionMap[598][QUALIFIEDTS] = ActionEntry(REDUCE, 128);
   _actionMap[598][QUALIFIEDPRE] = ActionEntry(REDUCE, 128);
   _actionMap[598][STRINGVAL] = ActionEntry(REDUCE, 128);
   _actionMap[598][DATE] = ActionEntry(REDUCE, 128);
   _actionMap[598][SYSDATE] = ActionEntry(REDUCE, 128);
   _actionMap[598][NULLTOKEN] = ActionEntry(REDUCE, 128);
   _actionMap[598][TRUEVAL] = ActionEntry(REDUCE, 128);
   _actionMap[598][FALSEVAL] = ActionEntry(REDUCE, 128);
   _actionMap[598][LAB] = ActionEntry(REDUCE, 128);
   _actionMap[598][FLOATVAL] = ActionEntry(REDUCE, 128);
   _actionMap[598][MINUS] = ActionEntry(REDUCE, 128);
   _actionMap[598][INTVAL] = ActionEntry(REDUCE, 128);
   _actionMap[599][SEMICOLON] = ActionEntry(REDUCE, 121);
   _actionMap[600][END_TOKEN] = ActionEntry(REDUCE, 123);
   _actionMap[600][ELSE] = ActionEntry(REDUCE, 123);
   _actionMap[601][THEN] = ActionEntry(SHIFT, 688);
   _actionMap[602][OR] = ActionEntry(SHIFT, 606);
   _actionMap[602][AND] = ActionEntry(SHIFT, 605);
   _actionMap[602][THEN] = ActionEntry(REDUCE, 130);
}
void Cego::loadParser40()
{
   _actionMap[603][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[603][SelectStatement] = 689;
   _actionMap[604][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[604][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[604][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[604][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[604][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[604][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[604][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[604][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[604][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[604][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[604][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[604][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[604][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[604][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[604][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[604][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[604][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[604][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[604][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[604][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[604][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[604][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[604][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[604][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[604][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[604][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[604][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[604][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[604][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[604][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[604][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[604][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[604][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[604][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[604][LB] = ActionEntry(SHIFT, 141);
   _actionMap[604][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[604][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[604][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[604][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[604][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[604][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[604][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[604][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[604][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[604][VARREF] = ActionEntry(SHIFT, 341);
   _actionMap[604][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[604][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[604][SUM] = ActionEntry(SHIFT, 133);
}
void Cego::loadParser41()
{
   _actionMap[604][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[604][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[604][MAX] = ActionEntry(SHIFT, 120);
   _actionMap[604][IF] = ActionEntry(SHIFT, 336);
   _actionMap[604][BEGIN] = ActionEntry(SHIFT, 333);
   _actionMap[604][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[604][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[604][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[604][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[604][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[604][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[604][VAR] = ActionEntry(SHIFT, 339);
   _actionMap[604][CURSOR] = ActionEntry(SHIFT, 335);
   _actionMap[604][CLOSE] = ActionEntry(SHIFT, 334);
   _actionMap[604][NOOP] = ActionEntry(SHIFT, 337);
   _actionMap[604][RETURNTOKEN] = ActionEntry(SHIFT, 338);
   _actionMap[604][WHILE] = ActionEntry(SHIFT, 340);
   _jumpMap[604][ObjSpec] = 99;
   _jumpMap[604][Constant] = 98;
   _jumpMap[604][SignedFloat] = 97;
   _jumpMap[604][SignedInt] = 96;
   _jumpMap[604][Attribute] = 95;
   _jumpMap[604][Function] = 94;
   _jumpMap[604][DeleteStatement] = 332;
   _jumpMap[604][UpdateStatement] = 331;
   _jumpMap[604][InsertStatement] = 330;
   _jumpMap[604][RollbackStatement] = 329;
   _jumpMap[604][CommitStatement] = 328;
   _jumpMap[604][StartStatement] = 327;
   _jumpMap[604][CasePrepare] = 93;
   _jumpMap[604][CaseClause] = 92;
   _jumpMap[604][Factor] = 91;
   _jumpMap[604][Term] = 90;
   _jumpMap[604][Expr] = 326;
   _jumpMap[604][ProcStatement] = 325;
   _jumpMap[604][ProcIfPart] = 324;
   _jumpMap[604][ProcBlockStart] = 323;
   _jumpMap[604][ProcStatementList] = 322;
   _jumpMap[604][ProcStmtBlock] = 690;
   _actionMap[605][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[605][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[605][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[605][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[605][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[605][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[605][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[605][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[605][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[605][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[605][LOWER] = ActionEntry(SHIFT, 117);
}
void Cego::loadParser42()
{
   _actionMap[605][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[605][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[605][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[605][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[605][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[605][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[605][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[605][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[605][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[605][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[605][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[605][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[605][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[605][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[605][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[605][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[605][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[605][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[605][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[605][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[605][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[605][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[605][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[605][LB] = ActionEntry(SHIFT, 467);
   _actionMap[605][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[605][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[605][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[605][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[605][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[605][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[605][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[605][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[605][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[605][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[605][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[605][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[605][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[605][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[605][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[605][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[605][ObjSpec] = 99;
   _jumpMap[605][Constant] = 98;
   _jumpMap[605][SignedFloat] = 97;
   _jumpMap[605][SignedInt] = 96;
   _jumpMap[605][Attribute] = 95;
   _jumpMap[605][Function] = 94;
   _jumpMap[605][CasePrepare] = 93;
   _jumpMap[605][CaseClause] = 92;
   _jumpMap[605][Factor] = 91;
   _jumpMap[605][Term] = 90;
}
void Cego::loadParser43()
{
   _jumpMap[605][Expr] = 466;
   _jumpMap[605][ProcPredicate] = 691;
   _actionMap[606][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[606][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[606][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[606][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[606][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[606][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[606][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[606][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[606][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[606][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[606][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[606][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[606][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[606][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[606][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[606][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[606][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[606][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[606][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[606][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[606][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[606][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[606][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[606][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[606][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[606][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[606][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[606][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[606][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[606][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[606][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[606][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[606][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[606][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[606][LB] = ActionEntry(SHIFT, 467);
   _actionMap[606][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[606][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[606][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[606][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[606][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[606][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[606][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[606][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[606][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[606][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[606][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[606][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[606][SUM] = ActionEntry(SHIFT, 133);
}
void Cego::loadParser44()
{
   _actionMap[606][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[606][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[606][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[606][ObjSpec] = 99;
   _jumpMap[606][Constant] = 98;
   _jumpMap[606][SignedFloat] = 97;
   _jumpMap[606][SignedInt] = 96;
   _jumpMap[606][Attribute] = 95;
   _jumpMap[606][Function] = 94;
   _jumpMap[606][CasePrepare] = 93;
   _jumpMap[606][CaseClause] = 92;
   _jumpMap[606][Factor] = 91;
   _jumpMap[606][Term] = 90;
   _jumpMap[606][Expr] = 466;
   _jumpMap[606][ProcPredicate] = 692;
   _actionMap[607][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[607][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[607][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[607][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[607][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[607][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[607][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[607][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[607][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[607][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[607][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[607][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[607][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[607][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[607][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[607][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[607][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[607][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[607][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[607][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[607][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[607][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[607][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[607][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[607][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[607][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[607][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[607][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[607][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[607][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[607][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[607][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[607][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[607][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[607][LB] = ActionEntry(SHIFT, 141);
}
void Cego::loadParser45()
{
   _actionMap[607][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[607][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[607][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[607][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[607][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[607][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[607][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[607][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[607][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[607][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[607][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[607][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[607][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[607][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[607][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[607][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[607][ObjSpec] = 99;
   _jumpMap[607][Constant] = 98;
   _jumpMap[607][SignedFloat] = 97;
   _jumpMap[607][SignedInt] = 96;
   _jumpMap[607][Attribute] = 95;
   _jumpMap[607][Function] = 94;
   _jumpMap[607][CasePrepare] = 93;
   _jumpMap[607][CaseClause] = 92;
   _jumpMap[607][Factor] = 91;
   _jumpMap[607][Term] = 90;
   _jumpMap[607][Expr] = 693;
   _actionMap[608][NOT] = ActionEntry(SHIFT, 694);
   _actionMap[608][NULLTOKEN] = ActionEntry(SHIFT, 695);
   _actionMap[609][RB] = ActionEntry(SHIFT, 696);
   _actionMap[609][OR] = ActionEntry(SHIFT, 606);
   _actionMap[609][AND] = ActionEntry(SHIFT, 605);
   _actionMap[610][RB] = ActionEntry(SHIFT, 413);
   _actionMap[610][PLUS] = ActionEntry(SHIFT, 225);
   _actionMap[610][MINUS] = ActionEntry(SHIFT, 224);
   _actionMap[610][CONCAT] = ActionEntry(SHIFT, 223);
   _actionMap[610][IS] = ActionEntry(SHIFT, 608);
   _actionMap[610][EQU] = ActionEntry(SHIFT, 500);
   _actionMap[610][NEGATION] = ActionEntry(SHIFT, 503);
   _actionMap[610][LT] = ActionEntry(SHIFT, 501);
   _actionMap[610][MT] = ActionEntry(SHIFT, 502);
   _jumpMap[610][Comparison] = 607;
   _actionMap[611][SEMICOLON] = ActionEntry(REDUCE, 102);
   _actionMap[611][EQU] = ActionEntry(SHIFT, 699);
   _jumpMap[611][ProcNoAssignment] = 698;
   _jumpMap[611][ProcInitialAssignment] = 697;
   _actionMap[612][LB] = ActionEntry(SHIFT, 700);
   _actionMap[613][BEGIN] = ActionEntry(REDUCE, 333);
   _actionMap[613][DEFAULT] = ActionEntry(REDUCE, 333);
   _actionMap[613][NULLTOKEN] = ActionEntry(REDUCE, 333);
}
void Cego::loadParser46()
{
   _actionMap[613][NOT] = ActionEntry(REDUCE, 333);
   _actionMap[613][KSEP] = ActionEntry(REDUCE, 333);
   _actionMap[613][RB] = ActionEntry(REDUCE, 333);
   _actionMap[613][EQU] = ActionEntry(REDUCE, 333);
   _actionMap[613][SEMICOLON] = ActionEntry(REDUCE, 333);
   _actionMap[614][BEGIN] = ActionEntry(REDUCE, 325);
   _actionMap[614][DEFAULT] = ActionEntry(REDUCE, 325);
   _actionMap[614][NULLTOKEN] = ActionEntry(REDUCE, 325);
   _actionMap[614][NOT] = ActionEntry(REDUCE, 325);
   _actionMap[614][KSEP] = ActionEntry(REDUCE, 325);
   _actionMap[614][RB] = ActionEntry(REDUCE, 325);
   _actionMap[614][EQU] = ActionEntry(REDUCE, 325);
   _actionMap[614][SEMICOLON] = ActionEntry(REDUCE, 325);
   _actionMap[615][BEGIN] = ActionEntry(REDUCE, 324);
   _actionMap[615][DEFAULT] = ActionEntry(REDUCE, 324);
   _actionMap[615][NULLTOKEN] = ActionEntry(REDUCE, 324);
   _actionMap[615][NOT] = ActionEntry(REDUCE, 324);
   _actionMap[615][KSEP] = ActionEntry(REDUCE, 324);
   _actionMap[615][RB] = ActionEntry(REDUCE, 324);
   _actionMap[615][EQU] = ActionEntry(REDUCE, 324);
   _actionMap[615][SEMICOLON] = ActionEntry(REDUCE, 324);
   _actionMap[616][LB] = ActionEntry(SHIFT, 701);
   _actionMap[617][BEGIN] = ActionEntry(REDUCE, 328);
   _actionMap[617][DEFAULT] = ActionEntry(REDUCE, 328);
   _actionMap[617][NULLTOKEN] = ActionEntry(REDUCE, 328);
   _actionMap[617][NOT] = ActionEntry(REDUCE, 328);
   _actionMap[617][KSEP] = ActionEntry(REDUCE, 328);
   _actionMap[617][RB] = ActionEntry(REDUCE, 328);
   _actionMap[617][EQU] = ActionEntry(REDUCE, 328);
   _actionMap[617][SEMICOLON] = ActionEntry(REDUCE, 328);
   _actionMap[618][LB] = ActionEntry(SHIFT, 702);
   _actionMap[619][BEGIN] = ActionEntry(REDUCE, 327);
   _actionMap[619][DEFAULT] = ActionEntry(REDUCE, 327);
   _actionMap[619][NULLTOKEN] = ActionEntry(REDUCE, 327);
   _actionMap[619][NOT] = ActionEntry(REDUCE, 327);
   _actionMap[619][KSEP] = ActionEntry(REDUCE, 327);
   _actionMap[619][RB] = ActionEntry(REDUCE, 327);
   _actionMap[619][EQU] = ActionEntry(REDUCE, 327);
   _actionMap[619][SEMICOLON] = ActionEntry(REDUCE, 327);
   _actionMap[620][BEGIN] = ActionEntry(REDUCE, 321);
   _actionMap[620][DEFAULT] = ActionEntry(REDUCE, 321);
   _actionMap[620][NULLTOKEN] = ActionEntry(REDUCE, 321);
   _actionMap[620][NOT] = ActionEntry(REDUCE, 321);
   _actionMap[620][KSEP] = ActionEntry(REDUCE, 321);
   _actionMap[620][RB] = ActionEntry(REDUCE, 321);
   _actionMap[620][EQU] = ActionEntry(REDUCE, 321);
   _actionMap[620][SEMICOLON] = ActionEntry(REDUCE, 321);
   _actionMap[621][BEGIN] = ActionEntry(REDUCE, 322);
   _actionMap[621][DEFAULT] = ActionEntry(REDUCE, 322);
   _actionMap[621][NULLTOKEN] = ActionEntry(REDUCE, 322);
}
void Cego::loadParser47()
{
   _actionMap[621][NOT] = ActionEntry(REDUCE, 322);
   _actionMap[621][KSEP] = ActionEntry(REDUCE, 322);
   _actionMap[621][RB] = ActionEntry(REDUCE, 322);
   _actionMap[621][EQU] = ActionEntry(REDUCE, 322);
   _actionMap[621][SEMICOLON] = ActionEntry(REDUCE, 322);
   _actionMap[622][BEGIN] = ActionEntry(REDUCE, 329);
   _actionMap[622][DEFAULT] = ActionEntry(REDUCE, 329);
   _actionMap[622][NULLTOKEN] = ActionEntry(REDUCE, 329);
   _actionMap[622][NOT] = ActionEntry(REDUCE, 329);
   _actionMap[622][KSEP] = ActionEntry(REDUCE, 329);
   _actionMap[622][RB] = ActionEntry(REDUCE, 329);
   _actionMap[622][EQU] = ActionEntry(REDUCE, 329);
   _actionMap[622][SEMICOLON] = ActionEntry(REDUCE, 329);
   _actionMap[623][LB] = ActionEntry(SHIFT, 703);
   _actionMap[624][BEGIN] = ActionEntry(REDUCE, 330);
   _actionMap[624][DEFAULT] = ActionEntry(REDUCE, 330);
   _actionMap[624][NULLTOKEN] = ActionEntry(REDUCE, 330);
   _actionMap[624][NOT] = ActionEntry(REDUCE, 330);
   _actionMap[624][KSEP] = ActionEntry(REDUCE, 330);
   _actionMap[624][RB] = ActionEntry(REDUCE, 330);
   _actionMap[624][EQU] = ActionEntry(REDUCE, 330);
   _actionMap[624][SEMICOLON] = ActionEntry(REDUCE, 330);
   _actionMap[625][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[625][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[625][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[625][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[625][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[625][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[625][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[625][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[625][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[625][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[625][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[625][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[625][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[625][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[625][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[625][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[625][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[625][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[625][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[625][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[625][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[625][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[625][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[625][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[625][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[625][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[625][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[625][BITOR] = ActionEntry(SHIFT, 103);
}
void Cego::loadParser48()
{
   _actionMap[625][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[625][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[625][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[625][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[625][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[625][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[625][LB] = ActionEntry(SHIFT, 141);
   _actionMap[625][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[625][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[625][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[625][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[625][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[625][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[625][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[625][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[625][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[625][VARREF] = ActionEntry(SHIFT, 341);
   _actionMap[625][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[625][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[625][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[625][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[625][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[625][MAX] = ActionEntry(SHIFT, 120);
   _actionMap[625][IF] = ActionEntry(SHIFT, 336);
   _actionMap[625][BEGIN] = ActionEntry(SHIFT, 333);
   _actionMap[625][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[625][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[625][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[625][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[625][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[625][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[625][VAR] = ActionEntry(SHIFT, 339);
   _actionMap[625][CURSOR] = ActionEntry(SHIFT, 335);
   _actionMap[625][CLOSE] = ActionEntry(SHIFT, 334);
   _actionMap[625][NOOP] = ActionEntry(SHIFT, 337);
   _actionMap[625][RETURNTOKEN] = ActionEntry(SHIFT, 338);
   _actionMap[625][WHILE] = ActionEntry(SHIFT, 340);
   _jumpMap[625][ObjSpec] = 99;
   _jumpMap[625][Constant] = 98;
   _jumpMap[625][SignedFloat] = 97;
   _jumpMap[625][SignedInt] = 96;
   _jumpMap[625][Attribute] = 95;
   _jumpMap[625][Function] = 94;
   _jumpMap[625][DeleteStatement] = 332;
   _jumpMap[625][UpdateStatement] = 331;
   _jumpMap[625][InsertStatement] = 330;
   _jumpMap[625][RollbackStatement] = 329;
   _jumpMap[625][CommitStatement] = 328;
   _jumpMap[625][StartStatement] = 327;
   _jumpMap[625][CasePrepare] = 93;
}
void Cego::loadParser49()
{
   _jumpMap[625][CaseClause] = 92;
   _jumpMap[625][Factor] = 91;
   _jumpMap[625][Term] = 90;
   _jumpMap[625][Expr] = 326;
   _jumpMap[625][ProcStatement] = 325;
   _jumpMap[625][ProcIfPart] = 324;
   _jumpMap[625][ProcBlockStart] = 323;
   _jumpMap[625][ProcStatementList] = 322;
   _jumpMap[625][ProcStmtBlock] = 704;
   _actionMap[626][PLUS] = ActionEntry(SHIFT, 225);
   _actionMap[626][MINUS] = ActionEntry(SHIFT, 224);
   _actionMap[626][CONCAT] = ActionEntry(SHIFT, 223);
   _actionMap[626][SEMICOLON] = ActionEntry(REDUCE, 97);
   _actionMap[627][LB] = ActionEntry(SHIFT, 705);
   _actionMap[628][IDENTIFIER] = ActionEntry(SHIFT, 708);
   _jumpMap[628][SimpleAttr] = 707;
   _jumpMap[628][SimpleAttrList] = 706;
   _actionMap[629][IDENTIFIER] = ActionEntry(SHIFT, 479);
   _jumpMap[629][ProcArg] = 709;
   _actionMap[630][BEGIN] = ActionEntry(REDUCE, 81);
   _actionMap[631][INT] = ActionEntry(SHIFT, 620);
   _actionMap[631][LONG] = ActionEntry(SHIFT, 621);
   _actionMap[631][STRING] = ActionEntry(SHIFT, 623);
   _actionMap[631][DATETIME] = ActionEntry(SHIFT, 615);
   _actionMap[631][BOOL] = ActionEntry(SHIFT, 614);
   _actionMap[631][BIGINT] = ActionEntry(SHIFT, 612);
   _actionMap[631][FLOAT] = ActionEntry(SHIFT, 619);
   _actionMap[631][DOUBLE] = ActionEntry(SHIFT, 617);
   _actionMap[631][SMALLINT] = ActionEntry(SHIFT, 622);
   _actionMap[631][TINYINT] = ActionEntry(SHIFT, 624);
   _actionMap[631][DECIMAL] = ActionEntry(SHIFT, 616);
   _actionMap[631][FIXED] = ActionEntry(SHIFT, 618);
   _actionMap[631][BLOB] = ActionEntry(SHIFT, 613);
   _jumpMap[631][DataTypeProd] = 710;
   _actionMap[632][INT] = ActionEntry(SHIFT, 620);
   _actionMap[632][LONG] = ActionEntry(SHIFT, 621);
   _actionMap[632][STRING] = ActionEntry(SHIFT, 623);
   _actionMap[632][DATETIME] = ActionEntry(SHIFT, 615);
   _actionMap[632][BOOL] = ActionEntry(SHIFT, 614);
   _actionMap[632][BIGINT] = ActionEntry(SHIFT, 612);
   _actionMap[632][FLOAT] = ActionEntry(SHIFT, 619);
   _actionMap[632][DOUBLE] = ActionEntry(SHIFT, 617);
   _actionMap[632][SMALLINT] = ActionEntry(SHIFT, 622);
   _actionMap[632][TINYINT] = ActionEntry(SHIFT, 624);
   _actionMap[632][DECIMAL] = ActionEntry(SHIFT, 616);
   _actionMap[632][FIXED] = ActionEntry(SHIFT, 618);
   _actionMap[632][BLOB] = ActionEntry(SHIFT, 613);
   _jumpMap[632][DataTypeProd] = 711;
   _actionMap[633][INT] = ActionEntry(SHIFT, 620);
   _actionMap[633][LONG] = ActionEntry(SHIFT, 621);
}
void Cego::loadParser50()
{
   _actionMap[633][STRING] = ActionEntry(SHIFT, 623);
   _actionMap[633][DATETIME] = ActionEntry(SHIFT, 615);
   _actionMap[633][BOOL] = ActionEntry(SHIFT, 614);
   _actionMap[633][BIGINT] = ActionEntry(SHIFT, 612);
   _actionMap[633][FLOAT] = ActionEntry(SHIFT, 619);
   _actionMap[633][DOUBLE] = ActionEntry(SHIFT, 617);
   _actionMap[633][SMALLINT] = ActionEntry(SHIFT, 622);
   _actionMap[633][TINYINT] = ActionEntry(SHIFT, 624);
   _actionMap[633][DECIMAL] = ActionEntry(SHIFT, 616);
   _actionMap[633][FIXED] = ActionEntry(SHIFT, 618);
   _actionMap[633][BLOB] = ActionEntry(SHIFT, 613);
   _jumpMap[633][DataTypeProd] = 712;
   _actionMap[634][IDENTIFIER] = ActionEntry(SHIFT, 484);
   _actionMap[634][PRIMARY] = ActionEntry(SHIFT, 483);
   _jumpMap[634][ColumnDesc] = 482;
   _jumpMap[634][KeyColumn] = 713;
   _actionMap[635][SEMICOLON] = ActionEntry(REDUCE, 55);
   _actionMap[636][KSEP] = ActionEntry(REDUCE, 170);
   _actionMap[636][RB] = ActionEntry(REDUCE, 170);
   _actionMap[637][RB] = ActionEntry(REDUCE, 179);
   _actionMap[637][SEMICOLON] = ActionEntry(REDUCE, 179);
   _actionMap[637][KSEP] = ActionEntry(REDUCE, 179);
   _actionMap[637][NOT] = ActionEntry(REDUCE, 179);
   _actionMap[637][NULLTOKEN] = ActionEntry(REDUCE, 179);
   _actionMap[637][DEFAULT] = ActionEntry(SHIFT, 716);
   _jumpMap[637][DefaultDefOpt] = 715;
   _jumpMap[637][DefaultOpt] = 714;
   _actionMap[638][LB] = ActionEntry(SHIFT, 489);
   _jumpMap[638][InsertValueSpec] = 717;
   _actionMap[639][PLUS] = ActionEntry(SHIFT, 225);
   _actionMap[639][MINUS] = ActionEntry(SHIFT, 224);
   _actionMap[639][CONCAT] = ActionEntry(SHIFT, 223);
   _actionMap[639][KSEP] = ActionEntry(REDUCE, 201);
   _actionMap[639][RB] = ActionEntry(REDUCE, 201);
   _actionMap[640][RB] = ActionEntry(SHIFT, 719);
   _actionMap[640][KSEP] = ActionEntry(SHIFT, 718);
   _actionMap[641][IDENTIFIER] = ActionEntry(SHIFT, 720);
   _actionMap[642][SELECT] = ActionEntry(REDUCE, 192);
   _actionMap[642][VALUES] = ActionEntry(REDUCE, 192);
   _actionMap[643][WHEN] = ActionEntry(REDUCE, 161);
   _actionMap[643][ELSE] = ActionEntry(REDUCE, 161);
   _actionMap[643][LEFT] = ActionEntry(REDUCE, 161);
   _actionMap[643][RIGHT] = ActionEntry(REDUCE, 161);
   _actionMap[643][INNER] = ActionEntry(REDUCE, 161);
   _actionMap[643][JOIN] = ActionEntry(REDUCE, 161);
   _actionMap[643][RETURNTOKEN] = ActionEntry(REDUCE, 161);
   _actionMap[643][ORDER] = ActionEntry(REDUCE, 161);
   _actionMap[643][GROUP] = ActionEntry(REDUCE, 161);
   _actionMap[643][WHERE] = ActionEntry(REDUCE, 161);
   _actionMap[643][BEGIN] = ActionEntry(REDUCE, 161);
}
void Cego::loadParser51()
{
   _actionMap[643][THEN] = ActionEntry(REDUCE, 161);
   _actionMap[643][OR] = ActionEntry(REDUCE, 161);
   _actionMap[643][FROM] = ActionEntry(REDUCE, 161);
   _actionMap[643][AS] = ActionEntry(REDUCE, 161);
   _actionMap[643][END_TOKEN] = ActionEntry(REDUCE, 161);
   _actionMap[643][AND] = ActionEntry(REDUCE, 161);
   _actionMap[643][INTOK] = ActionEntry(REDUCE, 161);
   _actionMap[643][NOT] = ActionEntry(REDUCE, 161);
   _actionMap[643][BETWEEN] = ActionEntry(REDUCE, 161);
   _actionMap[643][IS] = ActionEntry(REDUCE, 161);
   _actionMap[643][LIKE] = ActionEntry(REDUCE, 161);
   _actionMap[643][MT] = ActionEntry(REDUCE, 161);
   _actionMap[643][LT] = ActionEntry(REDUCE, 161);
   _actionMap[643][NEGATION] = ActionEntry(REDUCE, 161);
   _actionMap[643][EQU] = ActionEntry(REDUCE, 161);
   _actionMap[643][RB] = ActionEntry(REDUCE, 161);
   _actionMap[643][ENDTOKEN] = ActionEntry(REDUCE, 161);
   _actionMap[643][UNION] = ActionEntry(REDUCE, 161);
   _actionMap[643][ROWLIMIT] = ActionEntry(REDUCE, 161);
   _actionMap[643][KSEP] = ActionEntry(REDUCE, 161);
   _actionMap[643][ASC] = ActionEntry(REDUCE, 161);
   _actionMap[643][DESC] = ActionEntry(REDUCE, 161);
   _actionMap[643][SEMICOLON] = ActionEntry(REDUCE, 161);
   _actionMap[643][PLUS] = ActionEntry(REDUCE, 161);
   _actionMap[643][MINUS] = ActionEntry(REDUCE, 161);
   _actionMap[643][DIVISION] = ActionEntry(REDUCE, 161);
   _actionMap[643][STAR] = ActionEntry(REDUCE, 161);
   _actionMap[643][CONCAT] = ActionEntry(REDUCE, 161);
   _actionMap[644][PLUS] = ActionEntry(SHIFT, 225);
   _actionMap[644][MINUS] = ActionEntry(SHIFT, 224);
   _actionMap[644][CONCAT] = ActionEntry(SHIFT, 223);
   _actionMap[644][LEFT] = ActionEntry(REDUCE, 313);
   _actionMap[644][RIGHT] = ActionEntry(REDUCE, 313);
   _actionMap[644][INNER] = ActionEntry(REDUCE, 313);
   _actionMap[644][JOIN] = ActionEntry(REDUCE, 313);
   _actionMap[644][RETURNTOKEN] = ActionEntry(REDUCE, 313);
   _actionMap[644][SEMICOLON] = ActionEntry(REDUCE, 313);
   _actionMap[644][ENDTOKEN] = ActionEntry(REDUCE, 313);
   _actionMap[644][UNION] = ActionEntry(REDUCE, 313);
   _actionMap[644][ROWLIMIT] = ActionEntry(REDUCE, 313);
   _actionMap[644][ORDER] = ActionEntry(REDUCE, 313);
   _actionMap[644][GROUP] = ActionEntry(REDUCE, 313);
   _actionMap[644][WHERE] = ActionEntry(REDUCE, 313);
   _actionMap[644][THEN] = ActionEntry(REDUCE, 313);
   _actionMap[644][AND] = ActionEntry(REDUCE, 313);
   _actionMap[644][OR] = ActionEntry(REDUCE, 313);
   _actionMap[644][RB] = ActionEntry(REDUCE, 313);
   _actionMap[645][AND] = ActionEntry(SHIFT, 721);
   _actionMap[645][PLUS] = ActionEntry(SHIFT, 225);
   _actionMap[645][MINUS] = ActionEntry(SHIFT, 224);
}
void Cego::loadParser52()
{
   _actionMap[645][CONCAT] = ActionEntry(SHIFT, 223);
   _actionMap[646][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[646][SelectStatement] = 722;
   _actionMap[647][NULLTOKEN] = ActionEntry(SHIFT, 723);
   _actionMap[648][LEFT] = ActionEntry(REDUCE, 315);
   _actionMap[648][RIGHT] = ActionEntry(REDUCE, 315);
   _actionMap[648][INNER] = ActionEntry(REDUCE, 315);
   _actionMap[648][JOIN] = ActionEntry(REDUCE, 315);
   _actionMap[648][RETURNTOKEN] = ActionEntry(REDUCE, 315);
   _actionMap[648][SEMICOLON] = ActionEntry(REDUCE, 315);
   _actionMap[648][ENDTOKEN] = ActionEntry(REDUCE, 315);
   _actionMap[648][UNION] = ActionEntry(REDUCE, 315);
   _actionMap[648][ROWLIMIT] = ActionEntry(REDUCE, 315);
   _actionMap[648][ORDER] = ActionEntry(REDUCE, 315);
   _actionMap[648][GROUP] = ActionEntry(REDUCE, 315);
   _actionMap[648][WHERE] = ActionEntry(REDUCE, 315);
   _actionMap[648][THEN] = ActionEntry(REDUCE, 315);
   _actionMap[648][AND] = ActionEntry(REDUCE, 315);
   _actionMap[648][OR] = ActionEntry(REDUCE, 315);
   _actionMap[648][RB] = ActionEntry(REDUCE, 315);
   _actionMap[649][LEFT] = ActionEntry(REDUCE, 317);
   _actionMap[649][RIGHT] = ActionEntry(REDUCE, 317);
   _actionMap[649][INNER] = ActionEntry(REDUCE, 317);
   _actionMap[649][JOIN] = ActionEntry(REDUCE, 317);
   _actionMap[649][RETURNTOKEN] = ActionEntry(REDUCE, 317);
   _actionMap[649][SEMICOLON] = ActionEntry(REDUCE, 317);
   _actionMap[649][ENDTOKEN] = ActionEntry(REDUCE, 317);
   _actionMap[649][UNION] = ActionEntry(REDUCE, 317);
   _actionMap[649][ROWLIMIT] = ActionEntry(REDUCE, 317);
   _actionMap[649][ORDER] = ActionEntry(REDUCE, 317);
   _actionMap[649][GROUP] = ActionEntry(REDUCE, 317);
   _actionMap[649][WHERE] = ActionEntry(REDUCE, 317);
   _actionMap[649][THEN] = ActionEntry(REDUCE, 317);
   _actionMap[649][AND] = ActionEntry(REDUCE, 317);
   _actionMap[649][OR] = ActionEntry(REDUCE, 317);
   _actionMap[649][RB] = ActionEntry(REDUCE, 317);
   _actionMap[650][LB] = ActionEntry(SHIFT, 724);
   _actionMap[651][STRINGVAL] = ActionEntry(SHIFT, 725);
   _actionMap[652][VARREF] = ActionEntry(REDUCE, 338);
   _actionMap[652][FETCH] = ActionEntry(REDUCE, 338);
   _actionMap[652][LB] = ActionEntry(REDUCE, 338);
   _actionMap[652][COUNT] = ActionEntry(REDUCE, 338);
   _actionMap[652][SUM] = ActionEntry(REDUCE, 338);
   _actionMap[652][AVG] = ActionEntry(REDUCE, 338);
   _actionMap[652][MIN] = ActionEntry(REDUCE, 338);
   _actionMap[652][MAX] = ActionEntry(REDUCE, 338);
   _actionMap[652][CASE] = ActionEntry(REDUCE, 338);
   _actionMap[652][TRIM] = ActionEntry(REDUCE, 338);
   _actionMap[652][RTRIM] = ActionEntry(REDUCE, 338);
   _actionMap[652][LTRIM] = ActionEntry(REDUCE, 338);
}
void Cego::loadParser53()
{
   _actionMap[652][ROUND] = ActionEntry(REDUCE, 338);
   _actionMap[652][DATE2STR] = ActionEntry(REDUCE, 338);
   _actionMap[652][DATE2INT] = ActionEntry(REDUCE, 338);
   _actionMap[652][INT2DATE] = ActionEntry(REDUCE, 338);
   _actionMap[652][LOWER] = ActionEntry(REDUCE, 338);
   _actionMap[652][UPPER] = ActionEntry(REDUCE, 338);
   _actionMap[652][LEFT] = ActionEntry(REDUCE, 338);
   _actionMap[652][RIGHT] = ActionEntry(REDUCE, 338);
   _actionMap[652][GETPOS] = ActionEntry(REDUCE, 338);
   _actionMap[652][SUBSTR] = ActionEntry(REDUCE, 338);
   _actionMap[652][REPLACE] = ActionEntry(REDUCE, 338);
   _actionMap[652][LENGTH] = ActionEntry(REDUCE, 338);
   _actionMap[652][TRUNC] = ActionEntry(REDUCE, 338);
   _actionMap[652][STR2INT] = ActionEntry(REDUCE, 338);
   _actionMap[652][STR2LONG] = ActionEntry(REDUCE, 338);
   _actionMap[652][RANDSTR] = ActionEntry(REDUCE, 338);
   _actionMap[652][RANDINT] = ActionEntry(REDUCE, 338);
   _actionMap[652][MOD] = ActionEntry(REDUCE, 338);
   _actionMap[652][DIV] = ActionEntry(REDUCE, 338);
   _actionMap[652][POWER] = ActionEntry(REDUCE, 338);
   _actionMap[652][BITAND] = ActionEntry(REDUCE, 338);
   _actionMap[652][BITOR] = ActionEntry(REDUCE, 338);
   _actionMap[652][BITXOR] = ActionEntry(REDUCE, 338);
   _actionMap[652][NEXTCOUNT] = ActionEntry(REDUCE, 338);
   _actionMap[652][SETCOUNT] = ActionEntry(REDUCE, 338);
   _actionMap[652][IDENTIFIER] = ActionEntry(REDUCE, 338);
   _actionMap[652][QUALIFIEDOBJ] = ActionEntry(REDUCE, 338);
   _actionMap[652][QUALIFIEDTS] = ActionEntry(REDUCE, 338);
   _actionMap[652][QUALIFIEDPRE] = ActionEntry(REDUCE, 338);
   _actionMap[652][STRINGVAL] = ActionEntry(REDUCE, 338);
   _actionMap[652][DATE] = ActionEntry(REDUCE, 338);
   _actionMap[652][SYSDATE] = ActionEntry(REDUCE, 338);
   _actionMap[652][NULLTOKEN] = ActionEntry(REDUCE, 338);
   _actionMap[652][TRUEVAL] = ActionEntry(REDUCE, 338);
   _actionMap[652][FALSEVAL] = ActionEntry(REDUCE, 338);
   _actionMap[652][LAB] = ActionEntry(REDUCE, 338);
   _actionMap[652][FLOATVAL] = ActionEntry(REDUCE, 338);
   _actionMap[652][MINUS] = ActionEntry(REDUCE, 338);
   _actionMap[652][INTVAL] = ActionEntry(REDUCE, 338);
   _actionMap[653][VARREF] = ActionEntry(REDUCE, 339);
   _actionMap[653][FETCH] = ActionEntry(REDUCE, 339);
   _actionMap[653][LB] = ActionEntry(REDUCE, 339);
   _actionMap[653][COUNT] = ActionEntry(REDUCE, 339);
   _actionMap[653][SUM] = ActionEntry(REDUCE, 339);
   _actionMap[653][AVG] = ActionEntry(REDUCE, 339);
   _actionMap[653][MIN] = ActionEntry(REDUCE, 339);
   _actionMap[653][MAX] = ActionEntry(REDUCE, 339);
   _actionMap[653][CASE] = ActionEntry(REDUCE, 339);
   _actionMap[653][TRIM] = ActionEntry(REDUCE, 339);
   _actionMap[653][RTRIM] = ActionEntry(REDUCE, 339);
}
void Cego::loadParser54()
{
   _actionMap[653][LTRIM] = ActionEntry(REDUCE, 339);
   _actionMap[653][ROUND] = ActionEntry(REDUCE, 339);
   _actionMap[653][DATE2STR] = ActionEntry(REDUCE, 339);
   _actionMap[653][DATE2INT] = ActionEntry(REDUCE, 339);
   _actionMap[653][INT2DATE] = ActionEntry(REDUCE, 339);
   _actionMap[653][LOWER] = ActionEntry(REDUCE, 339);
   _actionMap[653][UPPER] = ActionEntry(REDUCE, 339);
   _actionMap[653][LEFT] = ActionEntry(REDUCE, 339);
   _actionMap[653][RIGHT] = ActionEntry(REDUCE, 339);
   _actionMap[653][GETPOS] = ActionEntry(REDUCE, 339);
   _actionMap[653][SUBSTR] = ActionEntry(REDUCE, 339);
   _actionMap[653][REPLACE] = ActionEntry(REDUCE, 339);
   _actionMap[653][LENGTH] = ActionEntry(REDUCE, 339);
   _actionMap[653][TRUNC] = ActionEntry(REDUCE, 339);
   _actionMap[653][STR2INT] = ActionEntry(REDUCE, 339);
   _actionMap[653][STR2LONG] = ActionEntry(REDUCE, 339);
   _actionMap[653][RANDSTR] = ActionEntry(REDUCE, 339);
   _actionMap[653][RANDINT] = ActionEntry(REDUCE, 339);
   _actionMap[653][MOD] = ActionEntry(REDUCE, 339);
   _actionMap[653][DIV] = ActionEntry(REDUCE, 339);
   _actionMap[653][POWER] = ActionEntry(REDUCE, 339);
   _actionMap[653][BITAND] = ActionEntry(REDUCE, 339);
   _actionMap[653][BITOR] = ActionEntry(REDUCE, 339);
   _actionMap[653][BITXOR] = ActionEntry(REDUCE, 339);
   _actionMap[653][NEXTCOUNT] = ActionEntry(REDUCE, 339);
   _actionMap[653][SETCOUNT] = ActionEntry(REDUCE, 339);
   _actionMap[653][IDENTIFIER] = ActionEntry(REDUCE, 339);
   _actionMap[653][QUALIFIEDOBJ] = ActionEntry(REDUCE, 339);
   _actionMap[653][QUALIFIEDTS] = ActionEntry(REDUCE, 339);
   _actionMap[653][QUALIFIEDPRE] = ActionEntry(REDUCE, 339);
   _actionMap[653][STRINGVAL] = ActionEntry(REDUCE, 339);
   _actionMap[653][DATE] = ActionEntry(REDUCE, 339);
   _actionMap[653][SYSDATE] = ActionEntry(REDUCE, 339);
   _actionMap[653][NULLTOKEN] = ActionEntry(REDUCE, 339);
   _actionMap[653][TRUEVAL] = ActionEntry(REDUCE, 339);
   _actionMap[653][FALSEVAL] = ActionEntry(REDUCE, 339);
   _actionMap[653][LAB] = ActionEntry(REDUCE, 339);
   _actionMap[653][FLOATVAL] = ActionEntry(REDUCE, 339);
   _actionMap[653][MINUS] = ActionEntry(REDUCE, 339);
   _actionMap[653][INTVAL] = ActionEntry(REDUCE, 339);
   _actionMap[654][VARREF] = ActionEntry(REDUCE, 335);
   _actionMap[654][FETCH] = ActionEntry(REDUCE, 335);
   _actionMap[654][LB] = ActionEntry(REDUCE, 335);
   _actionMap[654][COUNT] = ActionEntry(REDUCE, 335);
   _actionMap[654][SUM] = ActionEntry(REDUCE, 335);
   _actionMap[654][AVG] = ActionEntry(REDUCE, 335);
   _actionMap[654][MIN] = ActionEntry(REDUCE, 335);
   _actionMap[654][MAX] = ActionEntry(REDUCE, 335);
   _actionMap[654][CASE] = ActionEntry(REDUCE, 335);
   _actionMap[654][TRIM] = ActionEntry(REDUCE, 335);
}
void Cego::loadParser55()
{
   _actionMap[654][RTRIM] = ActionEntry(REDUCE, 335);
   _actionMap[654][LTRIM] = ActionEntry(REDUCE, 335);
   _actionMap[654][ROUND] = ActionEntry(REDUCE, 335);
   _actionMap[654][DATE2STR] = ActionEntry(REDUCE, 335);
   _actionMap[654][DATE2INT] = ActionEntry(REDUCE, 335);
   _actionMap[654][INT2DATE] = ActionEntry(REDUCE, 335);
   _actionMap[654][LOWER] = ActionEntry(REDUCE, 335);
   _actionMap[654][UPPER] = ActionEntry(REDUCE, 335);
   _actionMap[654][LEFT] = ActionEntry(REDUCE, 335);
   _actionMap[654][RIGHT] = ActionEntry(REDUCE, 335);
   _actionMap[654][GETPOS] = ActionEntry(REDUCE, 335);
   _actionMap[654][SUBSTR] = ActionEntry(REDUCE, 335);
   _actionMap[654][REPLACE] = ActionEntry(REDUCE, 335);
   _actionMap[654][LENGTH] = ActionEntry(REDUCE, 335);
   _actionMap[654][TRUNC] = ActionEntry(REDUCE, 335);
   _actionMap[654][STR2INT] = ActionEntry(REDUCE, 335);
   _actionMap[654][STR2LONG] = ActionEntry(REDUCE, 335);
   _actionMap[654][RANDSTR] = ActionEntry(REDUCE, 335);
   _actionMap[654][RANDINT] = ActionEntry(REDUCE, 335);
   _actionMap[654][MOD] = ActionEntry(REDUCE, 335);
   _actionMap[654][DIV] = ActionEntry(REDUCE, 335);
   _actionMap[654][POWER] = ActionEntry(REDUCE, 335);
   _actionMap[654][BITAND] = ActionEntry(REDUCE, 335);
   _actionMap[654][BITOR] = ActionEntry(REDUCE, 335);
   _actionMap[654][BITXOR] = ActionEntry(REDUCE, 335);
   _actionMap[654][NEXTCOUNT] = ActionEntry(REDUCE, 335);
   _actionMap[654][SETCOUNT] = ActionEntry(REDUCE, 335);
   _actionMap[654][IDENTIFIER] = ActionEntry(REDUCE, 335);
   _actionMap[654][QUALIFIEDOBJ] = ActionEntry(REDUCE, 335);
   _actionMap[654][QUALIFIEDTS] = ActionEntry(REDUCE, 335);
   _actionMap[654][QUALIFIEDPRE] = ActionEntry(REDUCE, 335);
   _actionMap[654][STRINGVAL] = ActionEntry(REDUCE, 335);
   _actionMap[654][DATE] = ActionEntry(REDUCE, 335);
   _actionMap[654][SYSDATE] = ActionEntry(REDUCE, 335);
   _actionMap[654][NULLTOKEN] = ActionEntry(REDUCE, 335);
   _actionMap[654][TRUEVAL] = ActionEntry(REDUCE, 335);
   _actionMap[654][FALSEVAL] = ActionEntry(REDUCE, 335);
   _actionMap[654][LAB] = ActionEntry(REDUCE, 335);
   _actionMap[654][FLOATVAL] = ActionEntry(REDUCE, 335);
   _actionMap[654][MINUS] = ActionEntry(REDUCE, 335);
   _actionMap[654][INTVAL] = ActionEntry(REDUCE, 335);
   _actionMap[655][THEN] = ActionEntry(REDUCE, 307);
   _actionMap[655][LEFT] = ActionEntry(REDUCE, 307);
   _actionMap[655][RIGHT] = ActionEntry(REDUCE, 307);
   _actionMap[655][INNER] = ActionEntry(REDUCE, 307);
   _actionMap[655][JOIN] = ActionEntry(REDUCE, 307);
   _actionMap[655][RETURNTOKEN] = ActionEntry(REDUCE, 307);
   _actionMap[655][SEMICOLON] = ActionEntry(REDUCE, 307);
   _actionMap[655][RB] = ActionEntry(REDUCE, 307);
   _actionMap[655][ENDTOKEN] = ActionEntry(REDUCE, 307);
}
void Cego::loadParser56()
{
   _actionMap[655][UNION] = ActionEntry(REDUCE, 307);
   _actionMap[655][ROWLIMIT] = ActionEntry(REDUCE, 307);
   _actionMap[655][ORDER] = ActionEntry(REDUCE, 307);
   _actionMap[655][GROUP] = ActionEntry(REDUCE, 307);
   _actionMap[655][WHERE] = ActionEntry(REDUCE, 307);
   _actionMap[655][OR] = ActionEntry(REDUCE, 307);
   _actionMap[655][AND] = ActionEntry(REDUCE, 307);
   _actionMap[656][THEN] = ActionEntry(REDUCE, 308);
   _actionMap[656][LEFT] = ActionEntry(REDUCE, 308);
   _actionMap[656][RIGHT] = ActionEntry(REDUCE, 308);
   _actionMap[656][INNER] = ActionEntry(REDUCE, 308);
   _actionMap[656][JOIN] = ActionEntry(REDUCE, 308);
   _actionMap[656][RETURNTOKEN] = ActionEntry(REDUCE, 308);
   _actionMap[656][SEMICOLON] = ActionEntry(REDUCE, 308);
   _actionMap[656][RB] = ActionEntry(REDUCE, 308);
   _actionMap[656][ENDTOKEN] = ActionEntry(REDUCE, 308);
   _actionMap[656][UNION] = ActionEntry(REDUCE, 308);
   _actionMap[656][ROWLIMIT] = ActionEntry(REDUCE, 308);
   _actionMap[656][ORDER] = ActionEntry(REDUCE, 308);
   _actionMap[656][GROUP] = ActionEntry(REDUCE, 308);
   _actionMap[656][WHERE] = ActionEntry(REDUCE, 308);
   _actionMap[656][OR] = ActionEntry(REDUCE, 308);
   _actionMap[656][AND] = ActionEntry(REDUCE, 308);
   _actionMap[657][PLUS] = ActionEntry(SHIFT, 225);
   _actionMap[657][MINUS] = ActionEntry(SHIFT, 224);
   _actionMap[657][CONCAT] = ActionEntry(SHIFT, 223);
   _actionMap[657][WHEN] = ActionEntry(REDUCE, 164);
   _actionMap[657][ELSE] = ActionEntry(REDUCE, 164);
   _actionMap[658][RB] = ActionEntry(SHIFT, 726);
   _actionMap[659][THEN] = ActionEntry(REDUCE, 319);
   _actionMap[659][LEFT] = ActionEntry(REDUCE, 319);
   _actionMap[659][RIGHT] = ActionEntry(REDUCE, 319);
   _actionMap[659][INNER] = ActionEntry(REDUCE, 319);
   _actionMap[659][JOIN] = ActionEntry(REDUCE, 319);
   _actionMap[659][RETURNTOKEN] = ActionEntry(REDUCE, 319);
   _actionMap[659][SEMICOLON] = ActionEntry(REDUCE, 319);
   _actionMap[659][RB] = ActionEntry(REDUCE, 319);
   _actionMap[659][ENDTOKEN] = ActionEntry(REDUCE, 319);
   _actionMap[659][UNION] = ActionEntry(REDUCE, 319);
   _actionMap[659][ROWLIMIT] = ActionEntry(REDUCE, 319);
   _actionMap[659][ORDER] = ActionEntry(REDUCE, 319);
   _actionMap[659][GROUP] = ActionEntry(REDUCE, 319);
   _actionMap[659][WHERE] = ActionEntry(REDUCE, 319);
   _actionMap[659][AND] = ActionEntry(REDUCE, 319);
   _actionMap[659][OR] = ActionEntry(REDUCE, 319);
   _actionMap[660][PLUS] = ActionEntry(SHIFT, 225);
   _actionMap[660][MINUS] = ActionEntry(SHIFT, 224);
   _actionMap[660][CONCAT] = ActionEntry(SHIFT, 223);
   _actionMap[660][KSEP] = ActionEntry(REDUCE, 302);
   _actionMap[660][RB] = ActionEntry(REDUCE, 302);
}
void Cego::loadParser57()
{
   _actionMap[661][RB] = ActionEntry(SHIFT, 727);
   _actionMap[662][RB] = ActionEntry(REDUCE, 364);
   _actionMap[663][RB] = ActionEntry(SHIFT, 729);
   _actionMap[663][KSEP] = ActionEntry(SHIFT, 728);
   _actionMap[664][KSEP] = ActionEntry(REDUCE, 167);
   _actionMap[664][RB] = ActionEntry(REDUCE, 167);
   _actionMap[665][RB] = ActionEntry(SHIFT, 730);
   _actionMap[665][PLUS] = ActionEntry(SHIFT, 225);
   _actionMap[665][MINUS] = ActionEntry(SHIFT, 224);
   _actionMap[665][CONCAT] = ActionEntry(SHIFT, 223);
   _actionMap[666][WHEN] = ActionEntry(REDUCE, 362);
   _actionMap[666][ELSE] = ActionEntry(REDUCE, 362);
   _actionMap[666][LEFT] = ActionEntry(REDUCE, 362);
   _actionMap[666][RIGHT] = ActionEntry(REDUCE, 362);
   _actionMap[666][INNER] = ActionEntry(REDUCE, 362);
   _actionMap[666][JOIN] = ActionEntry(REDUCE, 362);
   _actionMap[666][RETURNTOKEN] = ActionEntry(REDUCE, 362);
   _actionMap[666][ORDER] = ActionEntry(REDUCE, 362);
   _actionMap[666][GROUP] = ActionEntry(REDUCE, 362);
   _actionMap[666][WHERE] = ActionEntry(REDUCE, 362);
   _actionMap[666][FROM] = ActionEntry(REDUCE, 362);
   _actionMap[666][AS] = ActionEntry(REDUCE, 362);
   _actionMap[666][END_TOKEN] = ActionEntry(REDUCE, 362);
   _actionMap[666][BEGIN] = ActionEntry(REDUCE, 362);
   _actionMap[666][THEN] = ActionEntry(REDUCE, 362);
   _actionMap[666][OR] = ActionEntry(REDUCE, 362);
   _actionMap[666][AND] = ActionEntry(REDUCE, 362);
   _actionMap[666][NULLTOKEN] = ActionEntry(REDUCE, 362);
   _actionMap[666][INTOK] = ActionEntry(REDUCE, 362);
   _actionMap[666][NOT] = ActionEntry(REDUCE, 362);
   _actionMap[666][BETWEEN] = ActionEntry(REDUCE, 362);
   _actionMap[666][IS] = ActionEntry(REDUCE, 362);
   _actionMap[666][LIKE] = ActionEntry(REDUCE, 362);
   _actionMap[666][MT] = ActionEntry(REDUCE, 362);
   _actionMap[666][LT] = ActionEntry(REDUCE, 362);
   _actionMap[666][NEGATION] = ActionEntry(REDUCE, 362);
   _actionMap[666][EQU] = ActionEntry(REDUCE, 362);
   _actionMap[666][RB] = ActionEntry(REDUCE, 362);
   _actionMap[666][ENDTOKEN] = ActionEntry(REDUCE, 362);
   _actionMap[666][UNION] = ActionEntry(REDUCE, 362);
   _actionMap[666][ROWLIMIT] = ActionEntry(REDUCE, 362);
   _actionMap[666][KSEP] = ActionEntry(REDUCE, 362);
   _actionMap[666][ASC] = ActionEntry(REDUCE, 362);
   _actionMap[666][DESC] = ActionEntry(REDUCE, 362);
   _actionMap[666][SEMICOLON] = ActionEntry(REDUCE, 362);
   _actionMap[666][PLUS] = ActionEntry(REDUCE, 362);
   _actionMap[666][MINUS] = ActionEntry(REDUCE, 362);
   _actionMap[666][DIVISION] = ActionEntry(REDUCE, 362);
   _actionMap[666][STAR] = ActionEntry(REDUCE, 362);
   _actionMap[666][CONCAT] = ActionEntry(REDUCE, 362);
}
void Cego::loadParser58()
{
   _actionMap[667][SEMICOLON] = ActionEntry(REDUCE, 235);
   _actionMap[667][RB] = ActionEntry(REDUCE, 235);
   _actionMap[667][ENDTOKEN] = ActionEntry(REDUCE, 235);
   _actionMap[667][UNION] = ActionEntry(REDUCE, 235);
   _actionMap[667][ROWLIMIT] = ActionEntry(REDUCE, 235);
   _actionMap[667][ORDER] = ActionEntry(SHIFT, 733);
   _jumpMap[667][NoOrdering] = 732;
   _jumpMap[667][OrderingClause] = 731;
   _actionMap[668][ORDER] = ActionEntry(REDUCE, 226);
   _actionMap[668][ROWLIMIT] = ActionEntry(REDUCE, 226);
   _actionMap[668][UNION] = ActionEntry(REDUCE, 226);
   _actionMap[668][ENDTOKEN] = ActionEntry(REDUCE, 226);
   _actionMap[668][RB] = ActionEntry(REDUCE, 226);
   _actionMap[668][SEMICOLON] = ActionEntry(REDUCE, 226);
   _actionMap[669][BY] = ActionEntry(SHIFT, 734);
   _actionMap[670][ON] = ActionEntry(SHIFT, 736);
   _jumpMap[670][JoinTableOn] = 735;
   _actionMap[671][IDENTIFIER] = ActionEntry(REDUCE, 215);
   _actionMap[671][QUALIFIEDOBJ] = ActionEntry(REDUCE, 215);
   _actionMap[671][QUALIFIEDTS] = ActionEntry(REDUCE, 215);
   _actionMap[672][JOIN] = ActionEntry(SHIFT, 737);
   _actionMap[673][JOIN] = ActionEntry(SHIFT, 738);
   _actionMap[674][RETURNTOKEN] = ActionEntry(REDUCE, 217);
   _actionMap[674][SEMICOLON] = ActionEntry(REDUCE, 217);
   _actionMap[674][RB] = ActionEntry(REDUCE, 217);
   _actionMap[674][ENDTOKEN] = ActionEntry(REDUCE, 217);
   _actionMap[674][UNION] = ActionEntry(REDUCE, 217);
   _actionMap[674][ROWLIMIT] = ActionEntry(REDUCE, 217);
   _actionMap[674][ORDER] = ActionEntry(REDUCE, 217);
   _actionMap[674][GROUP] = ActionEntry(REDUCE, 217);
   _actionMap[674][WHERE] = ActionEntry(REDUCE, 217);
   _actionMap[675][KSEP] = ActionEntry(SHIFT, 573);
   _actionMap[675][RETURNTOKEN] = ActionEntry(REDUCE, 218);
   _actionMap[675][SEMICOLON] = ActionEntry(REDUCE, 218);
   _actionMap[675][RB] = ActionEntry(REDUCE, 218);
   _actionMap[675][ENDTOKEN] = ActionEntry(REDUCE, 218);
   _actionMap[675][UNION] = ActionEntry(REDUCE, 218);
   _actionMap[675][ROWLIMIT] = ActionEntry(REDUCE, 218);
   _actionMap[675][ORDER] = ActionEntry(REDUCE, 218);
   _actionMap[675][GROUP] = ActionEntry(REDUCE, 218);
   _actionMap[675][WHERE] = ActionEntry(REDUCE, 218);
   _actionMap[676][SEMICOLON] = ActionEntry(REDUCE, 247);
   _actionMap[677][VARREF] = ActionEntry(SHIFT, 741);
   _jumpMap[677][ReturnVar] = 740;
   _jumpMap[677][ReturnVarList] = 739;
   _actionMap[678][KSEP] = ActionEntry(REDUCE, 248);
   _actionMap[678][WHERE] = ActionEntry(REDUCE, 248);
   _actionMap[678][GROUP] = ActionEntry(REDUCE, 248);
   _actionMap[678][ORDER] = ActionEntry(REDUCE, 248);
   _actionMap[678][ROWLIMIT] = ActionEntry(REDUCE, 248);
}
void Cego::loadParser59()
{
   _actionMap[678][UNION] = ActionEntry(REDUCE, 248);
   _actionMap[678][ENDTOKEN] = ActionEntry(REDUCE, 248);
   _actionMap[678][RB] = ActionEntry(REDUCE, 248);
   _actionMap[678][SEMICOLON] = ActionEntry(REDUCE, 248);
   _actionMap[678][RETURNTOKEN] = ActionEntry(REDUCE, 248);
   _actionMap[679][PLUS] = ActionEntry(SHIFT, 225);
   _actionMap[679][MINUS] = ActionEntry(SHIFT, 224);
   _actionMap[679][CONCAT] = ActionEntry(SHIFT, 223);
   _actionMap[679][KSEP] = ActionEntry(REDUCE, 250);
   _actionMap[679][WHERE] = ActionEntry(REDUCE, 250);
   _actionMap[679][GROUP] = ActionEntry(REDUCE, 250);
   _actionMap[679][ORDER] = ActionEntry(REDUCE, 250);
   _actionMap[679][ROWLIMIT] = ActionEntry(REDUCE, 250);
   _actionMap[679][UNION] = ActionEntry(REDUCE, 250);
   _actionMap[679][ENDTOKEN] = ActionEntry(REDUCE, 250);
   _actionMap[679][RB] = ActionEntry(REDUCE, 250);
   _actionMap[679][SEMICOLON] = ActionEntry(REDUCE, 250);
   _actionMap[679][RETURNTOKEN] = ActionEntry(REDUCE, 250);
   _actionMap[680][RB] = ActionEntry(SHIFT, 681);
   _actionMap[681][SEMICOLON] = ActionEntry(REDUCE, 54);
   _actionMap[444][DROP] = ActionEntry(SHIFT, 313);
   _actionMap[444][ADD] = ActionEntry(SHIFT, 583);
   _actionMap[444][MODIFY] = ActionEntry(SHIFT, 314);
   _actionMap[444][RENAME] = ActionEntry(SHIFT, 315);
   _jumpMap[444][AlterOption] = 311;
   _jumpMap[444][AlterList] = 582;
   _actionMap[445][IDENTIFIER] = ActionEntry(SHIFT, 584);
   _actionMap[446][IDENTIFIER] = ActionEntry(SHIFT, 484);
   _jumpMap[446][ColumnDesc] = 585;
   _actionMap[447][KEY] = ActionEntry(SHIFT, 586);
   _actionMap[448][IDENTIFIER] = ActionEntry(SHIFT, 587);
   _actionMap[449][IDENTIFIER] = ActionEntry(SHIFT, 484);
   _jumpMap[449][ColumnDesc] = 588;
   _actionMap[450][IDENTIFIER] = ActionEntry(SHIFT, 589);
   _actionMap[451][FOR] = ActionEntry(SHIFT, 590);
   _actionMap[452][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[452][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[452][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[452][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[452][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[452][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[452][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[452][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[452][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[452][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[452][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[452][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[452][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[452][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[452][GETPOS] = ActionEntry(SHIFT, 113);
}
void Cego::loadParser60()
{
   _actionMap[452][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[452][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[452][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[452][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[452][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[452][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[452][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[452][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[452][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[452][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[452][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[452][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[452][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[452][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[452][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[452][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[452][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[452][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[452][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[452][LB] = ActionEntry(SHIFT, 141);
   _actionMap[452][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[452][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[452][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[452][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[452][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[452][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[452][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[452][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[452][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[452][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[452][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[452][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[452][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[452][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[452][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[452][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[452][ObjSpec] = 99;
   _jumpMap[452][Constant] = 98;
   _jumpMap[452][SignedFloat] = 97;
   _jumpMap[452][SignedInt] = 96;
   _jumpMap[452][Attribute] = 95;
   _jumpMap[452][Function] = 94;
   _jumpMap[452][CasePrepare] = 93;
   _jumpMap[452][CaseClause] = 92;
   _jumpMap[452][Factor] = 91;
   _jumpMap[452][Term] = 90;
   _jumpMap[452][Expr] = 591;
   _actionMap[453][SEMICOLON] = ActionEntry(REDUCE, 82);
   _actionMap[454][ELSE] = ActionEntry(REDUCE, 91);
   _actionMap[454][ELSIF] = ActionEntry(REDUCE, 91);
}
void Cego::loadParser61()
{
   _actionMap[454][END_TOKEN] = ActionEntry(REDUCE, 91);
   _actionMap[454][EXCEPTION] = ActionEntry(SHIFT, 593);
   _jumpMap[454][ProcExceptionStmt] = 592;
   _actionMap[455][SEMICOLON] = ActionEntry(SHIFT, 594);
   _actionMap[456][END_TOKEN] = ActionEntry(SHIFT, 595);
   _actionMap[457][ELSE] = ActionEntry(SHIFT, 598);
   _actionMap[457][END_TOKEN] = ActionEntry(REDUCE, 127);
   _jumpMap[457][ProcElsePart] = 597;
   _jumpMap[457][ProcElseOpt] = 596;
   _actionMap[458][ELSIF] = ActionEntry(SHIFT, 459);
   _actionMap[458][END_TOKEN] = ActionEntry(REDUCE, 124);
   _actionMap[458][ELSE] = ActionEntry(REDUCE, 124);
   _jumpMap[458][ProcElsIfOpt] = 458;
   _jumpMap[458][ProcElsIfList] = 600;
   _actionMap[459][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[459][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[459][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[459][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[459][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[459][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[459][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[459][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[459][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[459][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[459][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[459][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[459][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[459][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[459][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[459][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[459][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[459][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[459][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[459][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[459][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[459][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[459][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[459][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[459][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[459][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[459][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[459][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[459][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[459][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[459][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[459][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[459][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[459][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[459][LB] = ActionEntry(SHIFT, 467);
   _actionMap[459][STRINGVAL] = ActionEntry(SHIFT, 100);
}
void Cego::loadParser62()
{
   _actionMap[459][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[459][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[459][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[459][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[459][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[459][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[459][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[459][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[459][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[459][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[459][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[459][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[459][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[459][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[459][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[459][ObjSpec] = 99;
   _jumpMap[459][Constant] = 98;
   _jumpMap[459][SignedFloat] = 97;
   _jumpMap[459][SignedInt] = 96;
   _jumpMap[459][Attribute] = 95;
   _jumpMap[459][Function] = 94;
   _jumpMap[459][CasePrepare] = 93;
   _jumpMap[459][CaseClause] = 92;
   _jumpMap[459][Factor] = 91;
   _jumpMap[459][Term] = 90;
   _jumpMap[459][Expr] = 466;
   _jumpMap[459][ProcPredicate] = 465;
   _jumpMap[459][ProcCondition] = 602;
   _jumpMap[459][ProcElsIfCondition] = 601;
   _actionMap[460][EXCEPTION] = ActionEntry(REDUCE, 93);
   _actionMap[460][END_TOKEN] = ActionEntry(REDUCE, 93);
   _actionMap[460][ELSE] = ActionEntry(REDUCE, 93);
   _actionMap[460][ELSIF] = ActionEntry(REDUCE, 93);
   _actionMap[460][VAR] = ActionEntry(REDUCE, 93);
   _actionMap[460][CURSOR] = ActionEntry(REDUCE, 93);
   _actionMap[460][CLOSE] = ActionEntry(REDUCE, 93);
   _actionMap[460][VARREF] = ActionEntry(REDUCE, 93);
   _actionMap[460][NOOP] = ActionEntry(REDUCE, 93);
   _actionMap[460][RETURNTOKEN] = ActionEntry(REDUCE, 93);
   _actionMap[460][WHILE] = ActionEntry(REDUCE, 93);
   _actionMap[460][IF] = ActionEntry(REDUCE, 93);
   _actionMap[460][BEGIN] = ActionEntry(REDUCE, 93);
   _actionMap[460][ROLLBACK] = ActionEntry(REDUCE, 93);
   _actionMap[460][COMMIT] = ActionEntry(REDUCE, 93);
   _actionMap[460][START_TOKEN] = ActionEntry(REDUCE, 93);
   _actionMap[460][UPDATE] = ActionEntry(REDUCE, 93);
   _actionMap[460][DELETETOK] = ActionEntry(REDUCE, 93);
   _actionMap[460][INSERT] = ActionEntry(REDUCE, 93);
   _actionMap[460][FETCH] = ActionEntry(REDUCE, 93);
   _actionMap[460][LB] = ActionEntry(REDUCE, 93);
}
void Cego::loadParser63()
{
   _actionMap[460][COUNT] = ActionEntry(REDUCE, 93);
   _actionMap[460][SUM] = ActionEntry(REDUCE, 93);
   _actionMap[460][AVG] = ActionEntry(REDUCE, 93);
   _actionMap[460][MIN] = ActionEntry(REDUCE, 93);
   _actionMap[460][MAX] = ActionEntry(REDUCE, 93);
   _actionMap[460][CASE] = ActionEntry(REDUCE, 93);
   _actionMap[460][TRIM] = ActionEntry(REDUCE, 93);
   _actionMap[460][RTRIM] = ActionEntry(REDUCE, 93);
   _actionMap[460][LTRIM] = ActionEntry(REDUCE, 93);
   _actionMap[460][ROUND] = ActionEntry(REDUCE, 93);
   _actionMap[460][DATE2STR] = ActionEntry(REDUCE, 93);
   _actionMap[460][DATE2INT] = ActionEntry(REDUCE, 93);
   _actionMap[460][INT2DATE] = ActionEntry(REDUCE, 93);
   _actionMap[460][LOWER] = ActionEntry(REDUCE, 93);
   _actionMap[460][UPPER] = ActionEntry(REDUCE, 93);
   _actionMap[460][LEFT] = ActionEntry(REDUCE, 93);
   _actionMap[460][RIGHT] = ActionEntry(REDUCE, 93);
   _actionMap[460][GETPOS] = ActionEntry(REDUCE, 93);
   _actionMap[460][SUBSTR] = ActionEntry(REDUCE, 93);
   _actionMap[460][REPLACE] = ActionEntry(REDUCE, 93);
   _actionMap[460][LENGTH] = ActionEntry(REDUCE, 93);
   _actionMap[460][TRUNC] = ActionEntry(REDUCE, 93);
   _actionMap[460][STR2INT] = ActionEntry(REDUCE, 93);
   _actionMap[460][STR2LONG] = ActionEntry(REDUCE, 93);
   _actionMap[460][RANDSTR] = ActionEntry(REDUCE, 93);
   _actionMap[460][RANDINT] = ActionEntry(REDUCE, 93);
   _actionMap[460][MOD] = ActionEntry(REDUCE, 93);
   _actionMap[460][DIV] = ActionEntry(REDUCE, 93);
   _actionMap[460][POWER] = ActionEntry(REDUCE, 93);
   _actionMap[460][BITAND] = ActionEntry(REDUCE, 93);
   _actionMap[460][BITOR] = ActionEntry(REDUCE, 93);
   _actionMap[460][BITXOR] = ActionEntry(REDUCE, 93);
   _actionMap[460][NEXTCOUNT] = ActionEntry(REDUCE, 93);
   _actionMap[460][SETCOUNT] = ActionEntry(REDUCE, 93);
   _actionMap[460][IDENTIFIER] = ActionEntry(REDUCE, 93);
   _actionMap[460][QUALIFIEDOBJ] = ActionEntry(REDUCE, 93);
   _actionMap[460][QUALIFIEDTS] = ActionEntry(REDUCE, 93);
   _actionMap[460][QUALIFIEDPRE] = ActionEntry(REDUCE, 93);
   _actionMap[460][STRINGVAL] = ActionEntry(REDUCE, 93);
   _actionMap[460][DATE] = ActionEntry(REDUCE, 93);
   _actionMap[460][SYSDATE] = ActionEntry(REDUCE, 93);
   _actionMap[460][NULLTOKEN] = ActionEntry(REDUCE, 93);
   _actionMap[460][TRUEVAL] = ActionEntry(REDUCE, 93);
   _actionMap[460][FALSEVAL] = ActionEntry(REDUCE, 93);
   _actionMap[460][LAB] = ActionEntry(REDUCE, 93);
   _actionMap[460][FLOATVAL] = ActionEntry(REDUCE, 93);
   _actionMap[460][MINUS] = ActionEntry(REDUCE, 93);
   _actionMap[460][INTVAL] = ActionEntry(REDUCE, 93);
   _actionMap[461][SEMICOLON] = ActionEntry(REDUCE, 96);
   _actionMap[462][AS] = ActionEntry(SHIFT, 603);
}
void Cego::loadParser64()
{
   _actionMap[463][THEN] = ActionEntry(SHIFT, 604);
   _actionMap[464][OR] = ActionEntry(SHIFT, 606);
   _actionMap[464][AND] = ActionEntry(SHIFT, 605);
   _actionMap[464][THEN] = ActionEntry(REDUCE, 129);
   _actionMap[465][BEGIN] = ActionEntry(REDUCE, 135);
   _actionMap[465][RB] = ActionEntry(REDUCE, 135);
   _actionMap[465][AND] = ActionEntry(REDUCE, 135);
   _actionMap[465][OR] = ActionEntry(REDUCE, 135);
   _actionMap[465][THEN] = ActionEntry(REDUCE, 135);
   _actionMap[466][IS] = ActionEntry(SHIFT, 608);
   _actionMap[466][PLUS] = ActionEntry(SHIFT, 225);
   _actionMap[466][MINUS] = ActionEntry(SHIFT, 224);
   _actionMap[466][CONCAT] = ActionEntry(SHIFT, 223);
   _actionMap[466][EQU] = ActionEntry(SHIFT, 500);
   _actionMap[466][NEGATION] = ActionEntry(SHIFT, 503);
   _actionMap[466][LT] = ActionEntry(SHIFT, 501);
   _actionMap[466][MT] = ActionEntry(SHIFT, 502);
   _jumpMap[466][Comparison] = 607;
   _actionMap[467][LONG] = ActionEntry(SHIFT, 273);
   _actionMap[467][BIGINT] = ActionEntry(SHIFT, 269);
   _actionMap[467][SMALLINT] = ActionEntry(SHIFT, 274);
   _actionMap[467][TINYINT] = ActionEntry(SHIFT, 275);
   _actionMap[467][DOUBLE] = ActionEntry(SHIFT, 271);
   _actionMap[467][DECIMAL] = ActionEntry(SHIFT, 270);
   _actionMap[467][FIXED] = ActionEntry(SHIFT, 272);
   _actionMap[467][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[467][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[467][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[467][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[467][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[467][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[467][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[467][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[467][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[467][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[467][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[467][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[467][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[467][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[467][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[467][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[467][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[467][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[467][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[467][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[467][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[467][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[467][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[467][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[467][DIV] = ActionEntry(SHIFT, 110);
}
void Cego::loadParser65()
{
   _actionMap[467][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[467][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[467][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[467][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[467][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[467][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[467][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[467][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[467][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[467][LB] = ActionEntry(SHIFT, 467);
   _actionMap[467][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[467][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[467][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[467][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[467][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[467][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[467][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[467][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[467][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[467][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[467][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[467][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[467][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[467][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[467][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[467][MAX] = ActionEntry(SHIFT, 120);
   _actionMap[467][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[467][ObjSpec] = 99;
   _jumpMap[467][Constant] = 98;
   _jumpMap[467][SignedFloat] = 97;
   _jumpMap[467][SignedInt] = 96;
   _jumpMap[467][Attribute] = 95;
   _jumpMap[467][Function] = 94;
   _jumpMap[467][SelectStatement] = 268;
   _jumpMap[467][CasePrepare] = 93;
   _jumpMap[467][CaseClause] = 92;
   _jumpMap[467][Factor] = 91;
   _jumpMap[467][Term] = 90;
   _jumpMap[467][Expr] = 610;
   _jumpMap[467][ProcPredicate] = 465;
   _jumpMap[467][ProcCondition] = 609;
   _actionMap[468][PLUS] = ActionEntry(SHIFT, 225);
   _actionMap[468][MINUS] = ActionEntry(SHIFT, 224);
   _actionMap[468][CONCAT] = ActionEntry(SHIFT, 223);
   _actionMap[468][SEMICOLON] = ActionEntry(REDUCE, 110);
   _actionMap[469][INT] = ActionEntry(SHIFT, 620);
   _actionMap[469][LONG] = ActionEntry(SHIFT, 621);
   _actionMap[469][STRING] = ActionEntry(SHIFT, 623);
   _actionMap[469][DATETIME] = ActionEntry(SHIFT, 615);
   _actionMap[469][BOOL] = ActionEntry(SHIFT, 614);
}
void Cego::loadParser66()
{
   _actionMap[469][BIGINT] = ActionEntry(SHIFT, 612);
   _actionMap[469][FLOAT] = ActionEntry(SHIFT, 619);
   _actionMap[469][DOUBLE] = ActionEntry(SHIFT, 617);
   _actionMap[469][SMALLINT] = ActionEntry(SHIFT, 622);
   _actionMap[469][TINYINT] = ActionEntry(SHIFT, 624);
   _actionMap[469][DECIMAL] = ActionEntry(SHIFT, 616);
   _actionMap[469][FIXED] = ActionEntry(SHIFT, 618);
   _actionMap[469][BLOB] = ActionEntry(SHIFT, 613);
   _jumpMap[469][DataTypeProd] = 611;
   _actionMap[470][BEGIN] = ActionEntry(SHIFT, 625);
   _actionMap[471][OR] = ActionEntry(SHIFT, 606);
   _actionMap[471][AND] = ActionEntry(SHIFT, 605);
   _actionMap[471][BEGIN] = ActionEntry(REDUCE, 132);
   _actionMap[472][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[472][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[472][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[472][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[472][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[472][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[472][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[472][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[472][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[472][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[472][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[472][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[472][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[472][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[472][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[472][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[472][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[472][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[472][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[472][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[472][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[472][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[472][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[472][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[472][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[472][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[472][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[472][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[472][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[472][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[472][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[472][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[472][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[472][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[472][LB] = ActionEntry(SHIFT, 141);
   _actionMap[472][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[472][DATE] = ActionEntry(SHIFT, 107);
}
void Cego::loadParser67()
{
   _actionMap[472][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[472][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[472][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[472][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[472][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[472][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[472][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[472][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[472][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[472][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[472][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[472][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[472][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[472][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[472][ObjSpec] = 99;
   _jumpMap[472][Constant] = 98;
   _jumpMap[472][SignedFloat] = 97;
   _jumpMap[472][SignedInt] = 96;
   _jumpMap[472][Attribute] = 95;
   _jumpMap[472][Function] = 94;
   _jumpMap[472][CasePrepare] = 93;
   _jumpMap[472][CaseClause] = 92;
   _jumpMap[472][Factor] = 91;
   _jumpMap[472][Term] = 90;
   _jumpMap[472][Expr] = 626;
   _actionMap[473][IDENTIFIER] = ActionEntry(SHIFT, 50);
   _actionMap[473][QUALIFIEDOBJ] = ActionEntry(SHIFT, 51);
   _actionMap[473][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _jumpMap[473][ObjSpec] = 627;
   _actionMap[474][LB] = ActionEntry(SHIFT, 628);
   _actionMap[475][RB] = ActionEntry(SHIFT, 478);
   _actionMap[476][KSEP] = ActionEntry(SHIFT, 629);
   _actionMap[476][RB] = ActionEntry(REDUCE, 85);
   _actionMap[477][KSEP] = ActionEntry(REDUCE, 88);
   _actionMap[477][RB] = ActionEntry(REDUCE, 88);
   _actionMap[478][RETURNTOKEN] = ActionEntry(SHIFT, 631);
   _actionMap[478][BEGIN] = ActionEntry(REDUCE, 84);
   _jumpMap[478][ReturnOpt] = 630;
   _actionMap[479][INTOK] = ActionEntry(SHIFT, 632);
   _actionMap[479][OUTTOK] = ActionEntry(SHIFT, 633);
   _actionMap[480][RB] = ActionEntry(SHIFT, 635);
   _actionMap[480][KSEP] = ActionEntry(SHIFT, 634);
   _actionMap[481][KSEP] = ActionEntry(REDUCE, 169);
   _actionMap[481][RB] = ActionEntry(REDUCE, 169);
   _actionMap[482][KSEP] = ActionEntry(REDUCE, 171);
   _actionMap[482][RB] = ActionEntry(REDUCE, 171);
   _actionMap[483][IDENTIFIER] = ActionEntry(SHIFT, 484);
   _jumpMap[483][ColumnDesc] = 636;
   _actionMap[484][INT] = ActionEntry(SHIFT, 620);
   _actionMap[484][LONG] = ActionEntry(SHIFT, 621);
}
void Cego::loadParser68()
{
   _actionMap[484][STRING] = ActionEntry(SHIFT, 623);
   _actionMap[484][DATETIME] = ActionEntry(SHIFT, 615);
   _actionMap[484][BOOL] = ActionEntry(SHIFT, 614);
   _actionMap[484][BIGINT] = ActionEntry(SHIFT, 612);
   _actionMap[484][FLOAT] = ActionEntry(SHIFT, 619);
   _actionMap[484][DOUBLE] = ActionEntry(SHIFT, 617);
   _actionMap[484][SMALLINT] = ActionEntry(SHIFT, 622);
   _actionMap[484][TINYINT] = ActionEntry(SHIFT, 624);
   _actionMap[484][DECIMAL] = ActionEntry(SHIFT, 616);
   _actionMap[484][FIXED] = ActionEntry(SHIFT, 618);
   _actionMap[484][BLOB] = ActionEntry(SHIFT, 613);
   _jumpMap[484][DataTypeProd] = 637;
   _actionMap[485][SEMICOLON] = ActionEntry(REDUCE, 49);
   _actionMap[486][AND] = ActionEntry(SHIFT, 504);
   _actionMap[486][OR] = ActionEntry(SHIFT, 505);
   _actionMap[486][RETURNTOKEN] = ActionEntry(REDUCE, 304);
   _actionMap[486][GROUP] = ActionEntry(REDUCE, 304);
   _actionMap[486][ORDER] = ActionEntry(REDUCE, 304);
   _actionMap[486][ROWLIMIT] = ActionEntry(REDUCE, 304);
   _actionMap[486][UNION] = ActionEntry(REDUCE, 304);
   _actionMap[486][ENDTOKEN] = ActionEntry(REDUCE, 304);
   _actionMap[486][RB] = ActionEntry(REDUCE, 304);
   _actionMap[486][SEMICOLON] = ActionEntry(REDUCE, 304);
   _actionMap[487][KSEP] = ActionEntry(SHIFT, 638);
   _actionMap[487][SEMICOLON] = ActionEntry(REDUCE, 190);
   _actionMap[488][SEMICOLON] = ActionEntry(REDUCE, 196);
   _actionMap[488][KSEP] = ActionEntry(REDUCE, 196);
   _actionMap[489][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[489][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[489][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[489][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[489][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[489][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[489][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[489][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[489][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[489][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[489][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[489][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[489][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[489][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[489][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[489][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[489][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[489][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[489][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[489][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[489][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[489][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[489][RANDINT] = ActionEntry(SHIFT, 126);
}
void Cego::loadParser69()
{
   _actionMap[489][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[489][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[489][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[489][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[489][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[489][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[489][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[489][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[489][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[489][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[489][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[489][LB] = ActionEntry(SHIFT, 141);
   _actionMap[489][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[489][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[489][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[489][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[489][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[489][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[489][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[489][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[489][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[489][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[489][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[489][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[489][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[489][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[489][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[489][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[489][ObjSpec] = 99;
   _jumpMap[489][Constant] = 98;
   _jumpMap[489][SignedFloat] = 97;
   _jumpMap[489][SignedInt] = 96;
   _jumpMap[489][Attribute] = 95;
   _jumpMap[489][Function] = 94;
   _jumpMap[489][InsertValueList] = 640;
   _jumpMap[489][CasePrepare] = 93;
   _jumpMap[489][CaseClause] = 92;
   _jumpMap[489][Factor] = 91;
   _jumpMap[489][Term] = 90;
   _jumpMap[489][Expr] = 639;
   _actionMap[490][RB] = ActionEntry(SHIFT, 642);
   _actionMap[490][KSEP] = ActionEntry(SHIFT, 641);
   _actionMap[491][KSEP] = ActionEntry(REDUCE, 199);
   _actionMap[491][RB] = ActionEntry(REDUCE, 199);
   _actionMap[492][SEMICOLON] = ActionEntry(REDUCE, 50);
   _actionMap[493][END_TOKEN] = ActionEntry(SHIFT, 643);
   _actionMap[493][PLUS] = ActionEntry(SHIFT, 225);
   _actionMap[493][MINUS] = ActionEntry(SHIFT, 224);
   _actionMap[493][CONCAT] = ActionEntry(SHIFT, 223);
   _actionMap[494][FLOATVAL] = ActionEntry(SHIFT, 145);
}
void Cego::loadParser70()
{
   _actionMap[494][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[494][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[494][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[494][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[494][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[494][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[494][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[494][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[494][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[494][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[494][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[494][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[494][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[494][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[494][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[494][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[494][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[494][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[494][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[494][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[494][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[494][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[494][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[494][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[494][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[494][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[494][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[494][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[494][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[494][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[494][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[494][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[494][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[494][LB] = ActionEntry(SHIFT, 141);
   _actionMap[494][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[494][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[494][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[494][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[494][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[494][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[494][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[494][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[494][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[494][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[494][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[494][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[494][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[494][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[494][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[494][MAX] = ActionEntry(SHIFT, 120);
}
void Cego::loadParser71()
{
   _jumpMap[494][ObjSpec] = 99;
   _jumpMap[494][Constant] = 98;
   _jumpMap[494][SignedFloat] = 97;
   _jumpMap[494][SignedInt] = 96;
   _jumpMap[494][Attribute] = 95;
   _jumpMap[494][Function] = 94;
   _jumpMap[494][CasePrepare] = 93;
   _jumpMap[494][CaseClause] = 92;
   _jumpMap[494][Factor] = 91;
   _jumpMap[494][Term] = 90;
   _jumpMap[494][Expr] = 644;
   _actionMap[495][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[495][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[495][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[495][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[495][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[495][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[495][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[495][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[495][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[495][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[495][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[495][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[495][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[495][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[495][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[495][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[495][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[495][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[495][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[495][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[495][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[495][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[495][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[495][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[495][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[495][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[495][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[495][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[495][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[495][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[495][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[495][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[495][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[495][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[495][LB] = ActionEntry(SHIFT, 141);
   _actionMap[495][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[495][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[495][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[495][NULLTOKEN] = ActionEntry(SHIFT, 123);
}
void Cego::loadParser72()
{
   _actionMap[495][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[495][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[495][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[495][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[495][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[495][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[495][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[495][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[495][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[495][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[495][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[495][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[495][ObjSpec] = 99;
   _jumpMap[495][Constant] = 98;
   _jumpMap[495][SignedFloat] = 97;
   _jumpMap[495][SignedInt] = 96;
   _jumpMap[495][Attribute] = 95;
   _jumpMap[495][Function] = 94;
   _jumpMap[495][CasePrepare] = 93;
   _jumpMap[495][CaseClause] = 92;
   _jumpMap[495][Factor] = 91;
   _jumpMap[495][Term] = 90;
   _jumpMap[495][Expr] = 645;
   _actionMap[496][LB] = ActionEntry(SHIFT, 646);
   _actionMap[497][NOT] = ActionEntry(SHIFT, 647);
   _actionMap[497][NULLTOKEN] = ActionEntry(SHIFT, 648);
   _actionMap[498][STRINGVAL] = ActionEntry(SHIFT, 649);
   _actionMap[499][LIKE] = ActionEntry(SHIFT, 651);
   _actionMap[499][INTOK] = ActionEntry(SHIFT, 650);
   _actionMap[500][VARREF] = ActionEntry(REDUCE, 334);
   _actionMap[500][FETCH] = ActionEntry(REDUCE, 334);
   _actionMap[500][LB] = ActionEntry(REDUCE, 334);
   _actionMap[500][COUNT] = ActionEntry(REDUCE, 334);
   _actionMap[500][SUM] = ActionEntry(REDUCE, 334);
   _actionMap[500][AVG] = ActionEntry(REDUCE, 334);
   _actionMap[500][MIN] = ActionEntry(REDUCE, 334);
   _actionMap[500][MAX] = ActionEntry(REDUCE, 334);
   _actionMap[500][CASE] = ActionEntry(REDUCE, 334);
   _actionMap[500][TRIM] = ActionEntry(REDUCE, 334);
   _actionMap[500][RTRIM] = ActionEntry(REDUCE, 334);
   _actionMap[500][LTRIM] = ActionEntry(REDUCE, 334);
   _actionMap[500][ROUND] = ActionEntry(REDUCE, 334);
   _actionMap[500][DATE2STR] = ActionEntry(REDUCE, 334);
   _actionMap[500][DATE2INT] = ActionEntry(REDUCE, 334);
   _actionMap[500][INT2DATE] = ActionEntry(REDUCE, 334);
   _actionMap[500][LOWER] = ActionEntry(REDUCE, 334);
   _actionMap[500][UPPER] = ActionEntry(REDUCE, 334);
   _actionMap[500][LEFT] = ActionEntry(REDUCE, 334);
   _actionMap[500][RIGHT] = ActionEntry(REDUCE, 334);
   _actionMap[500][GETPOS] = ActionEntry(REDUCE, 334);
}
void Cego::loadParser73()
{
   _actionMap[500][SUBSTR] = ActionEntry(REDUCE, 334);
   _actionMap[500][REPLACE] = ActionEntry(REDUCE, 334);
   _actionMap[500][LENGTH] = ActionEntry(REDUCE, 334);
   _actionMap[500][TRUNC] = ActionEntry(REDUCE, 334);
   _actionMap[500][STR2INT] = ActionEntry(REDUCE, 334);
   _actionMap[500][STR2LONG] = ActionEntry(REDUCE, 334);
   _actionMap[500][RANDSTR] = ActionEntry(REDUCE, 334);
   _actionMap[500][RANDINT] = ActionEntry(REDUCE, 334);
   _actionMap[500][MOD] = ActionEntry(REDUCE, 334);
   _actionMap[500][DIV] = ActionEntry(REDUCE, 334);
   _actionMap[500][POWER] = ActionEntry(REDUCE, 334);
   _actionMap[500][BITAND] = ActionEntry(REDUCE, 334);
   _actionMap[500][BITOR] = ActionEntry(REDUCE, 334);
   _actionMap[500][BITXOR] = ActionEntry(REDUCE, 334);
   _actionMap[500][NEXTCOUNT] = ActionEntry(REDUCE, 334);
   _actionMap[500][SETCOUNT] = ActionEntry(REDUCE, 334);
   _actionMap[500][IDENTIFIER] = ActionEntry(REDUCE, 334);
   _actionMap[500][QUALIFIEDOBJ] = ActionEntry(REDUCE, 334);
   _actionMap[500][QUALIFIEDTS] = ActionEntry(REDUCE, 334);
   _actionMap[500][QUALIFIEDPRE] = ActionEntry(REDUCE, 334);
   _actionMap[500][STRINGVAL] = ActionEntry(REDUCE, 334);
   _actionMap[500][DATE] = ActionEntry(REDUCE, 334);
   _actionMap[500][SYSDATE] = ActionEntry(REDUCE, 334);
   _actionMap[500][NULLTOKEN] = ActionEntry(REDUCE, 334);
   _actionMap[500][TRUEVAL] = ActionEntry(REDUCE, 334);
   _actionMap[500][FALSEVAL] = ActionEntry(REDUCE, 334);
   _actionMap[500][LAB] = ActionEntry(REDUCE, 334);
   _actionMap[500][FLOATVAL] = ActionEntry(REDUCE, 334);
   _actionMap[500][MINUS] = ActionEntry(REDUCE, 334);
   _actionMap[500][INTVAL] = ActionEntry(REDUCE, 334);
   _actionMap[501][VARREF] = ActionEntry(REDUCE, 336);
   _actionMap[501][FETCH] = ActionEntry(REDUCE, 336);
   _actionMap[501][LB] = ActionEntry(REDUCE, 336);
   _actionMap[501][COUNT] = ActionEntry(REDUCE, 336);
   _actionMap[501][SUM] = ActionEntry(REDUCE, 336);
   _actionMap[501][AVG] = ActionEntry(REDUCE, 336);
   _actionMap[501][MIN] = ActionEntry(REDUCE, 336);
   _actionMap[501][MAX] = ActionEntry(REDUCE, 336);
   _actionMap[501][CASE] = ActionEntry(REDUCE, 336);
   _actionMap[501][TRIM] = ActionEntry(REDUCE, 336);
   _actionMap[501][RTRIM] = ActionEntry(REDUCE, 336);
   _actionMap[501][LTRIM] = ActionEntry(REDUCE, 336);
   _actionMap[501][ROUND] = ActionEntry(REDUCE, 336);
   _actionMap[501][DATE2STR] = ActionEntry(REDUCE, 336);
   _actionMap[501][DATE2INT] = ActionEntry(REDUCE, 336);
   _actionMap[501][INT2DATE] = ActionEntry(REDUCE, 336);
   _actionMap[501][LOWER] = ActionEntry(REDUCE, 336);
   _actionMap[501][UPPER] = ActionEntry(REDUCE, 336);
   _actionMap[501][LEFT] = ActionEntry(REDUCE, 336);
   _actionMap[501][RIGHT] = ActionEntry(REDUCE, 336);
}
void Cego::loadParser74()
{
   _actionMap[501][GETPOS] = ActionEntry(REDUCE, 336);
   _actionMap[501][SUBSTR] = ActionEntry(REDUCE, 336);
   _actionMap[501][REPLACE] = ActionEntry(REDUCE, 336);
   _actionMap[501][LENGTH] = ActionEntry(REDUCE, 336);
   _actionMap[501][TRUNC] = ActionEntry(REDUCE, 336);
   _actionMap[501][STR2INT] = ActionEntry(REDUCE, 336);
   _actionMap[501][STR2LONG] = ActionEntry(REDUCE, 336);
   _actionMap[501][RANDSTR] = ActionEntry(REDUCE, 336);
   _actionMap[501][RANDINT] = ActionEntry(REDUCE, 336);
   _actionMap[501][MOD] = ActionEntry(REDUCE, 336);
   _actionMap[501][DIV] = ActionEntry(REDUCE, 336);
   _actionMap[501][POWER] = ActionEntry(REDUCE, 336);
   _actionMap[501][BITAND] = ActionEntry(REDUCE, 336);
   _actionMap[501][BITOR] = ActionEntry(REDUCE, 336);
   _actionMap[501][BITXOR] = ActionEntry(REDUCE, 336);
   _actionMap[501][NEXTCOUNT] = ActionEntry(REDUCE, 336);
   _actionMap[501][SETCOUNT] = ActionEntry(REDUCE, 336);
   _actionMap[501][IDENTIFIER] = ActionEntry(REDUCE, 336);
   _actionMap[501][QUALIFIEDOBJ] = ActionEntry(REDUCE, 336);
   _actionMap[501][QUALIFIEDTS] = ActionEntry(REDUCE, 336);
   _actionMap[501][QUALIFIEDPRE] = ActionEntry(REDUCE, 336);
   _actionMap[501][STRINGVAL] = ActionEntry(REDUCE, 336);
   _actionMap[501][DATE] = ActionEntry(REDUCE, 336);
   _actionMap[501][SYSDATE] = ActionEntry(REDUCE, 336);
   _actionMap[501][NULLTOKEN] = ActionEntry(REDUCE, 336);
   _actionMap[501][TRUEVAL] = ActionEntry(REDUCE, 336);
   _actionMap[501][FALSEVAL] = ActionEntry(REDUCE, 336);
   _actionMap[501][LAB] = ActionEntry(REDUCE, 336);
   _actionMap[501][FLOATVAL] = ActionEntry(REDUCE, 336);
   _actionMap[501][MINUS] = ActionEntry(REDUCE, 336);
   _actionMap[501][INTVAL] = ActionEntry(REDUCE, 336);
   _actionMap[501][EQU] = ActionEntry(SHIFT, 652);
   _actionMap[502][VARREF] = ActionEntry(REDUCE, 337);
   _actionMap[502][FETCH] = ActionEntry(REDUCE, 337);
   _actionMap[502][LB] = ActionEntry(REDUCE, 337);
   _actionMap[502][COUNT] = ActionEntry(REDUCE, 337);
   _actionMap[502][SUM] = ActionEntry(REDUCE, 337);
   _actionMap[502][AVG] = ActionEntry(REDUCE, 337);
   _actionMap[502][MIN] = ActionEntry(REDUCE, 337);
   _actionMap[502][MAX] = ActionEntry(REDUCE, 337);
   _actionMap[502][CASE] = ActionEntry(REDUCE, 337);
   _actionMap[502][TRIM] = ActionEntry(REDUCE, 337);
   _actionMap[502][RTRIM] = ActionEntry(REDUCE, 337);
   _actionMap[502][LTRIM] = ActionEntry(REDUCE, 337);
   _actionMap[502][ROUND] = ActionEntry(REDUCE, 337);
   _actionMap[502][DATE2STR] = ActionEntry(REDUCE, 337);
   _actionMap[502][DATE2INT] = ActionEntry(REDUCE, 337);
   _actionMap[502][INT2DATE] = ActionEntry(REDUCE, 337);
   _actionMap[502][LOWER] = ActionEntry(REDUCE, 337);
   _actionMap[502][UPPER] = ActionEntry(REDUCE, 337);
}
void Cego::loadParser75()
{
   _actionMap[502][LEFT] = ActionEntry(REDUCE, 337);
   _actionMap[502][RIGHT] = ActionEntry(REDUCE, 337);
   _actionMap[502][GETPOS] = ActionEntry(REDUCE, 337);
   _actionMap[502][SUBSTR] = ActionEntry(REDUCE, 337);
   _actionMap[502][REPLACE] = ActionEntry(REDUCE, 337);
   _actionMap[502][LENGTH] = ActionEntry(REDUCE, 337);
   _actionMap[502][TRUNC] = ActionEntry(REDUCE, 337);
   _actionMap[502][STR2INT] = ActionEntry(REDUCE, 337);
   _actionMap[502][STR2LONG] = ActionEntry(REDUCE, 337);
   _actionMap[502][RANDSTR] = ActionEntry(REDUCE, 337);
   _actionMap[502][RANDINT] = ActionEntry(REDUCE, 337);
   _actionMap[502][MOD] = ActionEntry(REDUCE, 337);
   _actionMap[502][DIV] = ActionEntry(REDUCE, 337);
   _actionMap[502][POWER] = ActionEntry(REDUCE, 337);
   _actionMap[502][BITAND] = ActionEntry(REDUCE, 337);
   _actionMap[502][BITOR] = ActionEntry(REDUCE, 337);
   _actionMap[502][BITXOR] = ActionEntry(REDUCE, 337);
   _actionMap[502][NEXTCOUNT] = ActionEntry(REDUCE, 337);
   _actionMap[502][SETCOUNT] = ActionEntry(REDUCE, 337);
   _actionMap[502][IDENTIFIER] = ActionEntry(REDUCE, 337);
   _actionMap[502][QUALIFIEDOBJ] = ActionEntry(REDUCE, 337);
   _actionMap[502][QUALIFIEDTS] = ActionEntry(REDUCE, 337);
   _actionMap[502][QUALIFIEDPRE] = ActionEntry(REDUCE, 337);
   _actionMap[502][STRINGVAL] = ActionEntry(REDUCE, 337);
   _actionMap[502][DATE] = ActionEntry(REDUCE, 337);
   _actionMap[502][SYSDATE] = ActionEntry(REDUCE, 337);
   _actionMap[502][NULLTOKEN] = ActionEntry(REDUCE, 337);
   _actionMap[502][TRUEVAL] = ActionEntry(REDUCE, 337);
   _actionMap[502][FALSEVAL] = ActionEntry(REDUCE, 337);
   _actionMap[502][LAB] = ActionEntry(REDUCE, 337);
   _actionMap[502][FLOATVAL] = ActionEntry(REDUCE, 337);
   _actionMap[502][MINUS] = ActionEntry(REDUCE, 337);
   _actionMap[502][INTVAL] = ActionEntry(REDUCE, 337);
   _actionMap[502][EQU] = ActionEntry(SHIFT, 653);
   _actionMap[503][EQU] = ActionEntry(SHIFT, 654);
   _actionMap[504][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[504][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[504][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[504][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[504][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[504][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[504][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[504][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[504][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[504][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[504][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[504][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[504][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[504][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[504][GETPOS] = ActionEntry(SHIFT, 113);
}
void Cego::loadParser76()
{
   _actionMap[504][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[504][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[504][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[504][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[504][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[504][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[504][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[504][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[504][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[504][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[504][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[504][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[504][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[504][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[504][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[504][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[504][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[504][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[504][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[504][LB] = ActionEntry(SHIFT, 371);
   _actionMap[504][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[504][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[504][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[504][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[504][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[504][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[504][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[504][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[504][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[504][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[504][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[504][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[504][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[504][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[504][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[504][MAX] = ActionEntry(SHIFT, 120);
   _actionMap[504][EXISTS] = ActionEntry(SHIFT, 369);
   _actionMap[504][NOT] = ActionEntry(SHIFT, 370);
   _jumpMap[504][ObjSpec] = 99;
   _jumpMap[504][Constant] = 98;
   _jumpMap[504][SignedFloat] = 97;
   _jumpMap[504][SignedInt] = 96;
   _jumpMap[504][Attribute] = 95;
   _jumpMap[504][QueryPredicate] = 655;
   _jumpMap[504][Function] = 94;
   _jumpMap[504][CasePrepare] = 93;
   _jumpMap[504][CaseClause] = 92;
   _jumpMap[504][Factor] = 91;
   _jumpMap[504][Term] = 90;
   _jumpMap[504][Expr] = 366;
}
void Cego::loadParser77()
{
   _actionMap[505][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[505][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[505][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[505][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[505][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[505][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[505][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[505][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[505][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[505][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[505][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[505][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[505][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[505][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[505][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[505][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[505][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[505][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[505][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[505][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[505][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[505][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[505][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[505][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[505][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[505][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[505][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[505][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[505][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[505][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[505][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[505][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[505][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[505][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[505][LB] = ActionEntry(SHIFT, 371);
   _actionMap[505][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[505][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[505][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[505][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[505][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[505][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[505][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[505][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[505][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[505][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[505][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[505][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[505][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[505][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[505][MIN] = ActionEntry(SHIFT, 119);
}
void Cego::loadParser78()
{
   _actionMap[505][MAX] = ActionEntry(SHIFT, 120);
   _actionMap[505][EXISTS] = ActionEntry(SHIFT, 369);
   _actionMap[505][NOT] = ActionEntry(SHIFT, 370);
   _jumpMap[505][ObjSpec] = 99;
   _jumpMap[505][Constant] = 98;
   _jumpMap[505][SignedFloat] = 97;
   _jumpMap[505][SignedInt] = 96;
   _jumpMap[505][Attribute] = 95;
   _jumpMap[505][QueryPredicate] = 656;
   _jumpMap[505][Function] = 94;
   _jumpMap[505][CasePrepare] = 93;
   _jumpMap[505][CaseClause] = 92;
   _jumpMap[505][Factor] = 91;
   _jumpMap[505][Term] = 90;
   _jumpMap[505][Expr] = 366;
   _actionMap[506][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[506][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[506][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[506][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[506][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[506][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[506][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[506][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[506][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[506][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[506][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[506][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[506][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[506][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[506][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[506][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[506][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[506][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[506][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[506][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[506][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[506][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[506][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[506][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[506][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[506][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[506][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[506][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[506][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[506][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[506][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[506][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[506][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[506][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[506][LB] = ActionEntry(SHIFT, 141);
}
void Cego::loadParser79()
{
   _actionMap[506][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[506][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[506][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[506][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[506][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[506][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[506][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[506][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[506][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[506][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[506][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[506][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[506][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[506][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[506][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[506][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[506][ObjSpec] = 99;
   _jumpMap[506][Constant] = 98;
   _jumpMap[506][SignedFloat] = 97;
   _jumpMap[506][SignedInt] = 96;
   _jumpMap[506][Attribute] = 95;
   _jumpMap[506][Function] = 94;
   _jumpMap[506][CasePrepare] = 93;
   _jumpMap[506][CaseClause] = 92;
   _jumpMap[506][Factor] = 91;
   _jumpMap[506][Term] = 90;
   _jumpMap[506][Expr] = 657;
   _actionMap[507][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[507][SelectStatement] = 658;
   _actionMap[508][THEN] = ActionEntry(REDUCE, 320);
   _actionMap[508][LEFT] = ActionEntry(REDUCE, 320);
   _actionMap[508][RIGHT] = ActionEntry(REDUCE, 320);
   _actionMap[508][INNER] = ActionEntry(REDUCE, 320);
   _actionMap[508][JOIN] = ActionEntry(REDUCE, 320);
   _actionMap[508][RETURNTOKEN] = ActionEntry(REDUCE, 320);
   _actionMap[508][SEMICOLON] = ActionEntry(REDUCE, 320);
   _actionMap[508][RB] = ActionEntry(REDUCE, 320);
   _actionMap[508][ENDTOKEN] = ActionEntry(REDUCE, 320);
   _actionMap[508][UNION] = ActionEntry(REDUCE, 320);
   _actionMap[508][ROWLIMIT] = ActionEntry(REDUCE, 320);
   _actionMap[508][ORDER] = ActionEntry(REDUCE, 320);
   _actionMap[508][GROUP] = ActionEntry(REDUCE, 320);
   _actionMap[508][WHERE] = ActionEntry(REDUCE, 320);
   _actionMap[508][AND] = ActionEntry(REDUCE, 320);
   _actionMap[508][OR] = ActionEntry(REDUCE, 320);
   _actionMap[509][RB] = ActionEntry(SHIFT, 413);
   _actionMap[509][PLUS] = ActionEntry(SHIFT, 225);
   _actionMap[509][MINUS] = ActionEntry(SHIFT, 224);
   _actionMap[509][CONCAT] = ActionEntry(SHIFT, 223);
   _actionMap[509][INTOK] = ActionEntry(SHIFT, 496);
}
void Cego::loadParser80()
{
   _actionMap[509][NOT] = ActionEntry(SHIFT, 499);
   _actionMap[509][BETWEEN] = ActionEntry(SHIFT, 495);
   _actionMap[509][IS] = ActionEntry(SHIFT, 497);
   _actionMap[509][LIKE] = ActionEntry(SHIFT, 498);
   _actionMap[509][EQU] = ActionEntry(SHIFT, 500);
   _actionMap[509][NEGATION] = ActionEntry(SHIFT, 503);
   _actionMap[509][LT] = ActionEntry(SHIFT, 501);
   _actionMap[509][MT] = ActionEntry(SHIFT, 502);
   _jumpMap[509][Comparison] = 494;
   _actionMap[510][RB] = ActionEntry(SHIFT, 659);
   _actionMap[510][AND] = ActionEntry(SHIFT, 504);
   _actionMap[510][OR] = ActionEntry(SHIFT, 505);
   _actionMap[511][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[511][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[511][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[511][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[511][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[511][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[511][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[511][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[511][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[511][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[511][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[511][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[511][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[511][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[511][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[511][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[511][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[511][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[511][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[511][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[511][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[511][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[511][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[511][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[511][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[511][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[511][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[511][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[511][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[511][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[511][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[511][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[511][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[511][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[511][LB] = ActionEntry(SHIFT, 141);
   _actionMap[511][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[511][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[511][SYSDATE] = ActionEntry(SHIFT, 134);
}
void Cego::loadParser81()
{
   _actionMap[511][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[511][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[511][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[511][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[511][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[511][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[511][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[511][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[511][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[511][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[511][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[511][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[511][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[511][ObjSpec] = 99;
   _jumpMap[511][Constant] = 98;
   _jumpMap[511][SignedFloat] = 97;
   _jumpMap[511][SignedInt] = 96;
   _jumpMap[511][Attribute] = 95;
   _jumpMap[511][Function] = 94;
   _jumpMap[511][CasePrepare] = 93;
   _jumpMap[511][CaseClause] = 92;
   _jumpMap[511][Factor] = 91;
   _jumpMap[511][Term] = 90;
   _jumpMap[511][Expr] = 660;
   _actionMap[512][WHEN] = ActionEntry(REDUCE, 300);
   _actionMap[512][ELSE] = ActionEntry(REDUCE, 300);
   _actionMap[512][LEFT] = ActionEntry(REDUCE, 300);
   _actionMap[512][RIGHT] = ActionEntry(REDUCE, 300);
   _actionMap[512][INNER] = ActionEntry(REDUCE, 300);
   _actionMap[512][JOIN] = ActionEntry(REDUCE, 300);
   _actionMap[512][RETURNTOKEN] = ActionEntry(REDUCE, 300);
   _actionMap[512][ORDER] = ActionEntry(REDUCE, 300);
   _actionMap[512][GROUP] = ActionEntry(REDUCE, 300);
   _actionMap[512][WHERE] = ActionEntry(REDUCE, 300);
   _actionMap[512][FROM] = ActionEntry(REDUCE, 300);
   _actionMap[512][AS] = ActionEntry(REDUCE, 300);
   _actionMap[512][END_TOKEN] = ActionEntry(REDUCE, 300);
   _actionMap[512][BEGIN] = ActionEntry(REDUCE, 300);
   _actionMap[512][THEN] = ActionEntry(REDUCE, 300);
   _actionMap[512][OR] = ActionEntry(REDUCE, 300);
   _actionMap[512][AND] = ActionEntry(REDUCE, 300);
   _actionMap[512][INTOK] = ActionEntry(REDUCE, 300);
   _actionMap[512][NOT] = ActionEntry(REDUCE, 300);
   _actionMap[512][BETWEEN] = ActionEntry(REDUCE, 300);
   _actionMap[512][IS] = ActionEntry(REDUCE, 300);
   _actionMap[512][LIKE] = ActionEntry(REDUCE, 300);
   _actionMap[512][MT] = ActionEntry(REDUCE, 300);
   _actionMap[512][LT] = ActionEntry(REDUCE, 300);
   _actionMap[512][NEGATION] = ActionEntry(REDUCE, 300);
   _actionMap[512][EQU] = ActionEntry(REDUCE, 300);
}
void Cego::loadParser82()
{
   _actionMap[512][RB] = ActionEntry(REDUCE, 300);
   _actionMap[512][ENDTOKEN] = ActionEntry(REDUCE, 300);
   _actionMap[512][UNION] = ActionEntry(REDUCE, 300);
   _actionMap[512][ROWLIMIT] = ActionEntry(REDUCE, 300);
   _actionMap[512][KSEP] = ActionEntry(REDUCE, 300);
   _actionMap[512][ASC] = ActionEntry(REDUCE, 300);
   _actionMap[512][DESC] = ActionEntry(REDUCE, 300);
   _actionMap[512][SEMICOLON] = ActionEntry(REDUCE, 300);
   _actionMap[512][PLUS] = ActionEntry(REDUCE, 300);
   _actionMap[512][MINUS] = ActionEntry(REDUCE, 300);
   _actionMap[512][DIVISION] = ActionEntry(REDUCE, 300);
   _actionMap[512][STAR] = ActionEntry(REDUCE, 300);
   _actionMap[512][CONCAT] = ActionEntry(REDUCE, 300);
   _actionMap[513][WHEN] = ActionEntry(REDUCE, 157);
   _actionMap[513][ELSE] = ActionEntry(REDUCE, 157);
   _actionMap[513][LEFT] = ActionEntry(REDUCE, 157);
   _actionMap[513][RIGHT] = ActionEntry(REDUCE, 157);
   _actionMap[513][INNER] = ActionEntry(REDUCE, 157);
   _actionMap[513][JOIN] = ActionEntry(REDUCE, 157);
   _actionMap[513][RETURNTOKEN] = ActionEntry(REDUCE, 157);
   _actionMap[513][ORDER] = ActionEntry(REDUCE, 157);
   _actionMap[513][GROUP] = ActionEntry(REDUCE, 157);
   _actionMap[513][WHERE] = ActionEntry(REDUCE, 157);
   _actionMap[513][AS] = ActionEntry(REDUCE, 157);
   _actionMap[513][FROM] = ActionEntry(REDUCE, 157);
   _actionMap[513][END_TOKEN] = ActionEntry(REDUCE, 157);
   _actionMap[513][BEGIN] = ActionEntry(REDUCE, 157);
   _actionMap[513][THEN] = ActionEntry(REDUCE, 157);
   _actionMap[513][OR] = ActionEntry(REDUCE, 157);
   _actionMap[513][AND] = ActionEntry(REDUCE, 157);
   _actionMap[513][LIKE] = ActionEntry(REDUCE, 157);
   _actionMap[513][IS] = ActionEntry(REDUCE, 157);
   _actionMap[513][BETWEEN] = ActionEntry(REDUCE, 157);
   _actionMap[513][NOT] = ActionEntry(REDUCE, 157);
   _actionMap[513][INTOK] = ActionEntry(REDUCE, 157);
   _actionMap[513][EQU] = ActionEntry(REDUCE, 157);
   _actionMap[513][NEGATION] = ActionEntry(REDUCE, 157);
   _actionMap[513][LT] = ActionEntry(REDUCE, 157);
   _actionMap[513][MT] = ActionEntry(REDUCE, 157);
   _actionMap[513][DESC] = ActionEntry(REDUCE, 157);
   _actionMap[513][ASC] = ActionEntry(REDUCE, 157);
   _actionMap[513][KSEP] = ActionEntry(REDUCE, 157);
   _actionMap[513][ROWLIMIT] = ActionEntry(REDUCE, 157);
   _actionMap[513][UNION] = ActionEntry(REDUCE, 157);
   _actionMap[513][ENDTOKEN] = ActionEntry(REDUCE, 157);
   _actionMap[513][RB] = ActionEntry(REDUCE, 157);
   _actionMap[513][SEMICOLON] = ActionEntry(REDUCE, 157);
   _actionMap[513][CONCAT] = ActionEntry(REDUCE, 157);
   _actionMap[513][STAR] = ActionEntry(REDUCE, 157);
   _actionMap[513][DIVISION] = ActionEntry(REDUCE, 157);
}
void Cego::loadParser83()
{
   _actionMap[513][MINUS] = ActionEntry(REDUCE, 157);
   _actionMap[513][PLUS] = ActionEntry(REDUCE, 157);
   _actionMap[514][WHEN] = ActionEntry(REDUCE, 295);
   _actionMap[514][ELSE] = ActionEntry(REDUCE, 295);
   _actionMap[514][LEFT] = ActionEntry(REDUCE, 295);
   _actionMap[514][RIGHT] = ActionEntry(REDUCE, 295);
   _actionMap[514][INNER] = ActionEntry(REDUCE, 295);
   _actionMap[514][JOIN] = ActionEntry(REDUCE, 295);
   _actionMap[514][RETURNTOKEN] = ActionEntry(REDUCE, 295);
   _actionMap[514][ORDER] = ActionEntry(REDUCE, 295);
   _actionMap[514][GROUP] = ActionEntry(REDUCE, 295);
   _actionMap[514][WHERE] = ActionEntry(REDUCE, 295);
   _actionMap[514][FROM] = ActionEntry(REDUCE, 295);
   _actionMap[514][AS] = ActionEntry(REDUCE, 295);
   _actionMap[514][END_TOKEN] = ActionEntry(REDUCE, 295);
   _actionMap[514][BEGIN] = ActionEntry(REDUCE, 295);
   _actionMap[514][THEN] = ActionEntry(REDUCE, 295);
   _actionMap[514][OR] = ActionEntry(REDUCE, 295);
   _actionMap[514][AND] = ActionEntry(REDUCE, 295);
   _actionMap[514][INTOK] = ActionEntry(REDUCE, 295);
   _actionMap[514][NOT] = ActionEntry(REDUCE, 295);
   _actionMap[514][BETWEEN] = ActionEntry(REDUCE, 295);
   _actionMap[514][IS] = ActionEntry(REDUCE, 295);
   _actionMap[514][LIKE] = ActionEntry(REDUCE, 295);
   _actionMap[514][MT] = ActionEntry(REDUCE, 295);
   _actionMap[514][LT] = ActionEntry(REDUCE, 295);
   _actionMap[514][NEGATION] = ActionEntry(REDUCE, 295);
   _actionMap[514][EQU] = ActionEntry(REDUCE, 295);
   _actionMap[514][RB] = ActionEntry(REDUCE, 295);
   _actionMap[514][ENDTOKEN] = ActionEntry(REDUCE, 295);
   _actionMap[514][UNION] = ActionEntry(REDUCE, 295);
   _actionMap[514][ROWLIMIT] = ActionEntry(REDUCE, 295);
   _actionMap[514][KSEP] = ActionEntry(REDUCE, 295);
   _actionMap[514][ASC] = ActionEntry(REDUCE, 295);
   _actionMap[514][DESC] = ActionEntry(REDUCE, 295);
   _actionMap[514][SEMICOLON] = ActionEntry(REDUCE, 295);
   _actionMap[514][PLUS] = ActionEntry(REDUCE, 295);
   _actionMap[514][MINUS] = ActionEntry(REDUCE, 295);
   _actionMap[514][DIVISION] = ActionEntry(REDUCE, 295);
   _actionMap[514][STAR] = ActionEntry(REDUCE, 295);
   _actionMap[514][CONCAT] = ActionEntry(REDUCE, 295);
   _actionMap[515][WHEN] = ActionEntry(REDUCE, 296);
   _actionMap[515][ELSE] = ActionEntry(REDUCE, 296);
   _actionMap[515][LEFT] = ActionEntry(REDUCE, 296);
   _actionMap[515][RIGHT] = ActionEntry(REDUCE, 296);
   _actionMap[515][INNER] = ActionEntry(REDUCE, 296);
   _actionMap[515][JOIN] = ActionEntry(REDUCE, 296);
   _actionMap[515][RETURNTOKEN] = ActionEntry(REDUCE, 296);
   _actionMap[515][ORDER] = ActionEntry(REDUCE, 296);
   _actionMap[515][GROUP] = ActionEntry(REDUCE, 296);
}
void Cego::loadParser84()
{
   _actionMap[515][WHERE] = ActionEntry(REDUCE, 296);
   _actionMap[515][FROM] = ActionEntry(REDUCE, 296);
   _actionMap[515][AS] = ActionEntry(REDUCE, 296);
   _actionMap[515][END_TOKEN] = ActionEntry(REDUCE, 296);
   _actionMap[515][BEGIN] = ActionEntry(REDUCE, 296);
   _actionMap[515][THEN] = ActionEntry(REDUCE, 296);
   _actionMap[515][OR] = ActionEntry(REDUCE, 296);
   _actionMap[515][AND] = ActionEntry(REDUCE, 296);
   _actionMap[515][INTOK] = ActionEntry(REDUCE, 296);
   _actionMap[515][NOT] = ActionEntry(REDUCE, 296);
   _actionMap[515][BETWEEN] = ActionEntry(REDUCE, 296);
   _actionMap[515][IS] = ActionEntry(REDUCE, 296);
   _actionMap[515][LIKE] = ActionEntry(REDUCE, 296);
   _actionMap[515][MT] = ActionEntry(REDUCE, 296);
   _actionMap[515][LT] = ActionEntry(REDUCE, 296);
   _actionMap[515][NEGATION] = ActionEntry(REDUCE, 296);
   _actionMap[515][EQU] = ActionEntry(REDUCE, 296);
   _actionMap[515][RB] = ActionEntry(REDUCE, 296);
   _actionMap[515][ENDTOKEN] = ActionEntry(REDUCE, 296);
   _actionMap[515][UNION] = ActionEntry(REDUCE, 296);
   _actionMap[515][ROWLIMIT] = ActionEntry(REDUCE, 296);
   _actionMap[515][KSEP] = ActionEntry(REDUCE, 296);
   _actionMap[515][ASC] = ActionEntry(REDUCE, 296);
   _actionMap[515][DESC] = ActionEntry(REDUCE, 296);
   _actionMap[515][SEMICOLON] = ActionEntry(REDUCE, 296);
   _actionMap[515][PLUS] = ActionEntry(REDUCE, 296);
   _actionMap[515][MINUS] = ActionEntry(REDUCE, 296);
   _actionMap[515][DIVISION] = ActionEntry(REDUCE, 296);
   _actionMap[515][STAR] = ActionEntry(REDUCE, 296);
   _actionMap[515][CONCAT] = ActionEntry(REDUCE, 296);
   _actionMap[516][WHEN] = ActionEntry(REDUCE, 297);
   _actionMap[516][ELSE] = ActionEntry(REDUCE, 297);
   _actionMap[516][LEFT] = ActionEntry(REDUCE, 297);
   _actionMap[516][RIGHT] = ActionEntry(REDUCE, 297);
   _actionMap[516][INNER] = ActionEntry(REDUCE, 297);
   _actionMap[516][JOIN] = ActionEntry(REDUCE, 297);
   _actionMap[516][RETURNTOKEN] = ActionEntry(REDUCE, 297);
   _actionMap[516][ORDER] = ActionEntry(REDUCE, 297);
   _actionMap[516][GROUP] = ActionEntry(REDUCE, 297);
   _actionMap[516][WHERE] = ActionEntry(REDUCE, 297);
   _actionMap[516][FROM] = ActionEntry(REDUCE, 297);
   _actionMap[516][AS] = ActionEntry(REDUCE, 297);
   _actionMap[516][END_TOKEN] = ActionEntry(REDUCE, 297);
   _actionMap[516][BEGIN] = ActionEntry(REDUCE, 297);
   _actionMap[516][THEN] = ActionEntry(REDUCE, 297);
   _actionMap[516][OR] = ActionEntry(REDUCE, 297);
   _actionMap[516][AND] = ActionEntry(REDUCE, 297);
   _actionMap[516][INTOK] = ActionEntry(REDUCE, 297);
   _actionMap[516][NOT] = ActionEntry(REDUCE, 297);
   _actionMap[516][BETWEEN] = ActionEntry(REDUCE, 297);
}
void Cego::loadParser85()
{
   _actionMap[516][IS] = ActionEntry(REDUCE, 297);
   _actionMap[516][LIKE] = ActionEntry(REDUCE, 297);
   _actionMap[516][MT] = ActionEntry(REDUCE, 297);
   _actionMap[516][LT] = ActionEntry(REDUCE, 297);
   _actionMap[516][NEGATION] = ActionEntry(REDUCE, 297);
   _actionMap[516][EQU] = ActionEntry(REDUCE, 297);
   _actionMap[516][RB] = ActionEntry(REDUCE, 297);
   _actionMap[516][ENDTOKEN] = ActionEntry(REDUCE, 297);
   _actionMap[516][UNION] = ActionEntry(REDUCE, 297);
   _actionMap[516][ROWLIMIT] = ActionEntry(REDUCE, 297);
   _actionMap[516][KSEP] = ActionEntry(REDUCE, 297);
   _actionMap[516][ASC] = ActionEntry(REDUCE, 297);
   _actionMap[516][DESC] = ActionEntry(REDUCE, 297);
   _actionMap[516][SEMICOLON] = ActionEntry(REDUCE, 297);
   _actionMap[516][PLUS] = ActionEntry(REDUCE, 297);
   _actionMap[516][MINUS] = ActionEntry(REDUCE, 297);
   _actionMap[516][DIVISION] = ActionEntry(REDUCE, 297);
   _actionMap[516][STAR] = ActionEntry(REDUCE, 297);
   _actionMap[516][CONCAT] = ActionEntry(REDUCE, 297);
   _actionMap[517][WHEN] = ActionEntry(REDUCE, 158);
   _actionMap[517][ELSE] = ActionEntry(REDUCE, 158);
   _actionMap[517][LEFT] = ActionEntry(REDUCE, 158);
   _actionMap[517][RIGHT] = ActionEntry(REDUCE, 158);
   _actionMap[517][INNER] = ActionEntry(REDUCE, 158);
   _actionMap[517][JOIN] = ActionEntry(REDUCE, 158);
   _actionMap[517][RETURNTOKEN] = ActionEntry(REDUCE, 158);
   _actionMap[517][ORDER] = ActionEntry(REDUCE, 158);
   _actionMap[517][GROUP] = ActionEntry(REDUCE, 158);
   _actionMap[517][WHERE] = ActionEntry(REDUCE, 158);
   _actionMap[517][AS] = ActionEntry(REDUCE, 158);
   _actionMap[517][FROM] = ActionEntry(REDUCE, 158);
   _actionMap[517][END_TOKEN] = ActionEntry(REDUCE, 158);
   _actionMap[517][BEGIN] = ActionEntry(REDUCE, 158);
   _actionMap[517][THEN] = ActionEntry(REDUCE, 158);
   _actionMap[517][OR] = ActionEntry(REDUCE, 158);
   _actionMap[517][AND] = ActionEntry(REDUCE, 158);
   _actionMap[517][LIKE] = ActionEntry(REDUCE, 158);
   _actionMap[517][IS] = ActionEntry(REDUCE, 158);
   _actionMap[517][BETWEEN] = ActionEntry(REDUCE, 158);
   _actionMap[517][NOT] = ActionEntry(REDUCE, 158);
   _actionMap[517][INTOK] = ActionEntry(REDUCE, 158);
   _actionMap[517][EQU] = ActionEntry(REDUCE, 158);
   _actionMap[517][NEGATION] = ActionEntry(REDUCE, 158);
   _actionMap[517][LT] = ActionEntry(REDUCE, 158);
   _actionMap[517][MT] = ActionEntry(REDUCE, 158);
   _actionMap[517][DESC] = ActionEntry(REDUCE, 158);
   _actionMap[517][ASC] = ActionEntry(REDUCE, 158);
   _actionMap[517][KSEP] = ActionEntry(REDUCE, 158);
   _actionMap[517][ROWLIMIT] = ActionEntry(REDUCE, 158);
   _actionMap[517][UNION] = ActionEntry(REDUCE, 158);
}
void Cego::loadParser86()
{
   _actionMap[517][ENDTOKEN] = ActionEntry(REDUCE, 158);
   _actionMap[517][RB] = ActionEntry(REDUCE, 158);
   _actionMap[517][SEMICOLON] = ActionEntry(REDUCE, 158);
   _actionMap[517][CONCAT] = ActionEntry(REDUCE, 158);
   _actionMap[517][STAR] = ActionEntry(REDUCE, 158);
   _actionMap[517][DIVISION] = ActionEntry(REDUCE, 158);
   _actionMap[517][MINUS] = ActionEntry(REDUCE, 158);
   _actionMap[517][PLUS] = ActionEntry(REDUCE, 158);
   _actionMap[518][WHEN] = ActionEntry(REDUCE, 155);
   _actionMap[518][ELSE] = ActionEntry(REDUCE, 155);
   _actionMap[518][LEFT] = ActionEntry(REDUCE, 155);
   _actionMap[518][RIGHT] = ActionEntry(REDUCE, 155);
   _actionMap[518][INNER] = ActionEntry(REDUCE, 155);
   _actionMap[518][JOIN] = ActionEntry(REDUCE, 155);
   _actionMap[518][RETURNTOKEN] = ActionEntry(REDUCE, 155);
   _actionMap[518][ORDER] = ActionEntry(REDUCE, 155);
   _actionMap[518][GROUP] = ActionEntry(REDUCE, 155);
   _actionMap[518][WHERE] = ActionEntry(REDUCE, 155);
   _actionMap[518][AS] = ActionEntry(REDUCE, 155);
   _actionMap[518][FROM] = ActionEntry(REDUCE, 155);
   _actionMap[518][END_TOKEN] = ActionEntry(REDUCE, 155);
   _actionMap[518][BEGIN] = ActionEntry(REDUCE, 155);
   _actionMap[518][THEN] = ActionEntry(REDUCE, 155);
   _actionMap[518][OR] = ActionEntry(REDUCE, 155);
   _actionMap[518][AND] = ActionEntry(REDUCE, 155);
   _actionMap[518][LIKE] = ActionEntry(REDUCE, 155);
   _actionMap[518][IS] = ActionEntry(REDUCE, 155);
   _actionMap[518][BETWEEN] = ActionEntry(REDUCE, 155);
   _actionMap[518][NOT] = ActionEntry(REDUCE, 155);
   _actionMap[518][INTOK] = ActionEntry(REDUCE, 155);
   _actionMap[518][EQU] = ActionEntry(REDUCE, 155);
   _actionMap[518][NEGATION] = ActionEntry(REDUCE, 155);
   _actionMap[518][LT] = ActionEntry(REDUCE, 155);
   _actionMap[518][MT] = ActionEntry(REDUCE, 155);
   _actionMap[518][DESC] = ActionEntry(REDUCE, 155);
   _actionMap[518][ASC] = ActionEntry(REDUCE, 155);
   _actionMap[518][KSEP] = ActionEntry(REDUCE, 155);
   _actionMap[518][ROWLIMIT] = ActionEntry(REDUCE, 155);
   _actionMap[518][UNION] = ActionEntry(REDUCE, 155);
   _actionMap[518][ENDTOKEN] = ActionEntry(REDUCE, 155);
   _actionMap[518][RB] = ActionEntry(REDUCE, 155);
   _actionMap[518][SEMICOLON] = ActionEntry(REDUCE, 155);
   _actionMap[518][CONCAT] = ActionEntry(REDUCE, 155);
   _actionMap[518][STAR] = ActionEntry(REDUCE, 155);
   _actionMap[518][DIVISION] = ActionEntry(REDUCE, 155);
   _actionMap[518][MINUS] = ActionEntry(REDUCE, 155);
   _actionMap[518][PLUS] = ActionEntry(REDUCE, 155);
   _actionMap[519][STRINGVAL] = ActionEntry(SHIFT, 662);
   _jumpMap[519][DateValue] = 661;
   _actionMap[520][WHEN] = ActionEntry(REDUCE, 276);
}
void Cego::loadParser87()
{
   _actionMap[520][ELSE] = ActionEntry(REDUCE, 276);
   _actionMap[520][LEFT] = ActionEntry(REDUCE, 276);
   _actionMap[520][RIGHT] = ActionEntry(REDUCE, 276);
   _actionMap[520][INNER] = ActionEntry(REDUCE, 276);
   _actionMap[520][JOIN] = ActionEntry(REDUCE, 276);
   _actionMap[520][RETURNTOKEN] = ActionEntry(REDUCE, 276);
   _actionMap[520][ORDER] = ActionEntry(REDUCE, 276);
   _actionMap[520][GROUP] = ActionEntry(REDUCE, 276);
   _actionMap[520][WHERE] = ActionEntry(REDUCE, 276);
   _actionMap[520][FROM] = ActionEntry(REDUCE, 276);
   _actionMap[520][AS] = ActionEntry(REDUCE, 276);
   _actionMap[520][END_TOKEN] = ActionEntry(REDUCE, 276);
   _actionMap[520][BEGIN] = ActionEntry(REDUCE, 276);
   _actionMap[520][THEN] = ActionEntry(REDUCE, 276);
   _actionMap[520][OR] = ActionEntry(REDUCE, 276);
   _actionMap[520][AND] = ActionEntry(REDUCE, 276);
   _actionMap[520][INTOK] = ActionEntry(REDUCE, 276);
   _actionMap[520][NOT] = ActionEntry(REDUCE, 276);
   _actionMap[520][BETWEEN] = ActionEntry(REDUCE, 276);
   _actionMap[520][IS] = ActionEntry(REDUCE, 276);
   _actionMap[520][LIKE] = ActionEntry(REDUCE, 276);
   _actionMap[520][MT] = ActionEntry(REDUCE, 276);
   _actionMap[520][LT] = ActionEntry(REDUCE, 276);
   _actionMap[520][NEGATION] = ActionEntry(REDUCE, 276);
   _actionMap[520][EQU] = ActionEntry(REDUCE, 276);
   _actionMap[520][RB] = ActionEntry(REDUCE, 276);
   _actionMap[520][ENDTOKEN] = ActionEntry(REDUCE, 276);
   _actionMap[520][UNION] = ActionEntry(REDUCE, 276);
   _actionMap[520][ROWLIMIT] = ActionEntry(REDUCE, 276);
   _actionMap[520][KSEP] = ActionEntry(REDUCE, 276);
   _actionMap[520][ASC] = ActionEntry(REDUCE, 276);
   _actionMap[520][DESC] = ActionEntry(REDUCE, 276);
   _actionMap[520][SEMICOLON] = ActionEntry(REDUCE, 276);
   _actionMap[520][PLUS] = ActionEntry(REDUCE, 276);
   _actionMap[520][MINUS] = ActionEntry(REDUCE, 276);
   _actionMap[520][DIVISION] = ActionEntry(REDUCE, 276);
   _actionMap[520][STAR] = ActionEntry(REDUCE, 276);
   _actionMap[520][CONCAT] = ActionEntry(REDUCE, 276);
   _actionMap[521][WHEN] = ActionEntry(REDUCE, 277);
   _actionMap[521][ELSE] = ActionEntry(REDUCE, 277);
   _actionMap[521][LEFT] = ActionEntry(REDUCE, 277);
   _actionMap[521][RIGHT] = ActionEntry(REDUCE, 277);
   _actionMap[521][INNER] = ActionEntry(REDUCE, 277);
   _actionMap[521][JOIN] = ActionEntry(REDUCE, 277);
   _actionMap[521][RETURNTOKEN] = ActionEntry(REDUCE, 277);
   _actionMap[521][ORDER] = ActionEntry(REDUCE, 277);
   _actionMap[521][GROUP] = ActionEntry(REDUCE, 277);
   _actionMap[521][WHERE] = ActionEntry(REDUCE, 277);
   _actionMap[521][FROM] = ActionEntry(REDUCE, 277);
   _actionMap[521][AS] = ActionEntry(REDUCE, 277);
}
void Cego::loadParser88()
{
   _actionMap[521][END_TOKEN] = ActionEntry(REDUCE, 277);
   _actionMap[521][BEGIN] = ActionEntry(REDUCE, 277);
   _actionMap[521][THEN] = ActionEntry(REDUCE, 277);
   _actionMap[521][OR] = ActionEntry(REDUCE, 277);
   _actionMap[521][AND] = ActionEntry(REDUCE, 277);
   _actionMap[521][INTOK] = ActionEntry(REDUCE, 277);
   _actionMap[521][NOT] = ActionEntry(REDUCE, 277);
   _actionMap[521][BETWEEN] = ActionEntry(REDUCE, 277);
   _actionMap[521][IS] = ActionEntry(REDUCE, 277);
   _actionMap[521][LIKE] = ActionEntry(REDUCE, 277);
   _actionMap[521][MT] = ActionEntry(REDUCE, 277);
   _actionMap[521][LT] = ActionEntry(REDUCE, 277);
   _actionMap[521][NEGATION] = ActionEntry(REDUCE, 277);
   _actionMap[521][EQU] = ActionEntry(REDUCE, 277);
   _actionMap[521][RB] = ActionEntry(REDUCE, 277);
   _actionMap[521][ENDTOKEN] = ActionEntry(REDUCE, 277);
   _actionMap[521][UNION] = ActionEntry(REDUCE, 277);
   _actionMap[521][ROWLIMIT] = ActionEntry(REDUCE, 277);
   _actionMap[521][KSEP] = ActionEntry(REDUCE, 277);
   _actionMap[521][ASC] = ActionEntry(REDUCE, 277);
   _actionMap[521][DESC] = ActionEntry(REDUCE, 277);
   _actionMap[521][SEMICOLON] = ActionEntry(REDUCE, 277);
   _actionMap[521][PLUS] = ActionEntry(REDUCE, 277);
   _actionMap[521][MINUS] = ActionEntry(REDUCE, 277);
   _actionMap[521][DIVISION] = ActionEntry(REDUCE, 277);
   _actionMap[521][STAR] = ActionEntry(REDUCE, 277);
   _actionMap[521][CONCAT] = ActionEntry(REDUCE, 277);
   _actionMap[522][WHEN] = ActionEntry(REDUCE, 293);
   _actionMap[522][ELSE] = ActionEntry(REDUCE, 293);
   _actionMap[522][LEFT] = ActionEntry(REDUCE, 293);
   _actionMap[522][RIGHT] = ActionEntry(REDUCE, 293);
   _actionMap[522][INNER] = ActionEntry(REDUCE, 293);
   _actionMap[522][JOIN] = ActionEntry(REDUCE, 293);
   _actionMap[522][RETURNTOKEN] = ActionEntry(REDUCE, 293);
   _actionMap[522][ORDER] = ActionEntry(REDUCE, 293);
   _actionMap[522][GROUP] = ActionEntry(REDUCE, 293);
   _actionMap[522][WHERE] = ActionEntry(REDUCE, 293);
   _actionMap[522][FROM] = ActionEntry(REDUCE, 293);
   _actionMap[522][AS] = ActionEntry(REDUCE, 293);
   _actionMap[522][END_TOKEN] = ActionEntry(REDUCE, 293);
   _actionMap[522][BEGIN] = ActionEntry(REDUCE, 293);
   _actionMap[522][THEN] = ActionEntry(REDUCE, 293);
   _actionMap[522][OR] = ActionEntry(REDUCE, 293);
   _actionMap[522][AND] = ActionEntry(REDUCE, 293);
   _actionMap[522][INTOK] = ActionEntry(REDUCE, 293);
   _actionMap[522][NOT] = ActionEntry(REDUCE, 293);
   _actionMap[522][BETWEEN] = ActionEntry(REDUCE, 293);
   _actionMap[522][IS] = ActionEntry(REDUCE, 293);
   _actionMap[522][LIKE] = ActionEntry(REDUCE, 293);
   _actionMap[522][MT] = ActionEntry(REDUCE, 293);
}
void Cego::loadParser89()
{
   _actionMap[522][LT] = ActionEntry(REDUCE, 293);
   _actionMap[522][NEGATION] = ActionEntry(REDUCE, 293);
   _actionMap[522][EQU] = ActionEntry(REDUCE, 293);
   _actionMap[522][RB] = ActionEntry(REDUCE, 293);
   _actionMap[522][ENDTOKEN] = ActionEntry(REDUCE, 293);
   _actionMap[522][UNION] = ActionEntry(REDUCE, 293);
   _actionMap[522][ROWLIMIT] = ActionEntry(REDUCE, 293);
   _actionMap[522][KSEP] = ActionEntry(REDUCE, 293);
   _actionMap[522][ASC] = ActionEntry(REDUCE, 293);
   _actionMap[522][DESC] = ActionEntry(REDUCE, 293);
   _actionMap[522][SEMICOLON] = ActionEntry(REDUCE, 293);
   _actionMap[522][PLUS] = ActionEntry(REDUCE, 293);
   _actionMap[522][MINUS] = ActionEntry(REDUCE, 293);
   _actionMap[522][DIVISION] = ActionEntry(REDUCE, 293);
   _actionMap[522][STAR] = ActionEntry(REDUCE, 293);
   _actionMap[522][CONCAT] = ActionEntry(REDUCE, 293);
   _actionMap[523][VARREF] = ActionEntry(SHIFT, 664);
   _jumpMap[523][FetchArgList] = 663;
   _actionMap[524][WHEN] = ActionEntry(REDUCE, 283);
   _actionMap[524][ELSE] = ActionEntry(REDUCE, 283);
   _actionMap[524][LEFT] = ActionEntry(REDUCE, 283);
   _actionMap[524][RIGHT] = ActionEntry(REDUCE, 283);
   _actionMap[524][INNER] = ActionEntry(REDUCE, 283);
   _actionMap[524][JOIN] = ActionEntry(REDUCE, 283);
   _actionMap[524][RETURNTOKEN] = ActionEntry(REDUCE, 283);
   _actionMap[524][ORDER] = ActionEntry(REDUCE, 283);
   _actionMap[524][GROUP] = ActionEntry(REDUCE, 283);
   _actionMap[524][WHERE] = ActionEntry(REDUCE, 283);
   _actionMap[524][FROM] = ActionEntry(REDUCE, 283);
   _actionMap[524][AS] = ActionEntry(REDUCE, 283);
   _actionMap[524][END_TOKEN] = ActionEntry(REDUCE, 283);
   _actionMap[524][BEGIN] = ActionEntry(REDUCE, 283);
   _actionMap[524][THEN] = ActionEntry(REDUCE, 283);
   _actionMap[524][OR] = ActionEntry(REDUCE, 283);
   _actionMap[524][AND] = ActionEntry(REDUCE, 283);
   _actionMap[524][INTOK] = ActionEntry(REDUCE, 283);
   _actionMap[524][NOT] = ActionEntry(REDUCE, 283);
   _actionMap[524][BETWEEN] = ActionEntry(REDUCE, 283);
   _actionMap[524][IS] = ActionEntry(REDUCE, 283);
   _actionMap[524][LIKE] = ActionEntry(REDUCE, 283);
   _actionMap[524][MT] = ActionEntry(REDUCE, 283);
   _actionMap[524][LT] = ActionEntry(REDUCE, 283);
   _actionMap[524][NEGATION] = ActionEntry(REDUCE, 283);
   _actionMap[524][EQU] = ActionEntry(REDUCE, 283);
   _actionMap[524][RB] = ActionEntry(REDUCE, 283);
   _actionMap[524][ENDTOKEN] = ActionEntry(REDUCE, 283);
   _actionMap[524][UNION] = ActionEntry(REDUCE, 283);
   _actionMap[524][ROWLIMIT] = ActionEntry(REDUCE, 283);
   _actionMap[524][KSEP] = ActionEntry(REDUCE, 283);
   _actionMap[524][ASC] = ActionEntry(REDUCE, 283);
}
void Cego::loadParser90()
{
   _actionMap[524][DESC] = ActionEntry(REDUCE, 283);
   _actionMap[524][SEMICOLON] = ActionEntry(REDUCE, 283);
   _actionMap[524][PLUS] = ActionEntry(REDUCE, 283);
   _actionMap[524][MINUS] = ActionEntry(REDUCE, 283);
   _actionMap[524][DIVISION] = ActionEntry(REDUCE, 283);
   _actionMap[524][STAR] = ActionEntry(REDUCE, 283);
   _actionMap[524][CONCAT] = ActionEntry(REDUCE, 283);
   _actionMap[525][WHEN] = ActionEntry(REDUCE, 278);
   _actionMap[525][ELSE] = ActionEntry(REDUCE, 278);
   _actionMap[525][LEFT] = ActionEntry(REDUCE, 278);
   _actionMap[525][RIGHT] = ActionEntry(REDUCE, 278);
   _actionMap[525][INNER] = ActionEntry(REDUCE, 278);
   _actionMap[525][JOIN] = ActionEntry(REDUCE, 278);
   _actionMap[525][RETURNTOKEN] = ActionEntry(REDUCE, 278);
   _actionMap[525][ORDER] = ActionEntry(REDUCE, 278);
   _actionMap[525][GROUP] = ActionEntry(REDUCE, 278);
   _actionMap[525][WHERE] = ActionEntry(REDUCE, 278);
   _actionMap[525][FROM] = ActionEntry(REDUCE, 278);
   _actionMap[525][AS] = ActionEntry(REDUCE, 278);
   _actionMap[525][END_TOKEN] = ActionEntry(REDUCE, 278);
   _actionMap[525][BEGIN] = ActionEntry(REDUCE, 278);
   _actionMap[525][THEN] = ActionEntry(REDUCE, 278);
   _actionMap[525][OR] = ActionEntry(REDUCE, 278);
   _actionMap[525][AND] = ActionEntry(REDUCE, 278);
   _actionMap[525][INTOK] = ActionEntry(REDUCE, 278);
   _actionMap[525][NOT] = ActionEntry(REDUCE, 278);
   _actionMap[525][BETWEEN] = ActionEntry(REDUCE, 278);
   _actionMap[525][IS] = ActionEntry(REDUCE, 278);
   _actionMap[525][LIKE] = ActionEntry(REDUCE, 278);
   _actionMap[525][MT] = ActionEntry(REDUCE, 278);
   _actionMap[525][LT] = ActionEntry(REDUCE, 278);
   _actionMap[525][NEGATION] = ActionEntry(REDUCE, 278);
   _actionMap[525][EQU] = ActionEntry(REDUCE, 278);
   _actionMap[525][RB] = ActionEntry(REDUCE, 278);
   _actionMap[525][ENDTOKEN] = ActionEntry(REDUCE, 278);
   _actionMap[525][UNION] = ActionEntry(REDUCE, 278);
   _actionMap[525][ROWLIMIT] = ActionEntry(REDUCE, 278);
   _actionMap[525][KSEP] = ActionEntry(REDUCE, 278);
   _actionMap[525][ASC] = ActionEntry(REDUCE, 278);
   _actionMap[525][DESC] = ActionEntry(REDUCE, 278);
   _actionMap[525][SEMICOLON] = ActionEntry(REDUCE, 278);
   _actionMap[525][PLUS] = ActionEntry(REDUCE, 278);
   _actionMap[525][MINUS] = ActionEntry(REDUCE, 278);
   _actionMap[525][DIVISION] = ActionEntry(REDUCE, 278);
   _actionMap[525][STAR] = ActionEntry(REDUCE, 278);
   _actionMap[525][CONCAT] = ActionEntry(REDUCE, 278);
   _actionMap[526][WHEN] = ActionEntry(REDUCE, 281);
   _actionMap[526][ELSE] = ActionEntry(REDUCE, 281);
   _actionMap[526][LEFT] = ActionEntry(REDUCE, 281);
   _actionMap[526][RIGHT] = ActionEntry(REDUCE, 281);
}
void Cego::loadParser91()
{
   _actionMap[526][INNER] = ActionEntry(REDUCE, 281);
   _actionMap[526][JOIN] = ActionEntry(REDUCE, 281);
   _actionMap[526][RETURNTOKEN] = ActionEntry(REDUCE, 281);
   _actionMap[526][ORDER] = ActionEntry(REDUCE, 281);
   _actionMap[526][GROUP] = ActionEntry(REDUCE, 281);
   _actionMap[526][WHERE] = ActionEntry(REDUCE, 281);
   _actionMap[526][FROM] = ActionEntry(REDUCE, 281);
   _actionMap[526][AS] = ActionEntry(REDUCE, 281);
   _actionMap[526][END_TOKEN] = ActionEntry(REDUCE, 281);
   _actionMap[526][BEGIN] = ActionEntry(REDUCE, 281);
   _actionMap[526][THEN] = ActionEntry(REDUCE, 281);
   _actionMap[526][OR] = ActionEntry(REDUCE, 281);
   _actionMap[526][AND] = ActionEntry(REDUCE, 281);
   _actionMap[526][INTOK] = ActionEntry(REDUCE, 281);
   _actionMap[526][NOT] = ActionEntry(REDUCE, 281);
   _actionMap[526][BETWEEN] = ActionEntry(REDUCE, 281);
   _actionMap[526][IS] = ActionEntry(REDUCE, 281);
   _actionMap[526][LIKE] = ActionEntry(REDUCE, 281);
   _actionMap[526][MT] = ActionEntry(REDUCE, 281);
   _actionMap[526][LT] = ActionEntry(REDUCE, 281);
   _actionMap[526][NEGATION] = ActionEntry(REDUCE, 281);
   _actionMap[526][EQU] = ActionEntry(REDUCE, 281);
   _actionMap[526][RB] = ActionEntry(REDUCE, 281);
   _actionMap[526][ENDTOKEN] = ActionEntry(REDUCE, 281);
   _actionMap[526][UNION] = ActionEntry(REDUCE, 281);
   _actionMap[526][ROWLIMIT] = ActionEntry(REDUCE, 281);
   _actionMap[526][KSEP] = ActionEntry(REDUCE, 281);
   _actionMap[526][ASC] = ActionEntry(REDUCE, 281);
   _actionMap[526][DESC] = ActionEntry(REDUCE, 281);
   _actionMap[526][SEMICOLON] = ActionEntry(REDUCE, 281);
   _actionMap[526][PLUS] = ActionEntry(REDUCE, 281);
   _actionMap[526][MINUS] = ActionEntry(REDUCE, 281);
   _actionMap[526][DIVISION] = ActionEntry(REDUCE, 281);
   _actionMap[526][STAR] = ActionEntry(REDUCE, 281);
   _actionMap[526][CONCAT] = ActionEntry(REDUCE, 281);
   _actionMap[527][WHEN] = ActionEntry(REDUCE, 286);
   _actionMap[527][ELSE] = ActionEntry(REDUCE, 286);
   _actionMap[527][LEFT] = ActionEntry(REDUCE, 286);
   _actionMap[527][RIGHT] = ActionEntry(REDUCE, 286);
   _actionMap[527][INNER] = ActionEntry(REDUCE, 286);
   _actionMap[527][JOIN] = ActionEntry(REDUCE, 286);
   _actionMap[527][RETURNTOKEN] = ActionEntry(REDUCE, 286);
   _actionMap[527][ORDER] = ActionEntry(REDUCE, 286);
   _actionMap[527][GROUP] = ActionEntry(REDUCE, 286);
   _actionMap[527][WHERE] = ActionEntry(REDUCE, 286);
   _actionMap[527][FROM] = ActionEntry(REDUCE, 286);
   _actionMap[527][AS] = ActionEntry(REDUCE, 286);
   _actionMap[527][END_TOKEN] = ActionEntry(REDUCE, 286);
   _actionMap[527][BEGIN] = ActionEntry(REDUCE, 286);
   _actionMap[527][THEN] = ActionEntry(REDUCE, 286);
}
void Cego::loadParser92()
{
   _actionMap[527][OR] = ActionEntry(REDUCE, 286);
   _actionMap[527][AND] = ActionEntry(REDUCE, 286);
   _actionMap[527][INTOK] = ActionEntry(REDUCE, 286);
   _actionMap[527][NOT] = ActionEntry(REDUCE, 286);
   _actionMap[527][BETWEEN] = ActionEntry(REDUCE, 286);
   _actionMap[527][IS] = ActionEntry(REDUCE, 286);
   _actionMap[527][LIKE] = ActionEntry(REDUCE, 286);
   _actionMap[527][MT] = ActionEntry(REDUCE, 286);
   _actionMap[527][LT] = ActionEntry(REDUCE, 286);
   _actionMap[527][NEGATION] = ActionEntry(REDUCE, 286);
   _actionMap[527][EQU] = ActionEntry(REDUCE, 286);
   _actionMap[527][RB] = ActionEntry(REDUCE, 286);
   _actionMap[527][ENDTOKEN] = ActionEntry(REDUCE, 286);
   _actionMap[527][UNION] = ActionEntry(REDUCE, 286);
   _actionMap[527][ROWLIMIT] = ActionEntry(REDUCE, 286);
   _actionMap[527][KSEP] = ActionEntry(REDUCE, 286);
   _actionMap[527][ASC] = ActionEntry(REDUCE, 286);
   _actionMap[527][DESC] = ActionEntry(REDUCE, 286);
   _actionMap[527][SEMICOLON] = ActionEntry(REDUCE, 286);
   _actionMap[527][PLUS] = ActionEntry(REDUCE, 286);
   _actionMap[527][MINUS] = ActionEntry(REDUCE, 286);
   _actionMap[527][DIVISION] = ActionEntry(REDUCE, 286);
   _actionMap[527][STAR] = ActionEntry(REDUCE, 286);
   _actionMap[527][CONCAT] = ActionEntry(REDUCE, 286);
   _actionMap[528][WHEN] = ActionEntry(REDUCE, 279);
   _actionMap[528][ELSE] = ActionEntry(REDUCE, 279);
   _actionMap[528][LEFT] = ActionEntry(REDUCE, 279);
   _actionMap[528][RIGHT] = ActionEntry(REDUCE, 279);
   _actionMap[528][INNER] = ActionEntry(REDUCE, 279);
   _actionMap[528][JOIN] = ActionEntry(REDUCE, 279);
   _actionMap[528][RETURNTOKEN] = ActionEntry(REDUCE, 279);
   _actionMap[528][ORDER] = ActionEntry(REDUCE, 279);
   _actionMap[528][GROUP] = ActionEntry(REDUCE, 279);
   _actionMap[528][WHERE] = ActionEntry(REDUCE, 279);
   _actionMap[528][FROM] = ActionEntry(REDUCE, 279);
   _actionMap[528][AS] = ActionEntry(REDUCE, 279);
   _actionMap[528][END_TOKEN] = ActionEntry(REDUCE, 279);
   _actionMap[528][BEGIN] = ActionEntry(REDUCE, 279);
   _actionMap[528][THEN] = ActionEntry(REDUCE, 279);
   _actionMap[528][OR] = ActionEntry(REDUCE, 279);
   _actionMap[528][AND] = ActionEntry(REDUCE, 279);
   _actionMap[528][INTOK] = ActionEntry(REDUCE, 279);
   _actionMap[528][NOT] = ActionEntry(REDUCE, 279);
   _actionMap[528][BETWEEN] = ActionEntry(REDUCE, 279);
   _actionMap[528][IS] = ActionEntry(REDUCE, 279);
   _actionMap[528][LIKE] = ActionEntry(REDUCE, 279);
   _actionMap[528][MT] = ActionEntry(REDUCE, 279);
   _actionMap[528][LT] = ActionEntry(REDUCE, 279);
   _actionMap[528][NEGATION] = ActionEntry(REDUCE, 279);
   _actionMap[528][EQU] = ActionEntry(REDUCE, 279);
}
void Cego::loadParser93()
{
   _actionMap[528][RB] = ActionEntry(REDUCE, 279);
   _actionMap[528][ENDTOKEN] = ActionEntry(REDUCE, 279);
   _actionMap[528][UNION] = ActionEntry(REDUCE, 279);
   _actionMap[528][ROWLIMIT] = ActionEntry(REDUCE, 279);
   _actionMap[528][KSEP] = ActionEntry(REDUCE, 279);
   _actionMap[528][ASC] = ActionEntry(REDUCE, 279);
   _actionMap[528][DESC] = ActionEntry(REDUCE, 279);
   _actionMap[528][SEMICOLON] = ActionEntry(REDUCE, 279);
   _actionMap[528][PLUS] = ActionEntry(REDUCE, 279);
   _actionMap[528][MINUS] = ActionEntry(REDUCE, 279);
   _actionMap[528][DIVISION] = ActionEntry(REDUCE, 279);
   _actionMap[528][STAR] = ActionEntry(REDUCE, 279);
   _actionMap[528][CONCAT] = ActionEntry(REDUCE, 279);
   _actionMap[529][WHEN] = ActionEntry(REDUCE, 274);
   _actionMap[529][ELSE] = ActionEntry(REDUCE, 274);
   _actionMap[529][LEFT] = ActionEntry(REDUCE, 274);
   _actionMap[529][RIGHT] = ActionEntry(REDUCE, 274);
   _actionMap[529][INNER] = ActionEntry(REDUCE, 274);
   _actionMap[529][JOIN] = ActionEntry(REDUCE, 274);
   _actionMap[529][RETURNTOKEN] = ActionEntry(REDUCE, 274);
   _actionMap[529][ORDER] = ActionEntry(REDUCE, 274);
   _actionMap[529][GROUP] = ActionEntry(REDUCE, 274);
   _actionMap[529][WHERE] = ActionEntry(REDUCE, 274);
   _actionMap[529][FROM] = ActionEntry(REDUCE, 274);
   _actionMap[529][AS] = ActionEntry(REDUCE, 274);
   _actionMap[529][END_TOKEN] = ActionEntry(REDUCE, 274);
   _actionMap[529][BEGIN] = ActionEntry(REDUCE, 274);
   _actionMap[529][THEN] = ActionEntry(REDUCE, 274);
   _actionMap[529][OR] = ActionEntry(REDUCE, 274);
   _actionMap[529][AND] = ActionEntry(REDUCE, 274);
   _actionMap[529][INTOK] = ActionEntry(REDUCE, 274);
   _actionMap[529][NOT] = ActionEntry(REDUCE, 274);
   _actionMap[529][BETWEEN] = ActionEntry(REDUCE, 274);
   _actionMap[529][IS] = ActionEntry(REDUCE, 274);
   _actionMap[529][LIKE] = ActionEntry(REDUCE, 274);
   _actionMap[529][MT] = ActionEntry(REDUCE, 274);
   _actionMap[529][LT] = ActionEntry(REDUCE, 274);
   _actionMap[529][NEGATION] = ActionEntry(REDUCE, 274);
   _actionMap[529][EQU] = ActionEntry(REDUCE, 274);
   _actionMap[529][RB] = ActionEntry(REDUCE, 274);
   _actionMap[529][ENDTOKEN] = ActionEntry(REDUCE, 274);
   _actionMap[529][UNION] = ActionEntry(REDUCE, 274);
   _actionMap[529][ROWLIMIT] = ActionEntry(REDUCE, 274);
   _actionMap[529][KSEP] = ActionEntry(REDUCE, 274);
   _actionMap[529][ASC] = ActionEntry(REDUCE, 274);
   _actionMap[529][DESC] = ActionEntry(REDUCE, 274);
   _actionMap[529][SEMICOLON] = ActionEntry(REDUCE, 274);
   _actionMap[529][PLUS] = ActionEntry(REDUCE, 274);
   _actionMap[529][MINUS] = ActionEntry(REDUCE, 274);
   _actionMap[529][DIVISION] = ActionEntry(REDUCE, 274);
}
void Cego::loadParser94()
{
   _actionMap[529][STAR] = ActionEntry(REDUCE, 274);
   _actionMap[529][CONCAT] = ActionEntry(REDUCE, 274);
   _actionMap[530][WHEN] = ActionEntry(REDUCE, 159);
   _actionMap[530][ELSE] = ActionEntry(REDUCE, 159);
   _actionMap[530][LEFT] = ActionEntry(REDUCE, 159);
   _actionMap[530][RIGHT] = ActionEntry(REDUCE, 159);
   _actionMap[530][INNER] = ActionEntry(REDUCE, 159);
   _actionMap[530][JOIN] = ActionEntry(REDUCE, 159);
   _actionMap[530][RETURNTOKEN] = ActionEntry(REDUCE, 159);
   _actionMap[530][ORDER] = ActionEntry(REDUCE, 159);
   _actionMap[530][GROUP] = ActionEntry(REDUCE, 159);
   _actionMap[530][WHERE] = ActionEntry(REDUCE, 159);
   _actionMap[530][AS] = ActionEntry(REDUCE, 159);
   _actionMap[530][FROM] = ActionEntry(REDUCE, 159);
   _actionMap[530][END_TOKEN] = ActionEntry(REDUCE, 159);
   _actionMap[530][BEGIN] = ActionEntry(REDUCE, 159);
   _actionMap[530][THEN] = ActionEntry(REDUCE, 159);
   _actionMap[530][OR] = ActionEntry(REDUCE, 159);
   _actionMap[530][AND] = ActionEntry(REDUCE, 159);
   _actionMap[530][LIKE] = ActionEntry(REDUCE, 159);
   _actionMap[530][IS] = ActionEntry(REDUCE, 159);
   _actionMap[530][BETWEEN] = ActionEntry(REDUCE, 159);
   _actionMap[530][NOT] = ActionEntry(REDUCE, 159);
   _actionMap[530][INTOK] = ActionEntry(REDUCE, 159);
   _actionMap[530][EQU] = ActionEntry(REDUCE, 159);
   _actionMap[530][NEGATION] = ActionEntry(REDUCE, 159);
   _actionMap[530][LT] = ActionEntry(REDUCE, 159);
   _actionMap[530][MT] = ActionEntry(REDUCE, 159);
   _actionMap[530][DESC] = ActionEntry(REDUCE, 159);
   _actionMap[530][ASC] = ActionEntry(REDUCE, 159);
   _actionMap[530][KSEP] = ActionEntry(REDUCE, 159);
   _actionMap[530][ROWLIMIT] = ActionEntry(REDUCE, 159);
   _actionMap[530][UNION] = ActionEntry(REDUCE, 159);
   _actionMap[530][ENDTOKEN] = ActionEntry(REDUCE, 159);
   _actionMap[530][RB] = ActionEntry(REDUCE, 159);
   _actionMap[530][SEMICOLON] = ActionEntry(REDUCE, 159);
   _actionMap[530][CONCAT] = ActionEntry(REDUCE, 159);
   _actionMap[530][STAR] = ActionEntry(REDUCE, 159);
   _actionMap[530][DIVISION] = ActionEntry(REDUCE, 159);
   _actionMap[530][MINUS] = ActionEntry(REDUCE, 159);
   _actionMap[530][PLUS] = ActionEntry(REDUCE, 159);
   _actionMap[531][WHEN] = ActionEntry(REDUCE, 160);
   _actionMap[531][ELSE] = ActionEntry(REDUCE, 160);
   _actionMap[531][LEFT] = ActionEntry(REDUCE, 160);
   _actionMap[531][RIGHT] = ActionEntry(REDUCE, 160);
   _actionMap[531][INNER] = ActionEntry(REDUCE, 160);
   _actionMap[531][JOIN] = ActionEntry(REDUCE, 160);
   _actionMap[531][RETURNTOKEN] = ActionEntry(REDUCE, 160);
   _actionMap[531][ORDER] = ActionEntry(REDUCE, 160);
   _actionMap[531][GROUP] = ActionEntry(REDUCE, 160);
}
void Cego::loadParser95()
{
   _actionMap[531][WHERE] = ActionEntry(REDUCE, 160);
   _actionMap[531][AS] = ActionEntry(REDUCE, 160);
   _actionMap[531][FROM] = ActionEntry(REDUCE, 160);
   _actionMap[531][END_TOKEN] = ActionEntry(REDUCE, 160);
   _actionMap[531][BEGIN] = ActionEntry(REDUCE, 160);
   _actionMap[531][THEN] = ActionEntry(REDUCE, 160);
   _actionMap[531][OR] = ActionEntry(REDUCE, 160);
   _actionMap[531][AND] = ActionEntry(REDUCE, 160);
   _actionMap[531][LIKE] = ActionEntry(REDUCE, 160);
   _actionMap[531][IS] = ActionEntry(REDUCE, 160);
   _actionMap[531][BETWEEN] = ActionEntry(REDUCE, 160);
   _actionMap[531][NOT] = ActionEntry(REDUCE, 160);
   _actionMap[531][INTOK] = ActionEntry(REDUCE, 160);
   _actionMap[531][EQU] = ActionEntry(REDUCE, 160);
   _actionMap[531][NEGATION] = ActionEntry(REDUCE, 160);
   _actionMap[531][LT] = ActionEntry(REDUCE, 160);
   _actionMap[531][MT] = ActionEntry(REDUCE, 160);
   _actionMap[531][DESC] = ActionEntry(REDUCE, 160);
   _actionMap[531][ASC] = ActionEntry(REDUCE, 160);
   _actionMap[531][KSEP] = ActionEntry(REDUCE, 160);
   _actionMap[531][ROWLIMIT] = ActionEntry(REDUCE, 160);
   _actionMap[531][UNION] = ActionEntry(REDUCE, 160);
   _actionMap[531][ENDTOKEN] = ActionEntry(REDUCE, 160);
   _actionMap[531][RB] = ActionEntry(REDUCE, 160);
   _actionMap[531][SEMICOLON] = ActionEntry(REDUCE, 160);
   _actionMap[531][CONCAT] = ActionEntry(REDUCE, 160);
   _actionMap[531][STAR] = ActionEntry(REDUCE, 160);
   _actionMap[531][DIVISION] = ActionEntry(REDUCE, 160);
   _actionMap[531][MINUS] = ActionEntry(REDUCE, 160);
   _actionMap[531][PLUS] = ActionEntry(REDUCE, 160);
   _actionMap[532][WHEN] = ActionEntry(REDUCE, 292);
   _actionMap[532][ELSE] = ActionEntry(REDUCE, 292);
   _actionMap[532][LEFT] = ActionEntry(REDUCE, 292);
   _actionMap[532][RIGHT] = ActionEntry(REDUCE, 292);
   _actionMap[532][INNER] = ActionEntry(REDUCE, 292);
   _actionMap[532][JOIN] = ActionEntry(REDUCE, 292);
   _actionMap[532][RETURNTOKEN] = ActionEntry(REDUCE, 292);
   _actionMap[532][ORDER] = ActionEntry(REDUCE, 292);
   _actionMap[532][GROUP] = ActionEntry(REDUCE, 292);
   _actionMap[532][WHERE] = ActionEntry(REDUCE, 292);
   _actionMap[532][FROM] = ActionEntry(REDUCE, 292);
   _actionMap[532][AS] = ActionEntry(REDUCE, 292);
   _actionMap[532][END_TOKEN] = ActionEntry(REDUCE, 292);
   _actionMap[532][BEGIN] = ActionEntry(REDUCE, 292);
   _actionMap[532][THEN] = ActionEntry(REDUCE, 292);
   _actionMap[532][OR] = ActionEntry(REDUCE, 292);
   _actionMap[532][AND] = ActionEntry(REDUCE, 292);
   _actionMap[532][INTOK] = ActionEntry(REDUCE, 292);
   _actionMap[532][NOT] = ActionEntry(REDUCE, 292);
   _actionMap[532][BETWEEN] = ActionEntry(REDUCE, 292);
}
void Cego::loadParser96()
{
   _actionMap[532][IS] = ActionEntry(REDUCE, 292);
   _actionMap[532][LIKE] = ActionEntry(REDUCE, 292);
   _actionMap[532][MT] = ActionEntry(REDUCE, 292);
   _actionMap[532][LT] = ActionEntry(REDUCE, 292);
   _actionMap[532][NEGATION] = ActionEntry(REDUCE, 292);
   _actionMap[532][EQU] = ActionEntry(REDUCE, 292);
   _actionMap[532][RB] = ActionEntry(REDUCE, 292);
   _actionMap[532][ENDTOKEN] = ActionEntry(REDUCE, 292);
   _actionMap[532][UNION] = ActionEntry(REDUCE, 292);
   _actionMap[532][ROWLIMIT] = ActionEntry(REDUCE, 292);
   _actionMap[532][KSEP] = ActionEntry(REDUCE, 292);
   _actionMap[532][ASC] = ActionEntry(REDUCE, 292);
   _actionMap[532][DESC] = ActionEntry(REDUCE, 292);
   _actionMap[532][SEMICOLON] = ActionEntry(REDUCE, 292);
   _actionMap[532][PLUS] = ActionEntry(REDUCE, 292);
   _actionMap[532][MINUS] = ActionEntry(REDUCE, 292);
   _actionMap[532][DIVISION] = ActionEntry(REDUCE, 292);
   _actionMap[532][STAR] = ActionEntry(REDUCE, 292);
   _actionMap[532][CONCAT] = ActionEntry(REDUCE, 292);
   _actionMap[533][WHEN] = ActionEntry(REDUCE, 298);
   _actionMap[533][ELSE] = ActionEntry(REDUCE, 298);
   _actionMap[533][LEFT] = ActionEntry(REDUCE, 298);
   _actionMap[533][RIGHT] = ActionEntry(REDUCE, 298);
   _actionMap[533][INNER] = ActionEntry(REDUCE, 298);
   _actionMap[533][JOIN] = ActionEntry(REDUCE, 298);
   _actionMap[533][RETURNTOKEN] = ActionEntry(REDUCE, 298);
   _actionMap[533][ORDER] = ActionEntry(REDUCE, 298);
   _actionMap[533][GROUP] = ActionEntry(REDUCE, 298);
   _actionMap[533][WHERE] = ActionEntry(REDUCE, 298);
   _actionMap[533][FROM] = ActionEntry(REDUCE, 298);
   _actionMap[533][AS] = ActionEntry(REDUCE, 298);
   _actionMap[533][END_TOKEN] = ActionEntry(REDUCE, 298);
   _actionMap[533][BEGIN] = ActionEntry(REDUCE, 298);
   _actionMap[533][THEN] = ActionEntry(REDUCE, 298);
   _actionMap[533][OR] = ActionEntry(REDUCE, 298);
   _actionMap[533][AND] = ActionEntry(REDUCE, 298);
   _actionMap[533][INTOK] = ActionEntry(REDUCE, 298);
   _actionMap[533][NOT] = ActionEntry(REDUCE, 298);
   _actionMap[533][BETWEEN] = ActionEntry(REDUCE, 298);
   _actionMap[533][IS] = ActionEntry(REDUCE, 298);
   _actionMap[533][LIKE] = ActionEntry(REDUCE, 298);
   _actionMap[533][MT] = ActionEntry(REDUCE, 298);
   _actionMap[533][LT] = ActionEntry(REDUCE, 298);
   _actionMap[533][NEGATION] = ActionEntry(REDUCE, 298);
   _actionMap[533][EQU] = ActionEntry(REDUCE, 298);
   _actionMap[533][RB] = ActionEntry(REDUCE, 298);
   _actionMap[533][ENDTOKEN] = ActionEntry(REDUCE, 298);
   _actionMap[533][UNION] = ActionEntry(REDUCE, 298);
   _actionMap[533][ROWLIMIT] = ActionEntry(REDUCE, 298);
   _actionMap[533][KSEP] = ActionEntry(REDUCE, 298);
}
void Cego::loadParser97()
{
   _actionMap[533][ASC] = ActionEntry(REDUCE, 298);
   _actionMap[533][DESC] = ActionEntry(REDUCE, 298);
   _actionMap[533][SEMICOLON] = ActionEntry(REDUCE, 298);
   _actionMap[533][PLUS] = ActionEntry(REDUCE, 298);
   _actionMap[533][MINUS] = ActionEntry(REDUCE, 298);
   _actionMap[533][DIVISION] = ActionEntry(REDUCE, 298);
   _actionMap[533][STAR] = ActionEntry(REDUCE, 298);
   _actionMap[533][CONCAT] = ActionEntry(REDUCE, 298);
   _actionMap[534][WHEN] = ActionEntry(REDUCE, 294);
   _actionMap[534][ELSE] = ActionEntry(REDUCE, 294);
   _actionMap[534][LEFT] = ActionEntry(REDUCE, 294);
   _actionMap[534][RIGHT] = ActionEntry(REDUCE, 294);
   _actionMap[534][INNER] = ActionEntry(REDUCE, 294);
   _actionMap[534][JOIN] = ActionEntry(REDUCE, 294);
   _actionMap[534][RETURNTOKEN] = ActionEntry(REDUCE, 294);
   _actionMap[534][ORDER] = ActionEntry(REDUCE, 294);
   _actionMap[534][GROUP] = ActionEntry(REDUCE, 294);
   _actionMap[534][WHERE] = ActionEntry(REDUCE, 294);
   _actionMap[534][FROM] = ActionEntry(REDUCE, 294);
   _actionMap[534][AS] = ActionEntry(REDUCE, 294);
   _actionMap[534][END_TOKEN] = ActionEntry(REDUCE, 294);
   _actionMap[534][BEGIN] = ActionEntry(REDUCE, 294);
   _actionMap[534][THEN] = ActionEntry(REDUCE, 294);
   _actionMap[534][OR] = ActionEntry(REDUCE, 294);
   _actionMap[534][AND] = ActionEntry(REDUCE, 294);
   _actionMap[534][INTOK] = ActionEntry(REDUCE, 294);
   _actionMap[534][NOT] = ActionEntry(REDUCE, 294);
   _actionMap[534][BETWEEN] = ActionEntry(REDUCE, 294);
   _actionMap[534][IS] = ActionEntry(REDUCE, 294);
   _actionMap[534][LIKE] = ActionEntry(REDUCE, 294);
   _actionMap[534][MT] = ActionEntry(REDUCE, 294);
   _actionMap[534][LT] = ActionEntry(REDUCE, 294);
   _actionMap[534][NEGATION] = ActionEntry(REDUCE, 294);
   _actionMap[534][EQU] = ActionEntry(REDUCE, 294);
   _actionMap[534][RB] = ActionEntry(REDUCE, 294);
   _actionMap[534][ENDTOKEN] = ActionEntry(REDUCE, 294);
   _actionMap[534][UNION] = ActionEntry(REDUCE, 294);
   _actionMap[534][ROWLIMIT] = ActionEntry(REDUCE, 294);
   _actionMap[534][KSEP] = ActionEntry(REDUCE, 294);
   _actionMap[534][ASC] = ActionEntry(REDUCE, 294);
   _actionMap[534][DESC] = ActionEntry(REDUCE, 294);
   _actionMap[534][SEMICOLON] = ActionEntry(REDUCE, 294);
   _actionMap[534][PLUS] = ActionEntry(REDUCE, 294);
   _actionMap[534][MINUS] = ActionEntry(REDUCE, 294);
   _actionMap[534][DIVISION] = ActionEntry(REDUCE, 294);
   _actionMap[534][STAR] = ActionEntry(REDUCE, 294);
   _actionMap[534][CONCAT] = ActionEntry(REDUCE, 294);
   _actionMap[535][WHEN] = ActionEntry(REDUCE, 290);
   _actionMap[535][ELSE] = ActionEntry(REDUCE, 290);
   _actionMap[535][LEFT] = ActionEntry(REDUCE, 290);
}
void Cego::loadParser98()
{
   _actionMap[535][RIGHT] = ActionEntry(REDUCE, 290);
   _actionMap[535][INNER] = ActionEntry(REDUCE, 290);
   _actionMap[535][JOIN] = ActionEntry(REDUCE, 290);
   _actionMap[535][RETURNTOKEN] = ActionEntry(REDUCE, 290);
   _actionMap[535][ORDER] = ActionEntry(REDUCE, 290);
   _actionMap[535][GROUP] = ActionEntry(REDUCE, 290);
   _actionMap[535][WHERE] = ActionEntry(REDUCE, 290);
   _actionMap[535][FROM] = ActionEntry(REDUCE, 290);
   _actionMap[535][AS] = ActionEntry(REDUCE, 290);
   _actionMap[535][END_TOKEN] = ActionEntry(REDUCE, 290);
   _actionMap[535][BEGIN] = ActionEntry(REDUCE, 290);
   _actionMap[535][THEN] = ActionEntry(REDUCE, 290);
   _actionMap[535][OR] = ActionEntry(REDUCE, 290);
   _actionMap[535][AND] = ActionEntry(REDUCE, 290);
   _actionMap[535][INTOK] = ActionEntry(REDUCE, 290);
   _actionMap[535][NOT] = ActionEntry(REDUCE, 290);
   _actionMap[535][BETWEEN] = ActionEntry(REDUCE, 290);
   _actionMap[535][IS] = ActionEntry(REDUCE, 290);
   _actionMap[535][LIKE] = ActionEntry(REDUCE, 290);
   _actionMap[535][MT] = ActionEntry(REDUCE, 290);
   _actionMap[535][LT] = ActionEntry(REDUCE, 290);
   _actionMap[535][NEGATION] = ActionEntry(REDUCE, 290);
   _actionMap[535][EQU] = ActionEntry(REDUCE, 290);
   _actionMap[535][RB] = ActionEntry(REDUCE, 290);
   _actionMap[535][ENDTOKEN] = ActionEntry(REDUCE, 290);
   _actionMap[535][UNION] = ActionEntry(REDUCE, 290);
   _actionMap[535][ROWLIMIT] = ActionEntry(REDUCE, 290);
   _actionMap[535][KSEP] = ActionEntry(REDUCE, 290);
   _actionMap[535][ASC] = ActionEntry(REDUCE, 290);
   _actionMap[535][DESC] = ActionEntry(REDUCE, 290);
   _actionMap[535][SEMICOLON] = ActionEntry(REDUCE, 290);
   _actionMap[535][PLUS] = ActionEntry(REDUCE, 290);
   _actionMap[535][MINUS] = ActionEntry(REDUCE, 290);
   _actionMap[535][DIVISION] = ActionEntry(REDUCE, 290);
   _actionMap[535][STAR] = ActionEntry(REDUCE, 290);
   _actionMap[535][CONCAT] = ActionEntry(REDUCE, 290);
   _actionMap[536][WHEN] = ActionEntry(REDUCE, 291);
   _actionMap[536][ELSE] = ActionEntry(REDUCE, 291);
   _actionMap[536][LEFT] = ActionEntry(REDUCE, 291);
   _actionMap[536][RIGHT] = ActionEntry(REDUCE, 291);
   _actionMap[536][INNER] = ActionEntry(REDUCE, 291);
   _actionMap[536][JOIN] = ActionEntry(REDUCE, 291);
   _actionMap[536][RETURNTOKEN] = ActionEntry(REDUCE, 291);
   _actionMap[536][ORDER] = ActionEntry(REDUCE, 291);
   _actionMap[536][GROUP] = ActionEntry(REDUCE, 291);
   _actionMap[536][WHERE] = ActionEntry(REDUCE, 291);
   _actionMap[536][FROM] = ActionEntry(REDUCE, 291);
   _actionMap[536][AS] = ActionEntry(REDUCE, 291);
   _actionMap[536][END_TOKEN] = ActionEntry(REDUCE, 291);
   _actionMap[536][BEGIN] = ActionEntry(REDUCE, 291);
}
void Cego::loadParser99()
{
   _actionMap[536][THEN] = ActionEntry(REDUCE, 291);
   _actionMap[536][OR] = ActionEntry(REDUCE, 291);
   _actionMap[536][AND] = ActionEntry(REDUCE, 291);
   _actionMap[536][INTOK] = ActionEntry(REDUCE, 291);
   _actionMap[536][NOT] = ActionEntry(REDUCE, 291);
   _actionMap[536][BETWEEN] = ActionEntry(REDUCE, 291);
   _actionMap[536][IS] = ActionEntry(REDUCE, 291);
   _actionMap[536][LIKE] = ActionEntry(REDUCE, 291);
   _actionMap[536][MT] = ActionEntry(REDUCE, 291);
   _actionMap[536][LT] = ActionEntry(REDUCE, 291);
   _actionMap[536][NEGATION] = ActionEntry(REDUCE, 291);
   _actionMap[536][EQU] = ActionEntry(REDUCE, 291);
   _actionMap[536][RB] = ActionEntry(REDUCE, 291);
   _actionMap[536][ENDTOKEN] = ActionEntry(REDUCE, 291);
   _actionMap[536][UNION] = ActionEntry(REDUCE, 291);
   _actionMap[536][ROWLIMIT] = ActionEntry(REDUCE, 291);
   _actionMap[536][KSEP] = ActionEntry(REDUCE, 291);
   _actionMap[536][ASC] = ActionEntry(REDUCE, 291);
   _actionMap[536][DESC] = ActionEntry(REDUCE, 291);
   _actionMap[536][SEMICOLON] = ActionEntry(REDUCE, 291);
   _actionMap[536][PLUS] = ActionEntry(REDUCE, 291);
   _actionMap[536][MINUS] = ActionEntry(REDUCE, 291);
   _actionMap[536][DIVISION] = ActionEntry(REDUCE, 291);
   _actionMap[536][STAR] = ActionEntry(REDUCE, 291);
   _actionMap[536][CONCAT] = ActionEntry(REDUCE, 291);
   _actionMap[537][WHEN] = ActionEntry(REDUCE, 285);
   _actionMap[537][ELSE] = ActionEntry(REDUCE, 285);
   _actionMap[537][LEFT] = ActionEntry(REDUCE, 285);
   _actionMap[537][RIGHT] = ActionEntry(REDUCE, 285);
   _actionMap[537][INNER] = ActionEntry(REDUCE, 285);
   _actionMap[537][JOIN] = ActionEntry(REDUCE, 285);
   _actionMap[537][RETURNTOKEN] = ActionEntry(REDUCE, 285);
   _actionMap[537][ORDER] = ActionEntry(REDUCE, 285);
   _actionMap[537][GROUP] = ActionEntry(REDUCE, 285);
   _actionMap[537][WHERE] = ActionEntry(REDUCE, 285);
   _actionMap[537][FROM] = ActionEntry(REDUCE, 285);
   _actionMap[537][AS] = ActionEntry(REDUCE, 285);
   _actionMap[537][END_TOKEN] = ActionEntry(REDUCE, 285);
   _actionMap[537][BEGIN] = ActionEntry(REDUCE, 285);
   _actionMap[537][THEN] = ActionEntry(REDUCE, 285);
   _actionMap[537][OR] = ActionEntry(REDUCE, 285);
   _actionMap[537][AND] = ActionEntry(REDUCE, 285);
   _actionMap[537][INTOK] = ActionEntry(REDUCE, 285);
   _actionMap[537][NOT] = ActionEntry(REDUCE, 285);
   _actionMap[537][BETWEEN] = ActionEntry(REDUCE, 285);
   _actionMap[537][IS] = ActionEntry(REDUCE, 285);
   _actionMap[537][LIKE] = ActionEntry(REDUCE, 285);
   _actionMap[537][MT] = ActionEntry(REDUCE, 285);
   _actionMap[537][LT] = ActionEntry(REDUCE, 285);
   _actionMap[537][NEGATION] = ActionEntry(REDUCE, 285);
}
void Cego::loadParser100()
{
   _actionMap[537][EQU] = ActionEntry(REDUCE, 285);
   _actionMap[537][RB] = ActionEntry(REDUCE, 285);
   _actionMap[537][ENDTOKEN] = ActionEntry(REDUCE, 285);
   _actionMap[537][UNION] = ActionEntry(REDUCE, 285);
   _actionMap[537][ROWLIMIT] = ActionEntry(REDUCE, 285);
   _actionMap[537][KSEP] = ActionEntry(REDUCE, 285);
   _actionMap[537][ASC] = ActionEntry(REDUCE, 285);
   _actionMap[537][DESC] = ActionEntry(REDUCE, 285);
   _actionMap[537][SEMICOLON] = ActionEntry(REDUCE, 285);
   _actionMap[537][PLUS] = ActionEntry(REDUCE, 285);
   _actionMap[537][MINUS] = ActionEntry(REDUCE, 285);
   _actionMap[537][DIVISION] = ActionEntry(REDUCE, 285);
   _actionMap[537][STAR] = ActionEntry(REDUCE, 285);
   _actionMap[537][CONCAT] = ActionEntry(REDUCE, 285);
   _actionMap[538][WHEN] = ActionEntry(REDUCE, 282);
   _actionMap[538][ELSE] = ActionEntry(REDUCE, 282);
   _actionMap[538][LEFT] = ActionEntry(REDUCE, 282);
   _actionMap[538][RIGHT] = ActionEntry(REDUCE, 282);
   _actionMap[538][INNER] = ActionEntry(REDUCE, 282);
   _actionMap[538][JOIN] = ActionEntry(REDUCE, 282);
   _actionMap[538][RETURNTOKEN] = ActionEntry(REDUCE, 282);
   _actionMap[538][ORDER] = ActionEntry(REDUCE, 282);
   _actionMap[538][GROUP] = ActionEntry(REDUCE, 282);
   _actionMap[538][WHERE] = ActionEntry(REDUCE, 282);
   _actionMap[538][FROM] = ActionEntry(REDUCE, 282);
   _actionMap[538][AS] = ActionEntry(REDUCE, 282);
   _actionMap[538][END_TOKEN] = ActionEntry(REDUCE, 282);
   _actionMap[538][BEGIN] = ActionEntry(REDUCE, 282);
   _actionMap[538][THEN] = ActionEntry(REDUCE, 282);
   _actionMap[538][OR] = ActionEntry(REDUCE, 282);
   _actionMap[538][AND] = ActionEntry(REDUCE, 282);
   _actionMap[538][INTOK] = ActionEntry(REDUCE, 282);
   _actionMap[538][NOT] = ActionEntry(REDUCE, 282);
   _actionMap[538][BETWEEN] = ActionEntry(REDUCE, 282);
   _actionMap[538][IS] = ActionEntry(REDUCE, 282);
   _actionMap[538][LIKE] = ActionEntry(REDUCE, 282);
   _actionMap[538][MT] = ActionEntry(REDUCE, 282);
   _actionMap[538][LT] = ActionEntry(REDUCE, 282);
   _actionMap[538][NEGATION] = ActionEntry(REDUCE, 282);
   _actionMap[538][EQU] = ActionEntry(REDUCE, 282);
   _actionMap[538][RB] = ActionEntry(REDUCE, 282);
   _actionMap[538][ENDTOKEN] = ActionEntry(REDUCE, 282);
   _actionMap[538][UNION] = ActionEntry(REDUCE, 282);
   _actionMap[538][ROWLIMIT] = ActionEntry(REDUCE, 282);
   _actionMap[538][KSEP] = ActionEntry(REDUCE, 282);
   _actionMap[538][ASC] = ActionEntry(REDUCE, 282);
   _actionMap[538][DESC] = ActionEntry(REDUCE, 282);
   _actionMap[538][SEMICOLON] = ActionEntry(REDUCE, 282);
   _actionMap[538][PLUS] = ActionEntry(REDUCE, 282);
   _actionMap[538][MINUS] = ActionEntry(REDUCE, 282);
}
void Cego::loadParser101()
{
   _actionMap[538][DIVISION] = ActionEntry(REDUCE, 282);
   _actionMap[538][STAR] = ActionEntry(REDUCE, 282);
   _actionMap[538][CONCAT] = ActionEntry(REDUCE, 282);
   _actionMap[539][WHEN] = ActionEntry(REDUCE, 275);
   _actionMap[539][ELSE] = ActionEntry(REDUCE, 275);
   _actionMap[539][LEFT] = ActionEntry(REDUCE, 275);
   _actionMap[539][RIGHT] = ActionEntry(REDUCE, 275);
   _actionMap[539][INNER] = ActionEntry(REDUCE, 275);
   _actionMap[539][JOIN] = ActionEntry(REDUCE, 275);
   _actionMap[539][RETURNTOKEN] = ActionEntry(REDUCE, 275);
   _actionMap[539][ORDER] = ActionEntry(REDUCE, 275);
   _actionMap[539][GROUP] = ActionEntry(REDUCE, 275);
   _actionMap[539][WHERE] = ActionEntry(REDUCE, 275);
   _actionMap[539][FROM] = ActionEntry(REDUCE, 275);
   _actionMap[539][AS] = ActionEntry(REDUCE, 275);
   _actionMap[539][END_TOKEN] = ActionEntry(REDUCE, 275);
   _actionMap[539][BEGIN] = ActionEntry(REDUCE, 275);
   _actionMap[539][THEN] = ActionEntry(REDUCE, 275);
   _actionMap[539][OR] = ActionEntry(REDUCE, 275);
   _actionMap[539][AND] = ActionEntry(REDUCE, 275);
   _actionMap[539][INTOK] = ActionEntry(REDUCE, 275);
   _actionMap[539][NOT] = ActionEntry(REDUCE, 275);
   _actionMap[539][BETWEEN] = ActionEntry(REDUCE, 275);
   _actionMap[539][IS] = ActionEntry(REDUCE, 275);
   _actionMap[539][LIKE] = ActionEntry(REDUCE, 275);
   _actionMap[539][MT] = ActionEntry(REDUCE, 275);
   _actionMap[539][LT] = ActionEntry(REDUCE, 275);
   _actionMap[539][NEGATION] = ActionEntry(REDUCE, 275);
   _actionMap[539][EQU] = ActionEntry(REDUCE, 275);
   _actionMap[539][RB] = ActionEntry(REDUCE, 275);
   _actionMap[539][ENDTOKEN] = ActionEntry(REDUCE, 275);
   _actionMap[539][UNION] = ActionEntry(REDUCE, 275);
   _actionMap[539][ROWLIMIT] = ActionEntry(REDUCE, 275);
   _actionMap[539][KSEP] = ActionEntry(REDUCE, 275);
   _actionMap[539][ASC] = ActionEntry(REDUCE, 275);
   _actionMap[539][DESC] = ActionEntry(REDUCE, 275);
   _actionMap[539][SEMICOLON] = ActionEntry(REDUCE, 275);
   _actionMap[539][PLUS] = ActionEntry(REDUCE, 275);
   _actionMap[539][MINUS] = ActionEntry(REDUCE, 275);
   _actionMap[539][DIVISION] = ActionEntry(REDUCE, 275);
   _actionMap[539][STAR] = ActionEntry(REDUCE, 275);
   _actionMap[539][CONCAT] = ActionEntry(REDUCE, 275);
   _actionMap[540][WHEN] = ActionEntry(REDUCE, 273);
   _actionMap[540][ELSE] = ActionEntry(REDUCE, 273);
   _actionMap[540][LEFT] = ActionEntry(REDUCE, 273);
   _actionMap[540][RIGHT] = ActionEntry(REDUCE, 273);
   _actionMap[540][INNER] = ActionEntry(REDUCE, 273);
   _actionMap[540][JOIN] = ActionEntry(REDUCE, 273);
   _actionMap[540][RETURNTOKEN] = ActionEntry(REDUCE, 273);
   _actionMap[540][ORDER] = ActionEntry(REDUCE, 273);
}
void Cego::loadParser102()
{
   _actionMap[540][GROUP] = ActionEntry(REDUCE, 273);
   _actionMap[540][WHERE] = ActionEntry(REDUCE, 273);
   _actionMap[540][FROM] = ActionEntry(REDUCE, 273);
   _actionMap[540][AS] = ActionEntry(REDUCE, 273);
   _actionMap[540][END_TOKEN] = ActionEntry(REDUCE, 273);
   _actionMap[540][BEGIN] = ActionEntry(REDUCE, 273);
   _actionMap[540][THEN] = ActionEntry(REDUCE, 273);
   _actionMap[540][OR] = ActionEntry(REDUCE, 273);
   _actionMap[540][AND] = ActionEntry(REDUCE, 273);
   _actionMap[540][INTOK] = ActionEntry(REDUCE, 273);
   _actionMap[540][NOT] = ActionEntry(REDUCE, 273);
   _actionMap[540][BETWEEN] = ActionEntry(REDUCE, 273);
   _actionMap[540][IS] = ActionEntry(REDUCE, 273);
   _actionMap[540][LIKE] = ActionEntry(REDUCE, 273);
   _actionMap[540][MT] = ActionEntry(REDUCE, 273);
   _actionMap[540][LT] = ActionEntry(REDUCE, 273);
   _actionMap[540][NEGATION] = ActionEntry(REDUCE, 273);
   _actionMap[540][EQU] = ActionEntry(REDUCE, 273);
   _actionMap[540][RB] = ActionEntry(REDUCE, 273);
   _actionMap[540][ENDTOKEN] = ActionEntry(REDUCE, 273);
   _actionMap[540][UNION] = ActionEntry(REDUCE, 273);
   _actionMap[540][ROWLIMIT] = ActionEntry(REDUCE, 273);
   _actionMap[540][KSEP] = ActionEntry(REDUCE, 273);
   _actionMap[540][ASC] = ActionEntry(REDUCE, 273);
   _actionMap[540][DESC] = ActionEntry(REDUCE, 273);
   _actionMap[540][SEMICOLON] = ActionEntry(REDUCE, 273);
   _actionMap[540][PLUS] = ActionEntry(REDUCE, 273);
   _actionMap[540][MINUS] = ActionEntry(REDUCE, 273);
   _actionMap[540][DIVISION] = ActionEntry(REDUCE, 273);
   _actionMap[540][STAR] = ActionEntry(REDUCE, 273);
   _actionMap[540][CONCAT] = ActionEntry(REDUCE, 273);
   _actionMap[541][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[541][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[541][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[541][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[541][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[541][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[541][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[541][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[541][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[541][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[541][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[541][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[541][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[541][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[541][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[541][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[541][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[541][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[541][TRUNC] = ActionEntry(SHIFT, 139);
}
void Cego::loadParser103()
{
   _actionMap[541][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[541][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[541][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[541][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[541][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[541][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[541][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[541][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[541][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[541][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[541][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[541][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[541][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[541][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[541][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[541][LB] = ActionEntry(SHIFT, 141);
   _actionMap[541][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[541][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[541][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[541][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[541][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[541][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[541][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[541][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[541][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[541][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[541][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[541][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[541][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[541][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[541][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[541][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[541][ObjSpec] = 99;
   _jumpMap[541][Constant] = 98;
   _jumpMap[541][SignedFloat] = 97;
   _jumpMap[541][SignedInt] = 96;
   _jumpMap[541][Attribute] = 95;
   _jumpMap[541][Function] = 94;
   _jumpMap[541][CasePrepare] = 93;
   _jumpMap[541][CaseClause] = 92;
   _jumpMap[541][Factor] = 91;
   _jumpMap[541][Term] = 90;
   _jumpMap[541][Expr] = 665;
   _actionMap[542][WHEN] = ActionEntry(REDUCE, 284);
   _actionMap[542][ELSE] = ActionEntry(REDUCE, 284);
   _actionMap[542][LEFT] = ActionEntry(REDUCE, 284);
   _actionMap[542][RIGHT] = ActionEntry(REDUCE, 284);
   _actionMap[542][INNER] = ActionEntry(REDUCE, 284);
   _actionMap[542][JOIN] = ActionEntry(REDUCE, 284);
   _actionMap[542][RETURNTOKEN] = ActionEntry(REDUCE, 284);
}
void Cego::loadParser104()
{
   _actionMap[542][ORDER] = ActionEntry(REDUCE, 284);
   _actionMap[542][GROUP] = ActionEntry(REDUCE, 284);
   _actionMap[542][WHERE] = ActionEntry(REDUCE, 284);
   _actionMap[542][FROM] = ActionEntry(REDUCE, 284);
   _actionMap[542][AS] = ActionEntry(REDUCE, 284);
   _actionMap[542][END_TOKEN] = ActionEntry(REDUCE, 284);
   _actionMap[542][BEGIN] = ActionEntry(REDUCE, 284);
   _actionMap[542][THEN] = ActionEntry(REDUCE, 284);
   _actionMap[542][OR] = ActionEntry(REDUCE, 284);
   _actionMap[542][AND] = ActionEntry(REDUCE, 284);
   _actionMap[542][INTOK] = ActionEntry(REDUCE, 284);
   _actionMap[542][NOT] = ActionEntry(REDUCE, 284);
   _actionMap[542][BETWEEN] = ActionEntry(REDUCE, 284);
   _actionMap[542][IS] = ActionEntry(REDUCE, 284);
   _actionMap[542][LIKE] = ActionEntry(REDUCE, 284);
   _actionMap[542][MT] = ActionEntry(REDUCE, 284);
   _actionMap[542][LT] = ActionEntry(REDUCE, 284);
   _actionMap[542][NEGATION] = ActionEntry(REDUCE, 284);
   _actionMap[542][EQU] = ActionEntry(REDUCE, 284);
   _actionMap[542][RB] = ActionEntry(REDUCE, 284);
   _actionMap[542][ENDTOKEN] = ActionEntry(REDUCE, 284);
   _actionMap[542][UNION] = ActionEntry(REDUCE, 284);
   _actionMap[542][ROWLIMIT] = ActionEntry(REDUCE, 284);
   _actionMap[542][KSEP] = ActionEntry(REDUCE, 284);
   _actionMap[542][ASC] = ActionEntry(REDUCE, 284);
   _actionMap[542][DESC] = ActionEntry(REDUCE, 284);
   _actionMap[542][SEMICOLON] = ActionEntry(REDUCE, 284);
   _actionMap[542][PLUS] = ActionEntry(REDUCE, 284);
   _actionMap[542][MINUS] = ActionEntry(REDUCE, 284);
   _actionMap[542][DIVISION] = ActionEntry(REDUCE, 284);
   _actionMap[542][STAR] = ActionEntry(REDUCE, 284);
   _actionMap[542][CONCAT] = ActionEntry(REDUCE, 284);
   _actionMap[543][WHEN] = ActionEntry(REDUCE, 156);
   _actionMap[543][ELSE] = ActionEntry(REDUCE, 156);
   _actionMap[543][LEFT] = ActionEntry(REDUCE, 156);
   _actionMap[543][RIGHT] = ActionEntry(REDUCE, 156);
   _actionMap[543][INNER] = ActionEntry(REDUCE, 156);
   _actionMap[543][JOIN] = ActionEntry(REDUCE, 156);
   _actionMap[543][RETURNTOKEN] = ActionEntry(REDUCE, 156);
   _actionMap[543][ORDER] = ActionEntry(REDUCE, 156);
   _actionMap[543][GROUP] = ActionEntry(REDUCE, 156);
   _actionMap[543][WHERE] = ActionEntry(REDUCE, 156);
   _actionMap[543][AS] = ActionEntry(REDUCE, 156);
   _actionMap[543][FROM] = ActionEntry(REDUCE, 156);
   _actionMap[543][END_TOKEN] = ActionEntry(REDUCE, 156);
   _actionMap[543][BEGIN] = ActionEntry(REDUCE, 156);
   _actionMap[543][THEN] = ActionEntry(REDUCE, 156);
   _actionMap[543][OR] = ActionEntry(REDUCE, 156);
   _actionMap[543][AND] = ActionEntry(REDUCE, 156);
   _actionMap[543][LIKE] = ActionEntry(REDUCE, 156);
}
void Cego::loadParser105()
{
   _actionMap[543][IS] = ActionEntry(REDUCE, 156);
   _actionMap[543][BETWEEN] = ActionEntry(REDUCE, 156);
   _actionMap[543][NOT] = ActionEntry(REDUCE, 156);
   _actionMap[543][INTOK] = ActionEntry(REDUCE, 156);
   _actionMap[543][EQU] = ActionEntry(REDUCE, 156);
   _actionMap[543][NEGATION] = ActionEntry(REDUCE, 156);
   _actionMap[543][LT] = ActionEntry(REDUCE, 156);
   _actionMap[543][MT] = ActionEntry(REDUCE, 156);
   _actionMap[543][DESC] = ActionEntry(REDUCE, 156);
   _actionMap[543][ASC] = ActionEntry(REDUCE, 156);
   _actionMap[543][KSEP] = ActionEntry(REDUCE, 156);
   _actionMap[543][ROWLIMIT] = ActionEntry(REDUCE, 156);
   _actionMap[543][UNION] = ActionEntry(REDUCE, 156);
   _actionMap[543][ENDTOKEN] = ActionEntry(REDUCE, 156);
   _actionMap[543][RB] = ActionEntry(REDUCE, 156);
   _actionMap[543][SEMICOLON] = ActionEntry(REDUCE, 156);
   _actionMap[543][CONCAT] = ActionEntry(REDUCE, 156);
   _actionMap[543][STAR] = ActionEntry(REDUCE, 156);
   _actionMap[543][DIVISION] = ActionEntry(REDUCE, 156);
   _actionMap[543][MINUS] = ActionEntry(REDUCE, 156);
   _actionMap[543][PLUS] = ActionEntry(REDUCE, 156);
   _actionMap[544][WHEN] = ActionEntry(REDUCE, 288);
   _actionMap[544][ELSE] = ActionEntry(REDUCE, 288);
   _actionMap[544][LEFT] = ActionEntry(REDUCE, 288);
   _actionMap[544][RIGHT] = ActionEntry(REDUCE, 288);
   _actionMap[544][INNER] = ActionEntry(REDUCE, 288);
   _actionMap[544][JOIN] = ActionEntry(REDUCE, 288);
   _actionMap[544][RETURNTOKEN] = ActionEntry(REDUCE, 288);
   _actionMap[544][ORDER] = ActionEntry(REDUCE, 288);
   _actionMap[544][GROUP] = ActionEntry(REDUCE, 288);
   _actionMap[544][WHERE] = ActionEntry(REDUCE, 288);
   _actionMap[544][FROM] = ActionEntry(REDUCE, 288);
   _actionMap[544][AS] = ActionEntry(REDUCE, 288);
   _actionMap[544][END_TOKEN] = ActionEntry(REDUCE, 288);
   _actionMap[544][BEGIN] = ActionEntry(REDUCE, 288);
   _actionMap[544][THEN] = ActionEntry(REDUCE, 288);
   _actionMap[544][OR] = ActionEntry(REDUCE, 288);
   _actionMap[544][AND] = ActionEntry(REDUCE, 288);
   _actionMap[544][INTOK] = ActionEntry(REDUCE, 288);
   _actionMap[544][NOT] = ActionEntry(REDUCE, 288);
   _actionMap[544][BETWEEN] = ActionEntry(REDUCE, 288);
   _actionMap[544][IS] = ActionEntry(REDUCE, 288);
   _actionMap[544][LIKE] = ActionEntry(REDUCE, 288);
   _actionMap[544][MT] = ActionEntry(REDUCE, 288);
   _actionMap[544][LT] = ActionEntry(REDUCE, 288);
   _actionMap[544][NEGATION] = ActionEntry(REDUCE, 288);
   _actionMap[544][EQU] = ActionEntry(REDUCE, 288);
   _actionMap[544][RB] = ActionEntry(REDUCE, 288);
   _actionMap[544][ENDTOKEN] = ActionEntry(REDUCE, 288);
   _actionMap[544][UNION] = ActionEntry(REDUCE, 288);
}
void Cego::loadParser106()
{
   _actionMap[544][ROWLIMIT] = ActionEntry(REDUCE, 288);
   _actionMap[544][KSEP] = ActionEntry(REDUCE, 288);
   _actionMap[544][ASC] = ActionEntry(REDUCE, 288);
   _actionMap[544][DESC] = ActionEntry(REDUCE, 288);
   _actionMap[544][SEMICOLON] = ActionEntry(REDUCE, 288);
   _actionMap[544][PLUS] = ActionEntry(REDUCE, 288);
   _actionMap[544][MINUS] = ActionEntry(REDUCE, 288);
   _actionMap[544][DIVISION] = ActionEntry(REDUCE, 288);
   _actionMap[544][STAR] = ActionEntry(REDUCE, 288);
   _actionMap[544][CONCAT] = ActionEntry(REDUCE, 288);
   _actionMap[545][WHEN] = ActionEntry(REDUCE, 289);
   _actionMap[545][ELSE] = ActionEntry(REDUCE, 289);
   _actionMap[545][LEFT] = ActionEntry(REDUCE, 289);
   _actionMap[545][RIGHT] = ActionEntry(REDUCE, 289);
   _actionMap[545][INNER] = ActionEntry(REDUCE, 289);
   _actionMap[545][JOIN] = ActionEntry(REDUCE, 289);
   _actionMap[545][RETURNTOKEN] = ActionEntry(REDUCE, 289);
   _actionMap[545][ORDER] = ActionEntry(REDUCE, 289);
   _actionMap[545][GROUP] = ActionEntry(REDUCE, 289);
   _actionMap[545][WHERE] = ActionEntry(REDUCE, 289);
   _actionMap[545][FROM] = ActionEntry(REDUCE, 289);
   _actionMap[545][AS] = ActionEntry(REDUCE, 289);
   _actionMap[545][END_TOKEN] = ActionEntry(REDUCE, 289);
   _actionMap[545][BEGIN] = ActionEntry(REDUCE, 289);
   _actionMap[545][THEN] = ActionEntry(REDUCE, 289);
   _actionMap[545][OR] = ActionEntry(REDUCE, 289);
   _actionMap[545][AND] = ActionEntry(REDUCE, 289);
   _actionMap[545][INTOK] = ActionEntry(REDUCE, 289);
   _actionMap[545][NOT] = ActionEntry(REDUCE, 289);
   _actionMap[545][BETWEEN] = ActionEntry(REDUCE, 289);
   _actionMap[545][IS] = ActionEntry(REDUCE, 289);
   _actionMap[545][LIKE] = ActionEntry(REDUCE, 289);
   _actionMap[545][MT] = ActionEntry(REDUCE, 289);
   _actionMap[545][LT] = ActionEntry(REDUCE, 289);
   _actionMap[545][NEGATION] = ActionEntry(REDUCE, 289);
   _actionMap[545][EQU] = ActionEntry(REDUCE, 289);
   _actionMap[545][RB] = ActionEntry(REDUCE, 289);
   _actionMap[545][ENDTOKEN] = ActionEntry(REDUCE, 289);
   _actionMap[545][UNION] = ActionEntry(REDUCE, 289);
   _actionMap[545][ROWLIMIT] = ActionEntry(REDUCE, 289);
   _actionMap[545][KSEP] = ActionEntry(REDUCE, 289);
   _actionMap[545][ASC] = ActionEntry(REDUCE, 289);
   _actionMap[545][DESC] = ActionEntry(REDUCE, 289);
   _actionMap[545][SEMICOLON] = ActionEntry(REDUCE, 289);
   _actionMap[545][PLUS] = ActionEntry(REDUCE, 289);
   _actionMap[545][MINUS] = ActionEntry(REDUCE, 289);
   _actionMap[545][DIVISION] = ActionEntry(REDUCE, 289);
   _actionMap[545][STAR] = ActionEntry(REDUCE, 289);
   _actionMap[545][CONCAT] = ActionEntry(REDUCE, 289);
   _actionMap[546][WHEN] = ActionEntry(REDUCE, 272);
}
void Cego::loadParser107()
{
   _actionMap[546][ELSE] = ActionEntry(REDUCE, 272);
   _actionMap[546][LEFT] = ActionEntry(REDUCE, 272);
   _actionMap[546][RIGHT] = ActionEntry(REDUCE, 272);
   _actionMap[546][INNER] = ActionEntry(REDUCE, 272);
   _actionMap[546][JOIN] = ActionEntry(REDUCE, 272);
   _actionMap[546][RETURNTOKEN] = ActionEntry(REDUCE, 272);
   _actionMap[546][ORDER] = ActionEntry(REDUCE, 272);
   _actionMap[546][GROUP] = ActionEntry(REDUCE, 272);
   _actionMap[546][WHERE] = ActionEntry(REDUCE, 272);
   _actionMap[546][FROM] = ActionEntry(REDUCE, 272);
   _actionMap[546][AS] = ActionEntry(REDUCE, 272);
   _actionMap[546][END_TOKEN] = ActionEntry(REDUCE, 272);
   _actionMap[546][BEGIN] = ActionEntry(REDUCE, 272);
   _actionMap[546][THEN] = ActionEntry(REDUCE, 272);
   _actionMap[546][OR] = ActionEntry(REDUCE, 272);
   _actionMap[546][AND] = ActionEntry(REDUCE, 272);
   _actionMap[546][INTOK] = ActionEntry(REDUCE, 272);
   _actionMap[546][NOT] = ActionEntry(REDUCE, 272);
   _actionMap[546][BETWEEN] = ActionEntry(REDUCE, 272);
   _actionMap[546][IS] = ActionEntry(REDUCE, 272);
   _actionMap[546][LIKE] = ActionEntry(REDUCE, 272);
   _actionMap[546][MT] = ActionEntry(REDUCE, 272);
   _actionMap[546][LT] = ActionEntry(REDUCE, 272);
   _actionMap[546][NEGATION] = ActionEntry(REDUCE, 272);
   _actionMap[546][EQU] = ActionEntry(REDUCE, 272);
   _actionMap[546][RB] = ActionEntry(REDUCE, 272);
   _actionMap[546][ENDTOKEN] = ActionEntry(REDUCE, 272);
   _actionMap[546][UNION] = ActionEntry(REDUCE, 272);
   _actionMap[546][ROWLIMIT] = ActionEntry(REDUCE, 272);
   _actionMap[546][KSEP] = ActionEntry(REDUCE, 272);
   _actionMap[546][ASC] = ActionEntry(REDUCE, 272);
   _actionMap[546][DESC] = ActionEntry(REDUCE, 272);
   _actionMap[546][SEMICOLON] = ActionEntry(REDUCE, 272);
   _actionMap[546][PLUS] = ActionEntry(REDUCE, 272);
   _actionMap[546][MINUS] = ActionEntry(REDUCE, 272);
   _actionMap[546][DIVISION] = ActionEntry(REDUCE, 272);
   _actionMap[546][STAR] = ActionEntry(REDUCE, 272);
   _actionMap[546][CONCAT] = ActionEntry(REDUCE, 272);
   _actionMap[547][WHEN] = ActionEntry(REDUCE, 287);
   _actionMap[547][ELSE] = ActionEntry(REDUCE, 287);
   _actionMap[547][LEFT] = ActionEntry(REDUCE, 287);
   _actionMap[547][RIGHT] = ActionEntry(REDUCE, 287);
   _actionMap[547][INNER] = ActionEntry(REDUCE, 287);
   _actionMap[547][JOIN] = ActionEntry(REDUCE, 287);
   _actionMap[547][RETURNTOKEN] = ActionEntry(REDUCE, 287);
   _actionMap[547][ORDER] = ActionEntry(REDUCE, 287);
   _actionMap[547][GROUP] = ActionEntry(REDUCE, 287);
   _actionMap[547][WHERE] = ActionEntry(REDUCE, 287);
   _actionMap[547][FROM] = ActionEntry(REDUCE, 287);
   _actionMap[547][AS] = ActionEntry(REDUCE, 287);
}
void Cego::loadParser108()
{
   _actionMap[547][END_TOKEN] = ActionEntry(REDUCE, 287);
   _actionMap[547][BEGIN] = ActionEntry(REDUCE, 287);
   _actionMap[547][THEN] = ActionEntry(REDUCE, 287);
   _actionMap[547][OR] = ActionEntry(REDUCE, 287);
   _actionMap[547][AND] = ActionEntry(REDUCE, 287);
   _actionMap[547][INTOK] = ActionEntry(REDUCE, 287);
   _actionMap[547][NOT] = ActionEntry(REDUCE, 287);
   _actionMap[547][BETWEEN] = ActionEntry(REDUCE, 287);
   _actionMap[547][IS] = ActionEntry(REDUCE, 287);
   _actionMap[547][LIKE] = ActionEntry(REDUCE, 287);
   _actionMap[547][MT] = ActionEntry(REDUCE, 287);
   _actionMap[547][LT] = ActionEntry(REDUCE, 287);
   _actionMap[547][NEGATION] = ActionEntry(REDUCE, 287);
   _actionMap[547][EQU] = ActionEntry(REDUCE, 287);
   _actionMap[547][RB] = ActionEntry(REDUCE, 287);
   _actionMap[547][ENDTOKEN] = ActionEntry(REDUCE, 287);
   _actionMap[547][UNION] = ActionEntry(REDUCE, 287);
   _actionMap[547][ROWLIMIT] = ActionEntry(REDUCE, 287);
   _actionMap[547][KSEP] = ActionEntry(REDUCE, 287);
   _actionMap[547][ASC] = ActionEntry(REDUCE, 287);
   _actionMap[547][DESC] = ActionEntry(REDUCE, 287);
   _actionMap[547][SEMICOLON] = ActionEntry(REDUCE, 287);
   _actionMap[547][PLUS] = ActionEntry(REDUCE, 287);
   _actionMap[547][MINUS] = ActionEntry(REDUCE, 287);
   _actionMap[547][DIVISION] = ActionEntry(REDUCE, 287);
   _actionMap[547][STAR] = ActionEntry(REDUCE, 287);
   _actionMap[547][CONCAT] = ActionEntry(REDUCE, 287);
   _actionMap[548][WHEN] = ActionEntry(REDUCE, 280);
   _actionMap[548][ELSE] = ActionEntry(REDUCE, 280);
   _actionMap[548][LEFT] = ActionEntry(REDUCE, 280);
   _actionMap[548][RIGHT] = ActionEntry(REDUCE, 280);
   _actionMap[548][INNER] = ActionEntry(REDUCE, 280);
   _actionMap[548][JOIN] = ActionEntry(REDUCE, 280);
   _actionMap[548][RETURNTOKEN] = ActionEntry(REDUCE, 280);
   _actionMap[548][ORDER] = ActionEntry(REDUCE, 280);
   _actionMap[548][GROUP] = ActionEntry(REDUCE, 280);
   _actionMap[548][WHERE] = ActionEntry(REDUCE, 280);
   _actionMap[548][FROM] = ActionEntry(REDUCE, 280);
   _actionMap[548][AS] = ActionEntry(REDUCE, 280);
   _actionMap[548][END_TOKEN] = ActionEntry(REDUCE, 280);
   _actionMap[548][BEGIN] = ActionEntry(REDUCE, 280);
   _actionMap[548][THEN] = ActionEntry(REDUCE, 280);
   _actionMap[548][OR] = ActionEntry(REDUCE, 280);
   _actionMap[548][AND] = ActionEntry(REDUCE, 280);
   _actionMap[548][INTOK] = ActionEntry(REDUCE, 280);
   _actionMap[548][NOT] = ActionEntry(REDUCE, 280);
   _actionMap[548][BETWEEN] = ActionEntry(REDUCE, 280);
   _actionMap[548][IS] = ActionEntry(REDUCE, 280);
   _actionMap[548][LIKE] = ActionEntry(REDUCE, 280);
   _actionMap[548][MT] = ActionEntry(REDUCE, 280);
}
void Cego::loadParser109()
{
   _actionMap[548][LT] = ActionEntry(REDUCE, 280);
   _actionMap[548][NEGATION] = ActionEntry(REDUCE, 280);
   _actionMap[548][EQU] = ActionEntry(REDUCE, 280);
   _actionMap[548][RB] = ActionEntry(REDUCE, 280);
   _actionMap[548][ENDTOKEN] = ActionEntry(REDUCE, 280);
   _actionMap[548][UNION] = ActionEntry(REDUCE, 280);
   _actionMap[548][ROWLIMIT] = ActionEntry(REDUCE, 280);
   _actionMap[548][KSEP] = ActionEntry(REDUCE, 280);
   _actionMap[548][ASC] = ActionEntry(REDUCE, 280);
   _actionMap[548][DESC] = ActionEntry(REDUCE, 280);
   _actionMap[548][SEMICOLON] = ActionEntry(REDUCE, 280);
   _actionMap[548][PLUS] = ActionEntry(REDUCE, 280);
   _actionMap[548][MINUS] = ActionEntry(REDUCE, 280);
   _actionMap[548][DIVISION] = ActionEntry(REDUCE, 280);
   _actionMap[548][STAR] = ActionEntry(REDUCE, 280);
   _actionMap[548][CONCAT] = ActionEntry(REDUCE, 280);
   _actionMap[549][WHEN] = ActionEntry(REDUCE, 349);
   _actionMap[549][ELSE] = ActionEntry(REDUCE, 349);
   _actionMap[549][LEFT] = ActionEntry(REDUCE, 349);
   _actionMap[549][RIGHT] = ActionEntry(REDUCE, 349);
   _actionMap[549][INNER] = ActionEntry(REDUCE, 349);
   _actionMap[549][JOIN] = ActionEntry(REDUCE, 349);
   _actionMap[549][RETURNTOKEN] = ActionEntry(REDUCE, 349);
   _actionMap[549][ORDER] = ActionEntry(REDUCE, 349);
   _actionMap[549][GROUP] = ActionEntry(REDUCE, 349);
   _actionMap[549][WHERE] = ActionEntry(REDUCE, 349);
   _actionMap[549][FROM] = ActionEntry(REDUCE, 349);
   _actionMap[549][AS] = ActionEntry(REDUCE, 349);
   _actionMap[549][END_TOKEN] = ActionEntry(REDUCE, 349);
   _actionMap[549][BEGIN] = ActionEntry(REDUCE, 349);
   _actionMap[549][THEN] = ActionEntry(REDUCE, 349);
   _actionMap[549][OR] = ActionEntry(REDUCE, 349);
   _actionMap[549][AND] = ActionEntry(REDUCE, 349);
   _actionMap[549][ENDTOKEN] = ActionEntry(REDUCE, 349);
   _actionMap[549][UNION] = ActionEntry(REDUCE, 349);
   _actionMap[549][ROWLIMIT] = ActionEntry(REDUCE, 349);
   _actionMap[549][ASC] = ActionEntry(REDUCE, 349);
   _actionMap[549][DESC] = ActionEntry(REDUCE, 349);
   _actionMap[549][INTOK] = ActionEntry(REDUCE, 349);
   _actionMap[549][BETWEEN] = ActionEntry(REDUCE, 349);
   _actionMap[549][LIKE] = ActionEntry(REDUCE, 349);
   _actionMap[549][PLUS] = ActionEntry(REDUCE, 349);
   _actionMap[549][MINUS] = ActionEntry(REDUCE, 349);
   _actionMap[549][CONCAT] = ActionEntry(REDUCE, 349);
   _actionMap[549][DIVISION] = ActionEntry(REDUCE, 349);
   _actionMap[549][STAR] = ActionEntry(REDUCE, 349);
   _actionMap[549][MT] = ActionEntry(REDUCE, 349);
   _actionMap[549][LT] = ActionEntry(REDUCE, 349);
   _actionMap[549][NEGATION] = ActionEntry(REDUCE, 349);
   _actionMap[549][EQU] = ActionEntry(REDUCE, 349);
}
void Cego::loadParser110()
{
   _actionMap[549][IS] = ActionEntry(REDUCE, 349);
   _actionMap[549][NULLTOKEN] = ActionEntry(REDUCE, 349);
   _actionMap[549][NOT] = ActionEntry(REDUCE, 349);
   _actionMap[549][KSEP] = ActionEntry(REDUCE, 349);
   _actionMap[549][SEMICOLON] = ActionEntry(REDUCE, 349);
   _actionMap[549][RB] = ActionEntry(REDUCE, 349);
   _actionMap[550][INTVAL] = ActionEntry(SHIFT, 277);
   _actionMap[551][WHEN] = ActionEntry(REDUCE, 355);
   _actionMap[551][ELSE] = ActionEntry(REDUCE, 355);
   _actionMap[551][LEFT] = ActionEntry(REDUCE, 355);
   _actionMap[551][RIGHT] = ActionEntry(REDUCE, 355);
   _actionMap[551][INNER] = ActionEntry(REDUCE, 355);
   _actionMap[551][JOIN] = ActionEntry(REDUCE, 355);
   _actionMap[551][RETURNTOKEN] = ActionEntry(REDUCE, 355);
   _actionMap[551][ORDER] = ActionEntry(REDUCE, 355);
   _actionMap[551][GROUP] = ActionEntry(REDUCE, 355);
   _actionMap[551][WHERE] = ActionEntry(REDUCE, 355);
   _actionMap[551][FROM] = ActionEntry(REDUCE, 355);
   _actionMap[551][AS] = ActionEntry(REDUCE, 355);
   _actionMap[551][END_TOKEN] = ActionEntry(REDUCE, 355);
   _actionMap[551][BEGIN] = ActionEntry(REDUCE, 355);
   _actionMap[551][THEN] = ActionEntry(REDUCE, 355);
   _actionMap[551][OR] = ActionEntry(REDUCE, 355);
   _actionMap[551][AND] = ActionEntry(REDUCE, 355);
   _actionMap[551][ENDTOKEN] = ActionEntry(REDUCE, 355);
   _actionMap[551][UNION] = ActionEntry(REDUCE, 355);
   _actionMap[551][ROWLIMIT] = ActionEntry(REDUCE, 355);
   _actionMap[551][ASC] = ActionEntry(REDUCE, 355);
   _actionMap[551][DESC] = ActionEntry(REDUCE, 355);
   _actionMap[551][INTOK] = ActionEntry(REDUCE, 355);
   _actionMap[551][BETWEEN] = ActionEntry(REDUCE, 355);
   _actionMap[551][LIKE] = ActionEntry(REDUCE, 355);
   _actionMap[551][PLUS] = ActionEntry(REDUCE, 355);
   _actionMap[551][MINUS] = ActionEntry(REDUCE, 355);
   _actionMap[551][CONCAT] = ActionEntry(REDUCE, 355);
   _actionMap[551][DIVISION] = ActionEntry(REDUCE, 355);
   _actionMap[551][STAR] = ActionEntry(REDUCE, 355);
   _actionMap[551][MT] = ActionEntry(REDUCE, 355);
   _actionMap[551][LT] = ActionEntry(REDUCE, 355);
   _actionMap[551][NEGATION] = ActionEntry(REDUCE, 355);
   _actionMap[551][EQU] = ActionEntry(REDUCE, 355);
   _actionMap[551][IS] = ActionEntry(REDUCE, 355);
   _actionMap[551][NULLTOKEN] = ActionEntry(REDUCE, 355);
   _actionMap[551][NOT] = ActionEntry(REDUCE, 355);
   _actionMap[551][KSEP] = ActionEntry(REDUCE, 355);
   _actionMap[551][SEMICOLON] = ActionEntry(REDUCE, 355);
   _actionMap[551][RB] = ActionEntry(REDUCE, 355);
   _actionMap[552][FLOATVAL] = ActionEntry(SHIFT, 278);
   _actionMap[553][WHEN] = ActionEntry(REDUCE, 354);
   _actionMap[553][ELSE] = ActionEntry(REDUCE, 354);
}
void Cego::loadParser111()
{
   _actionMap[553][LEFT] = ActionEntry(REDUCE, 354);
   _actionMap[553][RIGHT] = ActionEntry(REDUCE, 354);
   _actionMap[553][INNER] = ActionEntry(REDUCE, 354);
   _actionMap[553][JOIN] = ActionEntry(REDUCE, 354);
   _actionMap[553][RETURNTOKEN] = ActionEntry(REDUCE, 354);
   _actionMap[553][ORDER] = ActionEntry(REDUCE, 354);
   _actionMap[553][GROUP] = ActionEntry(REDUCE, 354);
   _actionMap[553][WHERE] = ActionEntry(REDUCE, 354);
   _actionMap[553][FROM] = ActionEntry(REDUCE, 354);
   _actionMap[553][AS] = ActionEntry(REDUCE, 354);
   _actionMap[553][END_TOKEN] = ActionEntry(REDUCE, 354);
   _actionMap[553][BEGIN] = ActionEntry(REDUCE, 354);
   _actionMap[553][THEN] = ActionEntry(REDUCE, 354);
   _actionMap[553][OR] = ActionEntry(REDUCE, 354);
   _actionMap[553][AND] = ActionEntry(REDUCE, 354);
   _actionMap[553][ENDTOKEN] = ActionEntry(REDUCE, 354);
   _actionMap[553][UNION] = ActionEntry(REDUCE, 354);
   _actionMap[553][ROWLIMIT] = ActionEntry(REDUCE, 354);
   _actionMap[553][ASC] = ActionEntry(REDUCE, 354);
   _actionMap[553][DESC] = ActionEntry(REDUCE, 354);
   _actionMap[553][INTOK] = ActionEntry(REDUCE, 354);
   _actionMap[553][BETWEEN] = ActionEntry(REDUCE, 354);
   _actionMap[553][LIKE] = ActionEntry(REDUCE, 354);
   _actionMap[553][PLUS] = ActionEntry(REDUCE, 354);
   _actionMap[553][MINUS] = ActionEntry(REDUCE, 354);
   _actionMap[553][CONCAT] = ActionEntry(REDUCE, 354);
   _actionMap[553][DIVISION] = ActionEntry(REDUCE, 354);
   _actionMap[553][STAR] = ActionEntry(REDUCE, 354);
   _actionMap[553][MT] = ActionEntry(REDUCE, 354);
   _actionMap[553][LT] = ActionEntry(REDUCE, 354);
   _actionMap[553][NEGATION] = ActionEntry(REDUCE, 354);
   _actionMap[553][EQU] = ActionEntry(REDUCE, 354);
   _actionMap[553][IS] = ActionEntry(REDUCE, 354);
   _actionMap[553][NULLTOKEN] = ActionEntry(REDUCE, 354);
   _actionMap[553][NOT] = ActionEntry(REDUCE, 354);
   _actionMap[553][KSEP] = ActionEntry(REDUCE, 354);
   _actionMap[553][SEMICOLON] = ActionEntry(REDUCE, 354);
   _actionMap[553][RB] = ActionEntry(REDUCE, 354);
   _actionMap[554][WHEN] = ActionEntry(REDUCE, 356);
   _actionMap[554][ELSE] = ActionEntry(REDUCE, 356);
   _actionMap[554][LEFT] = ActionEntry(REDUCE, 356);
   _actionMap[554][RIGHT] = ActionEntry(REDUCE, 356);
   _actionMap[554][INNER] = ActionEntry(REDUCE, 356);
   _actionMap[554][JOIN] = ActionEntry(REDUCE, 356);
   _actionMap[554][RETURNTOKEN] = ActionEntry(REDUCE, 356);
   _actionMap[554][ORDER] = ActionEntry(REDUCE, 356);
   _actionMap[554][GROUP] = ActionEntry(REDUCE, 356);
   _actionMap[554][WHERE] = ActionEntry(REDUCE, 356);
   _actionMap[554][FROM] = ActionEntry(REDUCE, 356);
   _actionMap[554][AS] = ActionEntry(REDUCE, 356);
}
void Cego::loadParser112()
{
   _actionMap[554][END_TOKEN] = ActionEntry(REDUCE, 356);
   _actionMap[554][BEGIN] = ActionEntry(REDUCE, 356);
   _actionMap[554][THEN] = ActionEntry(REDUCE, 356);
   _actionMap[554][OR] = ActionEntry(REDUCE, 356);
   _actionMap[554][AND] = ActionEntry(REDUCE, 356);
   _actionMap[554][ENDTOKEN] = ActionEntry(REDUCE, 356);
   _actionMap[554][UNION] = ActionEntry(REDUCE, 356);
   _actionMap[554][ROWLIMIT] = ActionEntry(REDUCE, 356);
   _actionMap[554][ASC] = ActionEntry(REDUCE, 356);
   _actionMap[554][DESC] = ActionEntry(REDUCE, 356);
   _actionMap[554][INTOK] = ActionEntry(REDUCE, 356);
   _actionMap[554][BETWEEN] = ActionEntry(REDUCE, 356);
   _actionMap[554][LIKE] = ActionEntry(REDUCE, 356);
   _actionMap[554][PLUS] = ActionEntry(REDUCE, 356);
   _actionMap[554][MINUS] = ActionEntry(REDUCE, 356);
   _actionMap[554][CONCAT] = ActionEntry(REDUCE, 356);
   _actionMap[554][DIVISION] = ActionEntry(REDUCE, 356);
   _actionMap[554][STAR] = ActionEntry(REDUCE, 356);
   _actionMap[554][MT] = ActionEntry(REDUCE, 356);
   _actionMap[554][LT] = ActionEntry(REDUCE, 356);
   _actionMap[554][NEGATION] = ActionEntry(REDUCE, 356);
   _actionMap[554][EQU] = ActionEntry(REDUCE, 356);
   _actionMap[554][IS] = ActionEntry(REDUCE, 356);
   _actionMap[554][NULLTOKEN] = ActionEntry(REDUCE, 356);
   _actionMap[554][NOT] = ActionEntry(REDUCE, 356);
   _actionMap[554][KSEP] = ActionEntry(REDUCE, 356);
   _actionMap[554][SEMICOLON] = ActionEntry(REDUCE, 356);
   _actionMap[554][RB] = ActionEntry(REDUCE, 356);
   _actionMap[555][WHEN] = ActionEntry(REDUCE, 348);
   _actionMap[555][ELSE] = ActionEntry(REDUCE, 348);
   _actionMap[555][LEFT] = ActionEntry(REDUCE, 348);
   _actionMap[555][RIGHT] = ActionEntry(REDUCE, 348);
   _actionMap[555][INNER] = ActionEntry(REDUCE, 348);
   _actionMap[555][JOIN] = ActionEntry(REDUCE, 348);
   _actionMap[555][RETURNTOKEN] = ActionEntry(REDUCE, 348);
   _actionMap[555][ORDER] = ActionEntry(REDUCE, 348);
   _actionMap[555][GROUP] = ActionEntry(REDUCE, 348);
   _actionMap[555][WHERE] = ActionEntry(REDUCE, 348);
   _actionMap[555][FROM] = ActionEntry(REDUCE, 348);
   _actionMap[555][AS] = ActionEntry(REDUCE, 348);
   _actionMap[555][END_TOKEN] = ActionEntry(REDUCE, 348);
   _actionMap[555][BEGIN] = ActionEntry(REDUCE, 348);
   _actionMap[555][THEN] = ActionEntry(REDUCE, 348);
   _actionMap[555][OR] = ActionEntry(REDUCE, 348);
   _actionMap[555][AND] = ActionEntry(REDUCE, 348);
   _actionMap[555][ENDTOKEN] = ActionEntry(REDUCE, 348);
   _actionMap[555][UNION] = ActionEntry(REDUCE, 348);
   _actionMap[555][ROWLIMIT] = ActionEntry(REDUCE, 348);
   _actionMap[555][ASC] = ActionEntry(REDUCE, 348);
   _actionMap[555][DESC] = ActionEntry(REDUCE, 348);
}
void Cego::loadParser113()
{
   _actionMap[555][INTOK] = ActionEntry(REDUCE, 348);
   _actionMap[555][BETWEEN] = ActionEntry(REDUCE, 348);
   _actionMap[555][LIKE] = ActionEntry(REDUCE, 348);
   _actionMap[555][PLUS] = ActionEntry(REDUCE, 348);
   _actionMap[555][MINUS] = ActionEntry(REDUCE, 348);
   _actionMap[555][CONCAT] = ActionEntry(REDUCE, 348);
   _actionMap[555][DIVISION] = ActionEntry(REDUCE, 348);
   _actionMap[555][STAR] = ActionEntry(REDUCE, 348);
   _actionMap[555][MT] = ActionEntry(REDUCE, 348);
   _actionMap[555][LT] = ActionEntry(REDUCE, 348);
   _actionMap[555][NEGATION] = ActionEntry(REDUCE, 348);
   _actionMap[555][EQU] = ActionEntry(REDUCE, 348);
   _actionMap[555][IS] = ActionEntry(REDUCE, 348);
   _actionMap[555][NULLTOKEN] = ActionEntry(REDUCE, 348);
   _actionMap[555][NOT] = ActionEntry(REDUCE, 348);
   _actionMap[555][KSEP] = ActionEntry(REDUCE, 348);
   _actionMap[555][SEMICOLON] = ActionEntry(REDUCE, 348);
   _actionMap[555][RB] = ActionEntry(REDUCE, 348);
   _actionMap[556][WHEN] = ActionEntry(REDUCE, 350);
   _actionMap[556][ELSE] = ActionEntry(REDUCE, 350);
   _actionMap[556][LEFT] = ActionEntry(REDUCE, 350);
   _actionMap[556][RIGHT] = ActionEntry(REDUCE, 350);
   _actionMap[556][INNER] = ActionEntry(REDUCE, 350);
   _actionMap[556][JOIN] = ActionEntry(REDUCE, 350);
   _actionMap[556][RETURNTOKEN] = ActionEntry(REDUCE, 350);
   _actionMap[556][ORDER] = ActionEntry(REDUCE, 350);
   _actionMap[556][GROUP] = ActionEntry(REDUCE, 350);
   _actionMap[556][WHERE] = ActionEntry(REDUCE, 350);
   _actionMap[556][FROM] = ActionEntry(REDUCE, 350);
   _actionMap[556][AS] = ActionEntry(REDUCE, 350);
   _actionMap[556][END_TOKEN] = ActionEntry(REDUCE, 350);
   _actionMap[556][BEGIN] = ActionEntry(REDUCE, 350);
   _actionMap[556][THEN] = ActionEntry(REDUCE, 350);
   _actionMap[556][OR] = ActionEntry(REDUCE, 350);
   _actionMap[556][AND] = ActionEntry(REDUCE, 350);
   _actionMap[556][ENDTOKEN] = ActionEntry(REDUCE, 350);
   _actionMap[556][UNION] = ActionEntry(REDUCE, 350);
   _actionMap[556][ROWLIMIT] = ActionEntry(REDUCE, 350);
   _actionMap[556][ASC] = ActionEntry(REDUCE, 350);
   _actionMap[556][DESC] = ActionEntry(REDUCE, 350);
   _actionMap[556][INTOK] = ActionEntry(REDUCE, 350);
   _actionMap[556][BETWEEN] = ActionEntry(REDUCE, 350);
   _actionMap[556][LIKE] = ActionEntry(REDUCE, 350);
   _actionMap[556][PLUS] = ActionEntry(REDUCE, 350);
   _actionMap[556][MINUS] = ActionEntry(REDUCE, 350);
   _actionMap[556][CONCAT] = ActionEntry(REDUCE, 350);
   _actionMap[556][DIVISION] = ActionEntry(REDUCE, 350);
   _actionMap[556][STAR] = ActionEntry(REDUCE, 350);
   _actionMap[556][MT] = ActionEntry(REDUCE, 350);
   _actionMap[556][LT] = ActionEntry(REDUCE, 350);
}
void Cego::loadParser114()
{
   _actionMap[556][NEGATION] = ActionEntry(REDUCE, 350);
   _actionMap[556][EQU] = ActionEntry(REDUCE, 350);
   _actionMap[556][IS] = ActionEntry(REDUCE, 350);
   _actionMap[556][NULLTOKEN] = ActionEntry(REDUCE, 350);
   _actionMap[556][NOT] = ActionEntry(REDUCE, 350);
   _actionMap[556][KSEP] = ActionEntry(REDUCE, 350);
   _actionMap[556][SEMICOLON] = ActionEntry(REDUCE, 350);
   _actionMap[556][RB] = ActionEntry(REDUCE, 350);
   _actionMap[557][WHEN] = ActionEntry(REDUCE, 351);
   _actionMap[557][ELSE] = ActionEntry(REDUCE, 351);
   _actionMap[557][LEFT] = ActionEntry(REDUCE, 351);
   _actionMap[557][RIGHT] = ActionEntry(REDUCE, 351);
   _actionMap[557][INNER] = ActionEntry(REDUCE, 351);
   _actionMap[557][JOIN] = ActionEntry(REDUCE, 351);
   _actionMap[557][RETURNTOKEN] = ActionEntry(REDUCE, 351);
   _actionMap[557][ORDER] = ActionEntry(REDUCE, 351);
   _actionMap[557][GROUP] = ActionEntry(REDUCE, 351);
   _actionMap[557][WHERE] = ActionEntry(REDUCE, 351);
   _actionMap[557][FROM] = ActionEntry(REDUCE, 351);
   _actionMap[557][AS] = ActionEntry(REDUCE, 351);
   _actionMap[557][END_TOKEN] = ActionEntry(REDUCE, 351);
   _actionMap[557][BEGIN] = ActionEntry(REDUCE, 351);
   _actionMap[557][THEN] = ActionEntry(REDUCE, 351);
   _actionMap[557][OR] = ActionEntry(REDUCE, 351);
   _actionMap[557][AND] = ActionEntry(REDUCE, 351);
   _actionMap[557][ENDTOKEN] = ActionEntry(REDUCE, 351);
   _actionMap[557][UNION] = ActionEntry(REDUCE, 351);
   _actionMap[557][ROWLIMIT] = ActionEntry(REDUCE, 351);
   _actionMap[557][ASC] = ActionEntry(REDUCE, 351);
   _actionMap[557][DESC] = ActionEntry(REDUCE, 351);
   _actionMap[557][INTOK] = ActionEntry(REDUCE, 351);
   _actionMap[557][BETWEEN] = ActionEntry(REDUCE, 351);
   _actionMap[557][LIKE] = ActionEntry(REDUCE, 351);
   _actionMap[557][PLUS] = ActionEntry(REDUCE, 351);
   _actionMap[557][MINUS] = ActionEntry(REDUCE, 351);
   _actionMap[557][CONCAT] = ActionEntry(REDUCE, 351);
   _actionMap[557][DIVISION] = ActionEntry(REDUCE, 351);
   _actionMap[557][STAR] = ActionEntry(REDUCE, 351);
   _actionMap[557][MT] = ActionEntry(REDUCE, 351);
   _actionMap[557][LT] = ActionEntry(REDUCE, 351);
   _actionMap[557][NEGATION] = ActionEntry(REDUCE, 351);
   _actionMap[557][EQU] = ActionEntry(REDUCE, 351);
   _actionMap[557][IS] = ActionEntry(REDUCE, 351);
   _actionMap[557][NULLTOKEN] = ActionEntry(REDUCE, 351);
   _actionMap[557][NOT] = ActionEntry(REDUCE, 351);
   _actionMap[557][KSEP] = ActionEntry(REDUCE, 351);
   _actionMap[557][SEMICOLON] = ActionEntry(REDUCE, 351);
   _actionMap[557][RB] = ActionEntry(REDUCE, 351);
   _actionMap[558][RAB] = ActionEntry(SHIFT, 666);
   _actionMap[559][SEMICOLON] = ActionEntry(REDUCE, 271);
}
void Cego::loadParser115()
{
   _actionMap[560][SEMICOLON] = ActionEntry(REDUCE, 267);
   _actionMap[561][SEMICOLON] = ActionEntry(REDUCE, 268);
   _actionMap[562][SEMICOLON] = ActionEntry(REDUCE, 269);
   _actionMap[563][SEMICOLON] = ActionEntry(REDUCE, 266);
   _actionMap[564][SEMICOLON] = ActionEntry(REDUCE, 270);
   _actionMap[565][SEMICOLON] = ActionEntry(REDUCE, 227);
   _actionMap[565][RB] = ActionEntry(REDUCE, 227);
   _actionMap[565][ENDTOKEN] = ActionEntry(REDUCE, 227);
   _actionMap[565][UNION] = ActionEntry(REDUCE, 227);
   _actionMap[565][ROWLIMIT] = ActionEntry(REDUCE, 227);
   _actionMap[565][ORDER] = ActionEntry(REDUCE, 227);
   _actionMap[565][GROUP] = ActionEntry(SHIFT, 669);
   _jumpMap[565][NoGroup] = 668;
   _jumpMap[565][GroupClause] = 667;
   _actionMap[566][LEFT] = ActionEntry(REDUCE, 210);
   _actionMap[566][RIGHT] = ActionEntry(REDUCE, 210);
   _actionMap[566][INNER] = ActionEntry(REDUCE, 210);
   _actionMap[566][JOIN] = ActionEntry(REDUCE, 210);
   _actionMap[566][RETURNTOKEN] = ActionEntry(REDUCE, 210);
   _actionMap[566][SEMICOLON] = ActionEntry(REDUCE, 210);
   _actionMap[566][RB] = ActionEntry(REDUCE, 210);
   _actionMap[566][ENDTOKEN] = ActionEntry(REDUCE, 210);
   _actionMap[566][UNION] = ActionEntry(REDUCE, 210);
   _actionMap[566][ROWLIMIT] = ActionEntry(REDUCE, 210);
   _actionMap[566][ORDER] = ActionEntry(REDUCE, 210);
   _actionMap[566][GROUP] = ActionEntry(REDUCE, 210);
   _actionMap[566][WHERE] = ActionEntry(REDUCE, 210);
   _actionMap[567][IDENTIFIER] = ActionEntry(SHIFT, 50);
   _actionMap[567][QUALIFIEDOBJ] = ActionEntry(SHIFT, 51);
   _actionMap[567][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _jumpMap[567][ObjSpec] = 433;
   _jumpMap[567][Table] = 670;
   _actionMap[568][JOIN] = ActionEntry(SHIFT, 671);
   _actionMap[569][IDENTIFIER] = ActionEntry(REDUCE, 216);
   _actionMap[569][QUALIFIEDOBJ] = ActionEntry(REDUCE, 216);
   _actionMap[569][QUALIFIEDTS] = ActionEntry(REDUCE, 216);
   _actionMap[570][OUTER] = ActionEntry(SHIFT, 672);
   _actionMap[571][OUTER] = ActionEntry(SHIFT, 673);
   _actionMap[572][LEFT] = ActionEntry(REDUCE, 211);
   _actionMap[572][RIGHT] = ActionEntry(REDUCE, 211);
   _actionMap[572][INNER] = ActionEntry(REDUCE, 211);
   _actionMap[572][JOIN] = ActionEntry(REDUCE, 211);
   _actionMap[572][RETURNTOKEN] = ActionEntry(REDUCE, 211);
   _actionMap[572][SEMICOLON] = ActionEntry(REDUCE, 211);
   _actionMap[572][RB] = ActionEntry(REDUCE, 211);
   _actionMap[572][ENDTOKEN] = ActionEntry(REDUCE, 211);
   _actionMap[572][UNION] = ActionEntry(REDUCE, 211);
   _actionMap[572][ROWLIMIT] = ActionEntry(REDUCE, 211);
   _actionMap[572][ORDER] = ActionEntry(REDUCE, 211);
   _actionMap[572][GROUP] = ActionEntry(REDUCE, 211);
}
void Cego::loadParser116()
{
   _actionMap[572][WHERE] = ActionEntry(REDUCE, 211);
   _actionMap[573][IDENTIFIER] = ActionEntry(SHIFT, 50);
   _actionMap[573][QUALIFIEDOBJ] = ActionEntry(SHIFT, 51);
   _actionMap[573][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _jumpMap[573][ObjSpec] = 433;
   _jumpMap[573][Table] = 675;
   _jumpMap[573][TableList] = 674;
   _actionMap[574][WHERE] = ActionEntry(REDUCE, 220);
   _actionMap[574][GROUP] = ActionEntry(REDUCE, 220);
   _actionMap[574][ORDER] = ActionEntry(REDUCE, 220);
   _actionMap[574][ROWLIMIT] = ActionEntry(REDUCE, 220);
   _actionMap[574][UNION] = ActionEntry(REDUCE, 220);
   _actionMap[574][ENDTOKEN] = ActionEntry(REDUCE, 220);
   _actionMap[574][RB] = ActionEntry(REDUCE, 220);
   _actionMap[574][SEMICOLON] = ActionEntry(REDUCE, 220);
   _actionMap[574][RETURNTOKEN] = ActionEntry(REDUCE, 220);
   _actionMap[574][LEFT] = ActionEntry(REDUCE, 220);
   _actionMap[574][RIGHT] = ActionEntry(REDUCE, 220);
   _actionMap[574][INNER] = ActionEntry(REDUCE, 220);
   _actionMap[574][JOIN] = ActionEntry(REDUCE, 220);
   _actionMap[574][KSEP] = ActionEntry(REDUCE, 220);
   _actionMap[574][ON] = ActionEntry(REDUCE, 220);
   _actionMap[575][FROM] = ActionEntry(REDUCE, 222);
   _actionMap[575][KSEP] = ActionEntry(REDUCE, 222);
   _actionMap[576][FROM] = ActionEntry(REDUCE, 205);
   _actionMap[576][KSEP] = ActionEntry(REDUCE, 205);
   _actionMap[577][PLUS] = ActionEntry(SHIFT, 225);
   _actionMap[577][MINUS] = ActionEntry(SHIFT, 224);
   _actionMap[577][CONCAT] = ActionEntry(SHIFT, 223);
   _actionMap[577][SEMICOLON] = ActionEntry(REDUCE, 74);
   _actionMap[578][RETURNTOKEN] = ActionEntry(SHIFT, 677);
   _actionMap[578][SEMICOLON] = ActionEntry(REDUCE, 252);
   _jumpMap[578][UpdReturnOpt] = 676;
   _actionMap[579][IDENTIFIER] = ActionEntry(SHIFT, 442);
   _jumpMap[579][Assignment] = 678;
   _actionMap[580][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[580][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[580][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[580][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[580][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[580][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[580][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[580][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[580][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[580][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[580][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[580][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[580][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[580][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[580][GETPOS] = ActionEntry(SHIFT, 113);
}
void Cego::loadParser117()
{
   _actionMap[580][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[580][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[580][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[580][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[580][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[580][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[580][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[580][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[580][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[580][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[580][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[580][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[580][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[580][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[580][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[580][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[580][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[580][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[580][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[580][LB] = ActionEntry(SHIFT, 141);
   _actionMap[580][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[580][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[580][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[580][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[580][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[580][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[580][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[580][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[580][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[580][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[580][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[580][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[580][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[580][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[580][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[580][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[580][ObjSpec] = 99;
   _jumpMap[580][Constant] = 98;
   _jumpMap[580][SignedFloat] = 97;
   _jumpMap[580][SignedInt] = 96;
   _jumpMap[580][Attribute] = 95;
   _jumpMap[580][Function] = 94;
   _jumpMap[580][CasePrepare] = 93;
   _jumpMap[580][CaseClause] = 92;
   _jumpMap[580][Factor] = 91;
   _jumpMap[580][Term] = 90;
   _jumpMap[580][Expr] = 679;
   _actionMap[581][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[581][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[581][INTVAL] = ActionEntry(SHIFT, 144);
}
void Cego::loadParser118()
{
   _actionMap[581][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[581][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[581][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[581][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[581][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[581][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[581][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[581][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[581][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[581][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[581][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[581][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[581][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[581][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[581][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[581][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[581][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[581][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[581][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[581][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[581][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[581][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[581][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[581][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[581][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[581][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[581][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[581][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[581][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[581][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[581][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[581][LB] = ActionEntry(SHIFT, 141);
   _actionMap[581][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[581][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[581][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[581][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[581][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[581][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[581][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[581][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[581][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[581][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[581][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[581][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[581][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[581][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[581][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[581][MAX] = ActionEntry(SHIFT, 120);
   _actionMap[581][RB] = ActionEntry(REDUCE, 117);
   _jumpMap[581][ObjSpec] = 99;
}
void Cego::loadParser119()
{
   _jumpMap[581][Constant] = 98;
   _jumpMap[581][SignedFloat] = 97;
   _jumpMap[581][SignedInt] = 96;
   _jumpMap[581][Attribute] = 95;
   _jumpMap[581][Function] = 94;
   _jumpMap[581][CasePrepare] = 93;
   _jumpMap[581][CaseClause] = 92;
   _jumpMap[581][Factor] = 91;
   _jumpMap[581][Term] = 90;
   _jumpMap[581][Expr] = 319;
   _jumpMap[581][ProcValueList] = 318;
   _jumpMap[581][ProcValueListOpt] = 680;
   _actionMap[309][SEMICOLON] = ActionEntry(REDUCE, 62);
   _actionMap[310][SEMICOLON] = ActionEntry(REDUCE, 259);
   _actionMap[311][KSEP] = ActionEntry(SHIFT, 444);
   _actionMap[311][SEMICOLON] = ActionEntry(REDUCE, 261);
   _actionMap[312][CHECK] = ActionEntry(SHIFT, 445);
   _actionMap[312][FOREIGN] = ActionEntry(SHIFT, 447);
   _actionMap[312][COLUMN] = ActionEntry(SHIFT, 446);
   _actionMap[313][COLUMN] = ActionEntry(SHIFT, 448);
   _actionMap[314][COLUMN] = ActionEntry(SHIFT, 449);
   _actionMap[315][COLUMN] = ActionEntry(SHIFT, 450);
   _actionMap[316][STRINGVAL] = ActionEntry(SHIFT, 451);
   _actionMap[317][RB] = ActionEntry(SHIFT, 320);
   _actionMap[318][KSEP] = ActionEntry(SHIFT, 452);
   _actionMap[318][RB] = ActionEntry(REDUCE, 116);
   _actionMap[319][PLUS] = ActionEntry(SHIFT, 225);
   _actionMap[319][MINUS] = ActionEntry(SHIFT, 224);
   _actionMap[319][CONCAT] = ActionEntry(SHIFT, 223);
   _actionMap[319][KSEP] = ActionEntry(REDUCE, 119);
   _actionMap[319][RB] = ActionEntry(REDUCE, 119);
   _actionMap[320][SEMICOLON] = ActionEntry(REDUCE, 53);
   _actionMap[321][END_TOKEN] = ActionEntry(SHIFT, 453);
   _actionMap[322][EXCEPTION] = ActionEntry(REDUCE, 114);
   _actionMap[322][ELSE] = ActionEntry(REDUCE, 114);
   _actionMap[322][ELSIF] = ActionEntry(REDUCE, 114);
   _actionMap[322][END_TOKEN] = ActionEntry(REDUCE, 114);
   _actionMap[322][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[322][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[322][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[322][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[322][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[322][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[322][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[322][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[322][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[322][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[322][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[322][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[322][LEFT] = ActionEntry(SHIFT, 115);
}
void Cego::loadParser120()
{
   _actionMap[322][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[322][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[322][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[322][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[322][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[322][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[322][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[322][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[322][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[322][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[322][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[322][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[322][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[322][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[322][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[322][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[322][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[322][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[322][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[322][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[322][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[322][LB] = ActionEntry(SHIFT, 141);
   _actionMap[322][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[322][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[322][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[322][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[322][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[322][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[322][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[322][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[322][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[322][VARREF] = ActionEntry(SHIFT, 341);
   _actionMap[322][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[322][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[322][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[322][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[322][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[322][MAX] = ActionEntry(SHIFT, 120);
   _actionMap[322][IF] = ActionEntry(SHIFT, 336);
   _actionMap[322][BEGIN] = ActionEntry(SHIFT, 333);
   _actionMap[322][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[322][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[322][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[322][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[322][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[322][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[322][VAR] = ActionEntry(SHIFT, 339);
   _actionMap[322][CURSOR] = ActionEntry(SHIFT, 335);
   _actionMap[322][CLOSE] = ActionEntry(SHIFT, 334);
   _actionMap[322][NOOP] = ActionEntry(SHIFT, 337);
}
void Cego::loadParser121()
{
   _actionMap[322][RETURNTOKEN] = ActionEntry(SHIFT, 338);
   _actionMap[322][WHILE] = ActionEntry(SHIFT, 340);
   _jumpMap[322][ObjSpec] = 99;
   _jumpMap[322][Constant] = 98;
   _jumpMap[322][SignedFloat] = 97;
   _jumpMap[322][SignedInt] = 96;
   _jumpMap[322][Attribute] = 95;
   _jumpMap[322][Function] = 94;
   _jumpMap[322][DeleteStatement] = 332;
   _jumpMap[322][UpdateStatement] = 331;
   _jumpMap[322][InsertStatement] = 330;
   _jumpMap[322][RollbackStatement] = 329;
   _jumpMap[322][CommitStatement] = 328;
   _jumpMap[322][StartStatement] = 327;
   _jumpMap[322][CasePrepare] = 93;
   _jumpMap[322][CaseClause] = 92;
   _jumpMap[322][Factor] = 91;
   _jumpMap[322][Term] = 90;
   _jumpMap[322][Expr] = 326;
   _jumpMap[322][ProcStatement] = 455;
   _jumpMap[322][ProcIfPart] = 324;
   _jumpMap[322][ProcExceptionList] = 454;
   _jumpMap[322][ProcBlockStart] = 323;
   _actionMap[323][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[323][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[323][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[323][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[323][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[323][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[323][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[323][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[323][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[323][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[323][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[323][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[323][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[323][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[323][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[323][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[323][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[323][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[323][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[323][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[323][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[323][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[323][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[323][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[323][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[323][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[323][BITAND] = ActionEntry(SHIFT, 102);
}
void Cego::loadParser122()
{
   _actionMap[323][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[323][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[323][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[323][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[323][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[323][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[323][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[323][LB] = ActionEntry(SHIFT, 141);
   _actionMap[323][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[323][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[323][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[323][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[323][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[323][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[323][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[323][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[323][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[323][VARREF] = ActionEntry(SHIFT, 341);
   _actionMap[323][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[323][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[323][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[323][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[323][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[323][MAX] = ActionEntry(SHIFT, 120);
   _actionMap[323][IF] = ActionEntry(SHIFT, 336);
   _actionMap[323][BEGIN] = ActionEntry(SHIFT, 333);
   _actionMap[323][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[323][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[323][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[323][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[323][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[323][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[323][VAR] = ActionEntry(SHIFT, 339);
   _actionMap[323][CURSOR] = ActionEntry(SHIFT, 335);
   _actionMap[323][CLOSE] = ActionEntry(SHIFT, 334);
   _actionMap[323][NOOP] = ActionEntry(SHIFT, 337);
   _actionMap[323][RETURNTOKEN] = ActionEntry(SHIFT, 338);
   _actionMap[323][WHILE] = ActionEntry(SHIFT, 340);
   _jumpMap[323][ObjSpec] = 99;
   _jumpMap[323][Constant] = 98;
   _jumpMap[323][SignedFloat] = 97;
   _jumpMap[323][SignedInt] = 96;
   _jumpMap[323][Attribute] = 95;
   _jumpMap[323][Function] = 94;
   _jumpMap[323][DeleteStatement] = 332;
   _jumpMap[323][UpdateStatement] = 331;
   _jumpMap[323][InsertStatement] = 330;
   _jumpMap[323][RollbackStatement] = 329;
   _jumpMap[323][CommitStatement] = 328;
   _jumpMap[323][StartStatement] = 327;
}
void Cego::loadParser123()
{
   _jumpMap[323][CasePrepare] = 93;
   _jumpMap[323][CaseClause] = 92;
   _jumpMap[323][Factor] = 91;
   _jumpMap[323][Term] = 90;
   _jumpMap[323][Expr] = 326;
   _jumpMap[323][ProcStatement] = 325;
   _jumpMap[323][ProcIfPart] = 324;
   _jumpMap[323][ProcBlockStart] = 323;
   _jumpMap[323][ProcStatementList] = 322;
   _jumpMap[323][ProcStmtBlock] = 456;
   _actionMap[324][ELSIF] = ActionEntry(SHIFT, 459);
   _actionMap[324][END_TOKEN] = ActionEntry(REDUCE, 124);
   _actionMap[324][ELSE] = ActionEntry(REDUCE, 124);
   _jumpMap[324][ProcElsIfOpt] = 458;
   _jumpMap[324][ProcElsIfList] = 457;
   _actionMap[325][SEMICOLON] = ActionEntry(SHIFT, 460);
   _actionMap[326][PLUS] = ActionEntry(SHIFT, 225);
   _actionMap[326][MINUS] = ActionEntry(SHIFT, 224);
   _actionMap[326][CONCAT] = ActionEntry(SHIFT, 223);
   _actionMap[326][SEMICOLON] = ActionEntry(REDUCE, 98);
   _actionMap[327][SEMICOLON] = ActionEntry(REDUCE, 106);
   _actionMap[328][SEMICOLON] = ActionEntry(REDUCE, 107);
   _actionMap[329][SEMICOLON] = ActionEntry(REDUCE, 108);
   _actionMap[330][SEMICOLON] = ActionEntry(REDUCE, 103);
   _actionMap[331][SEMICOLON] = ActionEntry(REDUCE, 105);
   _actionMap[332][SEMICOLON] = ActionEntry(REDUCE, 104);
   _actionMap[333][VAR] = ActionEntry(REDUCE, 112);
   _actionMap[333][CURSOR] = ActionEntry(REDUCE, 112);
   _actionMap[333][CLOSE] = ActionEntry(REDUCE, 112);
   _actionMap[333][VARREF] = ActionEntry(REDUCE, 112);
   _actionMap[333][NOOP] = ActionEntry(REDUCE, 112);
   _actionMap[333][RETURNTOKEN] = ActionEntry(REDUCE, 112);
   _actionMap[333][WHILE] = ActionEntry(REDUCE, 112);
   _actionMap[333][IF] = ActionEntry(REDUCE, 112);
   _actionMap[333][BEGIN] = ActionEntry(REDUCE, 112);
   _actionMap[333][ROLLBACK] = ActionEntry(REDUCE, 112);
   _actionMap[333][COMMIT] = ActionEntry(REDUCE, 112);
   _actionMap[333][START_TOKEN] = ActionEntry(REDUCE, 112);
   _actionMap[333][UPDATE] = ActionEntry(REDUCE, 112);
   _actionMap[333][DELETETOK] = ActionEntry(REDUCE, 112);
   _actionMap[333][INSERT] = ActionEntry(REDUCE, 112);
   _actionMap[333][FETCH] = ActionEntry(REDUCE, 112);
   _actionMap[333][LB] = ActionEntry(REDUCE, 112);
   _actionMap[333][COUNT] = ActionEntry(REDUCE, 112);
   _actionMap[333][SUM] = ActionEntry(REDUCE, 112);
   _actionMap[333][AVG] = ActionEntry(REDUCE, 112);
   _actionMap[333][MIN] = ActionEntry(REDUCE, 112);
   _actionMap[333][MAX] = ActionEntry(REDUCE, 112);
   _actionMap[333][CASE] = ActionEntry(REDUCE, 112);
   _actionMap[333][TRIM] = ActionEntry(REDUCE, 112);
}
void Cego::loadParser124()
{
   _actionMap[333][RTRIM] = ActionEntry(REDUCE, 112);
   _actionMap[333][LTRIM] = ActionEntry(REDUCE, 112);
   _actionMap[333][ROUND] = ActionEntry(REDUCE, 112);
   _actionMap[333][DATE2STR] = ActionEntry(REDUCE, 112);
   _actionMap[333][DATE2INT] = ActionEntry(REDUCE, 112);
   _actionMap[333][INT2DATE] = ActionEntry(REDUCE, 112);
   _actionMap[333][LOWER] = ActionEntry(REDUCE, 112);
   _actionMap[333][UPPER] = ActionEntry(REDUCE, 112);
   _actionMap[333][LEFT] = ActionEntry(REDUCE, 112);
   _actionMap[333][RIGHT] = ActionEntry(REDUCE, 112);
   _actionMap[333][GETPOS] = ActionEntry(REDUCE, 112);
   _actionMap[333][SUBSTR] = ActionEntry(REDUCE, 112);
   _actionMap[333][REPLACE] = ActionEntry(REDUCE, 112);
   _actionMap[333][LENGTH] = ActionEntry(REDUCE, 112);
   _actionMap[333][TRUNC] = ActionEntry(REDUCE, 112);
   _actionMap[333][STR2INT] = ActionEntry(REDUCE, 112);
   _actionMap[333][STR2LONG] = ActionEntry(REDUCE, 112);
   _actionMap[333][RANDSTR] = ActionEntry(REDUCE, 112);
   _actionMap[333][RANDINT] = ActionEntry(REDUCE, 112);
   _actionMap[333][MOD] = ActionEntry(REDUCE, 112);
   _actionMap[333][DIV] = ActionEntry(REDUCE, 112);
   _actionMap[333][POWER] = ActionEntry(REDUCE, 112);
   _actionMap[333][BITAND] = ActionEntry(REDUCE, 112);
   _actionMap[333][BITOR] = ActionEntry(REDUCE, 112);
   _actionMap[333][BITXOR] = ActionEntry(REDUCE, 112);
   _actionMap[333][NEXTCOUNT] = ActionEntry(REDUCE, 112);
   _actionMap[333][SETCOUNT] = ActionEntry(REDUCE, 112);
   _actionMap[333][IDENTIFIER] = ActionEntry(REDUCE, 112);
   _actionMap[333][QUALIFIEDOBJ] = ActionEntry(REDUCE, 112);
   _actionMap[333][QUALIFIEDTS] = ActionEntry(REDUCE, 112);
   _actionMap[333][QUALIFIEDPRE] = ActionEntry(REDUCE, 112);
   _actionMap[333][STRINGVAL] = ActionEntry(REDUCE, 112);
   _actionMap[333][DATE] = ActionEntry(REDUCE, 112);
   _actionMap[333][SYSDATE] = ActionEntry(REDUCE, 112);
   _actionMap[333][NULLTOKEN] = ActionEntry(REDUCE, 112);
   _actionMap[333][TRUEVAL] = ActionEntry(REDUCE, 112);
   _actionMap[333][FALSEVAL] = ActionEntry(REDUCE, 112);
   _actionMap[333][LAB] = ActionEntry(REDUCE, 112);
   _actionMap[333][FLOATVAL] = ActionEntry(REDUCE, 112);
   _actionMap[333][MINUS] = ActionEntry(REDUCE, 112);
   _actionMap[333][INTVAL] = ActionEntry(REDUCE, 112);
   _actionMap[334][IDENTIFIER] = ActionEntry(SHIFT, 461);
   _actionMap[335][IDENTIFIER] = ActionEntry(SHIFT, 462);
   _actionMap[336][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[336][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[336][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[336][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[336][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[336][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[336][ROUND] = ActionEntry(SHIFT, 129);
}
void Cego::loadParser125()
{
   _actionMap[336][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[336][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[336][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[336][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[336][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[336][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[336][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[336][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[336][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[336][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[336][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[336][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[336][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[336][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[336][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[336][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[336][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[336][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[336][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[336][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[336][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[336][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[336][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[336][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[336][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[336][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[336][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[336][LB] = ActionEntry(SHIFT, 467);
   _actionMap[336][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[336][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[336][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[336][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[336][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[336][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[336][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[336][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[336][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[336][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[336][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[336][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[336][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[336][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[336][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[336][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[336][ObjSpec] = 99;
   _jumpMap[336][Constant] = 98;
   _jumpMap[336][SignedFloat] = 97;
   _jumpMap[336][SignedInt] = 96;
   _jumpMap[336][Attribute] = 95;
   _jumpMap[336][Function] = 94;
}
void Cego::loadParser126()
{
   _jumpMap[336][CasePrepare] = 93;
   _jumpMap[336][CaseClause] = 92;
   _jumpMap[336][Factor] = 91;
   _jumpMap[336][Term] = 90;
   _jumpMap[336][Expr] = 466;
   _jumpMap[336][ProcPredicate] = 465;
   _jumpMap[336][ProcCondition] = 464;
   _jumpMap[336][ProcIfCondition] = 463;
   _actionMap[337][SEMICOLON] = ActionEntry(REDUCE, 99);
   _actionMap[338][SEMICOLON] = ActionEntry(REDUCE, 109);
   _actionMap[338][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[338][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[338][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[338][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[338][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[338][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[338][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[338][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[338][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[338][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[338][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[338][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[338][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[338][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[338][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[338][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[338][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[338][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[338][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[338][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[338][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[338][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[338][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[338][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[338][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[338][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[338][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[338][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[338][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[338][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[338][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[338][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[338][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[338][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[338][LB] = ActionEntry(SHIFT, 141);
   _actionMap[338][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[338][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[338][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[338][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[338][TRUEVAL] = ActionEntry(SHIFT, 138);
}
void Cego::loadParser127()
{
   _actionMap[338][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[338][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[338][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[338][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[338][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[338][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[338][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[338][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[338][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[338][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[338][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[338][ObjSpec] = 99;
   _jumpMap[338][Constant] = 98;
   _jumpMap[338][SignedFloat] = 97;
   _jumpMap[338][SignedInt] = 96;
   _jumpMap[338][Attribute] = 95;
   _jumpMap[338][Function] = 94;
   _jumpMap[338][CasePrepare] = 93;
   _jumpMap[338][CaseClause] = 92;
   _jumpMap[338][Factor] = 91;
   _jumpMap[338][Term] = 90;
   _jumpMap[338][Expr] = 468;
   _actionMap[339][IDENTIFIER] = ActionEntry(SHIFT, 469);
   _actionMap[340][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[340][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[340][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[340][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[340][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[340][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[340][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[340][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[340][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[340][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[340][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[340][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[340][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[340][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[340][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[340][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[340][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[340][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[340][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[340][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[340][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[340][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[340][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[340][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[340][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[340][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[340][BITAND] = ActionEntry(SHIFT, 102);
}
void Cego::loadParser128()
{
   _actionMap[340][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[340][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[340][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[340][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[340][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[340][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[340][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[340][LB] = ActionEntry(SHIFT, 467);
   _actionMap[340][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[340][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[340][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[340][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[340][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[340][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[340][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[340][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[340][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[340][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[340][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[340][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[340][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[340][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[340][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[340][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[340][ObjSpec] = 99;
   _jumpMap[340][Constant] = 98;
   _jumpMap[340][SignedFloat] = 97;
   _jumpMap[340][SignedInt] = 96;
   _jumpMap[340][Attribute] = 95;
   _jumpMap[340][Function] = 94;
   _jumpMap[340][CasePrepare] = 93;
   _jumpMap[340][CaseClause] = 92;
   _jumpMap[340][Factor] = 91;
   _jumpMap[340][Term] = 90;
   _jumpMap[340][Expr] = 466;
   _jumpMap[340][ProcPredicate] = 465;
   _jumpMap[340][ProcCondition] = 471;
   _jumpMap[340][ProcWhileCondition] = 470;
   _actionMap[341][CONCAT] = ActionEntry(REDUCE, 147);
   _actionMap[341][STAR] = ActionEntry(REDUCE, 147);
   _actionMap[341][DIVISION] = ActionEntry(REDUCE, 147);
   _actionMap[341][MINUS] = ActionEntry(REDUCE, 147);
   _actionMap[341][PLUS] = ActionEntry(REDUCE, 147);
   _actionMap[341][SEMICOLON] = ActionEntry(REDUCE, 147);
   _actionMap[341][EQU] = ActionEntry(SHIFT, 472);
   _actionMap[342][ON] = ActionEntry(SHIFT, 473);
   _actionMap[343][IDENTIFIER] = ActionEntry(SHIFT, 50);
   _actionMap[343][QUALIFIEDOBJ] = ActionEntry(SHIFT, 51);
   _actionMap[343][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _jumpMap[343][ObjSpec] = 474;
}
void Cego::loadParser129()
{
   _actionMap[344][IDENTIFIER] = ActionEntry(SHIFT, 479);
   _actionMap[344][RB] = ActionEntry(REDUCE, 86);
   _jumpMap[344][ProcArg] = 477;
   _jumpMap[344][ProcArgList] = 476;
   _jumpMap[344][ProcArgOpt] = 475;
   _actionMap[345][IDENTIFIER] = ActionEntry(SHIFT, 484);
   _actionMap[345][PRIMARY] = ActionEntry(SHIFT, 483);
   _jumpMap[345][ColumnDesc] = 482;
   _jumpMap[345][KeyColumn] = 481;
   _jumpMap[345][ColumnList] = 480;
   _actionMap[346][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[346][SelectStatement] = 485;
   _actionMap[347][SEMICOLON] = ActionEntry(REDUCE, 306);
   _actionMap[347][WHERE] = ActionEntry(SHIFT, 350);
   _jumpMap[347][NoWhere] = 349;
   _jumpMap[347][WhereClause] = 348;
   _actionMap[348][SEMICOLON] = ActionEntry(REDUCE, 256);
   _actionMap[349][RETURNTOKEN] = ActionEntry(REDUCE, 305);
   _actionMap[349][GROUP] = ActionEntry(REDUCE, 305);
   _actionMap[349][ORDER] = ActionEntry(REDUCE, 305);
   _actionMap[349][ROWLIMIT] = ActionEntry(REDUCE, 305);
   _actionMap[349][UNION] = ActionEntry(REDUCE, 305);
   _actionMap[349][ENDTOKEN] = ActionEntry(REDUCE, 305);
   _actionMap[349][RB] = ActionEntry(REDUCE, 305);
   _actionMap[349][SEMICOLON] = ActionEntry(REDUCE, 305);
   _actionMap[350][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[350][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[350][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[350][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[350][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[350][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[350][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[350][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[350][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[350][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[350][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[350][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[350][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[350][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[350][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[350][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[350][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[350][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[350][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[350][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[350][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[350][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[350][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[350][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[350][DIV] = ActionEntry(SHIFT, 110);
}
void Cego::loadParser130()
{
   _actionMap[350][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[350][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[350][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[350][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[350][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[350][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[350][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[350][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[350][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[350][LB] = ActionEntry(SHIFT, 371);
   _actionMap[350][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[350][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[350][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[350][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[350][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[350][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[350][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[350][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[350][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[350][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[350][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[350][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[350][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[350][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[350][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[350][MAX] = ActionEntry(SHIFT, 120);
   _actionMap[350][EXISTS] = ActionEntry(SHIFT, 369);
   _actionMap[350][NOT] = ActionEntry(SHIFT, 370);
   _jumpMap[350][ObjSpec] = 99;
   _jumpMap[350][Constant] = 98;
   _jumpMap[350][SignedFloat] = 97;
   _jumpMap[350][SignedInt] = 96;
   _jumpMap[350][Attribute] = 95;
   _jumpMap[350][QueryPredicate] = 368;
   _jumpMap[350][QueryCondition] = 486;
   _jumpMap[350][Function] = 94;
   _jumpMap[350][CasePrepare] = 93;
   _jumpMap[350][CaseClause] = 92;
   _jumpMap[350][Factor] = 91;
   _jumpMap[350][Term] = 90;
   _jumpMap[350][Expr] = 366;
   _actionMap[351][SEMICOLON] = ActionEntry(REDUCE, 22);
   _actionMap[352][SELECT] = ActionEntry(SHIFT, 30);
   _actionMap[352][VALUES] = ActionEntry(SHIFT, 355);
   _jumpMap[352][SelectStatement] = 354;
   _jumpMap[352][InsertPrepare] = 353;
   _actionMap[353][LB] = ActionEntry(SHIFT, 489);
   _jumpMap[353][InsertValueSpec] = 488;
   _jumpMap[353][InsertValueSpecList] = 487;
   _actionMap[354][SEMICOLON] = ActionEntry(REDUCE, 191);
}
void Cego::loadParser131()
{
   _actionMap[355][LB] = ActionEntry(REDUCE, 194);
   _actionMap[356][IDENTIFIER] = ActionEntry(SHIFT, 491);
   _jumpMap[356][InsertArgList] = 490;
   _actionMap[357][SEMICOLON] = ActionEntry(REDUCE, 13);
   _actionMap[358][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[358][SelectStatement] = 492;
   _actionMap[359][STAR] = ActionEntry(SHIFT, 226);
   _actionMap[359][DIVISION] = ActionEntry(SHIFT, 227);
   _actionMap[359][WHEN] = ActionEntry(REDUCE, 143);
   _actionMap[359][ELSE] = ActionEntry(REDUCE, 143);
   _actionMap[359][LEFT] = ActionEntry(REDUCE, 143);
   _actionMap[359][RIGHT] = ActionEntry(REDUCE, 143);
   _actionMap[359][INNER] = ActionEntry(REDUCE, 143);
   _actionMap[359][JOIN] = ActionEntry(REDUCE, 143);
   _actionMap[359][RETURNTOKEN] = ActionEntry(REDUCE, 143);
   _actionMap[359][ORDER] = ActionEntry(REDUCE, 143);
   _actionMap[359][GROUP] = ActionEntry(REDUCE, 143);
   _actionMap[359][WHERE] = ActionEntry(REDUCE, 143);
   _actionMap[359][BEGIN] = ActionEntry(REDUCE, 143);
   _actionMap[359][THEN] = ActionEntry(REDUCE, 143);
   _actionMap[359][OR] = ActionEntry(REDUCE, 143);
   _actionMap[359][AS] = ActionEntry(REDUCE, 143);
   _actionMap[359][FROM] = ActionEntry(REDUCE, 143);
   _actionMap[359][LIKE] = ActionEntry(REDUCE, 143);
   _actionMap[359][BETWEEN] = ActionEntry(REDUCE, 143);
   _actionMap[359][NOT] = ActionEntry(REDUCE, 143);
   _actionMap[359][INTOK] = ActionEntry(REDUCE, 143);
   _actionMap[359][END_TOKEN] = ActionEntry(REDUCE, 143);
   _actionMap[359][AND] = ActionEntry(REDUCE, 143);
   _actionMap[359][IS] = ActionEntry(REDUCE, 143);
   _actionMap[359][EQU] = ActionEntry(REDUCE, 143);
   _actionMap[359][NEGATION] = ActionEntry(REDUCE, 143);
   _actionMap[359][LT] = ActionEntry(REDUCE, 143);
   _actionMap[359][MT] = ActionEntry(REDUCE, 143);
   _actionMap[359][DESC] = ActionEntry(REDUCE, 143);
   _actionMap[359][ASC] = ActionEntry(REDUCE, 143);
   _actionMap[359][KSEP] = ActionEntry(REDUCE, 143);
   _actionMap[359][ROWLIMIT] = ActionEntry(REDUCE, 143);
   _actionMap[359][UNION] = ActionEntry(REDUCE, 143);
   _actionMap[359][ENDTOKEN] = ActionEntry(REDUCE, 143);
   _actionMap[359][RB] = ActionEntry(REDUCE, 143);
   _actionMap[359][SEMICOLON] = ActionEntry(REDUCE, 143);
   _actionMap[359][CONCAT] = ActionEntry(REDUCE, 143);
   _actionMap[359][MINUS] = ActionEntry(REDUCE, 143);
   _actionMap[359][PLUS] = ActionEntry(REDUCE, 143);
   _actionMap[360][STAR] = ActionEntry(SHIFT, 226);
   _actionMap[360][DIVISION] = ActionEntry(SHIFT, 227);
   _actionMap[360][WHEN] = ActionEntry(REDUCE, 141);
   _actionMap[360][ELSE] = ActionEntry(REDUCE, 141);
   _actionMap[360][LEFT] = ActionEntry(REDUCE, 141);
}
void Cego::loadParser132()
{
   _actionMap[360][RIGHT] = ActionEntry(REDUCE, 141);
   _actionMap[360][INNER] = ActionEntry(REDUCE, 141);
   _actionMap[360][JOIN] = ActionEntry(REDUCE, 141);
   _actionMap[360][RETURNTOKEN] = ActionEntry(REDUCE, 141);
   _actionMap[360][ORDER] = ActionEntry(REDUCE, 141);
   _actionMap[360][GROUP] = ActionEntry(REDUCE, 141);
   _actionMap[360][WHERE] = ActionEntry(REDUCE, 141);
   _actionMap[360][BEGIN] = ActionEntry(REDUCE, 141);
   _actionMap[360][THEN] = ActionEntry(REDUCE, 141);
   _actionMap[360][OR] = ActionEntry(REDUCE, 141);
   _actionMap[360][AS] = ActionEntry(REDUCE, 141);
   _actionMap[360][FROM] = ActionEntry(REDUCE, 141);
   _actionMap[360][LIKE] = ActionEntry(REDUCE, 141);
   _actionMap[360][BETWEEN] = ActionEntry(REDUCE, 141);
   _actionMap[360][NOT] = ActionEntry(REDUCE, 141);
   _actionMap[360][INTOK] = ActionEntry(REDUCE, 141);
   _actionMap[360][END_TOKEN] = ActionEntry(REDUCE, 141);
   _actionMap[360][AND] = ActionEntry(REDUCE, 141);
   _actionMap[360][IS] = ActionEntry(REDUCE, 141);
   _actionMap[360][EQU] = ActionEntry(REDUCE, 141);
   _actionMap[360][NEGATION] = ActionEntry(REDUCE, 141);
   _actionMap[360][LT] = ActionEntry(REDUCE, 141);
   _actionMap[360][MT] = ActionEntry(REDUCE, 141);
   _actionMap[360][DESC] = ActionEntry(REDUCE, 141);
   _actionMap[360][ASC] = ActionEntry(REDUCE, 141);
   _actionMap[360][KSEP] = ActionEntry(REDUCE, 141);
   _actionMap[360][ROWLIMIT] = ActionEntry(REDUCE, 141);
   _actionMap[360][UNION] = ActionEntry(REDUCE, 141);
   _actionMap[360][ENDTOKEN] = ActionEntry(REDUCE, 141);
   _actionMap[360][RB] = ActionEntry(REDUCE, 141);
   _actionMap[360][SEMICOLON] = ActionEntry(REDUCE, 141);
   _actionMap[360][CONCAT] = ActionEntry(REDUCE, 141);
   _actionMap[360][MINUS] = ActionEntry(REDUCE, 141);
   _actionMap[360][PLUS] = ActionEntry(REDUCE, 141);
   _actionMap[361][STAR] = ActionEntry(SHIFT, 226);
   _actionMap[361][DIVISION] = ActionEntry(SHIFT, 227);
   _actionMap[361][WHEN] = ActionEntry(REDUCE, 140);
   _actionMap[361][ELSE] = ActionEntry(REDUCE, 140);
   _actionMap[361][LEFT] = ActionEntry(REDUCE, 140);
   _actionMap[361][RIGHT] = ActionEntry(REDUCE, 140);
   _actionMap[361][INNER] = ActionEntry(REDUCE, 140);
   _actionMap[361][JOIN] = ActionEntry(REDUCE, 140);
   _actionMap[361][RETURNTOKEN] = ActionEntry(REDUCE, 140);
   _actionMap[361][ORDER] = ActionEntry(REDUCE, 140);
   _actionMap[361][GROUP] = ActionEntry(REDUCE, 140);
   _actionMap[361][WHERE] = ActionEntry(REDUCE, 140);
   _actionMap[361][BEGIN] = ActionEntry(REDUCE, 140);
   _actionMap[361][THEN] = ActionEntry(REDUCE, 140);
   _actionMap[361][OR] = ActionEntry(REDUCE, 140);
   _actionMap[361][AS] = ActionEntry(REDUCE, 140);
}
void Cego::loadParser133()
{
   _actionMap[361][FROM] = ActionEntry(REDUCE, 140);
   _actionMap[361][LIKE] = ActionEntry(REDUCE, 140);
   _actionMap[361][BETWEEN] = ActionEntry(REDUCE, 140);
   _actionMap[361][NOT] = ActionEntry(REDUCE, 140);
   _actionMap[361][INTOK] = ActionEntry(REDUCE, 140);
   _actionMap[361][END_TOKEN] = ActionEntry(REDUCE, 140);
   _actionMap[361][AND] = ActionEntry(REDUCE, 140);
   _actionMap[361][IS] = ActionEntry(REDUCE, 140);
   _actionMap[361][EQU] = ActionEntry(REDUCE, 140);
   _actionMap[361][NEGATION] = ActionEntry(REDUCE, 140);
   _actionMap[361][LT] = ActionEntry(REDUCE, 140);
   _actionMap[361][MT] = ActionEntry(REDUCE, 140);
   _actionMap[361][DESC] = ActionEntry(REDUCE, 140);
   _actionMap[361][ASC] = ActionEntry(REDUCE, 140);
   _actionMap[361][KSEP] = ActionEntry(REDUCE, 140);
   _actionMap[361][ROWLIMIT] = ActionEntry(REDUCE, 140);
   _actionMap[361][UNION] = ActionEntry(REDUCE, 140);
   _actionMap[361][ENDTOKEN] = ActionEntry(REDUCE, 140);
   _actionMap[361][RB] = ActionEntry(REDUCE, 140);
   _actionMap[361][SEMICOLON] = ActionEntry(REDUCE, 140);
   _actionMap[361][CONCAT] = ActionEntry(REDUCE, 140);
   _actionMap[361][MINUS] = ActionEntry(REDUCE, 140);
   _actionMap[361][PLUS] = ActionEntry(REDUCE, 140);
   _actionMap[362][WHEN] = ActionEntry(REDUCE, 144);
   _actionMap[362][ELSE] = ActionEntry(REDUCE, 144);
   _actionMap[362][LEFT] = ActionEntry(REDUCE, 144);
   _actionMap[362][RIGHT] = ActionEntry(REDUCE, 144);
   _actionMap[362][INNER] = ActionEntry(REDUCE, 144);
   _actionMap[362][JOIN] = ActionEntry(REDUCE, 144);
   _actionMap[362][RETURNTOKEN] = ActionEntry(REDUCE, 144);
   _actionMap[362][ORDER] = ActionEntry(REDUCE, 144);
   _actionMap[362][GROUP] = ActionEntry(REDUCE, 144);
   _actionMap[362][WHERE] = ActionEntry(REDUCE, 144);
   _actionMap[362][BEGIN] = ActionEntry(REDUCE, 144);
   _actionMap[362][THEN] = ActionEntry(REDUCE, 144);
   _actionMap[362][OR] = ActionEntry(REDUCE, 144);
   _actionMap[362][FROM] = ActionEntry(REDUCE, 144);
   _actionMap[362][AS] = ActionEntry(REDUCE, 144);
   _actionMap[362][END_TOKEN] = ActionEntry(REDUCE, 144);
   _actionMap[362][AND] = ActionEntry(REDUCE, 144);
   _actionMap[362][INTOK] = ActionEntry(REDUCE, 144);
   _actionMap[362][NOT] = ActionEntry(REDUCE, 144);
   _actionMap[362][BETWEEN] = ActionEntry(REDUCE, 144);
   _actionMap[362][IS] = ActionEntry(REDUCE, 144);
   _actionMap[362][LIKE] = ActionEntry(REDUCE, 144);
   _actionMap[362][MT] = ActionEntry(REDUCE, 144);
   _actionMap[362][LT] = ActionEntry(REDUCE, 144);
   _actionMap[362][NEGATION] = ActionEntry(REDUCE, 144);
   _actionMap[362][EQU] = ActionEntry(REDUCE, 144);
   _actionMap[362][RB] = ActionEntry(REDUCE, 144);
}
void Cego::loadParser134()
{
   _actionMap[362][ENDTOKEN] = ActionEntry(REDUCE, 144);
   _actionMap[362][UNION] = ActionEntry(REDUCE, 144);
   _actionMap[362][ROWLIMIT] = ActionEntry(REDUCE, 144);
   _actionMap[362][KSEP] = ActionEntry(REDUCE, 144);
   _actionMap[362][ASC] = ActionEntry(REDUCE, 144);
   _actionMap[362][DESC] = ActionEntry(REDUCE, 144);
   _actionMap[362][SEMICOLON] = ActionEntry(REDUCE, 144);
   _actionMap[362][PLUS] = ActionEntry(REDUCE, 144);
   _actionMap[362][MINUS] = ActionEntry(REDUCE, 144);
   _actionMap[362][CONCAT] = ActionEntry(REDUCE, 144);
   _actionMap[362][DIVISION] = ActionEntry(REDUCE, 144);
   _actionMap[362][STAR] = ActionEntry(REDUCE, 144);
   _actionMap[363][WHEN] = ActionEntry(REDUCE, 145);
   _actionMap[363][ELSE] = ActionEntry(REDUCE, 145);
   _actionMap[363][LEFT] = ActionEntry(REDUCE, 145);
   _actionMap[363][RIGHT] = ActionEntry(REDUCE, 145);
   _actionMap[363][INNER] = ActionEntry(REDUCE, 145);
   _actionMap[363][JOIN] = ActionEntry(REDUCE, 145);
   _actionMap[363][RETURNTOKEN] = ActionEntry(REDUCE, 145);
   _actionMap[363][ORDER] = ActionEntry(REDUCE, 145);
   _actionMap[363][GROUP] = ActionEntry(REDUCE, 145);
   _actionMap[363][WHERE] = ActionEntry(REDUCE, 145);
   _actionMap[363][BEGIN] = ActionEntry(REDUCE, 145);
   _actionMap[363][THEN] = ActionEntry(REDUCE, 145);
   _actionMap[363][OR] = ActionEntry(REDUCE, 145);
   _actionMap[363][FROM] = ActionEntry(REDUCE, 145);
   _actionMap[363][AS] = ActionEntry(REDUCE, 145);
   _actionMap[363][END_TOKEN] = ActionEntry(REDUCE, 145);
   _actionMap[363][AND] = ActionEntry(REDUCE, 145);
   _actionMap[363][INTOK] = ActionEntry(REDUCE, 145);
   _actionMap[363][NOT] = ActionEntry(REDUCE, 145);
   _actionMap[363][BETWEEN] = ActionEntry(REDUCE, 145);
   _actionMap[363][IS] = ActionEntry(REDUCE, 145);
   _actionMap[363][LIKE] = ActionEntry(REDUCE, 145);
   _actionMap[363][MT] = ActionEntry(REDUCE, 145);
   _actionMap[363][LT] = ActionEntry(REDUCE, 145);
   _actionMap[363][NEGATION] = ActionEntry(REDUCE, 145);
   _actionMap[363][EQU] = ActionEntry(REDUCE, 145);
   _actionMap[363][RB] = ActionEntry(REDUCE, 145);
   _actionMap[363][ENDTOKEN] = ActionEntry(REDUCE, 145);
   _actionMap[363][UNION] = ActionEntry(REDUCE, 145);
   _actionMap[363][ROWLIMIT] = ActionEntry(REDUCE, 145);
   _actionMap[363][KSEP] = ActionEntry(REDUCE, 145);
   _actionMap[363][ASC] = ActionEntry(REDUCE, 145);
   _actionMap[363][DESC] = ActionEntry(REDUCE, 145);
   _actionMap[363][SEMICOLON] = ActionEntry(REDUCE, 145);
   _actionMap[363][PLUS] = ActionEntry(REDUCE, 145);
   _actionMap[363][MINUS] = ActionEntry(REDUCE, 145);
   _actionMap[363][CONCAT] = ActionEntry(REDUCE, 145);
   _actionMap[363][DIVISION] = ActionEntry(REDUCE, 145);
}
void Cego::loadParser135()
{
   _actionMap[363][STAR] = ActionEntry(REDUCE, 145);
   _actionMap[364][WHEN] = ActionEntry(REDUCE, 162);
   _actionMap[364][ELSE] = ActionEntry(REDUCE, 162);
   _actionMap[365][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[365][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[365][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[365][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[365][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[365][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[365][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[365][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[365][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[365][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[365][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[365][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[365][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[365][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[365][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[365][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[365][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[365][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[365][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[365][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[365][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[365][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[365][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[365][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[365][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[365][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[365][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[365][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[365][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[365][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[365][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[365][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[365][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[365][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[365][LB] = ActionEntry(SHIFT, 141);
   _actionMap[365][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[365][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[365][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[365][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[365][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[365][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[365][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[365][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[365][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[365][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[365][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[365][COUNT] = ActionEntry(SHIFT, 106);
}
void Cego::loadParser136()
{
   _actionMap[365][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[365][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[365][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[365][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[365][ObjSpec] = 99;
   _jumpMap[365][Constant] = 98;
   _jumpMap[365][SignedFloat] = 97;
   _jumpMap[365][SignedInt] = 96;
   _jumpMap[365][Attribute] = 95;
   _jumpMap[365][Function] = 94;
   _jumpMap[365][CasePrepare] = 93;
   _jumpMap[365][CaseClause] = 92;
   _jumpMap[365][Factor] = 91;
   _jumpMap[365][Term] = 90;
   _jumpMap[365][Expr] = 493;
   _actionMap[366][INTOK] = ActionEntry(SHIFT, 496);
   _actionMap[366][NOT] = ActionEntry(SHIFT, 499);
   _actionMap[366][BETWEEN] = ActionEntry(SHIFT, 495);
   _actionMap[366][IS] = ActionEntry(SHIFT, 497);
   _actionMap[366][LIKE] = ActionEntry(SHIFT, 498);
   _actionMap[366][PLUS] = ActionEntry(SHIFT, 225);
   _actionMap[366][MINUS] = ActionEntry(SHIFT, 224);
   _actionMap[366][CONCAT] = ActionEntry(SHIFT, 223);
   _actionMap[366][EQU] = ActionEntry(SHIFT, 500);
   _actionMap[366][NEGATION] = ActionEntry(SHIFT, 503);
   _actionMap[366][LT] = ActionEntry(SHIFT, 501);
   _actionMap[366][MT] = ActionEntry(SHIFT, 502);
   _jumpMap[366][Comparison] = 494;
   _actionMap[367][THEN] = ActionEntry(SHIFT, 506);
   _actionMap[367][AND] = ActionEntry(SHIFT, 504);
   _actionMap[367][OR] = ActionEntry(SHIFT, 505);
   _actionMap[368][THEN] = ActionEntry(REDUCE, 309);
   _actionMap[368][LEFT] = ActionEntry(REDUCE, 309);
   _actionMap[368][RIGHT] = ActionEntry(REDUCE, 309);
   _actionMap[368][INNER] = ActionEntry(REDUCE, 309);
   _actionMap[368][JOIN] = ActionEntry(REDUCE, 309);
   _actionMap[368][RETURNTOKEN] = ActionEntry(REDUCE, 309);
   _actionMap[368][SEMICOLON] = ActionEntry(REDUCE, 309);
   _actionMap[368][RB] = ActionEntry(REDUCE, 309);
   _actionMap[368][ENDTOKEN] = ActionEntry(REDUCE, 309);
   _actionMap[368][UNION] = ActionEntry(REDUCE, 309);
   _actionMap[368][ROWLIMIT] = ActionEntry(REDUCE, 309);
   _actionMap[368][ORDER] = ActionEntry(REDUCE, 309);
   _actionMap[368][GROUP] = ActionEntry(REDUCE, 309);
   _actionMap[368][WHERE] = ActionEntry(REDUCE, 309);
   _actionMap[368][OR] = ActionEntry(REDUCE, 309);
   _actionMap[368][AND] = ActionEntry(REDUCE, 309);
   _actionMap[369][LB] = ActionEntry(SHIFT, 507);
   _actionMap[370][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[370][MINUS] = ActionEntry(SHIFT, 143);
}
void Cego::loadParser137()
{
   _actionMap[370][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[370][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[370][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[370][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[370][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[370][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[370][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[370][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[370][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[370][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[370][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[370][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[370][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[370][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[370][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[370][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[370][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[370][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[370][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[370][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[370][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[370][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[370][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[370][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[370][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[370][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[370][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[370][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[370][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[370][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[370][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[370][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[370][LB] = ActionEntry(SHIFT, 371);
   _actionMap[370][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[370][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[370][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[370][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[370][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[370][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[370][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[370][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[370][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[370][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[370][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[370][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[370][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[370][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[370][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[370][MAX] = ActionEntry(SHIFT, 120);
   _actionMap[370][EXISTS] = ActionEntry(SHIFT, 369);
}
void Cego::loadParser138()
{
   _actionMap[370][NOT] = ActionEntry(SHIFT, 370);
   _jumpMap[370][ObjSpec] = 99;
   _jumpMap[370][Constant] = 98;
   _jumpMap[370][SignedFloat] = 97;
   _jumpMap[370][SignedInt] = 96;
   _jumpMap[370][Attribute] = 95;
   _jumpMap[370][QueryPredicate] = 508;
   _jumpMap[370][Function] = 94;
   _jumpMap[370][CasePrepare] = 93;
   _jumpMap[370][CaseClause] = 92;
   _jumpMap[370][Factor] = 91;
   _jumpMap[370][Term] = 90;
   _jumpMap[370][Expr] = 366;
   _actionMap[371][LONG] = ActionEntry(SHIFT, 273);
   _actionMap[371][BIGINT] = ActionEntry(SHIFT, 269);
   _actionMap[371][SMALLINT] = ActionEntry(SHIFT, 274);
   _actionMap[371][TINYINT] = ActionEntry(SHIFT, 275);
   _actionMap[371][DOUBLE] = ActionEntry(SHIFT, 271);
   _actionMap[371][DECIMAL] = ActionEntry(SHIFT, 270);
   _actionMap[371][FIXED] = ActionEntry(SHIFT, 272);
   _actionMap[371][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[371][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[371][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[371][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[371][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[371][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[371][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[371][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[371][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[371][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[371][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[371][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[371][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[371][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[371][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[371][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[371][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[371][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[371][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[371][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[371][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[371][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[371][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[371][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[371][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[371][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[371][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[371][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[371][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[371][NEXTCOUNT] = ActionEntry(SHIFT, 122);
}
void Cego::loadParser139()
{
   _actionMap[371][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[371][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[371][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[371][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[371][LB] = ActionEntry(SHIFT, 371);
   _actionMap[371][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[371][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[371][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[371][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[371][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[371][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[371][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[371][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[371][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[371][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[371][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[371][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[371][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[371][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[371][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[371][MAX] = ActionEntry(SHIFT, 120);
   _actionMap[371][SELECT] = ActionEntry(SHIFT, 30);
   _actionMap[371][EXISTS] = ActionEntry(SHIFT, 369);
   _actionMap[371][NOT] = ActionEntry(SHIFT, 370);
   _jumpMap[371][ObjSpec] = 99;
   _jumpMap[371][Constant] = 98;
   _jumpMap[371][SignedFloat] = 97;
   _jumpMap[371][SignedInt] = 96;
   _jumpMap[371][Attribute] = 95;
   _jumpMap[371][QueryPredicate] = 368;
   _jumpMap[371][QueryCondition] = 510;
   _jumpMap[371][Function] = 94;
   _jumpMap[371][SelectStatement] = 268;
   _jumpMap[371][CasePrepare] = 93;
   _jumpMap[371][CaseClause] = 92;
   _jumpMap[371][Factor] = 91;
   _jumpMap[371][Term] = 90;
   _jumpMap[371][Expr] = 509;
   _actionMap[372][PLUS] = ActionEntry(SHIFT, 225);
   _actionMap[372][MINUS] = ActionEntry(SHIFT, 224);
   _actionMap[372][CONCAT] = ActionEntry(SHIFT, 223);
   _actionMap[372][KSEP] = ActionEntry(REDUCE, 303);
   _actionMap[372][RB] = ActionEntry(REDUCE, 303);
   _actionMap[373][RB] = ActionEntry(SHIFT, 512);
   _actionMap[373][KSEP] = ActionEntry(SHIFT, 511);
   _actionMap[374][WHEN] = ActionEntry(REDUCE, 301);
   _actionMap[374][ELSE] = ActionEntry(REDUCE, 301);
   _actionMap[374][LEFT] = ActionEntry(REDUCE, 301);
   _actionMap[374][RIGHT] = ActionEntry(REDUCE, 301);
   _actionMap[374][INNER] = ActionEntry(REDUCE, 301);
}
void Cego::loadParser140()
{
   _actionMap[374][JOIN] = ActionEntry(REDUCE, 301);
   _actionMap[374][RETURNTOKEN] = ActionEntry(REDUCE, 301);
   _actionMap[374][ORDER] = ActionEntry(REDUCE, 301);
   _actionMap[374][GROUP] = ActionEntry(REDUCE, 301);
   _actionMap[374][WHERE] = ActionEntry(REDUCE, 301);
   _actionMap[374][FROM] = ActionEntry(REDUCE, 301);
   _actionMap[374][AS] = ActionEntry(REDUCE, 301);
   _actionMap[374][END_TOKEN] = ActionEntry(REDUCE, 301);
   _actionMap[374][BEGIN] = ActionEntry(REDUCE, 301);
   _actionMap[374][THEN] = ActionEntry(REDUCE, 301);
   _actionMap[374][OR] = ActionEntry(REDUCE, 301);
   _actionMap[374][AND] = ActionEntry(REDUCE, 301);
   _actionMap[374][INTOK] = ActionEntry(REDUCE, 301);
   _actionMap[374][NOT] = ActionEntry(REDUCE, 301);
   _actionMap[374][BETWEEN] = ActionEntry(REDUCE, 301);
   _actionMap[374][IS] = ActionEntry(REDUCE, 301);
   _actionMap[374][LIKE] = ActionEntry(REDUCE, 301);
   _actionMap[374][MT] = ActionEntry(REDUCE, 301);
   _actionMap[374][LT] = ActionEntry(REDUCE, 301);
   _actionMap[374][NEGATION] = ActionEntry(REDUCE, 301);
   _actionMap[374][EQU] = ActionEntry(REDUCE, 301);
   _actionMap[374][RB] = ActionEntry(REDUCE, 301);
   _actionMap[374][ENDTOKEN] = ActionEntry(REDUCE, 301);
   _actionMap[374][UNION] = ActionEntry(REDUCE, 301);
   _actionMap[374][ROWLIMIT] = ActionEntry(REDUCE, 301);
   _actionMap[374][KSEP] = ActionEntry(REDUCE, 301);
   _actionMap[374][ASC] = ActionEntry(REDUCE, 301);
   _actionMap[374][DESC] = ActionEntry(REDUCE, 301);
   _actionMap[374][SEMICOLON] = ActionEntry(REDUCE, 301);
   _actionMap[374][PLUS] = ActionEntry(REDUCE, 301);
   _actionMap[374][MINUS] = ActionEntry(REDUCE, 301);
   _actionMap[374][DIVISION] = ActionEntry(REDUCE, 301);
   _actionMap[374][STAR] = ActionEntry(REDUCE, 301);
   _actionMap[374][CONCAT] = ActionEntry(REDUCE, 301);
   _actionMap[375][RB] = ActionEntry(SHIFT, 513);
   _actionMap[375][PLUS] = ActionEntry(SHIFT, 225);
   _actionMap[375][MINUS] = ActionEntry(SHIFT, 224);
   _actionMap[375][CONCAT] = ActionEntry(SHIFT, 223);
   _actionMap[376][RB] = ActionEntry(SHIFT, 514);
   _actionMap[376][KSEP] = ActionEntry(SHIFT, 511);
   _actionMap[377][RB] = ActionEntry(SHIFT, 515);
   _actionMap[377][KSEP] = ActionEntry(SHIFT, 511);
   _actionMap[378][RB] = ActionEntry(SHIFT, 516);
   _actionMap[378][KSEP] = ActionEntry(SHIFT, 511);
   _actionMap[379][RB] = ActionEntry(SHIFT, 517);
   _actionMap[379][PLUS] = ActionEntry(SHIFT, 225);
   _actionMap[379][MINUS] = ActionEntry(SHIFT, 224);
   _actionMap[379][CONCAT] = ActionEntry(SHIFT, 223);
   _actionMap[380][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[380][MINUS] = ActionEntry(SHIFT, 143);
}
void Cego::loadParser141()
{
   _actionMap[380][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[380][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[380][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[380][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[380][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[380][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[380][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[380][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[380][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[380][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[380][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[380][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[380][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[380][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[380][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[380][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[380][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[380][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[380][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[380][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[380][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[380][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[380][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[380][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[380][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[380][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[380][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[380][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[380][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[380][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[380][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[380][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[380][LB] = ActionEntry(SHIFT, 141);
   _actionMap[380][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[380][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[380][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[380][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[380][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[380][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[380][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[380][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[380][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[380][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[380][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[380][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[380][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[380][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[380][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[380][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[380][ObjSpec] = 99;
}
void Cego::loadParser142()
{
   _jumpMap[380][Constant] = 98;
   _jumpMap[380][SignedFloat] = 97;
   _jumpMap[380][SignedInt] = 96;
   _jumpMap[380][Attribute] = 95;
   _jumpMap[380][Function] = 94;
   _jumpMap[380][CasePrepare] = 93;
   _jumpMap[380][CaseClause] = 92;
   _jumpMap[380][Factor] = 91;
   _jumpMap[380][Term] = 90;
   _jumpMap[380][Expr] = 379;
   _actionMap[381][RB] = ActionEntry(SHIFT, 518);
   _actionMap[382][KSEP] = ActionEntry(SHIFT, 519);
   _actionMap[383][KSEP] = ActionEntry(REDUCE, 363);
   _actionMap[384][RB] = ActionEntry(SHIFT, 520);
   _actionMap[384][KSEP] = ActionEntry(SHIFT, 511);
   _actionMap[385][RB] = ActionEntry(SHIFT, 521);
   _actionMap[385][KSEP] = ActionEntry(SHIFT, 511);
   _actionMap[386][RB] = ActionEntry(SHIFT, 522);
   _actionMap[386][KSEP] = ActionEntry(SHIFT, 511);
   _actionMap[387][LB] = ActionEntry(SHIFT, 523);
   _actionMap[388][RB] = ActionEntry(SHIFT, 524);
   _actionMap[388][KSEP] = ActionEntry(SHIFT, 511);
   _actionMap[389][RB] = ActionEntry(SHIFT, 525);
   _actionMap[389][KSEP] = ActionEntry(SHIFT, 511);
   _actionMap[390][RB] = ActionEntry(SHIFT, 526);
   _actionMap[390][KSEP] = ActionEntry(SHIFT, 511);
   _actionMap[391][RB] = ActionEntry(SHIFT, 527);
   _actionMap[391][KSEP] = ActionEntry(SHIFT, 511);
   _actionMap[392][RB] = ActionEntry(SHIFT, 528);
   _actionMap[392][KSEP] = ActionEntry(SHIFT, 511);
   _actionMap[393][RB] = ActionEntry(SHIFT, 529);
   _actionMap[393][KSEP] = ActionEntry(SHIFT, 511);
   _actionMap[394][RB] = ActionEntry(SHIFT, 530);
   _actionMap[394][PLUS] = ActionEntry(SHIFT, 225);
   _actionMap[394][MINUS] = ActionEntry(SHIFT, 224);
   _actionMap[394][CONCAT] = ActionEntry(SHIFT, 223);
   _actionMap[395][RB] = ActionEntry(SHIFT, 531);
   _actionMap[395][PLUS] = ActionEntry(SHIFT, 225);
   _actionMap[395][MINUS] = ActionEntry(SHIFT, 224);
   _actionMap[395][CONCAT] = ActionEntry(SHIFT, 223);
   _actionMap[396][RB] = ActionEntry(SHIFT, 532);
   _actionMap[396][KSEP] = ActionEntry(SHIFT, 511);
   _actionMap[397][RB] = ActionEntry(SHIFT, 533);
   _actionMap[398][RB] = ActionEntry(SHIFT, 534);
   _actionMap[398][KSEP] = ActionEntry(SHIFT, 511);
   _actionMap[399][RB] = ActionEntry(SHIFT, 535);
   _actionMap[399][KSEP] = ActionEntry(SHIFT, 511);
   _actionMap[400][RB] = ActionEntry(SHIFT, 536);
   _actionMap[400][KSEP] = ActionEntry(SHIFT, 511);
   _actionMap[401][RB] = ActionEntry(SHIFT, 537);
}
void Cego::loadParser143()
{
   _actionMap[401][KSEP] = ActionEntry(SHIFT, 511);
   _actionMap[402][RB] = ActionEntry(SHIFT, 538);
   _actionMap[402][KSEP] = ActionEntry(SHIFT, 511);
   _actionMap[403][RB] = ActionEntry(SHIFT, 539);
   _actionMap[403][KSEP] = ActionEntry(SHIFT, 511);
   _actionMap[404][RB] = ActionEntry(SHIFT, 540);
   _actionMap[404][KSEP] = ActionEntry(SHIFT, 511);
   _actionMap[405][KSEP] = ActionEntry(SHIFT, 541);
   _actionMap[406][RB] = ActionEntry(SHIFT, 542);
   _actionMap[406][KSEP] = ActionEntry(SHIFT, 511);
   _actionMap[407][RB] = ActionEntry(SHIFT, 543);
   _actionMap[407][PLUS] = ActionEntry(SHIFT, 225);
   _actionMap[407][MINUS] = ActionEntry(SHIFT, 224);
   _actionMap[407][CONCAT] = ActionEntry(SHIFT, 223);
   _actionMap[408][RB] = ActionEntry(SHIFT, 544);
   _actionMap[408][KSEP] = ActionEntry(SHIFT, 511);
   _actionMap[409][RB] = ActionEntry(SHIFT, 545);
   _actionMap[409][KSEP] = ActionEntry(SHIFT, 511);
   _actionMap[410][RB] = ActionEntry(SHIFT, 546);
   _actionMap[410][KSEP] = ActionEntry(SHIFT, 511);
   _actionMap[411][RB] = ActionEntry(SHIFT, 547);
   _actionMap[411][KSEP] = ActionEntry(SHIFT, 511);
   _actionMap[412][RB] = ActionEntry(SHIFT, 548);
   _actionMap[412][KSEP] = ActionEntry(SHIFT, 511);
   _actionMap[413][WHEN] = ActionEntry(REDUCE, 152);
   _actionMap[413][ELSE] = ActionEntry(REDUCE, 152);
   _actionMap[413][LEFT] = ActionEntry(REDUCE, 152);
   _actionMap[413][RIGHT] = ActionEntry(REDUCE, 152);
   _actionMap[413][INNER] = ActionEntry(REDUCE, 152);
   _actionMap[413][JOIN] = ActionEntry(REDUCE, 152);
   _actionMap[413][RETURNTOKEN] = ActionEntry(REDUCE, 152);
   _actionMap[413][ORDER] = ActionEntry(REDUCE, 152);
   _actionMap[413][GROUP] = ActionEntry(REDUCE, 152);
   _actionMap[413][WHERE] = ActionEntry(REDUCE, 152);
   _actionMap[413][AS] = ActionEntry(REDUCE, 152);
   _actionMap[413][FROM] = ActionEntry(REDUCE, 152);
   _actionMap[413][END_TOKEN] = ActionEntry(REDUCE, 152);
   _actionMap[413][BEGIN] = ActionEntry(REDUCE, 152);
   _actionMap[413][THEN] = ActionEntry(REDUCE, 152);
   _actionMap[413][OR] = ActionEntry(REDUCE, 152);
   _actionMap[413][AND] = ActionEntry(REDUCE, 152);
   _actionMap[413][DESC] = ActionEntry(REDUCE, 152);
   _actionMap[413][ASC] = ActionEntry(REDUCE, 152);
   _actionMap[413][KSEP] = ActionEntry(REDUCE, 152);
   _actionMap[413][ROWLIMIT] = ActionEntry(REDUCE, 152);
   _actionMap[413][UNION] = ActionEntry(REDUCE, 152);
   _actionMap[413][ENDTOKEN] = ActionEntry(REDUCE, 152);
   _actionMap[413][SEMICOLON] = ActionEntry(REDUCE, 152);
   _actionMap[413][LIKE] = ActionEntry(REDUCE, 152);
   _actionMap[413][BETWEEN] = ActionEntry(REDUCE, 152);
}
void Cego::loadParser144()
{
   _actionMap[413][NOT] = ActionEntry(REDUCE, 152);
   _actionMap[413][INTOK] = ActionEntry(REDUCE, 152);
   _actionMap[413][RB] = ActionEntry(REDUCE, 152);
   _actionMap[413][STAR] = ActionEntry(REDUCE, 152);
   _actionMap[413][DIVISION] = ActionEntry(REDUCE, 152);
   _actionMap[413][CONCAT] = ActionEntry(REDUCE, 152);
   _actionMap[413][MINUS] = ActionEntry(REDUCE, 152);
   _actionMap[413][PLUS] = ActionEntry(REDUCE, 152);
   _actionMap[413][IS] = ActionEntry(REDUCE, 152);
   _actionMap[413][EQU] = ActionEntry(REDUCE, 152);
   _actionMap[413][NEGATION] = ActionEntry(REDUCE, 152);
   _actionMap[413][LT] = ActionEntry(REDUCE, 152);
   _actionMap[413][MT] = ActionEntry(REDUCE, 152);
   _actionMap[414][WHEN] = ActionEntry(REDUCE, 153);
   _actionMap[414][ELSE] = ActionEntry(REDUCE, 153);
   _actionMap[414][LEFT] = ActionEntry(REDUCE, 153);
   _actionMap[414][RIGHT] = ActionEntry(REDUCE, 153);
   _actionMap[414][INNER] = ActionEntry(REDUCE, 153);
   _actionMap[414][JOIN] = ActionEntry(REDUCE, 153);
   _actionMap[414][RETURNTOKEN] = ActionEntry(REDUCE, 153);
   _actionMap[414][ORDER] = ActionEntry(REDUCE, 153);
   _actionMap[414][GROUP] = ActionEntry(REDUCE, 153);
   _actionMap[414][WHERE] = ActionEntry(REDUCE, 153);
   _actionMap[414][AS] = ActionEntry(REDUCE, 153);
   _actionMap[414][FROM] = ActionEntry(REDUCE, 153);
   _actionMap[414][END_TOKEN] = ActionEntry(REDUCE, 153);
   _actionMap[414][BEGIN] = ActionEntry(REDUCE, 153);
   _actionMap[414][THEN] = ActionEntry(REDUCE, 153);
   _actionMap[414][OR] = ActionEntry(REDUCE, 153);
   _actionMap[414][AND] = ActionEntry(REDUCE, 153);
   _actionMap[414][DESC] = ActionEntry(REDUCE, 153);
   _actionMap[414][ASC] = ActionEntry(REDUCE, 153);
   _actionMap[414][KSEP] = ActionEntry(REDUCE, 153);
   _actionMap[414][ROWLIMIT] = ActionEntry(REDUCE, 153);
   _actionMap[414][UNION] = ActionEntry(REDUCE, 153);
   _actionMap[414][ENDTOKEN] = ActionEntry(REDUCE, 153);
   _actionMap[414][SEMICOLON] = ActionEntry(REDUCE, 153);
   _actionMap[414][LIKE] = ActionEntry(REDUCE, 153);
   _actionMap[414][BETWEEN] = ActionEntry(REDUCE, 153);
   _actionMap[414][NOT] = ActionEntry(REDUCE, 153);
   _actionMap[414][INTOK] = ActionEntry(REDUCE, 153);
   _actionMap[414][RB] = ActionEntry(REDUCE, 153);
   _actionMap[414][STAR] = ActionEntry(REDUCE, 153);
   _actionMap[414][DIVISION] = ActionEntry(REDUCE, 153);
   _actionMap[414][CONCAT] = ActionEntry(REDUCE, 153);
   _actionMap[414][MINUS] = ActionEntry(REDUCE, 153);
   _actionMap[414][PLUS] = ActionEntry(REDUCE, 153);
   _actionMap[414][IS] = ActionEntry(REDUCE, 153);
   _actionMap[414][EQU] = ActionEntry(REDUCE, 153);
   _actionMap[414][NEGATION] = ActionEntry(REDUCE, 153);
}
void Cego::loadParser145()
{
   _actionMap[414][LT] = ActionEntry(REDUCE, 153);
   _actionMap[414][MT] = ActionEntry(REDUCE, 153);
   _actionMap[415][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[415][MINUS] = ActionEntry(SHIFT, 550);
   _jumpMap[415][SignedInt] = 549;
   _actionMap[416][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[416][MINUS] = ActionEntry(SHIFT, 552);
   _jumpMap[416][SignedFloat] = 551;
   _actionMap[417][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[417][MINUS] = ActionEntry(SHIFT, 552);
   _jumpMap[417][SignedFloat] = 553;
   _actionMap[418][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[418][MINUS] = ActionEntry(SHIFT, 552);
   _jumpMap[418][SignedFloat] = 554;
   _actionMap[419][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[419][MINUS] = ActionEntry(SHIFT, 550);
   _jumpMap[419][SignedInt] = 555;
   _actionMap[420][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[420][MINUS] = ActionEntry(SHIFT, 550);
   _jumpMap[420][SignedInt] = 556;
   _actionMap[421][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[421][MINUS] = ActionEntry(SHIFT, 550);
   _jumpMap[421][SignedInt] = 557;
   _actionMap[422][INTVAL] = ActionEntry(SHIFT, 558);
   _actionMap[423][IDENTIFIER] = ActionEntry(SHIFT, 559);
   _actionMap[424][IDENTIFIER] = ActionEntry(SHIFT, 560);
   _actionMap[425][IDENTIFIER] = ActionEntry(SHIFT, 561);
   _actionMap[426][IDENTIFIER] = ActionEntry(SHIFT, 562);
   _actionMap[427][IDENTIFIER] = ActionEntry(SHIFT, 563);
   _actionMap[428][IDENTIFIER] = ActionEntry(SHIFT, 564);
   _actionMap[429][SEMICOLON] = ActionEntry(REDUCE, 306);
   _actionMap[429][RB] = ActionEntry(REDUCE, 306);
   _actionMap[429][ENDTOKEN] = ActionEntry(REDUCE, 306);
   _actionMap[429][UNION] = ActionEntry(REDUCE, 306);
   _actionMap[429][ROWLIMIT] = ActionEntry(REDUCE, 306);
   _actionMap[429][ORDER] = ActionEntry(REDUCE, 306);
   _actionMap[429][GROUP] = ActionEntry(REDUCE, 306);
   _actionMap[429][WHERE] = ActionEntry(SHIFT, 350);
   _jumpMap[429][NoWhere] = 349;
   _jumpMap[429][WhereClause] = 565;
   _actionMap[430][WHERE] = ActionEntry(REDUCE, 209);
   _actionMap[430][GROUP] = ActionEntry(REDUCE, 209);
   _actionMap[430][ORDER] = ActionEntry(REDUCE, 209);
   _actionMap[430][ROWLIMIT] = ActionEntry(REDUCE, 209);
   _actionMap[430][UNION] = ActionEntry(REDUCE, 209);
   _actionMap[430][ENDTOKEN] = ActionEntry(REDUCE, 209);
   _actionMap[430][RB] = ActionEntry(REDUCE, 209);
   _actionMap[430][SEMICOLON] = ActionEntry(REDUCE, 209);
   _actionMap[430][RETURNTOKEN] = ActionEntry(REDUCE, 209);
   _actionMap[430][INNER] = ActionEntry(SHIFT, 568);
}
void Cego::loadParser146()
{
   _actionMap[430][JOIN] = ActionEntry(SHIFT, 569);
   _actionMap[430][LEFT] = ActionEntry(SHIFT, 570);
   _actionMap[430][RIGHT] = ActionEntry(SHIFT, 571);
   _jumpMap[430][InnerJoin] = 567;
   _jumpMap[430][JoinSpec] = 566;
   _actionMap[431][WHERE] = ActionEntry(REDUCE, 208);
   _actionMap[431][GROUP] = ActionEntry(REDUCE, 208);
   _actionMap[431][ORDER] = ActionEntry(REDUCE, 208);
   _actionMap[431][ROWLIMIT] = ActionEntry(REDUCE, 208);
   _actionMap[431][UNION] = ActionEntry(REDUCE, 208);
   _actionMap[431][ENDTOKEN] = ActionEntry(REDUCE, 208);
   _actionMap[431][RB] = ActionEntry(REDUCE, 208);
   _actionMap[431][SEMICOLON] = ActionEntry(REDUCE, 208);
   _actionMap[431][RETURNTOKEN] = ActionEntry(REDUCE, 208);
   _actionMap[432][KSEP] = ActionEntry(SHIFT, 573);
   _actionMap[432][RETURNTOKEN] = ActionEntry(REDUCE, 218);
   _actionMap[432][SEMICOLON] = ActionEntry(REDUCE, 218);
   _actionMap[432][RB] = ActionEntry(REDUCE, 218);
   _actionMap[432][ENDTOKEN] = ActionEntry(REDUCE, 218);
   _actionMap[432][UNION] = ActionEntry(REDUCE, 218);
   _actionMap[432][ROWLIMIT] = ActionEntry(REDUCE, 218);
   _actionMap[432][ORDER] = ActionEntry(REDUCE, 218);
   _actionMap[432][GROUP] = ActionEntry(REDUCE, 218);
   _actionMap[432][WHERE] = ActionEntry(REDUCE, 218);
   _actionMap[432][INNER] = ActionEntry(SHIFT, 568);
   _actionMap[432][JOIN] = ActionEntry(SHIFT, 569);
   _actionMap[432][LEFT] = ActionEntry(SHIFT, 570);
   _actionMap[432][RIGHT] = ActionEntry(SHIFT, 571);
   _jumpMap[432][InnerJoin] = 567;
   _jumpMap[432][JoinSpec] = 572;
   _actionMap[433][WHERE] = ActionEntry(REDUCE, 219);
   _actionMap[433][IDENTIFIER] = ActionEntry(SHIFT, 574);
   _actionMap[433][GROUP] = ActionEntry(REDUCE, 219);
   _actionMap[433][ORDER] = ActionEntry(REDUCE, 219);
   _actionMap[433][ROWLIMIT] = ActionEntry(REDUCE, 219);
   _actionMap[433][UNION] = ActionEntry(REDUCE, 219);
   _actionMap[433][ENDTOKEN] = ActionEntry(REDUCE, 219);
   _actionMap[433][RB] = ActionEntry(REDUCE, 219);
   _actionMap[433][SEMICOLON] = ActionEntry(REDUCE, 219);
   _actionMap[433][RETURNTOKEN] = ActionEntry(REDUCE, 219);
   _actionMap[433][LEFT] = ActionEntry(REDUCE, 219);
   _actionMap[433][RIGHT] = ActionEntry(REDUCE, 219);
   _actionMap[433][INNER] = ActionEntry(REDUCE, 219);
   _actionMap[433][JOIN] = ActionEntry(REDUCE, 219);
   _actionMap[433][KSEP] = ActionEntry(REDUCE, 219);
   _actionMap[433][ON] = ActionEntry(REDUCE, 219);
   _actionMap[434][FROM] = ActionEntry(REDUCE, 207);
   _actionMap[434][KSEP] = ActionEntry(REDUCE, 207);
   _actionMap[435][FROM] = ActionEntry(REDUCE, 223);
   _actionMap[435][KSEP] = ActionEntry(REDUCE, 223);
}
void Cego::loadParser147()
{
   _actionMap[436][IDENTIFIER] = ActionEntry(SHIFT, 575);
   _actionMap[437][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[437][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[437][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[437][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[437][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[437][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[437][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[437][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[437][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[437][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[437][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[437][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[437][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[437][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[437][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[437][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[437][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[437][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[437][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[437][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[437][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[437][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[437][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[437][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[437][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[437][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[437][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[437][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[437][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[437][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[437][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[437][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[437][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[437][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[437][LB] = ActionEntry(SHIFT, 141);
   _actionMap[437][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[437][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[437][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[437][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[437][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[437][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[437][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[437][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[437][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[437][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[437][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[437][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[437][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[437][AVG] = ActionEntry(SHIFT, 101);
}
void Cego::loadParser148()
{
   _actionMap[437][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[437][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[437][ObjSpec] = 99;
   _jumpMap[437][Constant] = 98;
   _jumpMap[437][SignedFloat] = 97;
   _jumpMap[437][SignedInt] = 96;
   _jumpMap[437][Attribute] = 95;
   _jumpMap[437][Function] = 94;
   _jumpMap[437][SelectItem] = 576;
   _jumpMap[437][CasePrepare] = 93;
   _jumpMap[437][CaseClause] = 92;
   _jumpMap[437][Factor] = 91;
   _jumpMap[437][Term] = 90;
   _jumpMap[437][Expr] = 289;
   _actionMap[438][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[438][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[438][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[438][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[438][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[438][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[438][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[438][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[438][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[438][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[438][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[438][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[438][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[438][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[438][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[438][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[438][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[438][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[438][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[438][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[438][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[438][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[438][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[438][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[438][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[438][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[438][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[438][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[438][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[438][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[438][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[438][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[438][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[438][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[438][LB] = ActionEntry(SHIFT, 141);
   _actionMap[438][STRINGVAL] = ActionEntry(SHIFT, 100);
}
void Cego::loadParser149()
{
   _actionMap[438][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[438][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[438][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[438][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[438][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[438][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[438][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[438][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[438][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[438][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[438][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[438][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[438][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[438][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[438][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[438][ObjSpec] = 99;
   _jumpMap[438][Constant] = 98;
   _jumpMap[438][SignedFloat] = 97;
   _jumpMap[438][SignedInt] = 96;
   _jumpMap[438][Attribute] = 95;
   _jumpMap[438][Function] = 94;
   _jumpMap[438][CasePrepare] = 93;
   _jumpMap[438][CaseClause] = 92;
   _jumpMap[438][Factor] = 91;
   _jumpMap[438][Term] = 90;
   _jumpMap[438][Expr] = 577;
   _actionMap[439][PLUS] = ActionEntry(SHIFT, 225);
   _actionMap[439][MINUS] = ActionEntry(SHIFT, 224);
   _actionMap[439][CONCAT] = ActionEntry(SHIFT, 223);
   _actionMap[439][SEMICOLON] = ActionEntry(REDUCE, 69);
   _actionMap[440][KSEP] = ActionEntry(SHIFT, 579);
   _actionMap[440][SEMICOLON] = ActionEntry(REDUCE, 306);
   _actionMap[440][RETURNTOKEN] = ActionEntry(REDUCE, 306);
   _actionMap[440][WHERE] = ActionEntry(SHIFT, 350);
   _jumpMap[440][NoWhere] = 349;
   _jumpMap[440][WhereClause] = 578;
   _actionMap[441][KSEP] = ActionEntry(REDUCE, 249);
   _actionMap[441][WHERE] = ActionEntry(REDUCE, 249);
   _actionMap[441][GROUP] = ActionEntry(REDUCE, 249);
   _actionMap[441][ORDER] = ActionEntry(REDUCE, 249);
   _actionMap[441][ROWLIMIT] = ActionEntry(REDUCE, 249);
   _actionMap[441][UNION] = ActionEntry(REDUCE, 249);
   _actionMap[441][ENDTOKEN] = ActionEntry(REDUCE, 249);
   _actionMap[441][RB] = ActionEntry(REDUCE, 249);
   _actionMap[441][SEMICOLON] = ActionEntry(REDUCE, 249);
   _actionMap[441][RETURNTOKEN] = ActionEntry(REDUCE, 249);
   _actionMap[442][EQU] = ActionEntry(SHIFT, 580);
   _actionMap[443][LB] = ActionEntry(SHIFT, 581);
   _actionMap[178][SEMICOLON] = ActionEntry(REDUCE, 64);
   _actionMap[179][SEMICOLON] = ActionEntry(REDUCE, 63);
}
void Cego::loadParser150()
{
   _actionMap[180][SEMICOLON] = ActionEntry(REDUCE, 73);
   _actionMap[181][TO] = ActionEntry(REDUCE, 75);
   _actionMap[181][SEMICOLON] = ActionEntry(REDUCE, 75);
   _actionMap[182][IDENTIFIER] = ActionEntry(SHIFT, 50);
   _actionMap[182][QUALIFIEDOBJ] = ActionEntry(SHIFT, 51);
   _actionMap[182][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _jumpMap[182][ObjSpec] = 309;
   _actionMap[183][SEMICOLON] = ActionEntry(REDUCE, 59);
   _actionMap[184][SEMICOLON] = ActionEntry(REDUCE, 61);
   _actionMap[185][SEMICOLON] = ActionEntry(REDUCE, 58);
   _actionMap[186][SEMICOLON] = ActionEntry(REDUCE, 60);
   _actionMap[187][ADD] = ActionEntry(SHIFT, 312);
   _actionMap[187][DROP] = ActionEntry(SHIFT, 313);
   _actionMap[187][MODIFY] = ActionEntry(SHIFT, 314);
   _actionMap[187][RENAME] = ActionEntry(SHIFT, 315);
   _jumpMap[187][AlterOption] = 311;
   _jumpMap[187][AlterList] = 310;
   _actionMap[188][BY] = ActionEntry(SHIFT, 316);
   _actionMap[189][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[189][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[189][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[189][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[189][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[189][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[189][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[189][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[189][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[189][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[189][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[189][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[189][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[189][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[189][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[189][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[189][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[189][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[189][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[189][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[189][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[189][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[189][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[189][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[189][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[189][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[189][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[189][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[189][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[189][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[189][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[189][IDENTIFIER] = ActionEntry(SHIFT, 146);
}
void Cego::loadParser151()
{
   _actionMap[189][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[189][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[189][LB] = ActionEntry(SHIFT, 141);
   _actionMap[189][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[189][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[189][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[189][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[189][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[189][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[189][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[189][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[189][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[189][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[189][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[189][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[189][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[189][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[189][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[189][MAX] = ActionEntry(SHIFT, 120);
   _actionMap[189][RB] = ActionEntry(REDUCE, 117);
   _jumpMap[189][ObjSpec] = 99;
   _jumpMap[189][Constant] = 98;
   _jumpMap[189][SignedFloat] = 97;
   _jumpMap[189][SignedInt] = 96;
   _jumpMap[189][Attribute] = 95;
   _jumpMap[189][Function] = 94;
   _jumpMap[189][CasePrepare] = 93;
   _jumpMap[189][CaseClause] = 92;
   _jumpMap[189][Factor] = 91;
   _jumpMap[189][Term] = 90;
   _jumpMap[189][Expr] = 319;
   _jumpMap[189][ProcValueList] = 318;
   _jumpMap[189][ProcValueListOpt] = 317;
   _actionMap[190][SEMICOLON] = ActionEntry(REDUCE, 71);
   _actionMap[191][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[191][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[191][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[191][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[191][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[191][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[191][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[191][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[191][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[191][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[191][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[191][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[191][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[191][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[191][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[191][SUBSTR] = ActionEntry(SHIFT, 132);
}
void Cego::loadParser152()
{
   _actionMap[191][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[191][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[191][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[191][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[191][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[191][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[191][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[191][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[191][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[191][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[191][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[191][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[191][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[191][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[191][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[191][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[191][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[191][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[191][LB] = ActionEntry(SHIFT, 141);
   _actionMap[191][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[191][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[191][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[191][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[191][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[191][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[191][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[191][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[191][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[191][VARREF] = ActionEntry(SHIFT, 341);
   _actionMap[191][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[191][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[191][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[191][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[191][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[191][MAX] = ActionEntry(SHIFT, 120);
   _actionMap[191][IF] = ActionEntry(SHIFT, 336);
   _actionMap[191][BEGIN] = ActionEntry(SHIFT, 333);
   _actionMap[191][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[191][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[191][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[191][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[191][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[191][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[191][VAR] = ActionEntry(SHIFT, 339);
   _actionMap[191][CURSOR] = ActionEntry(SHIFT, 335);
   _actionMap[191][CLOSE] = ActionEntry(SHIFT, 334);
   _actionMap[191][NOOP] = ActionEntry(SHIFT, 337);
   _actionMap[191][RETURNTOKEN] = ActionEntry(SHIFT, 338);
   _actionMap[191][WHILE] = ActionEntry(SHIFT, 340);
   _jumpMap[191][ObjSpec] = 99;
}
void Cego::loadParser153()
{
   _jumpMap[191][Constant] = 98;
   _jumpMap[191][SignedFloat] = 97;
   _jumpMap[191][SignedInt] = 96;
   _jumpMap[191][Attribute] = 95;
   _jumpMap[191][Function] = 94;
   _jumpMap[191][DeleteStatement] = 332;
   _jumpMap[191][UpdateStatement] = 331;
   _jumpMap[191][InsertStatement] = 330;
   _jumpMap[191][RollbackStatement] = 329;
   _jumpMap[191][CommitStatement] = 328;
   _jumpMap[191][StartStatement] = 327;
   _jumpMap[191][CasePrepare] = 93;
   _jumpMap[191][CaseClause] = 92;
   _jumpMap[191][Factor] = 91;
   _jumpMap[191][Term] = 90;
   _jumpMap[191][Expr] = 326;
   _jumpMap[191][ProcStatement] = 325;
   _jumpMap[191][ProcIfPart] = 324;
   _jumpMap[191][ProcBlockStart] = 323;
   _jumpMap[191][ProcStatementList] = 322;
   _jumpMap[191][ProcStmtBlock] = 321;
   _actionMap[192][IDENTIFIER] = ActionEntry(SHIFT, 342);
   _actionMap[193][ON] = ActionEntry(REDUCE, 186);
   _actionMap[193][IDENTIFIER] = ActionEntry(REDUCE, 186);
   _actionMap[194][ON] = ActionEntry(REDUCE, 185);
   _actionMap[194][IDENTIFIER] = ActionEntry(REDUCE, 185);
   _actionMap[195][SEMICOLON] = ActionEntry(REDUCE, 72);
   _actionMap[196][ON] = ActionEntry(SHIFT, 343);
   _actionMap[197][LB] = ActionEntry(SHIFT, 344);
   _actionMap[198][LB] = ActionEntry(SHIFT, 345);
   _actionMap[199][AS] = ActionEntry(SHIFT, 346);
   _actionMap[200][IDENTIFIER] = ActionEntry(SHIFT, 307);
   _actionMap[200][WHERE] = ActionEntry(REDUCE, 258);
   _actionMap[200][GROUP] = ActionEntry(REDUCE, 258);
   _actionMap[200][ORDER] = ActionEntry(REDUCE, 258);
   _actionMap[200][ROWLIMIT] = ActionEntry(REDUCE, 258);
   _actionMap[200][UNION] = ActionEntry(REDUCE, 258);
   _actionMap[200][ENDTOKEN] = ActionEntry(REDUCE, 258);
   _actionMap[200][RB] = ActionEntry(REDUCE, 258);
   _actionMap[200][SEMICOLON] = ActionEntry(REDUCE, 258);
   _actionMap[200][RETURNTOKEN] = ActionEntry(REDUCE, 258);
   _jumpMap[200][NoWhere] = 349;
   _jumpMap[200][WhereClause] = 348;
   _jumpMap[200][UpdDelAlias] = 347;
   _actionMap[201][SEMICOLON] = ActionEntry(REDUCE, 20);
   _actionMap[202][SEMICOLON] = ActionEntry(REDUCE, 23);
   _actionMap[203][IDENTIFIER] = ActionEntry(SHIFT, 50);
   _actionMap[203][QUALIFIEDOBJ] = ActionEntry(SHIFT, 51);
   _actionMap[203][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _jumpMap[203][ObjSpec] = 351;
}
void Cego::loadParser154()
{
   _actionMap[204][SEMICOLON] = ActionEntry(REDUCE, 19);
   _actionMap[205][SEMICOLON] = ActionEntry(REDUCE, 24);
   _actionMap[206][SEMICOLON] = ActionEntry(REDUCE, 18);
   _actionMap[207][SEMICOLON] = ActionEntry(REDUCE, 21);
   _actionMap[208][COUNTER] = ActionEntry(REDUCE, 66);
   _actionMap[208][BTREE] = ActionEntry(REDUCE, 66);
   _actionMap[208][CHECK] = ActionEntry(REDUCE, 66);
   _actionMap[208][FOREIGN] = ActionEntry(REDUCE, 66);
   _actionMap[208][PROCEDURE] = ActionEntry(REDUCE, 66);
   _actionMap[208][VIEW] = ActionEntry(REDUCE, 66);
   _actionMap[208][INDEX] = ActionEntry(REDUCE, 66);
   _actionMap[208][TABLE] = ActionEntry(REDUCE, 66);
   _actionMap[209][LB] = ActionEntry(SHIFT, 356);
   _actionMap[209][VALUES] = ActionEntry(REDUCE, 193);
   _actionMap[209][SELECT] = ActionEntry(REDUCE, 193);
   _jumpMap[209][SelectStatement] = 354;
   _jumpMap[209][InsertPrepare] = 353;
   _jumpMap[209][InsertArgSpec] = 352;
   _actionMap[210][SEMICOLON] = ActionEntry(REDUCE, 77);
   _actionMap[210][IDENTIFIER] = ActionEntry(REDUCE, 77);
   _actionMap[211][SEMICOLON] = ActionEntry(REDUCE, 7);
   _actionMap[212][IDENTIFIER] = ActionEntry(SHIFT, 357);
   _actionMap[213][SEMICOLON] = ActionEntry(REDUCE, 12);
   _actionMap[214][SEMICOLON] = ActionEntry(REDUCE, 9);
   _actionMap[215][SEMICOLON] = ActionEntry(REDUCE, 6);
   _actionMap[216][SEMICOLON] = ActionEntry(REDUCE, 8);
   _actionMap[217][SEMICOLON] = ActionEntry(REDUCE, 4);
   _actionMap[218][SEMICOLON] = ActionEntry(REDUCE, 10);
   _actionMap[219][SEMICOLON] = ActionEntry(REDUCE, 3);
   _actionMap[220][SEMICOLON] = ActionEntry(REDUCE, 11);
   _actionMap[221][SEMICOLON] = ActionEntry(REDUCE, 5);
   _actionMap[222][AS] = ActionEntry(SHIFT, 358);
   _actionMap[223][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[223][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[223][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[223][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[223][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[223][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[223][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[223][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[223][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[223][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[223][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[223][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[223][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[223][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[223][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[223][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[223][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[223][RIGHT] = ActionEntry(SHIFT, 128);
}
void Cego::loadParser155()
{
   _actionMap[223][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[223][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[223][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[223][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[223][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[223][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[223][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[223][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[223][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[223][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[223][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[223][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[223][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[223][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[223][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[223][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[223][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[223][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[223][LB] = ActionEntry(SHIFT, 141);
   _actionMap[223][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[223][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[223][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[223][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[223][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[223][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[223][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[223][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[223][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[223][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[223][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[223][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[223][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[223][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[223][ObjSpec] = 99;
   _jumpMap[223][Constant] = 98;
   _jumpMap[223][SignedFloat] = 97;
   _jumpMap[223][SignedInt] = 96;
   _jumpMap[223][Attribute] = 95;
   _jumpMap[223][Function] = 94;
   _jumpMap[223][CasePrepare] = 93;
   _jumpMap[223][CaseClause] = 92;
   _jumpMap[223][Factor] = 91;
   _jumpMap[223][Term] = 359;
   _actionMap[224][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[224][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[224][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[224][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[224][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[224][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[224][CASE] = ActionEntry(SHIFT, 105);
}
void Cego::loadParser156()
{
   _actionMap[224][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[224][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[224][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[224][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[224][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[224][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[224][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[224][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[224][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[224][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[224][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[224][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[224][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[224][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[224][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[224][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[224][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[224][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[224][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[224][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[224][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[224][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[224][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[224][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[224][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[224][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[224][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[224][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[224][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[224][LB] = ActionEntry(SHIFT, 141);
   _actionMap[224][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[224][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[224][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[224][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[224][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[224][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[224][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[224][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[224][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[224][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[224][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[224][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[224][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[224][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[224][ObjSpec] = 99;
   _jumpMap[224][Constant] = 98;
   _jumpMap[224][SignedFloat] = 97;
   _jumpMap[224][SignedInt] = 96;
   _jumpMap[224][Attribute] = 95;
   _jumpMap[224][Function] = 94;
}
void Cego::loadParser157()
{
   _jumpMap[224][CasePrepare] = 93;
   _jumpMap[224][CaseClause] = 92;
   _jumpMap[224][Factor] = 91;
   _jumpMap[224][Term] = 360;
   _actionMap[225][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[225][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[225][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[225][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[225][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[225][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[225][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[225][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[225][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[225][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[225][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[225][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[225][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[225][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[225][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[225][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[225][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[225][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[225][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[225][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[225][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[225][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[225][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[225][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[225][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[225][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[225][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[225][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[225][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[225][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[225][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[225][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[225][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[225][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[225][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[225][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[225][LB] = ActionEntry(SHIFT, 141);
   _actionMap[225][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[225][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[225][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[225][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[225][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[225][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[225][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[225][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[225][FETCH] = ActionEntry(SHIFT, 112);
}
void Cego::loadParser158()
{
   _actionMap[225][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[225][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[225][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[225][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[225][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[225][ObjSpec] = 99;
   _jumpMap[225][Constant] = 98;
   _jumpMap[225][SignedFloat] = 97;
   _jumpMap[225][SignedInt] = 96;
   _jumpMap[225][Attribute] = 95;
   _jumpMap[225][Function] = 94;
   _jumpMap[225][CasePrepare] = 93;
   _jumpMap[225][CaseClause] = 92;
   _jumpMap[225][Factor] = 91;
   _jumpMap[225][Term] = 361;
   _actionMap[226][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[226][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[226][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[226][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[226][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[226][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[226][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[226][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[226][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[226][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[226][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[226][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[226][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[226][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[226][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[226][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[226][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[226][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[226][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[226][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[226][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[226][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[226][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[226][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[226][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[226][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[226][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[226][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[226][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[226][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[226][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[226][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[226][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[226][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[226][SETCOUNT] = ActionEntry(SHIFT, 131);
}
void Cego::loadParser159()
{
   _actionMap[226][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[226][LB] = ActionEntry(SHIFT, 141);
   _actionMap[226][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[226][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[226][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[226][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[226][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[226][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[226][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[226][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[226][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[226][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[226][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[226][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[226][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[226][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[226][ObjSpec] = 99;
   _jumpMap[226][Constant] = 98;
   _jumpMap[226][SignedFloat] = 97;
   _jumpMap[226][SignedInt] = 96;
   _jumpMap[226][Attribute] = 95;
   _jumpMap[226][Function] = 94;
   _jumpMap[226][CasePrepare] = 93;
   _jumpMap[226][CaseClause] = 92;
   _jumpMap[226][Factor] = 362;
   _actionMap[227][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[227][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[227][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[227][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[227][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[227][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[227][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[227][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[227][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[227][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[227][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[227][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[227][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[227][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[227][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[227][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[227][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[227][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[227][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[227][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[227][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[227][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[227][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[227][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[227][STR2LONG] = ActionEntry(SHIFT, 136);
}
void Cego::loadParser160()
{
   _actionMap[227][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[227][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[227][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[227][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[227][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[227][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[227][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[227][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[227][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[227][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[227][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[227][LB] = ActionEntry(SHIFT, 141);
   _actionMap[227][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[227][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[227][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[227][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[227][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[227][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[227][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[227][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[227][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[227][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[227][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[227][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[227][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[227][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[227][ObjSpec] = 99;
   _jumpMap[227][Constant] = 98;
   _jumpMap[227][SignedFloat] = 97;
   _jumpMap[227][SignedInt] = 96;
   _jumpMap[227][Attribute] = 95;
   _jumpMap[227][Function] = 94;
   _jumpMap[227][CasePrepare] = 93;
   _jumpMap[227][CaseClause] = 92;
   _jumpMap[227][Factor] = 363;
   _actionMap[228][ELSE] = ActionEntry(SHIFT, 365);
   _actionMap[228][WHEN] = ActionEntry(SHIFT, 230);
   _jumpMap[228][CaseCondition] = 364;
   _actionMap[229][WHEN] = ActionEntry(REDUCE, 163);
   _actionMap[229][ELSE] = ActionEntry(REDUCE, 163);
   _actionMap[230][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[230][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[230][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[230][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[230][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[230][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[230][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[230][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[230][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[230][INT2DATE] = ActionEntry(SHIFT, 114);
}
void Cego::loadParser161()
{
   _actionMap[230][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[230][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[230][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[230][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[230][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[230][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[230][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[230][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[230][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[230][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[230][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[230][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[230][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[230][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[230][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[230][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[230][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[230][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[230][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[230][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[230][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[230][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[230][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[230][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[230][LB] = ActionEntry(SHIFT, 371);
   _actionMap[230][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[230][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[230][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[230][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[230][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[230][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[230][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[230][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[230][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[230][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[230][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[230][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[230][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[230][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[230][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[230][MAX] = ActionEntry(SHIFT, 120);
   _actionMap[230][EXISTS] = ActionEntry(SHIFT, 369);
   _actionMap[230][NOT] = ActionEntry(SHIFT, 370);
   _jumpMap[230][ObjSpec] = 99;
   _jumpMap[230][Constant] = 98;
   _jumpMap[230][SignedFloat] = 97;
   _jumpMap[230][SignedInt] = 96;
   _jumpMap[230][Attribute] = 95;
   _jumpMap[230][QueryPredicate] = 368;
   _jumpMap[230][QueryCondition] = 367;
}
void Cego::loadParser162()
{
   _jumpMap[230][Function] = 94;
   _jumpMap[230][CasePrepare] = 93;
   _jumpMap[230][CaseClause] = 92;
   _jumpMap[230][Factor] = 91;
   _jumpMap[230][Term] = 90;
   _jumpMap[230][Expr] = 366;
   _actionMap[231][RB] = ActionEntry(SHIFT, 374);
   _actionMap[231][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[231][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[231][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[231][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[231][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[231][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[231][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[231][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[231][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[231][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[231][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[231][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[231][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[231][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[231][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[231][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[231][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[231][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[231][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[231][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[231][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[231][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[231][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[231][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[231][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[231][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[231][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[231][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[231][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[231][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[231][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[231][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[231][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[231][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[231][LB] = ActionEntry(SHIFT, 141);
   _actionMap[231][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[231][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[231][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[231][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[231][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[231][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[231][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[231][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
}
void Cego::loadParser163()
{
   _actionMap[231][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[231][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[231][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[231][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[231][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[231][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[231][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[231][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[231][ObjSpec] = 99;
   _jumpMap[231][Constant] = 98;
   _jumpMap[231][SignedFloat] = 97;
   _jumpMap[231][SignedInt] = 96;
   _jumpMap[231][Attribute] = 95;
   _jumpMap[231][ExpressionList] = 373;
   _jumpMap[231][Function] = 94;
   _jumpMap[231][CasePrepare] = 93;
   _jumpMap[231][CaseClause] = 92;
   _jumpMap[231][Factor] = 91;
   _jumpMap[231][Term] = 90;
   _jumpMap[231][Expr] = 372;
   _actionMap[232][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[232][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[232][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[232][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[232][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[232][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[232][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[232][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[232][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[232][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[232][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[232][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[232][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[232][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[232][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[232][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[232][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[232][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[232][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[232][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[232][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[232][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[232][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[232][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[232][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[232][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[232][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[232][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[232][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[232][NEXTCOUNT] = ActionEntry(SHIFT, 122);
}
void Cego::loadParser164()
{
   _actionMap[232][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[232][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[232][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[232][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[232][LB] = ActionEntry(SHIFT, 141);
   _actionMap[232][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[232][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[232][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[232][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[232][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[232][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[232][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[232][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[232][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[232][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[232][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[232][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[232][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[232][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[232][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[232][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[232][ObjSpec] = 99;
   _jumpMap[232][Constant] = 98;
   _jumpMap[232][SignedFloat] = 97;
   _jumpMap[232][SignedInt] = 96;
   _jumpMap[232][Attribute] = 95;
   _jumpMap[232][Function] = 94;
   _jumpMap[232][CasePrepare] = 93;
   _jumpMap[232][CaseClause] = 92;
   _jumpMap[232][Factor] = 91;
   _jumpMap[232][Term] = 90;
   _jumpMap[232][Expr] = 375;
   _actionMap[233][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[233][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[233][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[233][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[233][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[233][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[233][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[233][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[233][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[233][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[233][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[233][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[233][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[233][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[233][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[233][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[233][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[233][LENGTH] = ActionEntry(SHIFT, 116);
}
void Cego::loadParser165()
{
   _actionMap[233][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[233][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[233][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[233][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[233][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[233][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[233][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[233][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[233][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[233][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[233][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[233][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[233][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[233][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[233][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[233][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[233][LB] = ActionEntry(SHIFT, 141);
   _actionMap[233][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[233][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[233][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[233][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[233][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[233][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[233][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[233][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[233][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[233][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[233][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[233][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[233][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[233][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[233][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[233][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[233][ObjSpec] = 99;
   _jumpMap[233][Constant] = 98;
   _jumpMap[233][SignedFloat] = 97;
   _jumpMap[233][SignedInt] = 96;
   _jumpMap[233][Attribute] = 95;
   _jumpMap[233][ExpressionList] = 376;
   _jumpMap[233][Function] = 94;
   _jumpMap[233][CasePrepare] = 93;
   _jumpMap[233][CaseClause] = 92;
   _jumpMap[233][Factor] = 91;
   _jumpMap[233][Term] = 90;
   _jumpMap[233][Expr] = 372;
   _actionMap[234][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[234][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[234][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[234][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[234][RTRIM] = ActionEntry(SHIFT, 130);
}
void Cego::loadParser166()
{
   _actionMap[234][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[234][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[234][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[234][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[234][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[234][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[234][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[234][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[234][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[234][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[234][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[234][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[234][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[234][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[234][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[234][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[234][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[234][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[234][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[234][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[234][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[234][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[234][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[234][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[234][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[234][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[234][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[234][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[234][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[234][LB] = ActionEntry(SHIFT, 141);
   _actionMap[234][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[234][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[234][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[234][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[234][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[234][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[234][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[234][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[234][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[234][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[234][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[234][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[234][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[234][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[234][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[234][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[234][ObjSpec] = 99;
   _jumpMap[234][Constant] = 98;
   _jumpMap[234][SignedFloat] = 97;
   _jumpMap[234][SignedInt] = 96;
}
void Cego::loadParser167()
{
   _jumpMap[234][Attribute] = 95;
   _jumpMap[234][ExpressionList] = 377;
   _jumpMap[234][Function] = 94;
   _jumpMap[234][CasePrepare] = 93;
   _jumpMap[234][CaseClause] = 92;
   _jumpMap[234][Factor] = 91;
   _jumpMap[234][Term] = 90;
   _jumpMap[234][Expr] = 372;
   _actionMap[235][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[235][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[235][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[235][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[235][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[235][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[235][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[235][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[235][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[235][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[235][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[235][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[235][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[235][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[235][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[235][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[235][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[235][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[235][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[235][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[235][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[235][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[235][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[235][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[235][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[235][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[235][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[235][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[235][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[235][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[235][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[235][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[235][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[235][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[235][LB] = ActionEntry(SHIFT, 141);
   _actionMap[235][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[235][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[235][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[235][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[235][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[235][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[235][LAB] = ActionEntry(SHIFT, 142);
}
void Cego::loadParser168()
{
   _actionMap[235][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[235][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[235][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[235][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[235][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[235][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[235][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[235][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[235][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[235][ObjSpec] = 99;
   _jumpMap[235][Constant] = 98;
   _jumpMap[235][SignedFloat] = 97;
   _jumpMap[235][SignedInt] = 96;
   _jumpMap[235][Attribute] = 95;
   _jumpMap[235][ExpressionList] = 378;
   _jumpMap[235][Function] = 94;
   _jumpMap[235][CasePrepare] = 93;
   _jumpMap[235][CaseClause] = 92;
   _jumpMap[235][Factor] = 91;
   _jumpMap[235][Term] = 90;
   _jumpMap[235][Expr] = 372;
   _actionMap[236][STAR] = ActionEntry(SHIFT, 381);
   _actionMap[236][DISTINCT] = ActionEntry(SHIFT, 160);
   _actionMap[236][VARREF] = ActionEntry(REDUCE, 243);
   _actionMap[236][FETCH] = ActionEntry(REDUCE, 243);
   _actionMap[236][LB] = ActionEntry(REDUCE, 243);
   _actionMap[236][COUNT] = ActionEntry(REDUCE, 243);
   _actionMap[236][SUM] = ActionEntry(REDUCE, 243);
   _actionMap[236][AVG] = ActionEntry(REDUCE, 243);
   _actionMap[236][MIN] = ActionEntry(REDUCE, 243);
   _actionMap[236][MAX] = ActionEntry(REDUCE, 243);
   _actionMap[236][CASE] = ActionEntry(REDUCE, 243);
   _actionMap[236][TRIM] = ActionEntry(REDUCE, 243);
   _actionMap[236][RTRIM] = ActionEntry(REDUCE, 243);
   _actionMap[236][LTRIM] = ActionEntry(REDUCE, 243);
   _actionMap[236][ROUND] = ActionEntry(REDUCE, 243);
   _actionMap[236][DATE2STR] = ActionEntry(REDUCE, 243);
   _actionMap[236][DATE2INT] = ActionEntry(REDUCE, 243);
   _actionMap[236][INT2DATE] = ActionEntry(REDUCE, 243);
   _actionMap[236][LOWER] = ActionEntry(REDUCE, 243);
   _actionMap[236][UPPER] = ActionEntry(REDUCE, 243);
   _actionMap[236][LEFT] = ActionEntry(REDUCE, 243);
   _actionMap[236][RIGHT] = ActionEntry(REDUCE, 243);
   _actionMap[236][GETPOS] = ActionEntry(REDUCE, 243);
   _actionMap[236][SUBSTR] = ActionEntry(REDUCE, 243);
   _actionMap[236][REPLACE] = ActionEntry(REDUCE, 243);
   _actionMap[236][LENGTH] = ActionEntry(REDUCE, 243);
   _actionMap[236][TRUNC] = ActionEntry(REDUCE, 243);
   _actionMap[236][STR2INT] = ActionEntry(REDUCE, 243);
   _actionMap[236][STR2LONG] = ActionEntry(REDUCE, 243);
}
void Cego::loadParser169()
{
   _actionMap[236][RANDSTR] = ActionEntry(REDUCE, 243);
   _actionMap[236][RANDINT] = ActionEntry(REDUCE, 243);
   _actionMap[236][MOD] = ActionEntry(REDUCE, 243);
   _actionMap[236][DIV] = ActionEntry(REDUCE, 243);
   _actionMap[236][POWER] = ActionEntry(REDUCE, 243);
   _actionMap[236][BITAND] = ActionEntry(REDUCE, 243);
   _actionMap[236][BITOR] = ActionEntry(REDUCE, 243);
   _actionMap[236][BITXOR] = ActionEntry(REDUCE, 243);
   _actionMap[236][NEXTCOUNT] = ActionEntry(REDUCE, 243);
   _actionMap[236][SETCOUNT] = ActionEntry(REDUCE, 243);
   _actionMap[236][IDENTIFIER] = ActionEntry(REDUCE, 243);
   _actionMap[236][QUALIFIEDOBJ] = ActionEntry(REDUCE, 243);
   _actionMap[236][QUALIFIEDTS] = ActionEntry(REDUCE, 243);
   _actionMap[236][QUALIFIEDPRE] = ActionEntry(REDUCE, 243);
   _actionMap[236][STRINGVAL] = ActionEntry(REDUCE, 243);
   _actionMap[236][DATE] = ActionEntry(REDUCE, 243);
   _actionMap[236][SYSDATE] = ActionEntry(REDUCE, 243);
   _actionMap[236][NULLTOKEN] = ActionEntry(REDUCE, 243);
   _actionMap[236][TRUEVAL] = ActionEntry(REDUCE, 243);
   _actionMap[236][FALSEVAL] = ActionEntry(REDUCE, 243);
   _actionMap[236][LAB] = ActionEntry(REDUCE, 243);
   _actionMap[236][FLOATVAL] = ActionEntry(REDUCE, 243);
   _actionMap[236][MINUS] = ActionEntry(REDUCE, 243);
   _actionMap[236][INTVAL] = ActionEntry(REDUCE, 243);
   _jumpMap[236][ObjSpec] = 99;
   _jumpMap[236][Constant] = 98;
   _jumpMap[236][SignedFloat] = 97;
   _jumpMap[236][SignedInt] = 96;
   _jumpMap[236][Attribute] = 95;
   _jumpMap[236][Function] = 94;
   _jumpMap[236][DistinctOpt] = 380;
   _jumpMap[236][CasePrepare] = 93;
   _jumpMap[236][CaseClause] = 92;
   _jumpMap[236][Factor] = 91;
   _jumpMap[236][Term] = 90;
   _jumpMap[236][Expr] = 379;
   _actionMap[237][STRINGVAL] = ActionEntry(SHIFT, 383);
   _jumpMap[237][DateFormat] = 382;
   _actionMap[238][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[238][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[238][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[238][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[238][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[238][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[238][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[238][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[238][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[238][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[238][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[238][UPPER] = ActionEntry(SHIFT, 140);
}
void Cego::loadParser170()
{
   _actionMap[238][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[238][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[238][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[238][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[238][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[238][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[238][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[238][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[238][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[238][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[238][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[238][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[238][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[238][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[238][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[238][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[238][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[238][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[238][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[238][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[238][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[238][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[238][LB] = ActionEntry(SHIFT, 141);
   _actionMap[238][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[238][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[238][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[238][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[238][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[238][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[238][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[238][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[238][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[238][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[238][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[238][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[238][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[238][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[238][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[238][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[238][ObjSpec] = 99;
   _jumpMap[238][Constant] = 98;
   _jumpMap[238][SignedFloat] = 97;
   _jumpMap[238][SignedInt] = 96;
   _jumpMap[238][Attribute] = 95;
   _jumpMap[238][ExpressionList] = 384;
   _jumpMap[238][Function] = 94;
   _jumpMap[238][CasePrepare] = 93;
   _jumpMap[238][CaseClause] = 92;
   _jumpMap[238][Factor] = 91;
   _jumpMap[238][Term] = 90;
}
void Cego::loadParser171()
{
   _jumpMap[238][Expr] = 372;
   _actionMap[239][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[239][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[239][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[239][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[239][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[239][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[239][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[239][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[239][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[239][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[239][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[239][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[239][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[239][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[239][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[239][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[239][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[239][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[239][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[239][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[239][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[239][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[239][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[239][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[239][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[239][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[239][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[239][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[239][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[239][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[239][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[239][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[239][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[239][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[239][LB] = ActionEntry(SHIFT, 141);
   _actionMap[239][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[239][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[239][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[239][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[239][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[239][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[239][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[239][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[239][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[239][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[239][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[239][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[239][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[239][AVG] = ActionEntry(SHIFT, 101);
}
void Cego::loadParser172()
{
   _actionMap[239][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[239][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[239][ObjSpec] = 99;
   _jumpMap[239][Constant] = 98;
   _jumpMap[239][SignedFloat] = 97;
   _jumpMap[239][SignedInt] = 96;
   _jumpMap[239][Attribute] = 95;
   _jumpMap[239][ExpressionList] = 385;
   _jumpMap[239][Function] = 94;
   _jumpMap[239][CasePrepare] = 93;
   _jumpMap[239][CaseClause] = 92;
   _jumpMap[239][Factor] = 91;
   _jumpMap[239][Term] = 90;
   _jumpMap[239][Expr] = 372;
   _actionMap[240][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[240][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[240][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[240][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[240][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[240][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[240][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[240][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[240][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[240][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[240][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[240][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[240][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[240][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[240][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[240][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[240][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[240][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[240][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[240][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[240][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[240][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[240][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[240][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[240][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[240][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[240][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[240][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[240][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[240][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[240][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[240][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[240][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[240][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[240][LB] = ActionEntry(SHIFT, 141);
   _actionMap[240][STRINGVAL] = ActionEntry(SHIFT, 100);
}
void Cego::loadParser173()
{
   _actionMap[240][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[240][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[240][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[240][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[240][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[240][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[240][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[240][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[240][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[240][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[240][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[240][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[240][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[240][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[240][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[240][ObjSpec] = 99;
   _jumpMap[240][Constant] = 98;
   _jumpMap[240][SignedFloat] = 97;
   _jumpMap[240][SignedInt] = 96;
   _jumpMap[240][Attribute] = 95;
   _jumpMap[240][ExpressionList] = 386;
   _jumpMap[240][Function] = 94;
   _jumpMap[240][CasePrepare] = 93;
   _jumpMap[240][CaseClause] = 92;
   _jumpMap[240][Factor] = 91;
   _jumpMap[240][Term] = 90;
   _jumpMap[240][Expr] = 372;
   _actionMap[241][INTO] = ActionEntry(SHIFT, 387);
   _actionMap[242][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[242][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[242][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[242][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[242][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[242][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[242][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[242][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[242][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[242][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[242][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[242][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[242][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[242][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[242][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[242][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[242][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[242][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[242][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[242][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[242][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[242][RANDSTR] = ActionEntry(SHIFT, 125);
}
void Cego::loadParser174()
{
   _actionMap[242][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[242][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[242][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[242][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[242][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[242][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[242][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[242][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[242][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[242][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[242][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[242][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[242][LB] = ActionEntry(SHIFT, 141);
   _actionMap[242][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[242][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[242][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[242][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[242][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[242][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[242][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[242][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[242][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[242][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[242][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[242][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[242][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[242][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[242][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[242][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[242][ObjSpec] = 99;
   _jumpMap[242][Constant] = 98;
   _jumpMap[242][SignedFloat] = 97;
   _jumpMap[242][SignedInt] = 96;
   _jumpMap[242][Attribute] = 95;
   _jumpMap[242][ExpressionList] = 388;
   _jumpMap[242][Function] = 94;
   _jumpMap[242][CasePrepare] = 93;
   _jumpMap[242][CaseClause] = 92;
   _jumpMap[242][Factor] = 91;
   _jumpMap[242][Term] = 90;
   _jumpMap[242][Expr] = 372;
   _actionMap[243][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[243][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[243][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[243][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[243][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[243][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[243][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[243][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[243][DATE2INT] = ActionEntry(SHIFT, 109);
}
void Cego::loadParser175()
{
   _actionMap[243][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[243][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[243][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[243][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[243][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[243][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[243][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[243][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[243][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[243][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[243][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[243][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[243][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[243][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[243][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[243][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[243][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[243][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[243][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[243][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[243][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[243][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[243][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[243][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[243][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[243][LB] = ActionEntry(SHIFT, 141);
   _actionMap[243][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[243][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[243][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[243][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[243][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[243][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[243][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[243][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[243][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[243][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[243][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[243][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[243][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[243][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[243][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[243][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[243][ObjSpec] = 99;
   _jumpMap[243][Constant] = 98;
   _jumpMap[243][SignedFloat] = 97;
   _jumpMap[243][SignedInt] = 96;
   _jumpMap[243][Attribute] = 95;
   _jumpMap[243][ExpressionList] = 389;
   _jumpMap[243][Function] = 94;
   _jumpMap[243][CasePrepare] = 93;
}
void Cego::loadParser176()
{
   _jumpMap[243][CaseClause] = 92;
   _jumpMap[243][Factor] = 91;
   _jumpMap[243][Term] = 90;
   _jumpMap[243][Expr] = 372;
   _actionMap[244][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[244][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[244][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[244][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[244][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[244][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[244][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[244][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[244][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[244][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[244][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[244][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[244][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[244][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[244][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[244][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[244][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[244][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[244][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[244][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[244][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[244][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[244][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[244][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[244][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[244][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[244][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[244][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[244][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[244][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[244][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[244][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[244][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[244][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[244][LB] = ActionEntry(SHIFT, 141);
   _actionMap[244][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[244][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[244][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[244][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[244][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[244][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[244][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[244][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[244][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[244][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[244][FETCH] = ActionEntry(SHIFT, 112);
}
void Cego::loadParser177()
{
   _actionMap[244][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[244][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[244][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[244][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[244][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[244][ObjSpec] = 99;
   _jumpMap[244][Constant] = 98;
   _jumpMap[244][SignedFloat] = 97;
   _jumpMap[244][SignedInt] = 96;
   _jumpMap[244][Attribute] = 95;
   _jumpMap[244][ExpressionList] = 390;
   _jumpMap[244][Function] = 94;
   _jumpMap[244][CasePrepare] = 93;
   _jumpMap[244][CaseClause] = 92;
   _jumpMap[244][Factor] = 91;
   _jumpMap[244][Term] = 90;
   _jumpMap[244][Expr] = 372;
   _actionMap[245][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[245][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[245][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[245][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[245][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[245][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[245][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[245][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[245][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[245][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[245][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[245][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[245][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[245][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[245][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[245][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[245][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[245][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[245][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[245][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[245][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[245][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[245][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[245][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[245][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[245][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[245][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[245][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[245][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[245][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[245][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[245][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[245][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
}
void Cego::loadParser178()
{
   _actionMap[245][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[245][LB] = ActionEntry(SHIFT, 141);
   _actionMap[245][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[245][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[245][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[245][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[245][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[245][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[245][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[245][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[245][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[245][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[245][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[245][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[245][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[245][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[245][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[245][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[245][ObjSpec] = 99;
   _jumpMap[245][Constant] = 98;
   _jumpMap[245][SignedFloat] = 97;
   _jumpMap[245][SignedInt] = 96;
   _jumpMap[245][Attribute] = 95;
   _jumpMap[245][ExpressionList] = 391;
   _jumpMap[245][Function] = 94;
   _jumpMap[245][CasePrepare] = 93;
   _jumpMap[245][CaseClause] = 92;
   _jumpMap[245][Factor] = 91;
   _jumpMap[245][Term] = 90;
   _jumpMap[245][Expr] = 372;
   _actionMap[246][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[246][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[246][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[246][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[246][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[246][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[246][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[246][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[246][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[246][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[246][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[246][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[246][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[246][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[246][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[246][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[246][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[246][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[246][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[246][STR2INT] = ActionEntry(SHIFT, 135);
}
void Cego::loadParser179()
{
   _actionMap[246][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[246][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[246][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[246][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[246][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[246][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[246][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[246][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[246][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[246][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[246][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[246][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[246][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[246][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[246][LB] = ActionEntry(SHIFT, 141);
   _actionMap[246][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[246][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[246][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[246][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[246][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[246][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[246][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[246][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[246][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[246][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[246][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[246][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[246][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[246][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[246][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[246][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[246][ObjSpec] = 99;
   _jumpMap[246][Constant] = 98;
   _jumpMap[246][SignedFloat] = 97;
   _jumpMap[246][SignedInt] = 96;
   _jumpMap[246][Attribute] = 95;
   _jumpMap[246][ExpressionList] = 392;
   _jumpMap[246][Function] = 94;
   _jumpMap[246][CasePrepare] = 93;
   _jumpMap[246][CaseClause] = 92;
   _jumpMap[246][Factor] = 91;
   _jumpMap[246][Term] = 90;
   _jumpMap[246][Expr] = 372;
   _actionMap[247][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[247][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[247][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[247][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[247][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[247][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[247][ROUND] = ActionEntry(SHIFT, 129);
}
void Cego::loadParser180()
{
   _actionMap[247][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[247][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[247][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[247][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[247][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[247][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[247][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[247][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[247][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[247][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[247][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[247][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[247][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[247][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[247][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[247][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[247][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[247][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[247][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[247][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[247][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[247][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[247][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[247][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[247][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[247][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[247][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[247][LB] = ActionEntry(SHIFT, 141);
   _actionMap[247][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[247][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[247][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[247][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[247][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[247][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[247][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[247][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[247][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[247][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[247][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[247][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[247][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[247][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[247][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[247][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[247][ObjSpec] = 99;
   _jumpMap[247][Constant] = 98;
   _jumpMap[247][SignedFloat] = 97;
   _jumpMap[247][SignedInt] = 96;
   _jumpMap[247][Attribute] = 95;
   _jumpMap[247][ExpressionList] = 393;
}
void Cego::loadParser181()
{
   _jumpMap[247][Function] = 94;
   _jumpMap[247][CasePrepare] = 93;
   _jumpMap[247][CaseClause] = 92;
   _jumpMap[247][Factor] = 91;
   _jumpMap[247][Term] = 90;
   _jumpMap[247][Expr] = 372;
   _actionMap[248][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[248][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[248][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[248][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[248][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[248][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[248][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[248][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[248][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[248][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[248][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[248][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[248][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[248][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[248][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[248][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[248][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[248][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[248][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[248][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[248][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[248][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[248][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[248][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[248][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[248][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[248][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[248][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[248][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[248][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[248][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[248][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[248][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[248][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[248][LB] = ActionEntry(SHIFT, 141);
   _actionMap[248][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[248][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[248][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[248][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[248][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[248][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[248][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[248][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[248][CASE] = ActionEntry(SHIFT, 105);
}
void Cego::loadParser182()
{
   _actionMap[248][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[248][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[248][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[248][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[248][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[248][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[248][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[248][ObjSpec] = 99;
   _jumpMap[248][Constant] = 98;
   _jumpMap[248][SignedFloat] = 97;
   _jumpMap[248][SignedInt] = 96;
   _jumpMap[248][Attribute] = 95;
   _jumpMap[248][Function] = 94;
   _jumpMap[248][CasePrepare] = 93;
   _jumpMap[248][CaseClause] = 92;
   _jumpMap[248][Factor] = 91;
   _jumpMap[248][Term] = 90;
   _jumpMap[248][Expr] = 394;
   _actionMap[249][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[249][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[249][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[249][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[249][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[249][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[249][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[249][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[249][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[249][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[249][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[249][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[249][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[249][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[249][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[249][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[249][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[249][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[249][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[249][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[249][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[249][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[249][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[249][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[249][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[249][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[249][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[249][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[249][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[249][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[249][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[249][IDENTIFIER] = ActionEntry(SHIFT, 146);
}
void Cego::loadParser183()
{
   _actionMap[249][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[249][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[249][LB] = ActionEntry(SHIFT, 141);
   _actionMap[249][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[249][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[249][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[249][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[249][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[249][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[249][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[249][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[249][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[249][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[249][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[249][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[249][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[249][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[249][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[249][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[249][ObjSpec] = 99;
   _jumpMap[249][Constant] = 98;
   _jumpMap[249][SignedFloat] = 97;
   _jumpMap[249][SignedInt] = 96;
   _jumpMap[249][Attribute] = 95;
   _jumpMap[249][Function] = 94;
   _jumpMap[249][CasePrepare] = 93;
   _jumpMap[249][CaseClause] = 92;
   _jumpMap[249][Factor] = 91;
   _jumpMap[249][Term] = 90;
   _jumpMap[249][Expr] = 395;
   _actionMap[250][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[250][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[250][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[250][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[250][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[250][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[250][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[250][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[250][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[250][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[250][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[250][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[250][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[250][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[250][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[250][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[250][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[250][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[250][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[250][STR2INT] = ActionEntry(SHIFT, 135);
}
void Cego::loadParser184()
{
   _actionMap[250][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[250][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[250][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[250][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[250][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[250][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[250][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[250][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[250][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[250][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[250][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[250][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[250][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[250][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[250][LB] = ActionEntry(SHIFT, 141);
   _actionMap[250][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[250][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[250][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[250][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[250][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[250][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[250][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[250][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[250][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[250][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[250][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[250][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[250][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[250][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[250][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[250][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[250][ObjSpec] = 99;
   _jumpMap[250][Constant] = 98;
   _jumpMap[250][SignedFloat] = 97;
   _jumpMap[250][SignedInt] = 96;
   _jumpMap[250][Attribute] = 95;
   _jumpMap[250][ExpressionList] = 396;
   _jumpMap[250][Function] = 94;
   _jumpMap[250][CasePrepare] = 93;
   _jumpMap[250][CaseClause] = 92;
   _jumpMap[250][Factor] = 91;
   _jumpMap[250][Term] = 90;
   _jumpMap[250][Expr] = 372;
   _actionMap[251][IDENTIFIER] = ActionEntry(SHIFT, 397);
   _actionMap[252][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[252][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[252][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[252][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[252][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[252][LTRIM] = ActionEntry(SHIFT, 118);
}
void Cego::loadParser185()
{
   _actionMap[252][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[252][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[252][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[252][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[252][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[252][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[252][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[252][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[252][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[252][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[252][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[252][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[252][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[252][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[252][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[252][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[252][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[252][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[252][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[252][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[252][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[252][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[252][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[252][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[252][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[252][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[252][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[252][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[252][LB] = ActionEntry(SHIFT, 141);
   _actionMap[252][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[252][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[252][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[252][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[252][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[252][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[252][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[252][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[252][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[252][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[252][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[252][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[252][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[252][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[252][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[252][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[252][ObjSpec] = 99;
   _jumpMap[252][Constant] = 98;
   _jumpMap[252][SignedFloat] = 97;
   _jumpMap[252][SignedInt] = 96;
   _jumpMap[252][Attribute] = 95;
}
void Cego::loadParser186()
{
   _jumpMap[252][ExpressionList] = 398;
   _jumpMap[252][Function] = 94;
   _jumpMap[252][CasePrepare] = 93;
   _jumpMap[252][CaseClause] = 92;
   _jumpMap[252][Factor] = 91;
   _jumpMap[252][Term] = 90;
   _jumpMap[252][Expr] = 372;
   _actionMap[253][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[253][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[253][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[253][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[253][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[253][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[253][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[253][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[253][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[253][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[253][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[253][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[253][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[253][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[253][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[253][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[253][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[253][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[253][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[253][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[253][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[253][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[253][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[253][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[253][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[253][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[253][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[253][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[253][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[253][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[253][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[253][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[253][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[253][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[253][LB] = ActionEntry(SHIFT, 141);
   _actionMap[253][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[253][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[253][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[253][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[253][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[253][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[253][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[253][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
}
void Cego::loadParser187()
{
   _actionMap[253][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[253][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[253][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[253][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[253][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[253][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[253][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[253][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[253][ObjSpec] = 99;
   _jumpMap[253][Constant] = 98;
   _jumpMap[253][SignedFloat] = 97;
   _jumpMap[253][SignedInt] = 96;
   _jumpMap[253][Attribute] = 95;
   _jumpMap[253][ExpressionList] = 399;
   _jumpMap[253][Function] = 94;
   _jumpMap[253][CasePrepare] = 93;
   _jumpMap[253][CaseClause] = 92;
   _jumpMap[253][Factor] = 91;
   _jumpMap[253][Term] = 90;
   _jumpMap[253][Expr] = 372;
   _actionMap[254][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[254][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[254][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[254][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[254][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[254][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[254][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[254][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[254][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[254][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[254][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[254][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[254][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[254][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[254][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[254][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[254][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[254][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[254][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[254][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[254][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[254][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[254][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[254][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[254][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[254][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[254][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[254][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[254][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[254][NEXTCOUNT] = ActionEntry(SHIFT, 122);
}
void Cego::loadParser188()
{
   _actionMap[254][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[254][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[254][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[254][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[254][LB] = ActionEntry(SHIFT, 141);
   _actionMap[254][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[254][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[254][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[254][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[254][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[254][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[254][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[254][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[254][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[254][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[254][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[254][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[254][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[254][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[254][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[254][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[254][ObjSpec] = 99;
   _jumpMap[254][Constant] = 98;
   _jumpMap[254][SignedFloat] = 97;
   _jumpMap[254][SignedInt] = 96;
   _jumpMap[254][Attribute] = 95;
   _jumpMap[254][ExpressionList] = 400;
   _jumpMap[254][Function] = 94;
   _jumpMap[254][CasePrepare] = 93;
   _jumpMap[254][CaseClause] = 92;
   _jumpMap[254][Factor] = 91;
   _jumpMap[254][Term] = 90;
   _jumpMap[254][Expr] = 372;
   _actionMap[255][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[255][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[255][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[255][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[255][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[255][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[255][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[255][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[255][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[255][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[255][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[255][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[255][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[255][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[255][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[255][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[255][REPLACE] = ActionEntry(SHIFT, 127);
}
void Cego::loadParser189()
{
   _actionMap[255][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[255][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[255][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[255][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[255][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[255][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[255][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[255][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[255][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[255][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[255][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[255][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[255][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[255][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[255][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[255][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[255][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[255][LB] = ActionEntry(SHIFT, 141);
   _actionMap[255][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[255][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[255][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[255][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[255][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[255][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[255][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[255][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[255][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[255][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[255][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[255][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[255][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[255][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[255][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[255][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[255][ObjSpec] = 99;
   _jumpMap[255][Constant] = 98;
   _jumpMap[255][SignedFloat] = 97;
   _jumpMap[255][SignedInt] = 96;
   _jumpMap[255][Attribute] = 95;
   _jumpMap[255][ExpressionList] = 401;
   _jumpMap[255][Function] = 94;
   _jumpMap[255][CasePrepare] = 93;
   _jumpMap[255][CaseClause] = 92;
   _jumpMap[255][Factor] = 91;
   _jumpMap[255][Term] = 90;
   _jumpMap[255][Expr] = 372;
   _actionMap[256][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[256][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[256][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[256][TRIM] = ActionEntry(SHIFT, 137);
}
void Cego::loadParser190()
{
   _actionMap[256][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[256][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[256][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[256][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[256][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[256][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[256][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[256][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[256][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[256][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[256][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[256][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[256][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[256][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[256][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[256][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[256][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[256][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[256][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[256][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[256][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[256][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[256][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[256][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[256][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[256][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[256][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[256][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[256][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[256][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[256][LB] = ActionEntry(SHIFT, 141);
   _actionMap[256][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[256][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[256][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[256][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[256][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[256][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[256][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[256][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[256][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[256][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[256][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[256][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[256][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[256][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[256][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[256][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[256][ObjSpec] = 99;
   _jumpMap[256][Constant] = 98;
   _jumpMap[256][SignedFloat] = 97;
}
void Cego::loadParser191()
{
   _jumpMap[256][SignedInt] = 96;
   _jumpMap[256][Attribute] = 95;
   _jumpMap[256][ExpressionList] = 402;
   _jumpMap[256][Function] = 94;
   _jumpMap[256][CasePrepare] = 93;
   _jumpMap[256][CaseClause] = 92;
   _jumpMap[256][Factor] = 91;
   _jumpMap[256][Term] = 90;
   _jumpMap[256][Expr] = 372;
   _actionMap[257][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[257][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[257][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[257][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[257][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[257][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[257][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[257][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[257][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[257][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[257][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[257][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[257][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[257][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[257][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[257][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[257][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[257][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[257][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[257][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[257][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[257][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[257][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[257][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[257][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[257][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[257][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[257][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[257][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[257][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[257][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[257][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[257][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[257][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[257][LB] = ActionEntry(SHIFT, 141);
   _actionMap[257][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[257][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[257][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[257][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[257][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[257][FALSEVAL] = ActionEntry(SHIFT, 111);
}
void Cego::loadParser192()
{
   _actionMap[257][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[257][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[257][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[257][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[257][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[257][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[257][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[257][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[257][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[257][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[257][ObjSpec] = 99;
   _jumpMap[257][Constant] = 98;
   _jumpMap[257][SignedFloat] = 97;
   _jumpMap[257][SignedInt] = 96;
   _jumpMap[257][Attribute] = 95;
   _jumpMap[257][ExpressionList] = 403;
   _jumpMap[257][Function] = 94;
   _jumpMap[257][CasePrepare] = 93;
   _jumpMap[257][CaseClause] = 92;
   _jumpMap[257][Factor] = 91;
   _jumpMap[257][Term] = 90;
   _jumpMap[257][Expr] = 372;
   _actionMap[258][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[258][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[258][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[258][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[258][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[258][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[258][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[258][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[258][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[258][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[258][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[258][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[258][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[258][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[258][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[258][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[258][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[258][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[258][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[258][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[258][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[258][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[258][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[258][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[258][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[258][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[258][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[258][BITOR] = ActionEntry(SHIFT, 103);
}
void Cego::loadParser193()
{
   _actionMap[258][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[258][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[258][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[258][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[258][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[258][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[258][LB] = ActionEntry(SHIFT, 141);
   _actionMap[258][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[258][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[258][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[258][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[258][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[258][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[258][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[258][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[258][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[258][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[258][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[258][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[258][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[258][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[258][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[258][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[258][ObjSpec] = 99;
   _jumpMap[258][Constant] = 98;
   _jumpMap[258][SignedFloat] = 97;
   _jumpMap[258][SignedInt] = 96;
   _jumpMap[258][Attribute] = 95;
   _jumpMap[258][ExpressionList] = 404;
   _jumpMap[258][Function] = 94;
   _jumpMap[258][CasePrepare] = 93;
   _jumpMap[258][CaseClause] = 92;
   _jumpMap[258][Factor] = 91;
   _jumpMap[258][Term] = 90;
   _jumpMap[258][Expr] = 372;
   _actionMap[259][IDENTIFIER] = ActionEntry(SHIFT, 405);
   _actionMap[260][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[260][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[260][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[260][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[260][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[260][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[260][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[260][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[260][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[260][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[260][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[260][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[260][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[260][RIGHT] = ActionEntry(SHIFT, 128);
}
void Cego::loadParser194()
{
   _actionMap[260][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[260][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[260][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[260][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[260][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[260][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[260][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[260][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[260][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[260][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[260][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[260][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[260][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[260][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[260][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[260][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[260][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[260][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[260][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[260][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[260][LB] = ActionEntry(SHIFT, 141);
   _actionMap[260][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[260][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[260][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[260][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[260][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[260][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[260][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[260][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[260][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[260][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[260][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[260][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[260][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[260][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[260][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[260][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[260][ObjSpec] = 99;
   _jumpMap[260][Constant] = 98;
   _jumpMap[260][SignedFloat] = 97;
   _jumpMap[260][SignedInt] = 96;
   _jumpMap[260][Attribute] = 95;
   _jumpMap[260][ExpressionList] = 406;
   _jumpMap[260][Function] = 94;
   _jumpMap[260][CasePrepare] = 93;
   _jumpMap[260][CaseClause] = 92;
   _jumpMap[260][Factor] = 91;
   _jumpMap[260][Term] = 90;
   _jumpMap[260][Expr] = 372;
   _actionMap[261][FLOATVAL] = ActionEntry(SHIFT, 145);
}
void Cego::loadParser195()
{
   _actionMap[261][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[261][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[261][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[261][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[261][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[261][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[261][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[261][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[261][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[261][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[261][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[261][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[261][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[261][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[261][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[261][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[261][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[261][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[261][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[261][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[261][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[261][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[261][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[261][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[261][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[261][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[261][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[261][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[261][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[261][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[261][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[261][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[261][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[261][LB] = ActionEntry(SHIFT, 141);
   _actionMap[261][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[261][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[261][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[261][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[261][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[261][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[261][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[261][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[261][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[261][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[261][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[261][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[261][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[261][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[261][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[261][MAX] = ActionEntry(SHIFT, 120);
}
void Cego::loadParser196()
{
   _jumpMap[261][ObjSpec] = 99;
   _jumpMap[261][Constant] = 98;
   _jumpMap[261][SignedFloat] = 97;
   _jumpMap[261][SignedInt] = 96;
   _jumpMap[261][Attribute] = 95;
   _jumpMap[261][Function] = 94;
   _jumpMap[261][CasePrepare] = 93;
   _jumpMap[261][CaseClause] = 92;
   _jumpMap[261][Factor] = 91;
   _jumpMap[261][Term] = 90;
   _jumpMap[261][Expr] = 407;
   _actionMap[262][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[262][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[262][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[262][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[262][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[262][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[262][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[262][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[262][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[262][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[262][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[262][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[262][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[262][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[262][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[262][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[262][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[262][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[262][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[262][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[262][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[262][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[262][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[262][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[262][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[262][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[262][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[262][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[262][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[262][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[262][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[262][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[262][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[262][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[262][LB] = ActionEntry(SHIFT, 141);
   _actionMap[262][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[262][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[262][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[262][NULLTOKEN] = ActionEntry(SHIFT, 123);
}
void Cego::loadParser197()
{
   _actionMap[262][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[262][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[262][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[262][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[262][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[262][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[262][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[262][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[262][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[262][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[262][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[262][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[262][ObjSpec] = 99;
   _jumpMap[262][Constant] = 98;
   _jumpMap[262][SignedFloat] = 97;
   _jumpMap[262][SignedInt] = 96;
   _jumpMap[262][Attribute] = 95;
   _jumpMap[262][ExpressionList] = 408;
   _jumpMap[262][Function] = 94;
   _jumpMap[262][CasePrepare] = 93;
   _jumpMap[262][CaseClause] = 92;
   _jumpMap[262][Factor] = 91;
   _jumpMap[262][Term] = 90;
   _jumpMap[262][Expr] = 372;
   _actionMap[263][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[263][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[263][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[263][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[263][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[263][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[263][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[263][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[263][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[263][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[263][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[263][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[263][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[263][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[263][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[263][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[263][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[263][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[263][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[263][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[263][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[263][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[263][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[263][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[263][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[263][POWER] = ActionEntry(SHIFT, 124);
}
void Cego::loadParser198()
{
   _actionMap[263][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[263][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[263][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[263][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[263][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[263][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[263][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[263][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[263][LB] = ActionEntry(SHIFT, 141);
   _actionMap[263][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[263][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[263][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[263][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[263][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[263][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[263][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[263][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[263][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[263][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[263][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[263][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[263][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[263][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[263][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[263][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[263][ObjSpec] = 99;
   _jumpMap[263][Constant] = 98;
   _jumpMap[263][SignedFloat] = 97;
   _jumpMap[263][SignedInt] = 96;
   _jumpMap[263][Attribute] = 95;
   _jumpMap[263][ExpressionList] = 409;
   _jumpMap[263][Function] = 94;
   _jumpMap[263][CasePrepare] = 93;
   _jumpMap[263][CaseClause] = 92;
   _jumpMap[263][Factor] = 91;
   _jumpMap[263][Term] = 90;
   _jumpMap[263][Expr] = 372;
   _actionMap[264][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[264][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[264][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[264][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[264][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[264][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[264][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[264][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[264][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[264][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[264][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[264][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[264][LEFT] = ActionEntry(SHIFT, 115);
}
void Cego::loadParser199()
{
   _actionMap[264][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[264][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[264][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[264][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[264][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[264][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[264][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[264][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[264][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[264][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[264][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[264][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[264][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[264][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[264][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[264][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[264][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[264][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[264][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[264][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[264][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[264][LB] = ActionEntry(SHIFT, 141);
   _actionMap[264][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[264][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[264][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[264][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[264][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[264][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[264][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[264][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[264][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[264][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[264][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[264][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[264][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[264][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[264][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[264][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[264][ObjSpec] = 99;
   _jumpMap[264][Constant] = 98;
   _jumpMap[264][SignedFloat] = 97;
   _jumpMap[264][SignedInt] = 96;
   _jumpMap[264][Attribute] = 95;
   _jumpMap[264][ExpressionList] = 410;
   _jumpMap[264][Function] = 94;
   _jumpMap[264][CasePrepare] = 93;
   _jumpMap[264][CaseClause] = 92;
   _jumpMap[264][Factor] = 91;
   _jumpMap[264][Term] = 90;
   _jumpMap[264][Expr] = 372;
}
void Cego::loadParser200()
{
   _actionMap[265][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[265][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[265][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[265][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[265][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[265][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[265][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[265][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[265][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[265][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[265][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[265][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[265][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[265][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[265][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[265][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[265][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[265][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[265][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[265][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[265][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[265][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[265][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[265][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[265][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[265][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[265][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[265][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[265][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[265][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[265][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[265][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[265][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[265][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[265][LB] = ActionEntry(SHIFT, 141);
   _actionMap[265][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[265][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[265][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[265][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[265][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[265][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[265][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[265][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[265][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[265][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[265][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[265][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[265][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[265][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[265][MIN] = ActionEntry(SHIFT, 119);
}
void Cego::loadParser201()
{
   _actionMap[265][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[265][ObjSpec] = 99;
   _jumpMap[265][Constant] = 98;
   _jumpMap[265][SignedFloat] = 97;
   _jumpMap[265][SignedInt] = 96;
   _jumpMap[265][Attribute] = 95;
   _jumpMap[265][ExpressionList] = 411;
   _jumpMap[265][Function] = 94;
   _jumpMap[265][CasePrepare] = 93;
   _jumpMap[265][CaseClause] = 92;
   _jumpMap[265][Factor] = 91;
   _jumpMap[265][Term] = 90;
   _jumpMap[265][Expr] = 372;
   _actionMap[266][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[266][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[266][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[266][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[266][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[266][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[266][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[266][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[266][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[266][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[266][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[266][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[266][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[266][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[266][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[266][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[266][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[266][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[266][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[266][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[266][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[266][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[266][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[266][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[266][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[266][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[266][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[266][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[266][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[266][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[266][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[266][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[266][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[266][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[266][LB] = ActionEntry(SHIFT, 141);
   _actionMap[266][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[266][DATE] = ActionEntry(SHIFT, 107);
}
void Cego::loadParser202()
{
   _actionMap[266][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[266][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[266][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[266][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[266][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[266][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[266][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[266][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[266][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[266][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[266][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[266][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[266][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[266][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[266][ObjSpec] = 99;
   _jumpMap[266][Constant] = 98;
   _jumpMap[266][SignedFloat] = 97;
   _jumpMap[266][SignedInt] = 96;
   _jumpMap[266][Attribute] = 95;
   _jumpMap[266][ExpressionList] = 412;
   _jumpMap[266][Function] = 94;
   _jumpMap[266][CasePrepare] = 93;
   _jumpMap[266][CaseClause] = 92;
   _jumpMap[266][Factor] = 91;
   _jumpMap[266][Term] = 90;
   _jumpMap[266][Expr] = 372;
   _actionMap[267][RB] = ActionEntry(SHIFT, 413);
   _actionMap[267][PLUS] = ActionEntry(SHIFT, 225);
   _actionMap[267][MINUS] = ActionEntry(SHIFT, 224);
   _actionMap[267][CONCAT] = ActionEntry(SHIFT, 223);
   _actionMap[268][RB] = ActionEntry(SHIFT, 414);
   _actionMap[269][RB] = ActionEntry(SHIFT, 415);
   _actionMap[270][RB] = ActionEntry(SHIFT, 416);
   _actionMap[271][RB] = ActionEntry(SHIFT, 417);
   _actionMap[272][RB] = ActionEntry(SHIFT, 418);
   _actionMap[273][RB] = ActionEntry(SHIFT, 419);
   _actionMap[274][RB] = ActionEntry(SHIFT, 420);
   _actionMap[275][RB] = ActionEntry(SHIFT, 421);
   _actionMap[276][KSEP] = ActionEntry(SHIFT, 422);
   _actionMap[277][WHEN] = ActionEntry(REDUCE, 344);
   _actionMap[277][ELSE] = ActionEntry(REDUCE, 344);
   _actionMap[277][LEFT] = ActionEntry(REDUCE, 344);
   _actionMap[277][RIGHT] = ActionEntry(REDUCE, 344);
   _actionMap[277][INNER] = ActionEntry(REDUCE, 344);
   _actionMap[277][JOIN] = ActionEntry(REDUCE, 344);
   _actionMap[277][RETURNTOKEN] = ActionEntry(REDUCE, 344);
   _actionMap[277][ORDER] = ActionEntry(REDUCE, 344);
   _actionMap[277][GROUP] = ActionEntry(REDUCE, 344);
   _actionMap[277][WHERE] = ActionEntry(REDUCE, 344);
   _actionMap[277][AS] = ActionEntry(REDUCE, 344);
}
void Cego::loadParser203()
{
   _actionMap[277][FROM] = ActionEntry(REDUCE, 344);
   _actionMap[277][END_TOKEN] = ActionEntry(REDUCE, 344);
   _actionMap[277][BEGIN] = ActionEntry(REDUCE, 344);
   _actionMap[277][THEN] = ActionEntry(REDUCE, 344);
   _actionMap[277][OR] = ActionEntry(REDUCE, 344);
   _actionMap[277][AND] = ActionEntry(REDUCE, 344);
   _actionMap[277][NULLTOKEN] = ActionEntry(REDUCE, 344);
   _actionMap[277][LIKE] = ActionEntry(REDUCE, 344);
   _actionMap[277][IS] = ActionEntry(REDUCE, 344);
   _actionMap[277][BETWEEN] = ActionEntry(REDUCE, 344);
   _actionMap[277][NOT] = ActionEntry(REDUCE, 344);
   _actionMap[277][INTOK] = ActionEntry(REDUCE, 344);
   _actionMap[277][EQU] = ActionEntry(REDUCE, 344);
   _actionMap[277][NEGATION] = ActionEntry(REDUCE, 344);
   _actionMap[277][LT] = ActionEntry(REDUCE, 344);
   _actionMap[277][MT] = ActionEntry(REDUCE, 344);
   _actionMap[277][DESC] = ActionEntry(REDUCE, 344);
   _actionMap[277][ASC] = ActionEntry(REDUCE, 344);
   _actionMap[277][KSEP] = ActionEntry(REDUCE, 344);
   _actionMap[277][ROWLIMIT] = ActionEntry(REDUCE, 344);
   _actionMap[277][UNION] = ActionEntry(REDUCE, 344);
   _actionMap[277][ENDTOKEN] = ActionEntry(REDUCE, 344);
   _actionMap[277][RB] = ActionEntry(REDUCE, 344);
   _actionMap[277][SEMICOLON] = ActionEntry(REDUCE, 344);
   _actionMap[277][CONCAT] = ActionEntry(REDUCE, 344);
   _actionMap[277][STAR] = ActionEntry(REDUCE, 344);
   _actionMap[277][DIVISION] = ActionEntry(REDUCE, 344);
   _actionMap[277][MINUS] = ActionEntry(REDUCE, 344);
   _actionMap[277][PLUS] = ActionEntry(REDUCE, 344);
   _actionMap[278][WHEN] = ActionEntry(REDUCE, 346);
   _actionMap[278][ELSE] = ActionEntry(REDUCE, 346);
   _actionMap[278][LEFT] = ActionEntry(REDUCE, 346);
   _actionMap[278][RIGHT] = ActionEntry(REDUCE, 346);
   _actionMap[278][INNER] = ActionEntry(REDUCE, 346);
   _actionMap[278][JOIN] = ActionEntry(REDUCE, 346);
   _actionMap[278][RETURNTOKEN] = ActionEntry(REDUCE, 346);
   _actionMap[278][ORDER] = ActionEntry(REDUCE, 346);
   _actionMap[278][GROUP] = ActionEntry(REDUCE, 346);
   _actionMap[278][WHERE] = ActionEntry(REDUCE, 346);
   _actionMap[278][AS] = ActionEntry(REDUCE, 346);
   _actionMap[278][FROM] = ActionEntry(REDUCE, 346);
   _actionMap[278][END_TOKEN] = ActionEntry(REDUCE, 346);
   _actionMap[278][BEGIN] = ActionEntry(REDUCE, 346);
   _actionMap[278][THEN] = ActionEntry(REDUCE, 346);
   _actionMap[278][OR] = ActionEntry(REDUCE, 346);
   _actionMap[278][AND] = ActionEntry(REDUCE, 346);
   _actionMap[278][NULLTOKEN] = ActionEntry(REDUCE, 346);
   _actionMap[278][LIKE] = ActionEntry(REDUCE, 346);
   _actionMap[278][IS] = ActionEntry(REDUCE, 346);
   _actionMap[278][BETWEEN] = ActionEntry(REDUCE, 346);
}
void Cego::loadParser204()
{
   _actionMap[278][NOT] = ActionEntry(REDUCE, 346);
   _actionMap[278][INTOK] = ActionEntry(REDUCE, 346);
   _actionMap[278][EQU] = ActionEntry(REDUCE, 346);
   _actionMap[278][NEGATION] = ActionEntry(REDUCE, 346);
   _actionMap[278][LT] = ActionEntry(REDUCE, 346);
   _actionMap[278][MT] = ActionEntry(REDUCE, 346);
   _actionMap[278][DESC] = ActionEntry(REDUCE, 346);
   _actionMap[278][ASC] = ActionEntry(REDUCE, 346);
   _actionMap[278][KSEP] = ActionEntry(REDUCE, 346);
   _actionMap[278][ROWLIMIT] = ActionEntry(REDUCE, 346);
   _actionMap[278][UNION] = ActionEntry(REDUCE, 346);
   _actionMap[278][ENDTOKEN] = ActionEntry(REDUCE, 346);
   _actionMap[278][RB] = ActionEntry(REDUCE, 346);
   _actionMap[278][SEMICOLON] = ActionEntry(REDUCE, 346);
   _actionMap[278][CONCAT] = ActionEntry(REDUCE, 346);
   _actionMap[278][STAR] = ActionEntry(REDUCE, 346);
   _actionMap[278][DIVISION] = ActionEntry(REDUCE, 346);
   _actionMap[278][MINUS] = ActionEntry(REDUCE, 346);
   _actionMap[278][PLUS] = ActionEntry(REDUCE, 346);
   _actionMap[279][WHEN] = ActionEntry(REDUCE, 342);
   _actionMap[279][ELSE] = ActionEntry(REDUCE, 342);
   _actionMap[279][LEFT] = ActionEntry(REDUCE, 342);
   _actionMap[279][RIGHT] = ActionEntry(REDUCE, 342);
   _actionMap[279][INNER] = ActionEntry(REDUCE, 342);
   _actionMap[279][JOIN] = ActionEntry(REDUCE, 342);
   _actionMap[279][RETURNTOKEN] = ActionEntry(REDUCE, 342);
   _actionMap[279][GROUP] = ActionEntry(REDUCE, 342);
   _actionMap[279][WHERE] = ActionEntry(REDUCE, 342);
   _actionMap[279][FROM] = ActionEntry(REDUCE, 342);
   _actionMap[279][AS] = ActionEntry(REDUCE, 342);
   _actionMap[279][END_TOKEN] = ActionEntry(REDUCE, 342);
   _actionMap[279][BEGIN] = ActionEntry(REDUCE, 342);
   _actionMap[279][THEN] = ActionEntry(REDUCE, 342);
   _actionMap[279][OR] = ActionEntry(REDUCE, 342);
   _actionMap[279][AND] = ActionEntry(REDUCE, 342);
   _actionMap[279][INTOK] = ActionEntry(REDUCE, 342);
   _actionMap[279][NOT] = ActionEntry(REDUCE, 342);
   _actionMap[279][BETWEEN] = ActionEntry(REDUCE, 342);
   _actionMap[279][IS] = ActionEntry(REDUCE, 342);
   _actionMap[279][LIKE] = ActionEntry(REDUCE, 342);
   _actionMap[279][HAVING] = ActionEntry(REDUCE, 342);
   _actionMap[279][ORDER] = ActionEntry(REDUCE, 342);
   _actionMap[279][MT] = ActionEntry(REDUCE, 342);
   _actionMap[279][LT] = ActionEntry(REDUCE, 342);
   _actionMap[279][NEGATION] = ActionEntry(REDUCE, 342);
   _actionMap[279][EQU] = ActionEntry(REDUCE, 342);
   _actionMap[279][RB] = ActionEntry(REDUCE, 342);
   _actionMap[279][ENDTOKEN] = ActionEntry(REDUCE, 342);
   _actionMap[279][UNION] = ActionEntry(REDUCE, 342);
   _actionMap[279][ROWLIMIT] = ActionEntry(REDUCE, 342);
}
void Cego::loadParser205()
{
   _actionMap[279][KSEP] = ActionEntry(REDUCE, 342);
   _actionMap[279][ASC] = ActionEntry(REDUCE, 342);
   _actionMap[279][DESC] = ActionEntry(REDUCE, 342);
   _actionMap[279][SEMICOLON] = ActionEntry(REDUCE, 342);
   _actionMap[279][PLUS] = ActionEntry(REDUCE, 342);
   _actionMap[279][MINUS] = ActionEntry(REDUCE, 342);
   _actionMap[279][DIVISION] = ActionEntry(REDUCE, 342);
   _actionMap[279][STAR] = ActionEntry(REDUCE, 342);
   _actionMap[279][CONCAT] = ActionEntry(REDUCE, 342);
   _actionMap[280][TO] = ActionEntry(SHIFT, 423);
   _actionMap[281][TO] = ActionEntry(SHIFT, 424);
   _actionMap[282][TO] = ActionEntry(SHIFT, 425);
   _actionMap[283][TO] = ActionEntry(SHIFT, 426);
   _actionMap[284][TO] = ActionEntry(SHIFT, 427);
   _actionMap[285][TO] = ActionEntry(SHIFT, 428);
   _actionMap[286][SEMICOLON] = ActionEntry(REDUCE, 41);
   _actionMap[287][SEMICOLON] = ActionEntry(REDUCE, 40);
   _actionMap[288][IDENTIFIER] = ActionEntry(SHIFT, 50);
   _actionMap[288][QUALIFIEDOBJ] = ActionEntry(SHIFT, 51);
   _actionMap[288][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _jumpMap[288][ObjSpec] = 433;
   _jumpMap[288][Table] = 432;
   _jumpMap[288][TableList] = 431;
   _jumpMap[288][JoinSpecList] = 430;
   _jumpMap[288][TableSource] = 429;
   _actionMap[289][PLUS] = ActionEntry(SHIFT, 225);
   _actionMap[289][MINUS] = ActionEntry(SHIFT, 224);
   _actionMap[289][CONCAT] = ActionEntry(SHIFT, 223);
   _actionMap[289][FROM] = ActionEntry(REDUCE, 224);
   _actionMap[289][AS] = ActionEntry(SHIFT, 436);
   _actionMap[289][KSEP] = ActionEntry(REDUCE, 224);
   _jumpMap[289][NoAliasOpt] = 435;
   _jumpMap[289][AliasOpt] = 434;
   _actionMap[290][KSEP] = ActionEntry(SHIFT, 437);
   _actionMap[290][FROM] = ActionEntry(REDUCE, 203);
   _actionMap[291][FROM] = ActionEntry(REDUCE, 206);
   _actionMap[291][KSEP] = ActionEntry(REDUCE, 206);
   _actionMap[292][SEMICOLON] = ActionEntry(REDUCE, 34);
   _actionMap[293][SEMICOLON] = ActionEntry(REDUCE, 33);
   _actionMap[294][SEMICOLON] = ActionEntry(REDUCE, 36);
   _actionMap[295][SEMICOLON] = ActionEntry(REDUCE, 35);
   _actionMap[296][TO] = ActionEntry(SHIFT, 438);
   _actionMap[297][SEMICOLON] = ActionEntry(REDUCE, 37);
   _actionMap[298][SEMICOLON] = ActionEntry(REDUCE, 39);
   _actionMap[299][SEMICOLON] = ActionEntry(REDUCE, 38);
   _actionMap[300][SEMICOLON] = ActionEntry(REDUCE, 28);
   _actionMap[301][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[301][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[301][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[301][TRIM] = ActionEntry(SHIFT, 137);
}
void Cego::loadParser206()
{
   _actionMap[301][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[301][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[301][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[301][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[301][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[301][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[301][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[301][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[301][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[301][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[301][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[301][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[301][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[301][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[301][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[301][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[301][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[301][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[301][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[301][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[301][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[301][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[301][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[301][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[301][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[301][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[301][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[301][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[301][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[301][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[301][LB] = ActionEntry(SHIFT, 141);
   _actionMap[301][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[301][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[301][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[301][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[301][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[301][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[301][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[301][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[301][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[301][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[301][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[301][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[301][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[301][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[301][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[301][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[301][ObjSpec] = 99;
   _jumpMap[301][Constant] = 98;
   _jumpMap[301][SignedFloat] = 97;
}
void Cego::loadParser207()
{
   _jumpMap[301][SignedInt] = 96;
   _jumpMap[301][Attribute] = 95;
   _jumpMap[301][Function] = 94;
   _jumpMap[301][CasePrepare] = 93;
   _jumpMap[301][CaseClause] = 92;
   _jumpMap[301][Factor] = 91;
   _jumpMap[301][Term] = 90;
   _jumpMap[301][Expr] = 439;
   _actionMap[302][SEMICOLON] = ActionEntry(REDUCE, 27);
   _actionMap[303][SEMICOLON] = ActionEntry(REDUCE, 25);
   _actionMap[304][SEMICOLON] = ActionEntry(REDUCE, 26);
   _actionMap[305][SET] = ActionEntry(SHIFT, 306);
   _actionMap[306][IDENTIFIER] = ActionEntry(SHIFT, 442);
   _jumpMap[306][Assignment] = 441;
   _jumpMap[306][UpdateList] = 440;
   _actionMap[307][SET] = ActionEntry(REDUCE, 257);
   _actionMap[307][WHERE] = ActionEntry(REDUCE, 257);
   _actionMap[307][GROUP] = ActionEntry(REDUCE, 257);
   _actionMap[307][ORDER] = ActionEntry(REDUCE, 257);
   _actionMap[307][ROWLIMIT] = ActionEntry(REDUCE, 257);
   _actionMap[307][UNION] = ActionEntry(REDUCE, 257);
   _actionMap[307][ENDTOKEN] = ActionEntry(REDUCE, 257);
   _actionMap[307][RB] = ActionEntry(REDUCE, 257);
   _actionMap[307][SEMICOLON] = ActionEntry(REDUCE, 257);
   _actionMap[307][RETURNTOKEN] = ActionEntry(REDUCE, 257);
   _actionMap[308][IDENTIFIER] = ActionEntry(SHIFT, 50);
   _actionMap[308][QUALIFIEDOBJ] = ActionEntry(SHIFT, 51);
   _actionMap[308][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _jumpMap[308][ObjSpec] = 443;
   _actionMap[38][IDENTIFIER] = ActionEntry(SHIFT, 50);
   _actionMap[38][QUALIFIEDOBJ] = ActionEntry(SHIFT, 51);
   _actionMap[38][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _jumpMap[38][ObjSpec] = 178;
   _actionMap[39][IDENTIFIER] = ActionEntry(SHIFT, 50);
   _actionMap[39][QUALIFIEDOBJ] = ActionEntry(SHIFT, 51);
   _actionMap[39][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _jumpMap[39][ObjSpec] = 179;
   _actionMap[40][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _jumpMap[40][CounterId] = 180;
   _actionMap[41][KEY] = ActionEntry(SHIFT, 182);
   _actionMap[42][IDENTIFIER] = ActionEntry(SHIFT, 50);
   _actionMap[42][QUALIFIEDOBJ] = ActionEntry(SHIFT, 51);
   _actionMap[42][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _jumpMap[42][ObjSpec] = 183;
   _actionMap[43][IDENTIFIER] = ActionEntry(SHIFT, 50);
   _actionMap[43][QUALIFIEDOBJ] = ActionEntry(SHIFT, 51);
   _actionMap[43][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _jumpMap[43][ObjSpec] = 184;
   _actionMap[44][IDENTIFIER] = ActionEntry(SHIFT, 50);
   _actionMap[44][QUALIFIEDOBJ] = ActionEntry(SHIFT, 51);
}
void Cego::loadParser208()
{
   _actionMap[44][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _jumpMap[44][ObjSpec] = 185;
   _actionMap[45][IDENTIFIER] = ActionEntry(SHIFT, 50);
   _actionMap[45][QUALIFIEDOBJ] = ActionEntry(SHIFT, 51);
   _actionMap[45][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _jumpMap[45][ObjSpec] = 186;
   _actionMap[46][ENDTOKEN] = ActionEntry(ACCEPT, 0);
   _actionMap[47][IDENTIFIER] = ActionEntry(SHIFT, 50);
   _actionMap[47][QUALIFIEDOBJ] = ActionEntry(SHIFT, 51);
   _actionMap[47][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _jumpMap[47][ObjSpec] = 187;
   _actionMap[48][IDENTIFIED] = ActionEntry(SHIFT, 188);
   _actionMap[49][LB] = ActionEntry(SHIFT, 189);
   _actionMap[50][TO] = ActionEntry(REDUCE, 365);
   _actionMap[50][VALUES] = ActionEntry(REDUCE, 365);
   _actionMap[50][SELECT] = ActionEntry(REDUCE, 365);
   _actionMap[50][SET] = ActionEntry(REDUCE, 365);
   _actionMap[50][AS] = ActionEntry(REDUCE, 365);
   _actionMap[50][DROP] = ActionEntry(REDUCE, 365);
   _actionMap[50][MODIFY] = ActionEntry(REDUCE, 365);
   _actionMap[50][RENAME] = ActionEntry(REDUCE, 365);
   _actionMap[50][ADD] = ActionEntry(REDUCE, 365);
   _actionMap[50][JOIN] = ActionEntry(REDUCE, 365);
   _actionMap[50][INNER] = ActionEntry(REDUCE, 365);
   _actionMap[50][RIGHT] = ActionEntry(REDUCE, 365);
   _actionMap[50][LEFT] = ActionEntry(REDUCE, 365);
   _actionMap[50][KSEP] = ActionEntry(REDUCE, 365);
   _actionMap[50][RETURNTOKEN] = ActionEntry(REDUCE, 365);
   _actionMap[50][SEMICOLON] = ActionEntry(REDUCE, 365);
   _actionMap[50][RB] = ActionEntry(REDUCE, 365);
   _actionMap[50][ENDTOKEN] = ActionEntry(REDUCE, 365);
   _actionMap[50][UNION] = ActionEntry(REDUCE, 365);
   _actionMap[50][ROWLIMIT] = ActionEntry(REDUCE, 365);
   _actionMap[50][ORDER] = ActionEntry(REDUCE, 365);
   _actionMap[50][GROUP] = ActionEntry(REDUCE, 365);
   _actionMap[50][WHERE] = ActionEntry(REDUCE, 365);
   _actionMap[50][LB] = ActionEntry(REDUCE, 365);
   _actionMap[50][IDENTIFIER] = ActionEntry(REDUCE, 365);
   _actionMap[50][ON] = ActionEntry(REDUCE, 365);
   _actionMap[51][TO] = ActionEntry(REDUCE, 366);
   _actionMap[51][VALUES] = ActionEntry(REDUCE, 366);
   _actionMap[51][SELECT] = ActionEntry(REDUCE, 366);
   _actionMap[51][SET] = ActionEntry(REDUCE, 366);
   _actionMap[51][AS] = ActionEntry(REDUCE, 366);
   _actionMap[51][DROP] = ActionEntry(REDUCE, 366);
   _actionMap[51][MODIFY] = ActionEntry(REDUCE, 366);
   _actionMap[51][RENAME] = ActionEntry(REDUCE, 366);
   _actionMap[51][ADD] = ActionEntry(REDUCE, 366);
   _actionMap[51][JOIN] = ActionEntry(REDUCE, 366);
   _actionMap[51][INNER] = ActionEntry(REDUCE, 366);
}
void Cego::loadParser209()
{
   _actionMap[51][RIGHT] = ActionEntry(REDUCE, 366);
   _actionMap[51][LEFT] = ActionEntry(REDUCE, 366);
   _actionMap[51][KSEP] = ActionEntry(REDUCE, 366);
   _actionMap[51][RETURNTOKEN] = ActionEntry(REDUCE, 366);
   _actionMap[51][SEMICOLON] = ActionEntry(REDUCE, 366);
   _actionMap[51][RB] = ActionEntry(REDUCE, 366);
   _actionMap[51][ENDTOKEN] = ActionEntry(REDUCE, 366);
   _actionMap[51][UNION] = ActionEntry(REDUCE, 366);
   _actionMap[51][ROWLIMIT] = ActionEntry(REDUCE, 366);
   _actionMap[51][ORDER] = ActionEntry(REDUCE, 366);
   _actionMap[51][GROUP] = ActionEntry(REDUCE, 366);
   _actionMap[51][WHERE] = ActionEntry(REDUCE, 366);
   _actionMap[51][LB] = ActionEntry(REDUCE, 366);
   _actionMap[51][IDENTIFIER] = ActionEntry(REDUCE, 366);
   _actionMap[51][ON] = ActionEntry(REDUCE, 366);
   _actionMap[52][TO] = ActionEntry(REDUCE, 367);
   _actionMap[52][VALUES] = ActionEntry(REDUCE, 367);
   _actionMap[52][SELECT] = ActionEntry(REDUCE, 367);
   _actionMap[52][SET] = ActionEntry(REDUCE, 367);
   _actionMap[52][AS] = ActionEntry(REDUCE, 367);
   _actionMap[52][DROP] = ActionEntry(REDUCE, 367);
   _actionMap[52][MODIFY] = ActionEntry(REDUCE, 367);
   _actionMap[52][RENAME] = ActionEntry(REDUCE, 367);
   _actionMap[52][ADD] = ActionEntry(REDUCE, 367);
   _actionMap[52][JOIN] = ActionEntry(REDUCE, 367);
   _actionMap[52][INNER] = ActionEntry(REDUCE, 367);
   _actionMap[52][RIGHT] = ActionEntry(REDUCE, 367);
   _actionMap[52][LEFT] = ActionEntry(REDUCE, 367);
   _actionMap[52][KSEP] = ActionEntry(REDUCE, 367);
   _actionMap[52][RETURNTOKEN] = ActionEntry(REDUCE, 367);
   _actionMap[52][SEMICOLON] = ActionEntry(REDUCE, 367);
   _actionMap[52][RB] = ActionEntry(REDUCE, 367);
   _actionMap[52][ENDTOKEN] = ActionEntry(REDUCE, 367);
   _actionMap[52][UNION] = ActionEntry(REDUCE, 367);
   _actionMap[52][ROWLIMIT] = ActionEntry(REDUCE, 367);
   _actionMap[52][ORDER] = ActionEntry(REDUCE, 367);
   _actionMap[52][GROUP] = ActionEntry(REDUCE, 367);
   _actionMap[52][WHERE] = ActionEntry(REDUCE, 367);
   _actionMap[52][IDENTIFIER] = ActionEntry(REDUCE, 367);
   _actionMap[52][ON] = ActionEntry(REDUCE, 367);
   _actionMap[52][LB] = ActionEntry(REDUCE, 367);
   _actionMap[53][IDENTIFIER] = ActionEntry(SHIFT, 190);
   _actionMap[54][BEGIN] = ActionEntry(SHIFT, 191);
   _actionMap[55][SEMICOLON] = ActionEntry(REDUCE, 51);
   _actionMap[56][INDEX] = ActionEntry(SHIFT, 194);
   _actionMap[56][BTREE] = ActionEntry(SHIFT, 193);
   _jumpMap[56][IndexType] = 192;
   _actionMap[57][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _jumpMap[57][CounterId] = 195;
   _actionMap[58][INDEX] = ActionEntry(SHIFT, 194);
}
void Cego::loadParser210()
{
   _actionMap[58][BTREE] = ActionEntry(SHIFT, 193);
   _jumpMap[58][IndexType] = 196;
   _actionMap[59][IDENTIFIER] = ActionEntry(SHIFT, 50);
   _actionMap[59][QUALIFIEDOBJ] = ActionEntry(SHIFT, 51);
   _actionMap[59][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _jumpMap[59][ObjSpec] = 197;
   _actionMap[60][IDENTIFIER] = ActionEntry(SHIFT, 50);
   _actionMap[60][QUALIFIEDOBJ] = ActionEntry(SHIFT, 51);
   _actionMap[60][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _jumpMap[60][ObjSpec] = 198;
   _actionMap[61][INDEX] = ActionEntry(REDUCE, 183);
   _actionMap[61][BTREE] = ActionEntry(REDUCE, 183);
   _actionMap[62][IDENTIFIER] = ActionEntry(SHIFT, 50);
   _actionMap[62][QUALIFIEDOBJ] = ActionEntry(SHIFT, 51);
   _actionMap[62][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _jumpMap[62][ObjSpec] = 199;
   _actionMap[63][IDENTIFIER] = ActionEntry(SHIFT, 50);
   _actionMap[63][QUALIFIEDOBJ] = ActionEntry(SHIFT, 51);
   _actionMap[63][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _jumpMap[63][ObjSpec] = 200;
   _actionMap[64][IDENTIFIER] = ActionEntry(SHIFT, 50);
   _actionMap[64][QUALIFIEDOBJ] = ActionEntry(SHIFT, 51);
   _actionMap[64][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _jumpMap[64][ObjSpec] = 201;
   _actionMap[65][IDENTIFIER] = ActionEntry(SHIFT, 50);
   _actionMap[65][QUALIFIEDOBJ] = ActionEntry(SHIFT, 51);
   _actionMap[65][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _jumpMap[65][ObjSpec] = 202;
   _actionMap[66][KEY] = ActionEntry(SHIFT, 203);
   _actionMap[67][IDENTIFIER] = ActionEntry(SHIFT, 50);
   _actionMap[67][QUALIFIEDOBJ] = ActionEntry(SHIFT, 51);
   _actionMap[67][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _jumpMap[67][ObjSpec] = 204;
   _actionMap[68][IDENTIFIER] = ActionEntry(SHIFT, 50);
   _actionMap[68][QUALIFIEDOBJ] = ActionEntry(SHIFT, 51);
   _actionMap[68][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _jumpMap[68][ObjSpec] = 205;
   _actionMap[69][IDENTIFIER] = ActionEntry(SHIFT, 50);
   _actionMap[69][QUALIFIEDOBJ] = ActionEntry(SHIFT, 51);
   _actionMap[69][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _jumpMap[69][ObjSpec] = 206;
   _actionMap[70][IDENTIFIER] = ActionEntry(SHIFT, 50);
   _actionMap[70][QUALIFIEDOBJ] = ActionEntry(SHIFT, 51);
   _actionMap[70][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _jumpMap[70][ObjSpec] = 207;
   _actionMap[71][EXISTS] = ActionEntry(SHIFT, 208);
   _actionMap[72][IDENTIFIER] = ActionEntry(SHIFT, 50);
   _actionMap[72][QUALIFIEDOBJ] = ActionEntry(SHIFT, 51);
   _actionMap[72][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _jumpMap[72][ObjSpec] = 209;
}
void Cego::loadParser211()
{
   _actionMap[73][IDENTIFIER] = ActionEntry(SHIFT, 210);
   _actionMap[73][SEMICOLON] = ActionEntry(REDUCE, 76);
   _actionMap[74][IDENTIFIER] = ActionEntry(REDUCE, 78);
   _actionMap[74][SEMICOLON] = ActionEntry(REDUCE, 78);
   _actionMap[75][FOR] = ActionEntry(SHIFT, 212);
   _actionMap[75][SEMICOLON] = ActionEntry(REDUCE, 14);
   _jumpMap[75][TableSetOpt] = 211;
   _actionMap[76][FOR] = ActionEntry(SHIFT, 212);
   _actionMap[76][SEMICOLON] = ActionEntry(REDUCE, 14);
   _jumpMap[76][TableSetOpt] = 213;
   _actionMap[77][FOR] = ActionEntry(SHIFT, 212);
   _actionMap[77][SEMICOLON] = ActionEntry(REDUCE, 14);
   _jumpMap[77][TableSetOpt] = 214;
   _actionMap[78][FOR] = ActionEntry(SHIFT, 212);
   _actionMap[78][SEMICOLON] = ActionEntry(REDUCE, 14);
   _jumpMap[78][TableSetOpt] = 215;
   _actionMap[79][FOR] = ActionEntry(SHIFT, 212);
   _actionMap[79][SEMICOLON] = ActionEntry(REDUCE, 14);
   _jumpMap[79][TableSetOpt] = 216;
   _actionMap[80][FOR] = ActionEntry(SHIFT, 212);
   _actionMap[80][SEMICOLON] = ActionEntry(REDUCE, 14);
   _jumpMap[80][TableSetOpt] = 217;
   _actionMap[81][FOR] = ActionEntry(SHIFT, 212);
   _actionMap[81][SEMICOLON] = ActionEntry(REDUCE, 14);
   _jumpMap[81][TableSetOpt] = 218;
   _actionMap[82][FOR] = ActionEntry(SHIFT, 212);
   _actionMap[82][SEMICOLON] = ActionEntry(REDUCE, 14);
   _jumpMap[82][TableSetOpt] = 219;
   _actionMap[83][SEMICOLON] = ActionEntry(REDUCE, 2);
   _actionMap[84][FOR] = ActionEntry(SHIFT, 212);
   _actionMap[84][SEMICOLON] = ActionEntry(REDUCE, 14);
   _jumpMap[84][TableSetOpt] = 220;
   _actionMap[85][FOR] = ActionEntry(SHIFT, 212);
   _actionMap[85][SEMICOLON] = ActionEntry(REDUCE, 14);
   _jumpMap[85][TableSetOpt] = 221;
   _actionMap[86][SEMICOLON] = ActionEntry(REDUCE, 52);
   _actionMap[87][IDENTIFIER] = ActionEntry(SHIFT, 50);
   _actionMap[87][QUALIFIEDOBJ] = ActionEntry(SHIFT, 51);
   _actionMap[87][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _jumpMap[87][ObjSpec] = 222;
   _actionMap[88][SEMICOLON] = ActionEntry(REDUCE, 43);
   _actionMap[89][PLUS] = ActionEntry(SHIFT, 225);
   _actionMap[89][MINUS] = ActionEntry(SHIFT, 224);
   _actionMap[89][CONCAT] = ActionEntry(SHIFT, 223);
   _actionMap[89][SEMICOLON] = ActionEntry(REDUCE, 70);
   _actionMap[90][STAR] = ActionEntry(SHIFT, 226);
   _actionMap[90][DIVISION] = ActionEntry(SHIFT, 227);
   _actionMap[90][WHEN] = ActionEntry(REDUCE, 142);
   _actionMap[90][ELSE] = ActionEntry(REDUCE, 142);
   _actionMap[90][LEFT] = ActionEntry(REDUCE, 142);
}
void Cego::loadParser212()
{
   _actionMap[90][RIGHT] = ActionEntry(REDUCE, 142);
   _actionMap[90][INNER] = ActionEntry(REDUCE, 142);
   _actionMap[90][JOIN] = ActionEntry(REDUCE, 142);
   _actionMap[90][RETURNTOKEN] = ActionEntry(REDUCE, 142);
   _actionMap[90][ORDER] = ActionEntry(REDUCE, 142);
   _actionMap[90][GROUP] = ActionEntry(REDUCE, 142);
   _actionMap[90][WHERE] = ActionEntry(REDUCE, 142);
   _actionMap[90][BEGIN] = ActionEntry(REDUCE, 142);
   _actionMap[90][THEN] = ActionEntry(REDUCE, 142);
   _actionMap[90][OR] = ActionEntry(REDUCE, 142);
   _actionMap[90][AS] = ActionEntry(REDUCE, 142);
   _actionMap[90][FROM] = ActionEntry(REDUCE, 142);
   _actionMap[90][END_TOKEN] = ActionEntry(REDUCE, 142);
   _actionMap[90][AND] = ActionEntry(REDUCE, 142);
   _actionMap[90][LIKE] = ActionEntry(REDUCE, 142);
   _actionMap[90][IS] = ActionEntry(REDUCE, 142);
   _actionMap[90][BETWEEN] = ActionEntry(REDUCE, 142);
   _actionMap[90][NOT] = ActionEntry(REDUCE, 142);
   _actionMap[90][INTOK] = ActionEntry(REDUCE, 142);
   _actionMap[90][EQU] = ActionEntry(REDUCE, 142);
   _actionMap[90][NEGATION] = ActionEntry(REDUCE, 142);
   _actionMap[90][LT] = ActionEntry(REDUCE, 142);
   _actionMap[90][MT] = ActionEntry(REDUCE, 142);
   _actionMap[90][DESC] = ActionEntry(REDUCE, 142);
   _actionMap[90][ASC] = ActionEntry(REDUCE, 142);
   _actionMap[90][KSEP] = ActionEntry(REDUCE, 142);
   _actionMap[90][ROWLIMIT] = ActionEntry(REDUCE, 142);
   _actionMap[90][UNION] = ActionEntry(REDUCE, 142);
   _actionMap[90][ENDTOKEN] = ActionEntry(REDUCE, 142);
   _actionMap[90][RB] = ActionEntry(REDUCE, 142);
   _actionMap[90][SEMICOLON] = ActionEntry(REDUCE, 142);
   _actionMap[90][CONCAT] = ActionEntry(REDUCE, 142);
   _actionMap[90][MINUS] = ActionEntry(REDUCE, 142);
   _actionMap[90][PLUS] = ActionEntry(REDUCE, 142);
   _actionMap[91][WHEN] = ActionEntry(REDUCE, 146);
   _actionMap[91][ELSE] = ActionEntry(REDUCE, 146);
   _actionMap[91][LEFT] = ActionEntry(REDUCE, 146);
   _actionMap[91][RIGHT] = ActionEntry(REDUCE, 146);
   _actionMap[91][INNER] = ActionEntry(REDUCE, 146);
   _actionMap[91][JOIN] = ActionEntry(REDUCE, 146);
   _actionMap[91][RETURNTOKEN] = ActionEntry(REDUCE, 146);
   _actionMap[91][ORDER] = ActionEntry(REDUCE, 146);
   _actionMap[91][GROUP] = ActionEntry(REDUCE, 146);
   _actionMap[91][WHERE] = ActionEntry(REDUCE, 146);
   _actionMap[91][BEGIN] = ActionEntry(REDUCE, 146);
   _actionMap[91][THEN] = ActionEntry(REDUCE, 146);
   _actionMap[91][OR] = ActionEntry(REDUCE, 146);
   _actionMap[91][FROM] = ActionEntry(REDUCE, 146);
   _actionMap[91][AS] = ActionEntry(REDUCE, 146);
   _actionMap[91][END_TOKEN] = ActionEntry(REDUCE, 146);
}
void Cego::loadParser213()
{
   _actionMap[91][AND] = ActionEntry(REDUCE, 146);
   _actionMap[91][INTOK] = ActionEntry(REDUCE, 146);
   _actionMap[91][NOT] = ActionEntry(REDUCE, 146);
   _actionMap[91][BETWEEN] = ActionEntry(REDUCE, 146);
   _actionMap[91][IS] = ActionEntry(REDUCE, 146);
   _actionMap[91][LIKE] = ActionEntry(REDUCE, 146);
   _actionMap[91][MT] = ActionEntry(REDUCE, 146);
   _actionMap[91][LT] = ActionEntry(REDUCE, 146);
   _actionMap[91][NEGATION] = ActionEntry(REDUCE, 146);
   _actionMap[91][EQU] = ActionEntry(REDUCE, 146);
   _actionMap[91][RB] = ActionEntry(REDUCE, 146);
   _actionMap[91][ENDTOKEN] = ActionEntry(REDUCE, 146);
   _actionMap[91][UNION] = ActionEntry(REDUCE, 146);
   _actionMap[91][ROWLIMIT] = ActionEntry(REDUCE, 146);
   _actionMap[91][KSEP] = ActionEntry(REDUCE, 146);
   _actionMap[91][ASC] = ActionEntry(REDUCE, 146);
   _actionMap[91][DESC] = ActionEntry(REDUCE, 146);
   _actionMap[91][SEMICOLON] = ActionEntry(REDUCE, 146);
   _actionMap[91][PLUS] = ActionEntry(REDUCE, 146);
   _actionMap[91][MINUS] = ActionEntry(REDUCE, 146);
   _actionMap[91][DIVISION] = ActionEntry(REDUCE, 146);
   _actionMap[91][STAR] = ActionEntry(REDUCE, 146);
   _actionMap[91][CONCAT] = ActionEntry(REDUCE, 146);
   _actionMap[92][WHEN] = ActionEntry(REDUCE, 154);
   _actionMap[92][ELSE] = ActionEntry(REDUCE, 154);
   _actionMap[92][LEFT] = ActionEntry(REDUCE, 154);
   _actionMap[92][RIGHT] = ActionEntry(REDUCE, 154);
   _actionMap[92][INNER] = ActionEntry(REDUCE, 154);
   _actionMap[92][JOIN] = ActionEntry(REDUCE, 154);
   _actionMap[92][RETURNTOKEN] = ActionEntry(REDUCE, 154);
   _actionMap[92][ORDER] = ActionEntry(REDUCE, 154);
   _actionMap[92][GROUP] = ActionEntry(REDUCE, 154);
   _actionMap[92][WHERE] = ActionEntry(REDUCE, 154);
   _actionMap[92][BEGIN] = ActionEntry(REDUCE, 154);
   _actionMap[92][THEN] = ActionEntry(REDUCE, 154);
   _actionMap[92][OR] = ActionEntry(REDUCE, 154);
   _actionMap[92][AS] = ActionEntry(REDUCE, 154);
   _actionMap[92][FROM] = ActionEntry(REDUCE, 154);
   _actionMap[92][END_TOKEN] = ActionEntry(REDUCE, 154);
   _actionMap[92][AND] = ActionEntry(REDUCE, 154);
   _actionMap[92][LIKE] = ActionEntry(REDUCE, 154);
   _actionMap[92][IS] = ActionEntry(REDUCE, 154);
   _actionMap[92][BETWEEN] = ActionEntry(REDUCE, 154);
   _actionMap[92][NOT] = ActionEntry(REDUCE, 154);
   _actionMap[92][INTOK] = ActionEntry(REDUCE, 154);
   _actionMap[92][EQU] = ActionEntry(REDUCE, 154);
   _actionMap[92][NEGATION] = ActionEntry(REDUCE, 154);
   _actionMap[92][LT] = ActionEntry(REDUCE, 154);
   _actionMap[92][MT] = ActionEntry(REDUCE, 154);
   _actionMap[92][DESC] = ActionEntry(REDUCE, 154);
}
void Cego::loadParser214()
{
   _actionMap[92][ASC] = ActionEntry(REDUCE, 154);
   _actionMap[92][KSEP] = ActionEntry(REDUCE, 154);
   _actionMap[92][ROWLIMIT] = ActionEntry(REDUCE, 154);
   _actionMap[92][UNION] = ActionEntry(REDUCE, 154);
   _actionMap[92][ENDTOKEN] = ActionEntry(REDUCE, 154);
   _actionMap[92][RB] = ActionEntry(REDUCE, 154);
   _actionMap[92][SEMICOLON] = ActionEntry(REDUCE, 154);
   _actionMap[92][CONCAT] = ActionEntry(REDUCE, 154);
   _actionMap[92][STAR] = ActionEntry(REDUCE, 154);
   _actionMap[92][DIVISION] = ActionEntry(REDUCE, 154);
   _actionMap[92][MINUS] = ActionEntry(REDUCE, 154);
   _actionMap[92][PLUS] = ActionEntry(REDUCE, 154);
   _actionMap[93][WHEN] = ActionEntry(SHIFT, 230);
   _jumpMap[93][CaseCondition] = 229;
   _jumpMap[93][CaseConditionList] = 228;
   _actionMap[94][WHEN] = ActionEntry(REDUCE, 151);
   _actionMap[94][ELSE] = ActionEntry(REDUCE, 151);
   _actionMap[94][LEFT] = ActionEntry(REDUCE, 151);
   _actionMap[94][RIGHT] = ActionEntry(REDUCE, 151);
   _actionMap[94][INNER] = ActionEntry(REDUCE, 151);
   _actionMap[94][JOIN] = ActionEntry(REDUCE, 151);
   _actionMap[94][RETURNTOKEN] = ActionEntry(REDUCE, 151);
   _actionMap[94][ORDER] = ActionEntry(REDUCE, 151);
   _actionMap[94][GROUP] = ActionEntry(REDUCE, 151);
   _actionMap[94][WHERE] = ActionEntry(REDUCE, 151);
   _actionMap[94][BEGIN] = ActionEntry(REDUCE, 151);
   _actionMap[94][THEN] = ActionEntry(REDUCE, 151);
   _actionMap[94][OR] = ActionEntry(REDUCE, 151);
   _actionMap[94][AS] = ActionEntry(REDUCE, 151);
   _actionMap[94][FROM] = ActionEntry(REDUCE, 151);
   _actionMap[94][END_TOKEN] = ActionEntry(REDUCE, 151);
   _actionMap[94][AND] = ActionEntry(REDUCE, 151);
   _actionMap[94][LIKE] = ActionEntry(REDUCE, 151);
   _actionMap[94][IS] = ActionEntry(REDUCE, 151);
   _actionMap[94][BETWEEN] = ActionEntry(REDUCE, 151);
   _actionMap[94][NOT] = ActionEntry(REDUCE, 151);
   _actionMap[94][INTOK] = ActionEntry(REDUCE, 151);
   _actionMap[94][EQU] = ActionEntry(REDUCE, 151);
   _actionMap[94][NEGATION] = ActionEntry(REDUCE, 151);
   _actionMap[94][LT] = ActionEntry(REDUCE, 151);
   _actionMap[94][MT] = ActionEntry(REDUCE, 151);
   _actionMap[94][DESC] = ActionEntry(REDUCE, 151);
   _actionMap[94][ASC] = ActionEntry(REDUCE, 151);
   _actionMap[94][KSEP] = ActionEntry(REDUCE, 151);
   _actionMap[94][ROWLIMIT] = ActionEntry(REDUCE, 151);
   _actionMap[94][UNION] = ActionEntry(REDUCE, 151);
   _actionMap[94][ENDTOKEN] = ActionEntry(REDUCE, 151);
   _actionMap[94][RB] = ActionEntry(REDUCE, 151);
   _actionMap[94][SEMICOLON] = ActionEntry(REDUCE, 151);
   _actionMap[94][CONCAT] = ActionEntry(REDUCE, 151);
}
void Cego::loadParser215()
{
   _actionMap[94][STAR] = ActionEntry(REDUCE, 151);
   _actionMap[94][DIVISION] = ActionEntry(REDUCE, 151);
   _actionMap[94][MINUS] = ActionEntry(REDUCE, 151);
   _actionMap[94][PLUS] = ActionEntry(REDUCE, 151);
   _actionMap[95][WHEN] = ActionEntry(REDUCE, 150);
   _actionMap[95][ELSE] = ActionEntry(REDUCE, 150);
   _actionMap[95][LEFT] = ActionEntry(REDUCE, 150);
   _actionMap[95][RIGHT] = ActionEntry(REDUCE, 150);
   _actionMap[95][INNER] = ActionEntry(REDUCE, 150);
   _actionMap[95][JOIN] = ActionEntry(REDUCE, 150);
   _actionMap[95][RETURNTOKEN] = ActionEntry(REDUCE, 150);
   _actionMap[95][ORDER] = ActionEntry(REDUCE, 150);
   _actionMap[95][GROUP] = ActionEntry(REDUCE, 150);
   _actionMap[95][WHERE] = ActionEntry(REDUCE, 150);
   _actionMap[95][AS] = ActionEntry(REDUCE, 150);
   _actionMap[95][FROM] = ActionEntry(REDUCE, 150);
   _actionMap[95][END_TOKEN] = ActionEntry(REDUCE, 150);
   _actionMap[95][BEGIN] = ActionEntry(REDUCE, 150);
   _actionMap[95][THEN] = ActionEntry(REDUCE, 150);
   _actionMap[95][OR] = ActionEntry(REDUCE, 150);
   _actionMap[95][AND] = ActionEntry(REDUCE, 150);
   _actionMap[95][LIKE] = ActionEntry(REDUCE, 150);
   _actionMap[95][IS] = ActionEntry(REDUCE, 150);
   _actionMap[95][BETWEEN] = ActionEntry(REDUCE, 150);
   _actionMap[95][NOT] = ActionEntry(REDUCE, 150);
   _actionMap[95][INTOK] = ActionEntry(REDUCE, 150);
   _actionMap[95][EQU] = ActionEntry(REDUCE, 150);
   _actionMap[95][NEGATION] = ActionEntry(REDUCE, 150);
   _actionMap[95][LT] = ActionEntry(REDUCE, 150);
   _actionMap[95][MT] = ActionEntry(REDUCE, 150);
   _actionMap[95][DESC] = ActionEntry(REDUCE, 150);
   _actionMap[95][ASC] = ActionEntry(REDUCE, 150);
   _actionMap[95][KSEP] = ActionEntry(REDUCE, 150);
   _actionMap[95][ROWLIMIT] = ActionEntry(REDUCE, 150);
   _actionMap[95][UNION] = ActionEntry(REDUCE, 150);
   _actionMap[95][ENDTOKEN] = ActionEntry(REDUCE, 150);
   _actionMap[95][RB] = ActionEntry(REDUCE, 150);
   _actionMap[95][SEMICOLON] = ActionEntry(REDUCE, 150);
   _actionMap[95][CONCAT] = ActionEntry(REDUCE, 150);
   _actionMap[95][STAR] = ActionEntry(REDUCE, 150);
   _actionMap[95][DIVISION] = ActionEntry(REDUCE, 150);
   _actionMap[95][MINUS] = ActionEntry(REDUCE, 150);
   _actionMap[95][PLUS] = ActionEntry(REDUCE, 150);
   _actionMap[96][WHEN] = ActionEntry(REDUCE, 347);
   _actionMap[96][ELSE] = ActionEntry(REDUCE, 347);
   _actionMap[96][LEFT] = ActionEntry(REDUCE, 347);
   _actionMap[96][RIGHT] = ActionEntry(REDUCE, 347);
   _actionMap[96][INNER] = ActionEntry(REDUCE, 347);
   _actionMap[96][JOIN] = ActionEntry(REDUCE, 347);
   _actionMap[96][RETURNTOKEN] = ActionEntry(REDUCE, 347);
}
void Cego::loadParser216()
{
   _actionMap[96][ORDER] = ActionEntry(REDUCE, 347);
   _actionMap[96][GROUP] = ActionEntry(REDUCE, 347);
   _actionMap[96][WHERE] = ActionEntry(REDUCE, 347);
   _actionMap[96][NULLTOKEN] = ActionEntry(REDUCE, 347);
   _actionMap[96][FROM] = ActionEntry(REDUCE, 347);
   _actionMap[96][AS] = ActionEntry(REDUCE, 347);
   _actionMap[96][END_TOKEN] = ActionEntry(REDUCE, 347);
   _actionMap[96][BEGIN] = ActionEntry(REDUCE, 347);
   _actionMap[96][THEN] = ActionEntry(REDUCE, 347);
   _actionMap[96][OR] = ActionEntry(REDUCE, 347);
   _actionMap[96][AND] = ActionEntry(REDUCE, 347);
   _actionMap[96][INTOK] = ActionEntry(REDUCE, 347);
   _actionMap[96][NOT] = ActionEntry(REDUCE, 347);
   _actionMap[96][BETWEEN] = ActionEntry(REDUCE, 347);
   _actionMap[96][IS] = ActionEntry(REDUCE, 347);
   _actionMap[96][LIKE] = ActionEntry(REDUCE, 347);
   _actionMap[96][MT] = ActionEntry(REDUCE, 347);
   _actionMap[96][LT] = ActionEntry(REDUCE, 347);
   _actionMap[96][NEGATION] = ActionEntry(REDUCE, 347);
   _actionMap[96][EQU] = ActionEntry(REDUCE, 347);
   _actionMap[96][RB] = ActionEntry(REDUCE, 347);
   _actionMap[96][ENDTOKEN] = ActionEntry(REDUCE, 347);
   _actionMap[96][UNION] = ActionEntry(REDUCE, 347);
   _actionMap[96][ROWLIMIT] = ActionEntry(REDUCE, 347);
   _actionMap[96][KSEP] = ActionEntry(REDUCE, 347);
   _actionMap[96][ASC] = ActionEntry(REDUCE, 347);
   _actionMap[96][DESC] = ActionEntry(REDUCE, 347);
   _actionMap[96][SEMICOLON] = ActionEntry(REDUCE, 347);
   _actionMap[96][PLUS] = ActionEntry(REDUCE, 347);
   _actionMap[96][MINUS] = ActionEntry(REDUCE, 347);
   _actionMap[96][DIVISION] = ActionEntry(REDUCE, 347);
   _actionMap[96][STAR] = ActionEntry(REDUCE, 347);
   _actionMap[96][CONCAT] = ActionEntry(REDUCE, 347);
   _actionMap[97][WHEN] = ActionEntry(REDUCE, 353);
   _actionMap[97][ELSE] = ActionEntry(REDUCE, 353);
   _actionMap[97][LEFT] = ActionEntry(REDUCE, 353);
   _actionMap[97][RIGHT] = ActionEntry(REDUCE, 353);
   _actionMap[97][INNER] = ActionEntry(REDUCE, 353);
   _actionMap[97][JOIN] = ActionEntry(REDUCE, 353);
   _actionMap[97][RETURNTOKEN] = ActionEntry(REDUCE, 353);
   _actionMap[97][ORDER] = ActionEntry(REDUCE, 353);
   _actionMap[97][GROUP] = ActionEntry(REDUCE, 353);
   _actionMap[97][WHERE] = ActionEntry(REDUCE, 353);
   _actionMap[97][NULLTOKEN] = ActionEntry(REDUCE, 353);
   _actionMap[97][FROM] = ActionEntry(REDUCE, 353);
   _actionMap[97][AS] = ActionEntry(REDUCE, 353);
   _actionMap[97][END_TOKEN] = ActionEntry(REDUCE, 353);
   _actionMap[97][BEGIN] = ActionEntry(REDUCE, 353);
   _actionMap[97][THEN] = ActionEntry(REDUCE, 353);
   _actionMap[97][OR] = ActionEntry(REDUCE, 353);
}
void Cego::loadParser217()
{
   _actionMap[97][AND] = ActionEntry(REDUCE, 353);
   _actionMap[97][INTOK] = ActionEntry(REDUCE, 353);
   _actionMap[97][NOT] = ActionEntry(REDUCE, 353);
   _actionMap[97][BETWEEN] = ActionEntry(REDUCE, 353);
   _actionMap[97][IS] = ActionEntry(REDUCE, 353);
   _actionMap[97][LIKE] = ActionEntry(REDUCE, 353);
   _actionMap[97][MT] = ActionEntry(REDUCE, 353);
   _actionMap[97][LT] = ActionEntry(REDUCE, 353);
   _actionMap[97][NEGATION] = ActionEntry(REDUCE, 353);
   _actionMap[97][EQU] = ActionEntry(REDUCE, 353);
   _actionMap[97][RB] = ActionEntry(REDUCE, 353);
   _actionMap[97][ENDTOKEN] = ActionEntry(REDUCE, 353);
   _actionMap[97][UNION] = ActionEntry(REDUCE, 353);
   _actionMap[97][ROWLIMIT] = ActionEntry(REDUCE, 353);
   _actionMap[97][KSEP] = ActionEntry(REDUCE, 353);
   _actionMap[97][ASC] = ActionEntry(REDUCE, 353);
   _actionMap[97][DESC] = ActionEntry(REDUCE, 353);
   _actionMap[97][SEMICOLON] = ActionEntry(REDUCE, 353);
   _actionMap[97][PLUS] = ActionEntry(REDUCE, 353);
   _actionMap[97][MINUS] = ActionEntry(REDUCE, 353);
   _actionMap[97][DIVISION] = ActionEntry(REDUCE, 353);
   _actionMap[97][STAR] = ActionEntry(REDUCE, 353);
   _actionMap[97][CONCAT] = ActionEntry(REDUCE, 353);
   _actionMap[98][WHEN] = ActionEntry(REDUCE, 148);
   _actionMap[98][ELSE] = ActionEntry(REDUCE, 148);
   _actionMap[98][LEFT] = ActionEntry(REDUCE, 148);
   _actionMap[98][RIGHT] = ActionEntry(REDUCE, 148);
   _actionMap[98][INNER] = ActionEntry(REDUCE, 148);
   _actionMap[98][JOIN] = ActionEntry(REDUCE, 148);
   _actionMap[98][RETURNTOKEN] = ActionEntry(REDUCE, 148);
   _actionMap[98][ORDER] = ActionEntry(REDUCE, 148);
   _actionMap[98][GROUP] = ActionEntry(REDUCE, 148);
   _actionMap[98][WHERE] = ActionEntry(REDUCE, 148);
   _actionMap[98][AS] = ActionEntry(REDUCE, 148);
   _actionMap[98][FROM] = ActionEntry(REDUCE, 148);
   _actionMap[98][END_TOKEN] = ActionEntry(REDUCE, 148);
   _actionMap[98][BEGIN] = ActionEntry(REDUCE, 148);
   _actionMap[98][THEN] = ActionEntry(REDUCE, 148);
   _actionMap[98][OR] = ActionEntry(REDUCE, 148);
   _actionMap[98][AND] = ActionEntry(REDUCE, 148);
   _actionMap[98][LIKE] = ActionEntry(REDUCE, 148);
   _actionMap[98][IS] = ActionEntry(REDUCE, 148);
   _actionMap[98][BETWEEN] = ActionEntry(REDUCE, 148);
   _actionMap[98][NOT] = ActionEntry(REDUCE, 148);
   _actionMap[98][INTOK] = ActionEntry(REDUCE, 148);
   _actionMap[98][EQU] = ActionEntry(REDUCE, 148);
   _actionMap[98][NEGATION] = ActionEntry(REDUCE, 148);
   _actionMap[98][LT] = ActionEntry(REDUCE, 148);
   _actionMap[98][MT] = ActionEntry(REDUCE, 148);
   _actionMap[98][DESC] = ActionEntry(REDUCE, 148);
}
void Cego::loadParser218()
{
   _actionMap[98][ASC] = ActionEntry(REDUCE, 148);
   _actionMap[98][KSEP] = ActionEntry(REDUCE, 148);
   _actionMap[98][ROWLIMIT] = ActionEntry(REDUCE, 148);
   _actionMap[98][UNION] = ActionEntry(REDUCE, 148);
   _actionMap[98][ENDTOKEN] = ActionEntry(REDUCE, 148);
   _actionMap[98][RB] = ActionEntry(REDUCE, 148);
   _actionMap[98][SEMICOLON] = ActionEntry(REDUCE, 148);
   _actionMap[98][CONCAT] = ActionEntry(REDUCE, 148);
   _actionMap[98][STAR] = ActionEntry(REDUCE, 148);
   _actionMap[98][DIVISION] = ActionEntry(REDUCE, 148);
   _actionMap[98][MINUS] = ActionEntry(REDUCE, 148);
   _actionMap[98][PLUS] = ActionEntry(REDUCE, 148);
   _actionMap[99][LB] = ActionEntry(SHIFT, 231);
   _actionMap[100][WHEN] = ActionEntry(REDUCE, 352);
   _actionMap[100][ELSE] = ActionEntry(REDUCE, 352);
   _actionMap[100][LEFT] = ActionEntry(REDUCE, 352);
   _actionMap[100][RIGHT] = ActionEntry(REDUCE, 352);
   _actionMap[100][INNER] = ActionEntry(REDUCE, 352);
   _actionMap[100][JOIN] = ActionEntry(REDUCE, 352);
   _actionMap[100][RETURNTOKEN] = ActionEntry(REDUCE, 352);
   _actionMap[100][ORDER] = ActionEntry(REDUCE, 352);
   _actionMap[100][GROUP] = ActionEntry(REDUCE, 352);
   _actionMap[100][WHERE] = ActionEntry(REDUCE, 352);
   _actionMap[100][NULLTOKEN] = ActionEntry(REDUCE, 352);
   _actionMap[100][FROM] = ActionEntry(REDUCE, 352);
   _actionMap[100][AS] = ActionEntry(REDUCE, 352);
   _actionMap[100][END_TOKEN] = ActionEntry(REDUCE, 352);
   _actionMap[100][BEGIN] = ActionEntry(REDUCE, 352);
   _actionMap[100][THEN] = ActionEntry(REDUCE, 352);
   _actionMap[100][OR] = ActionEntry(REDUCE, 352);
   _actionMap[100][AND] = ActionEntry(REDUCE, 352);
   _actionMap[100][INTOK] = ActionEntry(REDUCE, 352);
   _actionMap[100][NOT] = ActionEntry(REDUCE, 352);
   _actionMap[100][BETWEEN] = ActionEntry(REDUCE, 352);
   _actionMap[100][IS] = ActionEntry(REDUCE, 352);
   _actionMap[100][LIKE] = ActionEntry(REDUCE, 352);
   _actionMap[100][MT] = ActionEntry(REDUCE, 352);
   _actionMap[100][LT] = ActionEntry(REDUCE, 352);
   _actionMap[100][NEGATION] = ActionEntry(REDUCE, 352);
   _actionMap[100][EQU] = ActionEntry(REDUCE, 352);
   _actionMap[100][RB] = ActionEntry(REDUCE, 352);
   _actionMap[100][ENDTOKEN] = ActionEntry(REDUCE, 352);
   _actionMap[100][UNION] = ActionEntry(REDUCE, 352);
   _actionMap[100][ROWLIMIT] = ActionEntry(REDUCE, 352);
   _actionMap[100][KSEP] = ActionEntry(REDUCE, 352);
   _actionMap[100][ASC] = ActionEntry(REDUCE, 352);
   _actionMap[100][DESC] = ActionEntry(REDUCE, 352);
   _actionMap[100][SEMICOLON] = ActionEntry(REDUCE, 352);
   _actionMap[100][PLUS] = ActionEntry(REDUCE, 352);
   _actionMap[100][MINUS] = ActionEntry(REDUCE, 352);
}
void Cego::loadParser219()
{
   _actionMap[100][DIVISION] = ActionEntry(REDUCE, 352);
   _actionMap[100][STAR] = ActionEntry(REDUCE, 352);
   _actionMap[100][CONCAT] = ActionEntry(REDUCE, 352);
   _actionMap[101][LB] = ActionEntry(SHIFT, 232);
   _actionMap[102][LB] = ActionEntry(SHIFT, 233);
   _actionMap[103][LB] = ActionEntry(SHIFT, 234);
   _actionMap[104][LB] = ActionEntry(SHIFT, 235);
   _actionMap[105][WHEN] = ActionEntry(REDUCE, 165);
   _actionMap[106][LB] = ActionEntry(SHIFT, 236);
   _actionMap[107][LB] = ActionEntry(SHIFT, 237);
   _actionMap[108][LB] = ActionEntry(SHIFT, 238);
   _actionMap[109][LB] = ActionEntry(SHIFT, 239);
   _actionMap[110][LB] = ActionEntry(SHIFT, 240);
   _actionMap[111][WHEN] = ActionEntry(REDUCE, 361);
   _actionMap[111][ELSE] = ActionEntry(REDUCE, 361);
   _actionMap[111][LEFT] = ActionEntry(REDUCE, 361);
   _actionMap[111][RIGHT] = ActionEntry(REDUCE, 361);
   _actionMap[111][INNER] = ActionEntry(REDUCE, 361);
   _actionMap[111][JOIN] = ActionEntry(REDUCE, 361);
   _actionMap[111][RETURNTOKEN] = ActionEntry(REDUCE, 361);
   _actionMap[111][ORDER] = ActionEntry(REDUCE, 361);
   _actionMap[111][GROUP] = ActionEntry(REDUCE, 361);
   _actionMap[111][WHERE] = ActionEntry(REDUCE, 361);
   _actionMap[111][FROM] = ActionEntry(REDUCE, 361);
   _actionMap[111][AS] = ActionEntry(REDUCE, 361);
   _actionMap[111][END_TOKEN] = ActionEntry(REDUCE, 361);
   _actionMap[111][BEGIN] = ActionEntry(REDUCE, 361);
   _actionMap[111][THEN] = ActionEntry(REDUCE, 361);
   _actionMap[111][OR] = ActionEntry(REDUCE, 361);
   _actionMap[111][AND] = ActionEntry(REDUCE, 361);
   _actionMap[111][NULLTOKEN] = ActionEntry(REDUCE, 361);
   _actionMap[111][INTOK] = ActionEntry(REDUCE, 361);
   _actionMap[111][NOT] = ActionEntry(REDUCE, 361);
   _actionMap[111][BETWEEN] = ActionEntry(REDUCE, 361);
   _actionMap[111][IS] = ActionEntry(REDUCE, 361);
   _actionMap[111][LIKE] = ActionEntry(REDUCE, 361);
   _actionMap[111][MT] = ActionEntry(REDUCE, 361);
   _actionMap[111][LT] = ActionEntry(REDUCE, 361);
   _actionMap[111][NEGATION] = ActionEntry(REDUCE, 361);
   _actionMap[111][EQU] = ActionEntry(REDUCE, 361);
   _actionMap[111][RB] = ActionEntry(REDUCE, 361);
   _actionMap[111][ENDTOKEN] = ActionEntry(REDUCE, 361);
   _actionMap[111][UNION] = ActionEntry(REDUCE, 361);
   _actionMap[111][ROWLIMIT] = ActionEntry(REDUCE, 361);
   _actionMap[111][KSEP] = ActionEntry(REDUCE, 361);
   _actionMap[111][ASC] = ActionEntry(REDUCE, 361);
   _actionMap[111][DESC] = ActionEntry(REDUCE, 361);
   _actionMap[111][SEMICOLON] = ActionEntry(REDUCE, 361);
   _actionMap[111][PLUS] = ActionEntry(REDUCE, 361);
   _actionMap[111][MINUS] = ActionEntry(REDUCE, 361);
}
void Cego::loadParser220()
{
   _actionMap[111][DIVISION] = ActionEntry(REDUCE, 361);
   _actionMap[111][STAR] = ActionEntry(REDUCE, 361);
   _actionMap[111][CONCAT] = ActionEntry(REDUCE, 361);
   _actionMap[112][IDENTIFIER] = ActionEntry(SHIFT, 241);
   _actionMap[113][LB] = ActionEntry(SHIFT, 242);
   _actionMap[114][LB] = ActionEntry(SHIFT, 243);
   _actionMap[115][LB] = ActionEntry(SHIFT, 244);
   _actionMap[116][LB] = ActionEntry(SHIFT, 245);
   _actionMap[117][LB] = ActionEntry(SHIFT, 246);
   _actionMap[118][LB] = ActionEntry(SHIFT, 247);
   _actionMap[119][LB] = ActionEntry(SHIFT, 248);
   _actionMap[120][LB] = ActionEntry(SHIFT, 249);
   _actionMap[121][LB] = ActionEntry(SHIFT, 250);
   _actionMap[122][LB] = ActionEntry(SHIFT, 251);
   _actionMap[123][WHEN] = ActionEntry(REDUCE, 359);
   _actionMap[123][ELSE] = ActionEntry(REDUCE, 359);
   _actionMap[123][LEFT] = ActionEntry(REDUCE, 359);
   _actionMap[123][RIGHT] = ActionEntry(REDUCE, 359);
   _actionMap[123][INNER] = ActionEntry(REDUCE, 359);
   _actionMap[123][JOIN] = ActionEntry(REDUCE, 359);
   _actionMap[123][RETURNTOKEN] = ActionEntry(REDUCE, 359);
   _actionMap[123][ORDER] = ActionEntry(REDUCE, 359);
   _actionMap[123][GROUP] = ActionEntry(REDUCE, 359);
   _actionMap[123][WHERE] = ActionEntry(REDUCE, 359);
   _actionMap[123][FROM] = ActionEntry(REDUCE, 359);
   _actionMap[123][AS] = ActionEntry(REDUCE, 359);
   _actionMap[123][END_TOKEN] = ActionEntry(REDUCE, 359);
   _actionMap[123][BEGIN] = ActionEntry(REDUCE, 359);
   _actionMap[123][THEN] = ActionEntry(REDUCE, 359);
   _actionMap[123][OR] = ActionEntry(REDUCE, 359);
   _actionMap[123][AND] = ActionEntry(REDUCE, 359);
   _actionMap[123][NULLTOKEN] = ActionEntry(REDUCE, 359);
   _actionMap[123][INTOK] = ActionEntry(REDUCE, 359);
   _actionMap[123][NOT] = ActionEntry(REDUCE, 359);
   _actionMap[123][BETWEEN] = ActionEntry(REDUCE, 359);
   _actionMap[123][IS] = ActionEntry(REDUCE, 359);
   _actionMap[123][LIKE] = ActionEntry(REDUCE, 359);
   _actionMap[123][MT] = ActionEntry(REDUCE, 359);
   _actionMap[123][LT] = ActionEntry(REDUCE, 359);
   _actionMap[123][NEGATION] = ActionEntry(REDUCE, 359);
   _actionMap[123][EQU] = ActionEntry(REDUCE, 359);
   _actionMap[123][RB] = ActionEntry(REDUCE, 359);
   _actionMap[123][ENDTOKEN] = ActionEntry(REDUCE, 359);
   _actionMap[123][UNION] = ActionEntry(REDUCE, 359);
   _actionMap[123][ROWLIMIT] = ActionEntry(REDUCE, 359);
   _actionMap[123][KSEP] = ActionEntry(REDUCE, 359);
   _actionMap[123][ASC] = ActionEntry(REDUCE, 359);
   _actionMap[123][DESC] = ActionEntry(REDUCE, 359);
   _actionMap[123][SEMICOLON] = ActionEntry(REDUCE, 359);
   _actionMap[123][PLUS] = ActionEntry(REDUCE, 359);
}
void Cego::loadParser221()
{
   _actionMap[123][MINUS] = ActionEntry(REDUCE, 359);
   _actionMap[123][DIVISION] = ActionEntry(REDUCE, 359);
   _actionMap[123][STAR] = ActionEntry(REDUCE, 359);
   _actionMap[123][CONCAT] = ActionEntry(REDUCE, 359);
   _actionMap[124][LB] = ActionEntry(SHIFT, 252);
   _actionMap[125][LB] = ActionEntry(SHIFT, 253);
   _actionMap[126][LB] = ActionEntry(SHIFT, 254);
   _actionMap[127][LB] = ActionEntry(SHIFT, 255);
   _actionMap[128][LB] = ActionEntry(SHIFT, 256);
   _actionMap[129][LB] = ActionEntry(SHIFT, 257);
   _actionMap[130][LB] = ActionEntry(SHIFT, 258);
   _actionMap[131][LB] = ActionEntry(SHIFT, 259);
   _actionMap[132][LB] = ActionEntry(SHIFT, 260);
   _actionMap[133][LB] = ActionEntry(SHIFT, 261);
   _actionMap[134][WHEN] = ActionEntry(REDUCE, 358);
   _actionMap[134][ELSE] = ActionEntry(REDUCE, 358);
   _actionMap[134][LEFT] = ActionEntry(REDUCE, 358);
   _actionMap[134][RIGHT] = ActionEntry(REDUCE, 358);
   _actionMap[134][INNER] = ActionEntry(REDUCE, 358);
   _actionMap[134][JOIN] = ActionEntry(REDUCE, 358);
   _actionMap[134][RETURNTOKEN] = ActionEntry(REDUCE, 358);
   _actionMap[134][ORDER] = ActionEntry(REDUCE, 358);
   _actionMap[134][GROUP] = ActionEntry(REDUCE, 358);
   _actionMap[134][WHERE] = ActionEntry(REDUCE, 358);
   _actionMap[134][FROM] = ActionEntry(REDUCE, 358);
   _actionMap[134][AS] = ActionEntry(REDUCE, 358);
   _actionMap[134][END_TOKEN] = ActionEntry(REDUCE, 358);
   _actionMap[134][BEGIN] = ActionEntry(REDUCE, 358);
   _actionMap[134][THEN] = ActionEntry(REDUCE, 358);
   _actionMap[134][OR] = ActionEntry(REDUCE, 358);
   _actionMap[134][AND] = ActionEntry(REDUCE, 358);
   _actionMap[134][NULLTOKEN] = ActionEntry(REDUCE, 358);
   _actionMap[134][INTOK] = ActionEntry(REDUCE, 358);
   _actionMap[134][NOT] = ActionEntry(REDUCE, 358);
   _actionMap[134][BETWEEN] = ActionEntry(REDUCE, 358);
   _actionMap[134][IS] = ActionEntry(REDUCE, 358);
   _actionMap[134][LIKE] = ActionEntry(REDUCE, 358);
   _actionMap[134][MT] = ActionEntry(REDUCE, 358);
   _actionMap[134][LT] = ActionEntry(REDUCE, 358);
   _actionMap[134][NEGATION] = ActionEntry(REDUCE, 358);
   _actionMap[134][EQU] = ActionEntry(REDUCE, 358);
   _actionMap[134][RB] = ActionEntry(REDUCE, 358);
   _actionMap[134][ENDTOKEN] = ActionEntry(REDUCE, 358);
   _actionMap[134][UNION] = ActionEntry(REDUCE, 358);
   _actionMap[134][ROWLIMIT] = ActionEntry(REDUCE, 358);
   _actionMap[134][KSEP] = ActionEntry(REDUCE, 358);
   _actionMap[134][ASC] = ActionEntry(REDUCE, 358);
   _actionMap[134][DESC] = ActionEntry(REDUCE, 358);
   _actionMap[134][SEMICOLON] = ActionEntry(REDUCE, 358);
   _actionMap[134][PLUS] = ActionEntry(REDUCE, 358);
}
void Cego::loadParser222()
{
   _actionMap[134][MINUS] = ActionEntry(REDUCE, 358);
   _actionMap[134][DIVISION] = ActionEntry(REDUCE, 358);
   _actionMap[134][STAR] = ActionEntry(REDUCE, 358);
   _actionMap[134][CONCAT] = ActionEntry(REDUCE, 358);
   _actionMap[135][LB] = ActionEntry(SHIFT, 262);
   _actionMap[136][LB] = ActionEntry(SHIFT, 263);
   _actionMap[137][LB] = ActionEntry(SHIFT, 264);
   _actionMap[138][WHEN] = ActionEntry(REDUCE, 360);
   _actionMap[138][ELSE] = ActionEntry(REDUCE, 360);
   _actionMap[138][LEFT] = ActionEntry(REDUCE, 360);
   _actionMap[138][RIGHT] = ActionEntry(REDUCE, 360);
   _actionMap[138][INNER] = ActionEntry(REDUCE, 360);
   _actionMap[138][JOIN] = ActionEntry(REDUCE, 360);
   _actionMap[138][RETURNTOKEN] = ActionEntry(REDUCE, 360);
   _actionMap[138][ORDER] = ActionEntry(REDUCE, 360);
   _actionMap[138][GROUP] = ActionEntry(REDUCE, 360);
   _actionMap[138][WHERE] = ActionEntry(REDUCE, 360);
   _actionMap[138][FROM] = ActionEntry(REDUCE, 360);
   _actionMap[138][AS] = ActionEntry(REDUCE, 360);
   _actionMap[138][END_TOKEN] = ActionEntry(REDUCE, 360);
   _actionMap[138][BEGIN] = ActionEntry(REDUCE, 360);
   _actionMap[138][THEN] = ActionEntry(REDUCE, 360);
   _actionMap[138][OR] = ActionEntry(REDUCE, 360);
   _actionMap[138][AND] = ActionEntry(REDUCE, 360);
   _actionMap[138][NULLTOKEN] = ActionEntry(REDUCE, 360);
   _actionMap[138][INTOK] = ActionEntry(REDUCE, 360);
   _actionMap[138][NOT] = ActionEntry(REDUCE, 360);
   _actionMap[138][BETWEEN] = ActionEntry(REDUCE, 360);
   _actionMap[138][IS] = ActionEntry(REDUCE, 360);
   _actionMap[138][LIKE] = ActionEntry(REDUCE, 360);
   _actionMap[138][MT] = ActionEntry(REDUCE, 360);
   _actionMap[138][LT] = ActionEntry(REDUCE, 360);
   _actionMap[138][NEGATION] = ActionEntry(REDUCE, 360);
   _actionMap[138][EQU] = ActionEntry(REDUCE, 360);
   _actionMap[138][RB] = ActionEntry(REDUCE, 360);
   _actionMap[138][ENDTOKEN] = ActionEntry(REDUCE, 360);
   _actionMap[138][UNION] = ActionEntry(REDUCE, 360);
   _actionMap[138][ROWLIMIT] = ActionEntry(REDUCE, 360);
   _actionMap[138][KSEP] = ActionEntry(REDUCE, 360);
   _actionMap[138][ASC] = ActionEntry(REDUCE, 360);
   _actionMap[138][DESC] = ActionEntry(REDUCE, 360);
   _actionMap[138][SEMICOLON] = ActionEntry(REDUCE, 360);
   _actionMap[138][PLUS] = ActionEntry(REDUCE, 360);
   _actionMap[138][MINUS] = ActionEntry(REDUCE, 360);
   _actionMap[138][DIVISION] = ActionEntry(REDUCE, 360);
   _actionMap[138][STAR] = ActionEntry(REDUCE, 360);
   _actionMap[138][CONCAT] = ActionEntry(REDUCE, 360);
   _actionMap[139][LB] = ActionEntry(SHIFT, 265);
   _actionMap[140][LB] = ActionEntry(SHIFT, 266);
   _actionMap[141][LONG] = ActionEntry(SHIFT, 273);
}
void Cego::loadParser223()
{
   _actionMap[141][BIGINT] = ActionEntry(SHIFT, 269);
   _actionMap[141][SMALLINT] = ActionEntry(SHIFT, 274);
   _actionMap[141][TINYINT] = ActionEntry(SHIFT, 275);
   _actionMap[141][DOUBLE] = ActionEntry(SHIFT, 271);
   _actionMap[141][DECIMAL] = ActionEntry(SHIFT, 270);
   _actionMap[141][FIXED] = ActionEntry(SHIFT, 272);
   _actionMap[141][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[141][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[141][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[141][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[141][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[141][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[141][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[141][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[141][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[141][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[141][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[141][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[141][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[141][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[141][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[141][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[141][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[141][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[141][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[141][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[141][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[141][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[141][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[141][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[141][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[141][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[141][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[141][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[141][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[141][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[141][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[141][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[141][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[141][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[141][LB] = ActionEntry(SHIFT, 141);
   _actionMap[141][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[141][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[141][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[141][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[141][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[141][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[141][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[141][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[141][CASE] = ActionEntry(SHIFT, 105);
}
void Cego::loadParser224()
{
   _actionMap[141][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[141][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[141][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[141][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[141][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[141][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[141][MAX] = ActionEntry(SHIFT, 120);
   _actionMap[141][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[141][ObjSpec] = 99;
   _jumpMap[141][Constant] = 98;
   _jumpMap[141][SignedFloat] = 97;
   _jumpMap[141][SignedInt] = 96;
   _jumpMap[141][Attribute] = 95;
   _jumpMap[141][Function] = 94;
   _jumpMap[141][SelectStatement] = 268;
   _jumpMap[141][CasePrepare] = 93;
   _jumpMap[141][CaseClause] = 92;
   _jumpMap[141][Factor] = 91;
   _jumpMap[141][Term] = 90;
   _jumpMap[141][Expr] = 267;
   _actionMap[142][INTVAL] = ActionEntry(SHIFT, 276);
   _actionMap[143][FLOATVAL] = ActionEntry(SHIFT, 278);
   _actionMap[143][INTVAL] = ActionEntry(SHIFT, 277);
   _actionMap[144][WHEN] = ActionEntry(REDUCE, 343);
   _actionMap[144][ELSE] = ActionEntry(REDUCE, 343);
   _actionMap[144][LEFT] = ActionEntry(REDUCE, 343);
   _actionMap[144][RIGHT] = ActionEntry(REDUCE, 343);
   _actionMap[144][INNER] = ActionEntry(REDUCE, 343);
   _actionMap[144][JOIN] = ActionEntry(REDUCE, 343);
   _actionMap[144][RETURNTOKEN] = ActionEntry(REDUCE, 343);
   _actionMap[144][ORDER] = ActionEntry(REDUCE, 343);
   _actionMap[144][GROUP] = ActionEntry(REDUCE, 343);
   _actionMap[144][WHERE] = ActionEntry(REDUCE, 343);
   _actionMap[144][AS] = ActionEntry(REDUCE, 343);
   _actionMap[144][FROM] = ActionEntry(REDUCE, 343);
   _actionMap[144][END_TOKEN] = ActionEntry(REDUCE, 343);
   _actionMap[144][BEGIN] = ActionEntry(REDUCE, 343);
   _actionMap[144][THEN] = ActionEntry(REDUCE, 343);
   _actionMap[144][OR] = ActionEntry(REDUCE, 343);
   _actionMap[144][AND] = ActionEntry(REDUCE, 343);
   _actionMap[144][NULLTOKEN] = ActionEntry(REDUCE, 343);
   _actionMap[144][LIKE] = ActionEntry(REDUCE, 343);
   _actionMap[144][IS] = ActionEntry(REDUCE, 343);
   _actionMap[144][BETWEEN] = ActionEntry(REDUCE, 343);
   _actionMap[144][NOT] = ActionEntry(REDUCE, 343);
   _actionMap[144][INTOK] = ActionEntry(REDUCE, 343);
   _actionMap[144][EQU] = ActionEntry(REDUCE, 343);
   _actionMap[144][NEGATION] = ActionEntry(REDUCE, 343);
   _actionMap[144][LT] = ActionEntry(REDUCE, 343);
   _actionMap[144][MT] = ActionEntry(REDUCE, 343);
}
void Cego::loadParser225()
{
   _actionMap[144][DESC] = ActionEntry(REDUCE, 343);
   _actionMap[144][ASC] = ActionEntry(REDUCE, 343);
   _actionMap[144][KSEP] = ActionEntry(REDUCE, 343);
   _actionMap[144][ROWLIMIT] = ActionEntry(REDUCE, 343);
   _actionMap[144][UNION] = ActionEntry(REDUCE, 343);
   _actionMap[144][ENDTOKEN] = ActionEntry(REDUCE, 343);
   _actionMap[144][RB] = ActionEntry(REDUCE, 343);
   _actionMap[144][SEMICOLON] = ActionEntry(REDUCE, 343);
   _actionMap[144][CONCAT] = ActionEntry(REDUCE, 343);
   _actionMap[144][STAR] = ActionEntry(REDUCE, 343);
   _actionMap[144][DIVISION] = ActionEntry(REDUCE, 343);
   _actionMap[144][MINUS] = ActionEntry(REDUCE, 343);
   _actionMap[144][PLUS] = ActionEntry(REDUCE, 343);
   _actionMap[145][WHEN] = ActionEntry(REDUCE, 345);
   _actionMap[145][ELSE] = ActionEntry(REDUCE, 345);
   _actionMap[145][LEFT] = ActionEntry(REDUCE, 345);
   _actionMap[145][RIGHT] = ActionEntry(REDUCE, 345);
   _actionMap[145][INNER] = ActionEntry(REDUCE, 345);
   _actionMap[145][JOIN] = ActionEntry(REDUCE, 345);
   _actionMap[145][RETURNTOKEN] = ActionEntry(REDUCE, 345);
   _actionMap[145][ORDER] = ActionEntry(REDUCE, 345);
   _actionMap[145][GROUP] = ActionEntry(REDUCE, 345);
   _actionMap[145][WHERE] = ActionEntry(REDUCE, 345);
   _actionMap[145][AS] = ActionEntry(REDUCE, 345);
   _actionMap[145][FROM] = ActionEntry(REDUCE, 345);
   _actionMap[145][END_TOKEN] = ActionEntry(REDUCE, 345);
   _actionMap[145][BEGIN] = ActionEntry(REDUCE, 345);
   _actionMap[145][THEN] = ActionEntry(REDUCE, 345);
   _actionMap[145][OR] = ActionEntry(REDUCE, 345);
   _actionMap[145][AND] = ActionEntry(REDUCE, 345);
   _actionMap[145][NULLTOKEN] = ActionEntry(REDUCE, 345);
   _actionMap[145][LIKE] = ActionEntry(REDUCE, 345);
   _actionMap[145][IS] = ActionEntry(REDUCE, 345);
   _actionMap[145][BETWEEN] = ActionEntry(REDUCE, 345);
   _actionMap[145][NOT] = ActionEntry(REDUCE, 345);
   _actionMap[145][INTOK] = ActionEntry(REDUCE, 345);
   _actionMap[145][EQU] = ActionEntry(REDUCE, 345);
   _actionMap[145][NEGATION] = ActionEntry(REDUCE, 345);
   _actionMap[145][LT] = ActionEntry(REDUCE, 345);
   _actionMap[145][MT] = ActionEntry(REDUCE, 345);
   _actionMap[145][DESC] = ActionEntry(REDUCE, 345);
   _actionMap[145][ASC] = ActionEntry(REDUCE, 345);
   _actionMap[145][KSEP] = ActionEntry(REDUCE, 345);
   _actionMap[145][ROWLIMIT] = ActionEntry(REDUCE, 345);
   _actionMap[145][UNION] = ActionEntry(REDUCE, 345);
   _actionMap[145][ENDTOKEN] = ActionEntry(REDUCE, 345);
   _actionMap[145][RB] = ActionEntry(REDUCE, 345);
   _actionMap[145][SEMICOLON] = ActionEntry(REDUCE, 345);
   _actionMap[145][CONCAT] = ActionEntry(REDUCE, 345);
   _actionMap[145][STAR] = ActionEntry(REDUCE, 345);
}
void Cego::loadParser226()
{
   _actionMap[145][DIVISION] = ActionEntry(REDUCE, 345);
   _actionMap[145][MINUS] = ActionEntry(REDUCE, 345);
   _actionMap[145][PLUS] = ActionEntry(REDUCE, 345);
   _actionMap[146][WHEN] = ActionEntry(REDUCE, 340);
   _actionMap[146][ELSE] = ActionEntry(REDUCE, 340);
   _actionMap[146][LEFT] = ActionEntry(REDUCE, 340);
   _actionMap[146][RIGHT] = ActionEntry(REDUCE, 340);
   _actionMap[146][INNER] = ActionEntry(REDUCE, 340);
   _actionMap[146][JOIN] = ActionEntry(REDUCE, 340);
   _actionMap[146][RETURNTOKEN] = ActionEntry(REDUCE, 340);
   _actionMap[146][ORDER] = ActionEntry(REDUCE, 340);
   _actionMap[146][GROUP] = ActionEntry(REDUCE, 340);
   _actionMap[146][WHERE] = ActionEntry(REDUCE, 340);
   _actionMap[146][FROM] = ActionEntry(REDUCE, 340);
   _actionMap[146][AS] = ActionEntry(REDUCE, 340);
   _actionMap[146][END_TOKEN] = ActionEntry(REDUCE, 340);
   _actionMap[146][BEGIN] = ActionEntry(REDUCE, 340);
   _actionMap[146][THEN] = ActionEntry(REDUCE, 340);
   _actionMap[146][OR] = ActionEntry(REDUCE, 340);
   _actionMap[146][AND] = ActionEntry(REDUCE, 340);
   _actionMap[146][INTOK] = ActionEntry(REDUCE, 340);
   _actionMap[146][NOT] = ActionEntry(REDUCE, 340);
   _actionMap[146][BETWEEN] = ActionEntry(REDUCE, 340);
   _actionMap[146][IS] = ActionEntry(REDUCE, 340);
   _actionMap[146][LIKE] = ActionEntry(REDUCE, 340);
   _actionMap[146][MT] = ActionEntry(REDUCE, 340);
   _actionMap[146][LT] = ActionEntry(REDUCE, 340);
   _actionMap[146][NEGATION] = ActionEntry(REDUCE, 340);
   _actionMap[146][EQU] = ActionEntry(REDUCE, 340);
   _actionMap[146][RB] = ActionEntry(REDUCE, 340);
   _actionMap[146][ENDTOKEN] = ActionEntry(REDUCE, 340);
   _actionMap[146][UNION] = ActionEntry(REDUCE, 340);
   _actionMap[146][ROWLIMIT] = ActionEntry(REDUCE, 340);
   _actionMap[146][KSEP] = ActionEntry(REDUCE, 340);
   _actionMap[146][ASC] = ActionEntry(REDUCE, 340);
   _actionMap[146][DESC] = ActionEntry(REDUCE, 340);
   _actionMap[146][SEMICOLON] = ActionEntry(REDUCE, 340);
   _actionMap[146][PLUS] = ActionEntry(REDUCE, 340);
   _actionMap[146][MINUS] = ActionEntry(REDUCE, 340);
   _actionMap[146][LB] = ActionEntry(REDUCE, 365);
   _actionMap[146][DIVISION] = ActionEntry(REDUCE, 340);
   _actionMap[146][STAR] = ActionEntry(REDUCE, 340);
   _actionMap[146][CONCAT] = ActionEntry(REDUCE, 340);
   _actionMap[147][WHEN] = ActionEntry(REDUCE, 147);
   _actionMap[147][ELSE] = ActionEntry(REDUCE, 147);
   _actionMap[147][LEFT] = ActionEntry(REDUCE, 147);
   _actionMap[147][RIGHT] = ActionEntry(REDUCE, 147);
   _actionMap[147][INNER] = ActionEntry(REDUCE, 147);
   _actionMap[147][JOIN] = ActionEntry(REDUCE, 147);
   _actionMap[147][RETURNTOKEN] = ActionEntry(REDUCE, 147);
}
void Cego::loadParser227()
{
   _actionMap[147][ORDER] = ActionEntry(REDUCE, 147);
   _actionMap[147][GROUP] = ActionEntry(REDUCE, 147);
   _actionMap[147][WHERE] = ActionEntry(REDUCE, 147);
   _actionMap[147][AS] = ActionEntry(REDUCE, 147);
   _actionMap[147][FROM] = ActionEntry(REDUCE, 147);
   _actionMap[147][END_TOKEN] = ActionEntry(REDUCE, 147);
   _actionMap[147][BEGIN] = ActionEntry(REDUCE, 147);
   _actionMap[147][THEN] = ActionEntry(REDUCE, 147);
   _actionMap[147][OR] = ActionEntry(REDUCE, 147);
   _actionMap[147][AND] = ActionEntry(REDUCE, 147);
   _actionMap[147][LIKE] = ActionEntry(REDUCE, 147);
   _actionMap[147][IS] = ActionEntry(REDUCE, 147);
   _actionMap[147][BETWEEN] = ActionEntry(REDUCE, 147);
   _actionMap[147][NOT] = ActionEntry(REDUCE, 147);
   _actionMap[147][INTOK] = ActionEntry(REDUCE, 147);
   _actionMap[147][EQU] = ActionEntry(REDUCE, 147);
   _actionMap[147][NEGATION] = ActionEntry(REDUCE, 147);
   _actionMap[147][LT] = ActionEntry(REDUCE, 147);
   _actionMap[147][MT] = ActionEntry(REDUCE, 147);
   _actionMap[147][DESC] = ActionEntry(REDUCE, 147);
   _actionMap[147][ASC] = ActionEntry(REDUCE, 147);
   _actionMap[147][KSEP] = ActionEntry(REDUCE, 147);
   _actionMap[147][ROWLIMIT] = ActionEntry(REDUCE, 147);
   _actionMap[147][UNION] = ActionEntry(REDUCE, 147);
   _actionMap[147][ENDTOKEN] = ActionEntry(REDUCE, 147);
   _actionMap[147][RB] = ActionEntry(REDUCE, 147);
   _actionMap[147][SEMICOLON] = ActionEntry(REDUCE, 147);
   _actionMap[147][CONCAT] = ActionEntry(REDUCE, 147);
   _actionMap[147][STAR] = ActionEntry(REDUCE, 147);
   _actionMap[147][DIVISION] = ActionEntry(REDUCE, 147);
   _actionMap[147][MINUS] = ActionEntry(REDUCE, 147);
   _actionMap[147][PLUS] = ActionEntry(REDUCE, 147);
   _actionMap[148][WHEN] = ActionEntry(REDUCE, 341);
   _actionMap[148][ELSE] = ActionEntry(REDUCE, 341);
   _actionMap[148][LEFT] = ActionEntry(REDUCE, 341);
   _actionMap[148][RIGHT] = ActionEntry(REDUCE, 341);
   _actionMap[148][INNER] = ActionEntry(REDUCE, 341);
   _actionMap[148][JOIN] = ActionEntry(REDUCE, 341);
   _actionMap[148][RETURNTOKEN] = ActionEntry(REDUCE, 341);
   _actionMap[148][ORDER] = ActionEntry(REDUCE, 341);
   _actionMap[148][GROUP] = ActionEntry(REDUCE, 341);
   _actionMap[148][WHERE] = ActionEntry(REDUCE, 341);
   _actionMap[148][FROM] = ActionEntry(REDUCE, 341);
   _actionMap[148][AS] = ActionEntry(REDUCE, 341);
   _actionMap[148][END_TOKEN] = ActionEntry(REDUCE, 341);
   _actionMap[148][BEGIN] = ActionEntry(REDUCE, 341);
   _actionMap[148][THEN] = ActionEntry(REDUCE, 341);
   _actionMap[148][OR] = ActionEntry(REDUCE, 341);
   _actionMap[148][AND] = ActionEntry(REDUCE, 341);
   _actionMap[148][INTOK] = ActionEntry(REDUCE, 341);
}
void Cego::loadParser228()
{
   _actionMap[148][NOT] = ActionEntry(REDUCE, 341);
   _actionMap[148][BETWEEN] = ActionEntry(REDUCE, 341);
   _actionMap[148][IS] = ActionEntry(REDUCE, 341);
   _actionMap[148][LIKE] = ActionEntry(REDUCE, 341);
   _actionMap[148][MT] = ActionEntry(REDUCE, 341);
   _actionMap[148][LT] = ActionEntry(REDUCE, 341);
   _actionMap[148][NEGATION] = ActionEntry(REDUCE, 341);
   _actionMap[148][EQU] = ActionEntry(REDUCE, 341);
   _actionMap[148][RB] = ActionEntry(REDUCE, 341);
   _actionMap[148][ENDTOKEN] = ActionEntry(REDUCE, 341);
   _actionMap[148][UNION] = ActionEntry(REDUCE, 341);
   _actionMap[148][ROWLIMIT] = ActionEntry(REDUCE, 341);
   _actionMap[148][KSEP] = ActionEntry(REDUCE, 341);
   _actionMap[148][ASC] = ActionEntry(REDUCE, 341);
   _actionMap[148][DESC] = ActionEntry(REDUCE, 341);
   _actionMap[148][SEMICOLON] = ActionEntry(REDUCE, 341);
   _actionMap[148][PLUS] = ActionEntry(REDUCE, 341);
   _actionMap[148][MINUS] = ActionEntry(REDUCE, 341);
   _actionMap[148][LB] = ActionEntry(REDUCE, 366);
   _actionMap[148][DIVISION] = ActionEntry(REDUCE, 341);
   _actionMap[148][STAR] = ActionEntry(REDUCE, 341);
   _actionMap[148][CONCAT] = ActionEntry(REDUCE, 341);
   _actionMap[149][STAR] = ActionEntry(SHIFT, 279);
   _actionMap[150][IDENTIFIER] = ActionEntry(SHIFT, 50);
   _actionMap[150][QUALIFIEDOBJ] = ActionEntry(SHIFT, 51);
   _actionMap[150][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _jumpMap[150][ObjSpec] = 280;
   _actionMap[151][IDENTIFIER] = ActionEntry(SHIFT, 50);
   _actionMap[151][QUALIFIEDOBJ] = ActionEntry(SHIFT, 51);
   _actionMap[151][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _jumpMap[151][ObjSpec] = 281;
   _actionMap[152][IDENTIFIER] = ActionEntry(SHIFT, 50);
   _actionMap[152][QUALIFIEDOBJ] = ActionEntry(SHIFT, 51);
   _actionMap[152][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _jumpMap[152][ObjSpec] = 282;
   _actionMap[153][IDENTIFIER] = ActionEntry(SHIFT, 50);
   _actionMap[153][QUALIFIEDOBJ] = ActionEntry(SHIFT, 51);
   _actionMap[153][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _jumpMap[153][ObjSpec] = 283;
   _actionMap[154][IDENTIFIER] = ActionEntry(SHIFT, 50);
   _actionMap[154][QUALIFIEDOBJ] = ActionEntry(SHIFT, 51);
   _actionMap[154][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _jumpMap[154][ObjSpec] = 284;
   _actionMap[155][IDENTIFIER] = ActionEntry(SHIFT, 50);
   _actionMap[155][QUALIFIEDOBJ] = ActionEntry(SHIFT, 51);
   _actionMap[155][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _jumpMap[155][ObjSpec] = 285;
   _actionMap[156][IDENTIFIER] = ActionEntry(SHIFT, 50);
   _actionMap[156][QUALIFIEDOBJ] = ActionEntry(SHIFT, 51);
   _actionMap[156][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
}
void Cego::loadParser229()
{
   _jumpMap[156][ObjSpec] = 286;
   _actionMap[157][IDENTIFIER] = ActionEntry(SHIFT, 50);
   _actionMap[157][QUALIFIEDOBJ] = ActionEntry(SHIFT, 51);
   _actionMap[157][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _jumpMap[157][ObjSpec] = 287;
   _actionMap[158][FROM] = ActionEntry(SHIFT, 288);
   _actionMap[159][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[159][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[159][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[159][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[159][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[159][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[159][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[159][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[159][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[159][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[159][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[159][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[159][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[159][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[159][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[159][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[159][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[159][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[159][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[159][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[159][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[159][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[159][RANDINT] = ActionEntry(SHIFT, 126);
   _actionMap[159][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[159][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[159][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[159][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[159][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[159][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[159][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[159][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[159][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[159][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[159][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[159][LB] = ActionEntry(SHIFT, 141);
   _actionMap[159][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[159][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[159][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[159][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[159][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[159][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[159][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[159][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[159][CASE] = ActionEntry(SHIFT, 105);
}
void Cego::loadParser230()
{
   _actionMap[159][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[159][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[159][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[159][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[159][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[159][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[159][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[159][ObjSpec] = 99;
   _jumpMap[159][Constant] = 98;
   _jumpMap[159][SignedFloat] = 97;
   _jumpMap[159][SignedInt] = 96;
   _jumpMap[159][Attribute] = 95;
   _jumpMap[159][Function] = 94;
   _jumpMap[159][SelectItem] = 291;
   _jumpMap[159][SelectionList] = 290;
   _jumpMap[159][CasePrepare] = 93;
   _jumpMap[159][CaseClause] = 92;
   _jumpMap[159][Factor] = 91;
   _jumpMap[159][Term] = 90;
   _jumpMap[159][Expr] = 289;
   _actionMap[160][VARREF] = ActionEntry(REDUCE, 242);
   _actionMap[160][FETCH] = ActionEntry(REDUCE, 242);
   _actionMap[160][LB] = ActionEntry(REDUCE, 242);
   _actionMap[160][COUNT] = ActionEntry(REDUCE, 242);
   _actionMap[160][SUM] = ActionEntry(REDUCE, 242);
   _actionMap[160][AVG] = ActionEntry(REDUCE, 242);
   _actionMap[160][MIN] = ActionEntry(REDUCE, 242);
   _actionMap[160][MAX] = ActionEntry(REDUCE, 242);
   _actionMap[160][CASE] = ActionEntry(REDUCE, 242);
   _actionMap[160][TRIM] = ActionEntry(REDUCE, 242);
   _actionMap[160][RTRIM] = ActionEntry(REDUCE, 242);
   _actionMap[160][LTRIM] = ActionEntry(REDUCE, 242);
   _actionMap[160][ROUND] = ActionEntry(REDUCE, 242);
   _actionMap[160][DATE2STR] = ActionEntry(REDUCE, 242);
   _actionMap[160][DATE2INT] = ActionEntry(REDUCE, 242);
   _actionMap[160][INT2DATE] = ActionEntry(REDUCE, 242);
   _actionMap[160][LOWER] = ActionEntry(REDUCE, 242);
   _actionMap[160][UPPER] = ActionEntry(REDUCE, 242);
   _actionMap[160][LEFT] = ActionEntry(REDUCE, 242);
   _actionMap[160][RIGHT] = ActionEntry(REDUCE, 242);
   _actionMap[160][GETPOS] = ActionEntry(REDUCE, 242);
   _actionMap[160][SUBSTR] = ActionEntry(REDUCE, 242);
   _actionMap[160][REPLACE] = ActionEntry(REDUCE, 242);
   _actionMap[160][LENGTH] = ActionEntry(REDUCE, 242);
   _actionMap[160][TRUNC] = ActionEntry(REDUCE, 242);
   _actionMap[160][STR2INT] = ActionEntry(REDUCE, 242);
   _actionMap[160][STR2LONG] = ActionEntry(REDUCE, 242);
   _actionMap[160][RANDSTR] = ActionEntry(REDUCE, 242);
   _actionMap[160][RANDINT] = ActionEntry(REDUCE, 242);
   _actionMap[160][MOD] = ActionEntry(REDUCE, 242);
}
void Cego::loadParser231()
{
   _actionMap[160][DIV] = ActionEntry(REDUCE, 242);
   _actionMap[160][POWER] = ActionEntry(REDUCE, 242);
   _actionMap[160][BITAND] = ActionEntry(REDUCE, 242);
   _actionMap[160][BITOR] = ActionEntry(REDUCE, 242);
   _actionMap[160][BITXOR] = ActionEntry(REDUCE, 242);
   _actionMap[160][NEXTCOUNT] = ActionEntry(REDUCE, 242);
   _actionMap[160][SETCOUNT] = ActionEntry(REDUCE, 242);
   _actionMap[160][IDENTIFIER] = ActionEntry(REDUCE, 242);
   _actionMap[160][QUALIFIEDOBJ] = ActionEntry(REDUCE, 242);
   _actionMap[160][QUALIFIEDTS] = ActionEntry(REDUCE, 242);
   _actionMap[160][QUALIFIEDPRE] = ActionEntry(REDUCE, 242);
   _actionMap[160][STRINGVAL] = ActionEntry(REDUCE, 242);
   _actionMap[160][DATE] = ActionEntry(REDUCE, 242);
   _actionMap[160][SYSDATE] = ActionEntry(REDUCE, 242);
   _actionMap[160][NULLTOKEN] = ActionEntry(REDUCE, 242);
   _actionMap[160][TRUEVAL] = ActionEntry(REDUCE, 242);
   _actionMap[160][FALSEVAL] = ActionEntry(REDUCE, 242);
   _actionMap[160][LAB] = ActionEntry(REDUCE, 242);
   _actionMap[160][FLOATVAL] = ActionEntry(REDUCE, 242);
   _actionMap[160][MINUS] = ActionEntry(REDUCE, 242);
   _actionMap[160][INTVAL] = ActionEntry(REDUCE, 242);
   _actionMap[161][FROM] = ActionEntry(REDUCE, 204);
   _actionMap[162][OFF] = ActionEntry(SHIFT, 292);
   _actionMap[162][ON] = ActionEntry(SHIFT, 293);
   _actionMap[163][OFF] = ActionEntry(SHIFT, 294);
   _actionMap[163][ON] = ActionEntry(SHIFT, 295);
   _actionMap[164][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _jumpMap[164][CounterId] = 296;
   _actionMap[165][IDENTIFIER] = ActionEntry(SHIFT, 297);
   _actionMap[166][OFF] = ActionEntry(SHIFT, 298);
   _actionMap[166][ON] = ActionEntry(SHIFT, 299);
   _actionMap[167][IDENTIFIER] = ActionEntry(SHIFT, 300);
   _actionMap[168][EQU] = ActionEntry(SHIFT, 301);
   _actionMap[169][IDENTIFIER] = ActionEntry(SHIFT, 50);
   _actionMap[169][QUALIFIEDOBJ] = ActionEntry(SHIFT, 51);
   _actionMap[169][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _jumpMap[169][ObjSpec] = 302;
   _actionMap[170][SEMICOLON] = ActionEntry(REDUCE, 16);
   _actionMap[171][IDENTIFIER] = ActionEntry(SHIFT, 50);
   _actionMap[171][QUALIFIEDOBJ] = ActionEntry(SHIFT, 51);
   _actionMap[171][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _jumpMap[171][ObjSpec] = 303;
   _actionMap[172][SEMICOLON] = ActionEntry(REDUCE, 17);
   _actionMap[173][IDENTIFIER] = ActionEntry(SHIFT, 50);
   _actionMap[173][QUALIFIEDOBJ] = ActionEntry(SHIFT, 51);
   _actionMap[173][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _jumpMap[173][ObjSpec] = 304;
   _actionMap[174][SEMICOLON] = ActionEntry(REDUCE, 187);
   _actionMap[175][SEMICOLON] = ActionEntry(REDUCE, 15);
   _actionMap[176][IDENTIFIER] = ActionEntry(SHIFT, 307);
}
void Cego::loadParser232()
{
   _actionMap[176][SET] = ActionEntry(REDUCE, 258);
   _jumpMap[176][UpdDelAlias] = 305;
   _actionMap[177][CALL] = ActionEntry(SHIFT, 308);
   _actionMap[1][TABLE] = ActionEntry(SHIFT, 44);
   _actionMap[1][INDEX] = ActionEntry(SHIFT, 42);
   _actionMap[1][VIEW] = ActionEntry(SHIFT, 45);
   _actionMap[1][PROCEDURE] = ActionEntry(SHIFT, 43);
   _actionMap[1][FOREIGN] = ActionEntry(SHIFT, 41);
   _actionMap[1][CHECK] = ActionEntry(SHIFT, 39);
   _actionMap[1][BTREE] = ActionEntry(SHIFT, 38);
   _actionMap[1][COUNTER] = ActionEntry(SHIFT, 40);
   _actionMap[2][SEMICOLON] = ActionEntry(SHIFT, 46);
   _actionMap[3][SEMICOLON] = ActionEntry(REDUCE, 30);
   _actionMap[4][SEMICOLON] = ActionEntry(REDUCE, 31);
   _actionMap[5][SEMICOLON] = ActionEntry(REDUCE, 32);
   _actionMap[6][SEMICOLON] = ActionEntry(REDUCE, 44);
   _actionMap[7][SEMICOLON] = ActionEntry(REDUCE, 42);
   _actionMap[8][SEMICOLON] = ActionEntry(REDUCE, 46);
   _actionMap[9][SEMICOLON] = ActionEntry(REDUCE, 45);
   _actionMap[10][SEMICOLON] = ActionEntry(REDUCE, 47);
   _actionMap[11][SEMICOLON] = ActionEntry(REDUCE, 48);
   _actionMap[12][TABLE] = ActionEntry(SHIFT, 47);
   _actionMap[13][IDENTIFIER] = ActionEntry(SHIFT, 48);
   _actionMap[14][IDENTIFIER] = ActionEntry(SHIFT, 50);
   _actionMap[14][QUALIFIEDOBJ] = ActionEntry(SHIFT, 51);
   _actionMap[14][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _jumpMap[14][ObjSpec] = 49;
   _actionMap[15][INDEX] = ActionEntry(SHIFT, 53);
   _actionMap[16][SEMICOLON] = ActionEntry(REDUCE, 188);
   _actionMap[17][VIEW] = ActionEntry(SHIFT, 62);
   _actionMap[17][TABLE] = ActionEntry(SHIFT, 60);
   _actionMap[17][PRIMARY] = ActionEntry(SHIFT, 58);
   _actionMap[17][COUNTER] = ActionEntry(SHIFT, 57);
   _actionMap[17][PROCEDURE] = ActionEntry(SHIFT, 59);
   _actionMap[17][UNIQUE] = ActionEntry(SHIFT, 61);
   _actionMap[17][INDEX] = ActionEntry(REDUCE, 184);
   _actionMap[17][BTREE] = ActionEntry(REDUCE, 184);
   _jumpMap[17][IndexOption] = 56;
   _jumpMap[17][ProcDef] = 55;
   _jumpMap[17][ProcHead] = 54;
   _actionMap[18][FROM] = ActionEntry(SHIFT, 63);
   _actionMap[19][TABLE] = ActionEntry(SHIFT, 69);
   _actionMap[19][INDEX] = ActionEntry(SHIFT, 67);
   _actionMap[19][BTREE] = ActionEntry(SHIFT, 64);
   _actionMap[19][VIEW] = ActionEntry(SHIFT, 70);
   _actionMap[19][FOREIGN] = ActionEntry(SHIFT, 66);
   _actionMap[19][CHECK] = ActionEntry(SHIFT, 65);
   _actionMap[19][PROCEDURE] = ActionEntry(SHIFT, 68);
   _actionMap[20][COUNTER] = ActionEntry(REDUCE, 65);
   _actionMap[20][IF] = ActionEntry(SHIFT, 71);
}
void Cego::loadParser233()
{
   _actionMap[20][BTREE] = ActionEntry(REDUCE, 65);
   _actionMap[20][CHECK] = ActionEntry(REDUCE, 65);
   _actionMap[20][FOREIGN] = ActionEntry(REDUCE, 65);
   _actionMap[20][PROCEDURE] = ActionEntry(REDUCE, 65);
   _actionMap[20][VIEW] = ActionEntry(REDUCE, 65);
   _actionMap[20][INDEX] = ActionEntry(REDUCE, 65);
   _actionMap[20][TABLE] = ActionEntry(REDUCE, 65);
   _actionMap[21][INTO] = ActionEntry(SHIFT, 72);
   _actionMap[22][IDENTIFIER] = ActionEntry(SHIFT, 74);
   _jumpMap[22][JdbcArgList] = 73;
   _actionMap[23][TABLESET] = ActionEntry(SHIFT, 83);
   _actionMap[23][TABLE] = ActionEntry(SHIFT, 82);
   _actionMap[23][PROCEDURE] = ActionEntry(SHIFT, 80);
   _actionMap[23][VIEW] = ActionEntry(SHIFT, 85);
   _actionMap[23][INDEX] = ActionEntry(SHIFT, 78);
   _actionMap[23][BTREE] = ActionEntry(SHIFT, 75);
   _actionMap[23][KEY] = ActionEntry(SHIFT, 79);
   _actionMap[23][COUNTER] = ActionEntry(SHIFT, 77);
   _actionMap[23][SYSOBJ] = ActionEntry(SHIFT, 81);
   _actionMap[23][TMPOBJ] = ActionEntry(SHIFT, 84);
   _actionMap[23][CHECK] = ActionEntry(SHIFT, 76);
   _actionMap[24][VIEW] = ActionEntry(SHIFT, 87);
   _actionMap[24][PROCEDURE] = ActionEntry(SHIFT, 59);
   _jumpMap[24][ProcDef] = 86;
   _jumpMap[24][ProcHead] = 54;
   _actionMap[25][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[25][SelectStatement] = 88;
   _actionMap[26][FLOATVAL] = ActionEntry(SHIFT, 145);
   _actionMap[26][MINUS] = ActionEntry(SHIFT, 143);
   _actionMap[26][INTVAL] = ActionEntry(SHIFT, 144);
   _actionMap[26][TRIM] = ActionEntry(SHIFT, 137);
   _actionMap[26][RTRIM] = ActionEntry(SHIFT, 130);
   _actionMap[26][LTRIM] = ActionEntry(SHIFT, 118);
   _actionMap[26][ROUND] = ActionEntry(SHIFT, 129);
   _actionMap[26][DATE2STR] = ActionEntry(SHIFT, 108);
   _actionMap[26][DATE2INT] = ActionEntry(SHIFT, 109);
   _actionMap[26][INT2DATE] = ActionEntry(SHIFT, 114);
   _actionMap[26][LOWER] = ActionEntry(SHIFT, 117);
   _actionMap[26][UPPER] = ActionEntry(SHIFT, 140);
   _actionMap[26][LEFT] = ActionEntry(SHIFT, 115);
   _actionMap[26][RIGHT] = ActionEntry(SHIFT, 128);
   _actionMap[26][GETPOS] = ActionEntry(SHIFT, 113);
   _actionMap[26][SUBSTR] = ActionEntry(SHIFT, 132);
   _actionMap[26][REPLACE] = ActionEntry(SHIFT, 127);
   _actionMap[26][LENGTH] = ActionEntry(SHIFT, 116);
   _actionMap[26][TRUNC] = ActionEntry(SHIFT, 139);
   _actionMap[26][STR2INT] = ActionEntry(SHIFT, 135);
   _actionMap[26][STR2LONG] = ActionEntry(SHIFT, 136);
   _actionMap[26][RANDSTR] = ActionEntry(SHIFT, 125);
   _actionMap[26][RANDINT] = ActionEntry(SHIFT, 126);
}
void Cego::loadParser234()
{
   _actionMap[26][MOD] = ActionEntry(SHIFT, 121);
   _actionMap[26][DIV] = ActionEntry(SHIFT, 110);
   _actionMap[26][POWER] = ActionEntry(SHIFT, 124);
   _actionMap[26][BITAND] = ActionEntry(SHIFT, 102);
   _actionMap[26][BITOR] = ActionEntry(SHIFT, 103);
   _actionMap[26][BITXOR] = ActionEntry(SHIFT, 104);
   _actionMap[26][NEXTCOUNT] = ActionEntry(SHIFT, 122);
   _actionMap[26][SETCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[26][IDENTIFIER] = ActionEntry(SHIFT, 146);
   _actionMap[26][QUALIFIEDOBJ] = ActionEntry(SHIFT, 148);
   _actionMap[26][QUALIFIEDPRE] = ActionEntry(SHIFT, 149);
   _actionMap[26][LB] = ActionEntry(SHIFT, 141);
   _actionMap[26][STRINGVAL] = ActionEntry(SHIFT, 100);
   _actionMap[26][DATE] = ActionEntry(SHIFT, 107);
   _actionMap[26][SYSDATE] = ActionEntry(SHIFT, 134);
   _actionMap[26][NULLTOKEN] = ActionEntry(SHIFT, 123);
   _actionMap[26][TRUEVAL] = ActionEntry(SHIFT, 138);
   _actionMap[26][FALSEVAL] = ActionEntry(SHIFT, 111);
   _actionMap[26][LAB] = ActionEntry(SHIFT, 142);
   _actionMap[26][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _actionMap[26][CASE] = ActionEntry(SHIFT, 105);
   _actionMap[26][VARREF] = ActionEntry(SHIFT, 147);
   _actionMap[26][FETCH] = ActionEntry(SHIFT, 112);
   _actionMap[26][COUNT] = ActionEntry(SHIFT, 106);
   _actionMap[26][SUM] = ActionEntry(SHIFT, 133);
   _actionMap[26][AVG] = ActionEntry(SHIFT, 101);
   _actionMap[26][MIN] = ActionEntry(SHIFT, 119);
   _actionMap[26][MAX] = ActionEntry(SHIFT, 120);
   _jumpMap[26][ObjSpec] = 99;
   _jumpMap[26][Constant] = 98;
   _jumpMap[26][SignedFloat] = 97;
   _jumpMap[26][SignedInt] = 96;
   _jumpMap[26][Attribute] = 95;
   _jumpMap[26][Function] = 94;
   _jumpMap[26][CasePrepare] = 93;
   _jumpMap[26][CaseClause] = 92;
   _jumpMap[26][Factor] = 91;
   _jumpMap[26][Term] = 90;
   _jumpMap[26][Expr] = 89;
   _actionMap[27][TABLE] = ActionEntry(SHIFT, 154);
   _actionMap[27][INDEX] = ActionEntry(SHIFT, 151);
   _actionMap[27][KEY] = ActionEntry(SHIFT, 152);
   _actionMap[27][PROCEDURE] = ActionEntry(SHIFT, 153);
   _actionMap[27][VIEW] = ActionEntry(SHIFT, 155);
   _actionMap[27][CHECK] = ActionEntry(SHIFT, 150);
   _actionMap[28][TABLE] = ActionEntry(SHIFT, 157);
   _actionMap[28][INDEX] = ActionEntry(SHIFT, 156);
   _actionMap[29][SEMICOLON] = ActionEntry(REDUCE, 189);
   _actionMap[30][DISTINCT] = ActionEntry(SHIFT, 160);
   _actionMap[30][VARREF] = ActionEntry(REDUCE, 243);
}
void Cego::loadParser235()
{
   _actionMap[30][FETCH] = ActionEntry(REDUCE, 243);
   _actionMap[30][LB] = ActionEntry(REDUCE, 243);
   _actionMap[30][COUNT] = ActionEntry(REDUCE, 243);
   _actionMap[30][SUM] = ActionEntry(REDUCE, 243);
   _actionMap[30][AVG] = ActionEntry(REDUCE, 243);
   _actionMap[30][MIN] = ActionEntry(REDUCE, 243);
   _actionMap[30][MAX] = ActionEntry(REDUCE, 243);
   _actionMap[30][CASE] = ActionEntry(REDUCE, 243);
   _actionMap[30][TRIM] = ActionEntry(REDUCE, 243);
   _actionMap[30][RTRIM] = ActionEntry(REDUCE, 243);
   _actionMap[30][LTRIM] = ActionEntry(REDUCE, 243);
   _actionMap[30][ROUND] = ActionEntry(REDUCE, 243);
   _actionMap[30][DATE2STR] = ActionEntry(REDUCE, 243);
   _actionMap[30][DATE2INT] = ActionEntry(REDUCE, 243);
   _actionMap[30][INT2DATE] = ActionEntry(REDUCE, 243);
   _actionMap[30][LOWER] = ActionEntry(REDUCE, 243);
   _actionMap[30][UPPER] = ActionEntry(REDUCE, 243);
   _actionMap[30][LEFT] = ActionEntry(REDUCE, 243);
   _actionMap[30][RIGHT] = ActionEntry(REDUCE, 243);
   _actionMap[30][GETPOS] = ActionEntry(REDUCE, 243);
   _actionMap[30][SUBSTR] = ActionEntry(REDUCE, 243);
   _actionMap[30][REPLACE] = ActionEntry(REDUCE, 243);
   _actionMap[30][LENGTH] = ActionEntry(REDUCE, 243);
   _actionMap[30][TRUNC] = ActionEntry(REDUCE, 243);
   _actionMap[30][STR2INT] = ActionEntry(REDUCE, 243);
   _actionMap[30][STR2LONG] = ActionEntry(REDUCE, 243);
   _actionMap[30][RANDSTR] = ActionEntry(REDUCE, 243);
   _actionMap[30][RANDINT] = ActionEntry(REDUCE, 243);
   _actionMap[30][MOD] = ActionEntry(REDUCE, 243);
   _actionMap[30][DIV] = ActionEntry(REDUCE, 243);
   _actionMap[30][POWER] = ActionEntry(REDUCE, 243);
   _actionMap[30][BITAND] = ActionEntry(REDUCE, 243);
   _actionMap[30][BITOR] = ActionEntry(REDUCE, 243);
   _actionMap[30][BITXOR] = ActionEntry(REDUCE, 243);
   _actionMap[30][NEXTCOUNT] = ActionEntry(REDUCE, 243);
   _actionMap[30][SETCOUNT] = ActionEntry(REDUCE, 243);
   _actionMap[30][IDENTIFIER] = ActionEntry(REDUCE, 243);
   _actionMap[30][QUALIFIEDOBJ] = ActionEntry(REDUCE, 243);
   _actionMap[30][QUALIFIEDTS] = ActionEntry(REDUCE, 243);
   _actionMap[30][QUALIFIEDPRE] = ActionEntry(REDUCE, 243);
   _actionMap[30][STRINGVAL] = ActionEntry(REDUCE, 243);
   _actionMap[30][DATE] = ActionEntry(REDUCE, 243);
   _actionMap[30][SYSDATE] = ActionEntry(REDUCE, 243);
   _actionMap[30][NULLTOKEN] = ActionEntry(REDUCE, 243);
   _actionMap[30][TRUEVAL] = ActionEntry(REDUCE, 243);
   _actionMap[30][FALSEVAL] = ActionEntry(REDUCE, 243);
   _actionMap[30][LAB] = ActionEntry(REDUCE, 243);
   _actionMap[30][FLOATVAL] = ActionEntry(REDUCE, 243);
   _actionMap[30][MINUS] = ActionEntry(REDUCE, 243);
   _actionMap[30][INTVAL] = ActionEntry(REDUCE, 243);
}
void Cego::loadParser236()
{
   _actionMap[30][STAR] = ActionEntry(SHIFT, 161);
   _jumpMap[30][DistinctOpt] = 159;
   _jumpMap[30][Selection] = 158;
   _actionMap[31][TABLESET] = ActionEntry(SHIFT, 167);
   _actionMap[31][APPEND] = ActionEntry(SHIFT, 162);
   _actionMap[31][AUTOCOMMIT] = ActionEntry(SHIFT, 163);
   _actionMap[31][ISOLATION] = ActionEntry(SHIFT, 165);
   _actionMap[31][QUERYCACHE] = ActionEntry(SHIFT, 166);
   _actionMap[31][IDENTIFIER] = ActionEntry(SHIFT, 168);
   _actionMap[31][COUNTER] = ActionEntry(SHIFT, 164);
   _actionMap[32][POOL] = ActionEntry(SHIFT, 170);
   _actionMap[32][SYSTEMSPACE] = ActionEntry(SHIFT, 172);
   _actionMap[32][PROCEDURE] = ActionEntry(SHIFT, 171);
   _actionMap[32][VIEW] = ActionEntry(SHIFT, 173);
   _actionMap[32][CHECK] = ActionEntry(SHIFT, 169);
   _actionMap[33][TRANSACTION] = ActionEntry(SHIFT, 174);
   _actionMap[34][SEMICOLON] = ActionEntry(REDUCE, 1);
   _actionMap[35][IDENTIFIER] = ActionEntry(SHIFT, 50);
   _actionMap[35][QUALIFIEDOBJ] = ActionEntry(SHIFT, 51);
   _actionMap[35][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _jumpMap[35][ObjSpec] = 175;
   _actionMap[36][IDENTIFIER] = ActionEntry(SHIFT, 50);
   _actionMap[36][QUALIFIEDOBJ] = ActionEntry(SHIFT, 51);
   _actionMap[36][QUALIFIEDTS] = ActionEntry(SHIFT, 52);
   _jumpMap[36][ObjSpec] = 176;
   _actionMap[37][EQU] = ActionEntry(SHIFT, 177);
   _actionMap[0][DROP] = ActionEntry(SHIFT, 20);
   _actionMap[0][RENAME] = ActionEntry(SHIFT, 27);
   _actionMap[0][ALTER] = ActionEntry(SHIFT, 12);
   _actionMap[0][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[0][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[0][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[0][SELECT] = ActionEntry(SHIFT, 30);
   _actionMap[0][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[0][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[0][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[0][SYNC] = ActionEntry(SHIFT, 34);
   _actionMap[0][LIST] = ActionEntry(SHIFT, 23);
   _actionMap[0][TABLEINFO] = ActionEntry(SHIFT, 35);
   _actionMap[0][SHOW] = ActionEntry(SHIFT, 32);
   _actionMap[0][DESC] = ActionEntry(SHIFT, 19);
   _actionMap[0][SET] = ActionEntry(SHIFT, 31);
   _actionMap[0][AUTHORIZE] = ActionEntry(SHIFT, 13);
   _actionMap[0][REORGANIZE] = ActionEntry(SHIFT, 28);
   _actionMap[0][PLAN] = ActionEntry(SHIFT, 25);
   _actionMap[0][CREATE] = ActionEntry(SHIFT, 17);
   _actionMap[0][LOAD] = ActionEntry(SHIFT, 24);
   _actionMap[0][CALL] = ActionEntry(SHIFT, 14);
   _actionMap[0][VARREF] = ActionEntry(SHIFT, 37);
   _actionMap[0][PRINT] = ActionEntry(SHIFT, 26);
}
void Cego::loadParser237()
{
   _actionMap[0][CHECK] = ActionEntry(SHIFT, 15);
   _actionMap[0][JDBC] = ActionEntry(SHIFT, 22);
   _jumpMap[0][RenameStatement] = 11;
   _jumpMap[0][AlterStatement] = 10;
   _jumpMap[0][DeleteStatement] = 9;
   _jumpMap[0][UpdateStatement] = 8;
   _jumpMap[0][SelectStatement] = 7;
   _jumpMap[0][InsertStatement] = 6;
   _jumpMap[0][RollbackStatement] = 5;
   _jumpMap[0][CommitStatement] = 4;
   _jumpMap[0][StartStatement] = 3;
   _jumpMap[0][Statement] = 2;
   _jumpMap[0][DropOpt] = 1;
}
void Cego::loadParser238()
{
   _prodInfo.Insert(ProdEntry(367, ObjSpec, 1));
   _prodInfo.Insert(ProdEntry(366, ObjSpec, 1));
   _prodInfo.Insert(ProdEntry(365, ObjSpec, 1));
   _prodInfo.Insert(ProdEntry(364, DateValue, 1));
   _prodInfo.Insert(ProdEntry(363, DateFormat, 1));
   _prodInfo.Insert(ProdEntry(362, Constant, 5));
   _prodInfo.Insert(ProdEntry(361, Constant, 1));
   _prodInfo.Insert(ProdEntry(360, Constant, 1));
   _prodInfo.Insert(ProdEntry(359, Constant, 1));
   _prodInfo.Insert(ProdEntry(358, Constant, 1));
   _prodInfo.Insert(ProdEntry(357, Constant, 6));
   _prodInfo.Insert(ProdEntry(356, Constant, 4));
   _prodInfo.Insert(ProdEntry(355, Constant, 4));
   _prodInfo.Insert(ProdEntry(354, Constant, 4));
   _prodInfo.Insert(ProdEntry(353, Constant, 1));
   _prodInfo.Insert(ProdEntry(352, Constant, 1));
   _prodInfo.Insert(ProdEntry(351, Constant, 4));
   _prodInfo.Insert(ProdEntry(350, Constant, 4));
   _prodInfo.Insert(ProdEntry(349, Constant, 4));
   _prodInfo.Insert(ProdEntry(348, Constant, 4));
   _prodInfo.Insert(ProdEntry(347, Constant, 1));
   _prodInfo.Insert(ProdEntry(346, SignedFloat, 2));
   _prodInfo.Insert(ProdEntry(345, SignedFloat, 1));
   _prodInfo.Insert(ProdEntry(344, SignedInt, 2));
   _prodInfo.Insert(ProdEntry(343, SignedInt, 1));
   _prodInfo.Insert(ProdEntry(342, Attribute, 2));
   _prodInfo.Insert(ProdEntry(341, Attribute, 1));
   _prodInfo.Insert(ProdEntry(340, Attribute, 1));
   _prodInfo.Insert(ProdEntry(339, Comparison, 2));
   _prodInfo.Insert(ProdEntry(338, Comparison, 2));
   _prodInfo.Insert(ProdEntry(337, Comparison, 1));
   _prodInfo.Insert(ProdEntry(336, Comparison, 1));
   _prodInfo.Insert(ProdEntry(335, Comparison, 2));
   _prodInfo.Insert(ProdEntry(334, Comparison, 1));
   _prodInfo.Insert(ProdEntry(333, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(332, DataTypeProd, 4));
   _prodInfo.Insert(ProdEntry(331, DataTypeProd, 4));
   _prodInfo.Insert(ProdEntry(330, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(329, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(328, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(327, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(326, DataTypeProd, 4));
   _prodInfo.Insert(ProdEntry(325, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(324, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(323, DataTypeProd, 4));
   _prodInfo.Insert(ProdEntry(322, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(321, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(320, QueryPredicate, 2));
   _prodInfo.Insert(ProdEntry(319, QueryPredicate, 3));
   _prodInfo.Insert(ProdEntry(318, QueryPredicate, 4));
   _prodInfo.Insert(ProdEntry(317, QueryPredicate, 3));
   _prodInfo.Insert(ProdEntry(316, QueryPredicate, 4));
   _prodInfo.Insert(ProdEntry(315, QueryPredicate, 3));
   _prodInfo.Insert(ProdEntry(314, QueryPredicate, 5));
   _prodInfo.Insert(ProdEntry(313, QueryPredicate, 3));
   _prodInfo.Insert(ProdEntry(312, QueryPredicate, 6));
   _prodInfo.Insert(ProdEntry(311, QueryPredicate, 5));
   _prodInfo.Insert(ProdEntry(310, QueryPredicate, 4));
   _prodInfo.Insert(ProdEntry(309, QueryCondition, 1));
   _prodInfo.Insert(ProdEntry(308, QueryCondition, 3));
   _prodInfo.Insert(ProdEntry(307, QueryCondition, 3));
   _prodInfo.Insert(ProdEntry(306, NoWhere, 0));
   _prodInfo.Insert(ProdEntry(305, WhereClause, 1));
   _prodInfo.Insert(ProdEntry(304, WhereClause, 2));
   _prodInfo.Insert(ProdEntry(303, ExpressionList, 1));
   _prodInfo.Insert(ProdEntry(302, ExpressionList, 3));
   _prodInfo.Insert(ProdEntry(301, Function, 3));
   _prodInfo.Insert(ProdEntry(300, Function, 4));
   _prodInfo.Insert(ProdEntry(299, Function, 6));
   _prodInfo.Insert(ProdEntry(298, Function, 4));
   _prodInfo.Insert(ProdEntry(297, Function, 4));
   _prodInfo.Insert(ProdEntry(296, Function, 4));
   _prodInfo.Insert(ProdEntry(295, Function, 4));
   _prodInfo.Insert(ProdEntry(294, Function, 4));
   _prodInfo.Insert(ProdEntry(293, Function, 4));
   _prodInfo.Insert(ProdEntry(292, Function, 4));
   _prodInfo.Insert(ProdEntry(291, Function, 4));
   _prodInfo.Insert(ProdEntry(290, Function, 4));
   _prodInfo.Insert(ProdEntry(289, Function, 4));
   _prodInfo.Insert(ProdEntry(288, Function, 4));
   _prodInfo.Insert(ProdEntry(287, Function, 4));
   _prodInfo.Insert(ProdEntry(286, Function, 4));
   _prodInfo.Insert(ProdEntry(285, Function, 4));
   _prodInfo.Insert(ProdEntry(284, Function, 4));
   _prodInfo.Insert(ProdEntry(283, Function, 4));
   _prodInfo.Insert(ProdEntry(282, Function, 4));
   _prodInfo.Insert(ProdEntry(281, Function, 4));
   _prodInfo.Insert(ProdEntry(280, Function, 4));
   _prodInfo.Insert(ProdEntry(279, Function, 4));
   _prodInfo.Insert(ProdEntry(278, Function, 4));
   _prodInfo.Insert(ProdEntry(277, Function, 4));
   _prodInfo.Insert(ProdEntry(276, Function, 4));
   _prodInfo.Insert(ProdEntry(275, Function, 4));
   _prodInfo.Insert(ProdEntry(274, Function, 4));
   _prodInfo.Insert(ProdEntry(273, Function, 4));
   _prodInfo.Insert(ProdEntry(272, Function, 4));
   _prodInfo.Insert(ProdEntry(271, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(270, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(269, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(268, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(267, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(266, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(265, AlterOption, 5));
   _prodInfo.Insert(ProdEntry(264, AlterOption, 3));
   _prodInfo.Insert(ProdEntry(263, AlterOption, 3));
   _prodInfo.Insert(ProdEntry(262, AlterOption, 3));
   _prodInfo.Insert(ProdEntry(261, AlterList, 1));
   _prodInfo.Insert(ProdEntry(260, AlterList, 3));
   _prodInfo.Insert(ProdEntry(259, AlterStatement, 4));
   _prodInfo.Insert(ProdEntry(258, UpdDelAlias, 0));
   _prodInfo.Insert(ProdEntry(257, UpdDelAlias, 1));
   _prodInfo.Insert(ProdEntry(256, DeleteStatement, 5));
   _prodInfo.Insert(ProdEntry(255, ReturnVar, 3));
   _prodInfo.Insert(ProdEntry(254, ReturnVarList, 1));
   _prodInfo.Insert(ProdEntry(253, ReturnVarList, 3));
   _prodInfo.Insert(ProdEntry(252, UpdReturnOpt, 0));
   _prodInfo.Insert(ProdEntry(251, UpdReturnOpt, 2));
   _prodInfo.Insert(ProdEntry(250, Assignment, 3));
   _prodInfo.Insert(ProdEntry(249, UpdateList, 1));
   _prodInfo.Insert(ProdEntry(248, UpdateList, 3));
   _prodInfo.Insert(ProdEntry(247, UpdateStatement, 7));
   _prodInfo.Insert(ProdEntry(246, NoLimit, 0));
   _prodInfo.Insert(ProdEntry(245, LimitOpt, 1));
   _prodInfo.Insert(ProdEntry(244, LimitOpt, 2));
   _prodInfo.Insert(ProdEntry(243, DistinctOpt, 0));
   _prodInfo.Insert(ProdEntry(242, DistinctOpt, 1));
   _prodInfo.Insert(ProdEntry(241, DefaultOrderOpt, 0));
   _prodInfo.Insert(ProdEntry(240, DefaultOrderOpt, 1));
   _prodInfo.Insert(ProdEntry(239, OrderingOpt, 1));
   _prodInfo.Insert(ProdEntry(238, OrderingOpt, 1));
   _prodInfo.Insert(ProdEntry(237, OrderingList, 2));
   _prodInfo.Insert(ProdEntry(236, OrderingList, 4));
   _prodInfo.Insert(ProdEntry(235, NoOrdering, 0));
   _prodInfo.Insert(ProdEntry(234, OrderingClause, 1));
   _prodInfo.Insert(ProdEntry(233, OrderingClause, 3));
   _prodInfo.Insert(ProdEntry(232, NoHaving, 0));
   _prodInfo.Insert(ProdEntry(231, HavingClause, 1));
   _prodInfo.Insert(ProdEntry(230, HavingClause, 4));
   _prodInfo.Insert(ProdEntry(229, GroupList, 1));
   _prodInfo.Insert(ProdEntry(228, GroupList, 3));
   _prodInfo.Insert(ProdEntry(227, NoGroup, 0));
   _prodInfo.Insert(ProdEntry(226, GroupClause, 1));
   _prodInfo.Insert(ProdEntry(225, GroupClause, 4));
   _prodInfo.Insert(ProdEntry(224, NoAliasOpt, 0));
   _prodInfo.Insert(ProdEntry(223, AliasOpt, 1));
   _prodInfo.Insert(ProdEntry(222, AliasOpt, 2));
   _prodInfo.Insert(ProdEntry(221, JoinTableOn, 1));
   _prodInfo.Insert(ProdEntry(220, Table, 2));
   _prodInfo.Insert(ProdEntry(219, Table, 1));
   _prodInfo.Insert(ProdEntry(218, TableList, 1));
   _prodInfo.Insert(ProdEntry(217, TableList, 3));
   _prodInfo.Insert(ProdEntry(216, InnerJoin, 1));
   _prodInfo.Insert(ProdEntry(215, InnerJoin, 2));
   _prodInfo.Insert(ProdEntry(214, JoinSpec, 6));
   _prodInfo.Insert(ProdEntry(213, JoinSpec, 6));
   _prodInfo.Insert(ProdEntry(212, JoinSpec, 4));
   _prodInfo.Insert(ProdEntry(211, JoinSpecList, 2));
   _prodInfo.Insert(ProdEntry(210, JoinSpecList, 2));
   _prodInfo.Insert(ProdEntry(209, TableSource, 1));
   _prodInfo.Insert(ProdEntry(208, TableSource, 1));
   _prodInfo.Insert(ProdEntry(207, SelectItem, 2));
   _prodInfo.Insert(ProdEntry(206, SelectionList, 1));
   _prodInfo.Insert(ProdEntry(205, SelectionList, 3));
   _prodInfo.Insert(ProdEntry(204, Selection, 1));
   _prodInfo.Insert(ProdEntry(203, Selection, 2));
   _prodInfo.Insert(ProdEntry(202, SelectStatement, 9));
   _prodInfo.Insert(ProdEntry(201, InsertValueList, 1));
   _prodInfo.Insert(ProdEntry(200, InsertValueList, 3));
   _prodInfo.Insert(ProdEntry(199, InsertArgList, 1));
   _prodInfo.Insert(ProdEntry(198, InsertArgList, 3));
   _prodInfo.Insert(ProdEntry(197, InsertValueSpec, 3));
   _prodInfo.Insert(ProdEntry(196, InsertValueSpecList, 1));
   _prodInfo.Insert(ProdEntry(195, InsertValueSpecList, 3));
   _prodInfo.Insert(ProdEntry(194, InsertPrepare, 1));
   _prodInfo.Insert(ProdEntry(193, InsertArgSpec, 0));
   _prodInfo.Insert(ProdEntry(192, InsertArgSpec, 3));
   _prodInfo.Insert(ProdEntry(191, InsertStatement, 5));
   _prodInfo.Insert(ProdEntry(190, InsertStatement, 6));
   _prodInfo.Insert(ProdEntry(189, RollbackStatement, 1));
   _prodInfo.Insert(ProdEntry(188, CommitStatement, 1));
   _prodInfo.Insert(ProdEntry(187, StartStatement, 2));
   _prodInfo.Insert(ProdEntry(186, IndexType, 1));
   _prodInfo.Insert(ProdEntry(185, IndexType, 1));
   _prodInfo.Insert(ProdEntry(184, IndexOption, 0));
   _prodInfo.Insert(ProdEntry(183, IndexOption, 1));
   _prodInfo.Insert(ProdEntry(182, SimpleAttr, 1));
   _prodInfo.Insert(ProdEntry(181, SimpleAttrList, 1));
   _prodInfo.Insert(ProdEntry(180, SimpleAttrList, 3));
   _prodInfo.Insert(ProdEntry(179, DefaultDefOpt, 0));
   _prodInfo.Insert(ProdEntry(178, DefaultOpt, 1));
   _prodInfo.Insert(ProdEntry(177, DefaultOpt, 2));
   _prodInfo.Insert(ProdEntry(176, DefaultNullOpt, 0));
   _prodInfo.Insert(ProdEntry(175, NullOpt, 1));
   _prodInfo.Insert(ProdEntry(174, NullOpt, 2));
   _prodInfo.Insert(ProdEntry(173, NullOpt, 1));
   _prodInfo.Insert(ProdEntry(172, ColumnDesc, 4));
   _prodInfo.Insert(ProdEntry(171, KeyColumn, 1));
   _prodInfo.Insert(ProdEntry(170, KeyColumn, 2));
   _prodInfo.Insert(ProdEntry(169, ColumnList, 1));
   _prodInfo.Insert(ProdEntry(168, ColumnList, 3));
   _prodInfo.Insert(ProdEntry(167, FetchArgList, 1));
   _prodInfo.Insert(ProdEntry(166, FetchArgList, 3));
   _prodInfo.Insert(ProdEntry(165, CasePrepare, 1));
   _prodInfo.Insert(ProdEntry(164, CaseCondition, 4));
   _prodInfo.Insert(ProdEntry(163, CaseConditionList, 1));
   _prodInfo.Insert(ProdEntry(162, CaseConditionList, 2));
   _prodInfo.Insert(ProdEntry(161, CaseClause, 5));
   _prodInfo.Insert(ProdEntry(160, Factor, 4));
   _prodInfo.Insert(ProdEntry(159, Factor, 4));
   _prodInfo.Insert(ProdEntry(158, Factor, 5));
   _prodInfo.Insert(ProdEntry(157, Factor, 4));
   _prodInfo.Insert(ProdEntry(156, Factor, 4));
   _prodInfo.Insert(ProdEntry(155, Factor, 4));
   _prodInfo.Insert(ProdEntry(154, Factor, 1));
   _prodInfo.Insert(ProdEntry(153, Factor, 3));
   _prodInfo.Insert(ProdEntry(152, Factor, 3));
   _prodInfo.Insert(ProdEntry(151, Factor, 1));
   _prodInfo.Insert(ProdEntry(150, Factor, 1));
   _prodInfo.Insert(ProdEntry(149, Factor, 6));
   _prodInfo.Insert(ProdEntry(148, Factor, 1));
   _prodInfo.Insert(ProdEntry(147, Factor, 1));
   _prodInfo.Insert(ProdEntry(146, Term, 1));
   _prodInfo.Insert(ProdEntry(145, Term, 3));
   _prodInfo.Insert(ProdEntry(144, Term, 3));
   _prodInfo.Insert(ProdEntry(143, Expr, 3));
   _prodInfo.Insert(ProdEntry(142, Expr, 1));
   _prodInfo.Insert(ProdEntry(141, Expr, 3));
   _prodInfo.Insert(ProdEntry(140, Expr, 3));
   _prodInfo.Insert(ProdEntry(139, ProcPredicate, 4));
   _prodInfo.Insert(ProdEntry(138, ProcPredicate, 3));
   _prodInfo.Insert(ProdEntry(137, ProcPredicate, 3));
   _prodInfo.Insert(ProdEntry(136, ProcPredicate, 3));
   _prodInfo.Insert(ProdEntry(135, ProcCondition, 1));
   _prodInfo.Insert(ProdEntry(134, ProcCondition, 3));
   _prodInfo.Insert(ProdEntry(133, ProcCondition, 3));
   _prodInfo.Insert(ProdEntry(132, ProcWhileCondition, 1));
   _prodInfo.Insert(ProdEntry(131, ProcStatement, 5));
   _prodInfo.Insert(ProdEntry(130, ProcElsIfCondition, 1));
   _prodInfo.Insert(ProdEntry(129, ProcIfCondition, 1));
   _prodInfo.Insert(ProdEntry(128, ProcElsePart, 1));
   _prodInfo.Insert(ProdEntry(127, ProcElseOpt, 0));
   _prodInfo.Insert(ProdEntry(126, ProcElseOpt, 2));
   _prodInfo.Insert(ProdEntry(125, ProcElsIfOpt, 4));
   _prodInfo.Insert(ProdEntry(124, ProcElsIfList, 0));
   _prodInfo.Insert(ProdEntry(123, ProcElsIfList, 2));
   _prodInfo.Insert(ProdEntry(122, ProcIfPart, 4));
   _prodInfo.Insert(ProdEntry(121, ProcStatement, 4));
   _prodInfo.Insert(ProdEntry(120, ProcExceptionType, 1));
   _prodInfo.Insert(ProdEntry(119, ProcValueList, 1));
   _prodInfo.Insert(ProdEntry(118, ProcValueList, 3));
   _prodInfo.Insert(ProdEntry(117, ProcValueListOpt, 0));
   _prodInfo.Insert(ProdEntry(116, ProcValueListOpt, 1));
   _prodInfo.Insert(ProdEntry(115, ProcExceptionStmt, 5));
   _prodInfo.Insert(ProdEntry(114, ProcExceptionList, 0));
   _prodInfo.Insert(ProdEntry(113, ProcExceptionList, 2));
   _prodInfo.Insert(ProdEntry(112, ProcBlockStart, 1));
   _prodInfo.Insert(ProdEntry(111, ProcStatement, 3));
   _prodInfo.Insert(ProdEntry(110, ProcStatement, 2));
   _prodInfo.Insert(ProdEntry(109, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(108, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(107, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(106, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(105, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(104, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(103, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(102, ProcNoAssignment, 0));
   _prodInfo.Insert(ProdEntry(101, ProcInitialAssignment, 1));
   _prodInfo.Insert(ProdEntry(100, ProcInitialAssignment, 2));
   _prodInfo.Insert(ProdEntry(99, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(98, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(97, ProcStatement, 3));
   _prodInfo.Insert(ProdEntry(96, ProcStatement, 2));
   _prodInfo.Insert(ProdEntry(95, ProcStatement, 4));
   _prodInfo.Insert(ProdEntry(94, ProcStatement, 4));
   _prodInfo.Insert(ProdEntry(93, ProcStatementList, 2));
   _prodInfo.Insert(ProdEntry(92, ProcStatementList, 3));
   _prodInfo.Insert(ProdEntry(91, ProcStmtBlock, 2));
   _prodInfo.Insert(ProdEntry(90, ProcArg, 3));
   _prodInfo.Insert(ProdEntry(89, ProcArg, 3));
   _prodInfo.Insert(ProdEntry(88, ProcArgList, 1));
   _prodInfo.Insert(ProdEntry(87, ProcArgList, 3));
   _prodInfo.Insert(ProdEntry(86, ProcArgOpt, 0));
   _prodInfo.Insert(ProdEntry(85, ProcArgOpt, 1));
   _prodInfo.Insert(ProdEntry(84, ReturnOpt, 0));
   _prodInfo.Insert(ProdEntry(83, ReturnOpt, 2));
   _prodInfo.Insert(ProdEntry(82, ProcDef, 4));
   _prodInfo.Insert(ProdEntry(81, ProcHead, 6));
   _prodInfo.Insert(ProdEntry(80, UnionAllOpt, 0));
   _prodInfo.Insert(ProdEntry(79, UnionAllOpt, 3));
   _prodInfo.Insert(ProdEntry(78, JdbcArgList, 1));
   _prodInfo.Insert(ProdEntry(77, JdbcArgList, 2));
   _prodInfo.Insert(ProdEntry(76, Statement, 2));
   _prodInfo.Insert(ProdEntry(75, CounterId, 1));
   _prodInfo.Insert(ProdEntry(74, Statement, 5));
   _prodInfo.Insert(ProdEntry(73, Statement, 3));
   _prodInfo.Insert(ProdEntry(72, Statement, 3));
   _prodInfo.Insert(ProdEntry(71, Statement, 3));
   _prodInfo.Insert(ProdEntry(70, Statement, 2));
   _prodInfo.Insert(ProdEntry(69, Statement, 4));
   _prodInfo.Insert(ProdEntry(68, Statement, 8));
   _prodInfo.Insert(ProdEntry(67, Statement, 15));
   _prodInfo.Insert(ProdEntry(66, DropOpt, 3));
   _prodInfo.Insert(ProdEntry(65, DropOpt, 1));
   _prodInfo.Insert(ProdEntry(64, Statement, 3));
   _prodInfo.Insert(ProdEntry(63, Statement, 3));
   _prodInfo.Insert(ProdEntry(62, Statement, 4));
   _prodInfo.Insert(ProdEntry(61, Statement, 3));
   _prodInfo.Insert(ProdEntry(60, Statement, 3));
   _prodInfo.Insert(ProdEntry(59, Statement, 3));
   _prodInfo.Insert(ProdEntry(58, Statement, 3));
   _prodInfo.Insert(ProdEntry(57, Statement, 9));
   _prodInfo.Insert(ProdEntry(56, Statement, 8));
   _prodInfo.Insert(ProdEntry(55, Statement, 6));
   _prodInfo.Insert(ProdEntry(54, Statement, 7));
   _prodInfo.Insert(ProdEntry(53, Statement, 5));
   _prodInfo.Insert(ProdEntry(52, Statement, 2));
   _prodInfo.Insert(ProdEntry(51, Statement, 2));
   _prodInfo.Insert(ProdEntry(50, Statement, 5));
   _prodInfo.Insert(ProdEntry(49, Statement, 5));
   _prodInfo.Insert(ProdEntry(48, Statement, 1));
   _prodInfo.Insert(ProdEntry(47, Statement, 1));
   _prodInfo.Insert(ProdEntry(46, Statement, 1));
   _prodInfo.Insert(ProdEntry(45, Statement, 1));
   _prodInfo.Insert(ProdEntry(44, Statement, 1));
   _prodInfo.Insert(ProdEntry(43, Statement, 2));
   _prodInfo.Insert(ProdEntry(42, Statement, 1));
   _prodInfo.Insert(ProdEntry(41, Statement, 3));
   _prodInfo.Insert(ProdEntry(40, Statement, 3));
   _prodInfo.Insert(ProdEntry(39, Statement, 3));
   _prodInfo.Insert(ProdEntry(38, Statement, 3));
   _prodInfo.Insert(ProdEntry(37, Statement, 3));
   _prodInfo.Insert(ProdEntry(36, Statement, 3));
   _prodInfo.Insert(ProdEntry(35, Statement, 3));
   _prodInfo.Insert(ProdEntry(34, Statement, 3));
   _prodInfo.Insert(ProdEntry(33, Statement, 3));
   _prodInfo.Insert(ProdEntry(32, Statement, 1));
   _prodInfo.Insert(ProdEntry(31, Statement, 1));
   _prodInfo.Insert(ProdEntry(30, Statement, 1));
   _prodInfo.Insert(ProdEntry(29, Statement, 7));
   _prodInfo.Insert(ProdEntry(28, Statement, 3));
   _prodInfo.Insert(ProdEntry(27, Statement, 3));
   _prodInfo.Insert(ProdEntry(26, Statement, 3));
   _prodInfo.Insert(ProdEntry(25, Statement, 3));
   _prodInfo.Insert(ProdEntry(24, Statement, 3));
   _prodInfo.Insert(ProdEntry(23, Statement, 3));
   _prodInfo.Insert(ProdEntry(22, Statement, 4));
   _prodInfo.Insert(ProdEntry(21, Statement, 3));
   _prodInfo.Insert(ProdEntry(20, Statement, 3));
   _prodInfo.Insert(ProdEntry(19, Statement, 3));
   _prodInfo.Insert(ProdEntry(18, Statement, 3));
   _prodInfo.Insert(ProdEntry(17, Statement, 2));
   _prodInfo.Insert(ProdEntry(16, Statement, 2));
   _prodInfo.Insert(ProdEntry(15, Statement, 2));
   _prodInfo.Insert(ProdEntry(14, TableSetOpt, 0));
   _prodInfo.Insert(ProdEntry(13, TableSetOpt, 2));
   _prodInfo.Insert(ProdEntry(12, Statement, 3));
   _prodInfo.Insert(ProdEntry(11, Statement, 3));
   _prodInfo.Insert(ProdEntry(10, Statement, 3));
   _prodInfo.Insert(ProdEntry(9, Statement, 3));
   _prodInfo.Insert(ProdEntry(8, Statement, 3));
   _prodInfo.Insert(ProdEntry(7, Statement, 3));
   _prodInfo.Insert(ProdEntry(6, Statement, 3));
   _prodInfo.Insert(ProdEntry(5, Statement, 3));
   _prodInfo.Insert(ProdEntry(4, Statement, 3));
   _prodInfo.Insert(ProdEntry(3, Statement, 3));
   _prodInfo.Insert(ProdEntry(2, Statement, 2));
   _prodInfo.Insert(ProdEntry(1, Statement, 1));
   _prodInfo.Insert(ProdEntry(0, Start, 2));
}

Cego::Cego()
{
   loadScanner();
   for ( int i=0; i < 827; i++)
   {
      int j;
      for ( j = 0; j < 177; j++)
         _actionMap[i][j] = ActionEntry();
      for ( j = 0; j < 117; j++)
         _jumpMap[i][j] = -1;
   }
   loadParser0();
   loadParser1();
   loadParser2();
   loadParser3();
   loadParser4();
   loadParser5();
   loadParser6();
   loadParser7();
   loadParser8();
   loadParser9();
   loadParser10();
   loadParser11();
   loadParser12();
   loadParser13();
   loadParser14();
   loadParser15();
   loadParser16();
   loadParser17();
   loadParser18();
   loadParser19();
   loadParser20();
   loadParser21();
   loadParser22();
   loadParser23();
   loadParser24();
   loadParser25();
   loadParser26();
   loadParser27();
   loadParser28();
   loadParser29();
   loadParser30();
   loadParser31();
   loadParser32();
   loadParser33();
   loadParser34();
   loadParser35();
   loadParser36();
   loadParser37();
   loadParser38();
   loadParser39();
   loadParser40();
   loadParser41();
   loadParser42();
   loadParser43();
   loadParser44();
   loadParser45();
   loadParser46();
   loadParser47();
   loadParser48();
   loadParser49();
   loadParser50();
   loadParser51();
   loadParser52();
   loadParser53();
   loadParser54();
   loadParser55();
   loadParser56();
   loadParser57();
   loadParser58();
   loadParser59();
   loadParser60();
   loadParser61();
   loadParser62();
   loadParser63();
   loadParser64();
   loadParser65();
   loadParser66();
   loadParser67();
   loadParser68();
   loadParser69();
   loadParser70();
   loadParser71();
   loadParser72();
   loadParser73();
   loadParser74();
   loadParser75();
   loadParser76();
   loadParser77();
   loadParser78();
   loadParser79();
   loadParser80();
   loadParser81();
   loadParser82();
   loadParser83();
   loadParser84();
   loadParser85();
   loadParser86();
   loadParser87();
   loadParser88();
   loadParser89();
   loadParser90();
   loadParser91();
   loadParser92();
   loadParser93();
   loadParser94();
   loadParser95();
   loadParser96();
   loadParser97();
   loadParser98();
   loadParser99();
   loadParser100();
   loadParser101();
   loadParser102();
   loadParser103();
   loadParser104();
   loadParser105();
   loadParser106();
   loadParser107();
   loadParser108();
   loadParser109();
   loadParser110();
   loadParser111();
   loadParser112();
   loadParser113();
   loadParser114();
   loadParser115();
   loadParser116();
   loadParser117();
   loadParser118();
   loadParser119();
   loadParser120();
   loadParser121();
   loadParser122();
   loadParser123();
   loadParser124();
   loadParser125();
   loadParser126();
   loadParser127();
   loadParser128();
   loadParser129();
   loadParser130();
   loadParser131();
   loadParser132();
   loadParser133();
   loadParser134();
   loadParser135();
   loadParser136();
   loadParser137();
   loadParser138();
   loadParser139();
   loadParser140();
   loadParser141();
   loadParser142();
   loadParser143();
   loadParser144();
   loadParser145();
   loadParser146();
   loadParser147();
   loadParser148();
   loadParser149();
   loadParser150();
   loadParser151();
   loadParser152();
   loadParser153();
   loadParser154();
   loadParser155();
   loadParser156();
   loadParser157();
   loadParser158();
   loadParser159();
   loadParser160();
   loadParser161();
   loadParser162();
   loadParser163();
   loadParser164();
   loadParser165();
   loadParser166();
   loadParser167();
   loadParser168();
   loadParser169();
   loadParser170();
   loadParser171();
   loadParser172();
   loadParser173();
   loadParser174();
   loadParser175();
   loadParser176();
   loadParser177();
   loadParser178();
   loadParser179();
   loadParser180();
   loadParser181();
   loadParser182();
   loadParser183();
   loadParser184();
   loadParser185();
   loadParser186();
   loadParser187();
   loadParser188();
   loadParser189();
   loadParser190();
   loadParser191();
   loadParser192();
   loadParser193();
   loadParser194();
   loadParser195();
   loadParser196();
   loadParser197();
   loadParser198();
   loadParser199();
   loadParser200();
   loadParser201();
   loadParser202();
   loadParser203();
   loadParser204();
   loadParser205();
   loadParser206();
   loadParser207();
   loadParser208();
   loadParser209();
   loadParser210();
   loadParser211();
   loadParser212();
   loadParser213();
   loadParser214();
   loadParser215();
   loadParser216();
   loadParser217();
   loadParser218();
   loadParser219();
   loadParser220();
   loadParser221();
   loadParser222();
   loadParser223();
   loadParser224();
   loadParser225();
   loadParser226();
   loadParser227();
   loadParser228();
   loadParser229();
   loadParser230();
   loadParser231();
   loadParser232();
   loadParser233();
   loadParser234();
   loadParser235();
   loadParser236();
   loadParser237();
   loadParser238();
   _isReserved = false;
}

Cego::~Cego()
{
}

void Cego::parse()
{
   StackT<StackEntry> s;
   StackEntry se(NONE, 0, 0);
   s.Push(se);
   _isReserved = false;
   if ( shiftToken() == false )
   {
      Chain msg = "Parse error at token <" + Chain(_tokenVal) + ">.";
      throw Exception(EXLOC, msg);
   }
   while ( true )
   {
      Action a;
      int num;
      if ( getAction(s.getTop()->getState(), _token, a, num) )
      {
         switch (a)
         {
            case SHIFT:
            {
               StackEntry se(TOKEN, _token, num, _tokenVal);
               s.Push(se);
               if ( shiftToken() == false )
               {
                  Chain msg = "Parse error at token <" + Chain(_tokenVal) + ">.";
                  throw Exception(EXLOC, msg);
               }
               break;
            }
            case REDUCE:
            {
               _tokenList.Empty();
               ProdEntry* pPE = _prodInfo.Find(num);
               for (int i=0; i<pPE->getNumSymbol();i++)
               {
                  StackEntry se;
                  s.Pop(se);
                  if (se.getSymbol() == TOKEN)
                     _tokenList.Insert(se.getTval());
               }
               int fstate;
               if (getJump(s.getTop()->getState(), pPE->getProd(), fstate))
               {
                  StackEntry se(PROD, pPE->getId(), fstate, _tokenVal);
                  s.Push(se);
               }
               else
               {
                  Chain msg = "Cannot reduce after token <" + Chain(_tokenVal) + ">.";
                  throw Exception(EXLOC, msg);
               }
               switch (num)
               {
                  case 367:
                     setObject3();
                     break;
                  case 366:
                     setObject2();
                     break;
                  case 365:
                     setObject1();
                     break;
                  case 364:
                     miscDateValue();
                     break;
                  case 363:
                     miscDateFormat();
                     break;
                  case 362:
                     miscBlobRef();
                     break;
                  case 361:
                     miscFalseValue();
                     break;
                  case 360:
                     miscTrueValue();
                     break;
                  case 359:
                     miscNull();
                     break;
                  case 358:
                     miscSysDate();
                     break;
                  case 357:
                     miscFormatDate();
                     break;
                  case 356:
                     miscFixedValue();
                     break;
                  case 355:
                     miscDecimalValue();
                     break;
                  case 354:
                     miscDoubleValue();
                     break;
                  case 353:
                     miscFloatValue();
                     break;
                  case 352:
                     miscStringValue();
                     break;
                  case 351:
                     miscTinyIntValue();
                     break;
                  case 350:
                     miscSmallIntValue();
                     break;
                  case 349:
                     miscBigIntValue();
                     break;
                  case 348:
                     miscLongValue();
                     break;
                  case 347:
                     miscIntValue();
                     break;
                  case 346:
                     miscNegatedFloatString();
                     break;
                  case 345:
                     miscFloatString();
                     break;
                  case 344:
                     miscNegatedIntString();
                     break;
                  case 343:
                     miscIntString();
                     break;
                  case 342:
                     miscAttribute3();
                     break;
                  case 341:
                     miscAttribute2();
                     break;
                  case 340:
                     miscAttribute1();
                     break;
                  case 339:
                     miscMoreEqualComp();
                     break;
                  case 338:
                     miscLessEqualComp();
                     break;
                  case 337:
                     miscMoreComp();
                     break;
                  case 336:
                     miscLessComp();
                     break;
                  case 335:
                     miscNotEqualComp();
                     break;
                  case 334:
                     miscEqualComp();
                     break;
                  case 333:
                     miscBlobType();
                     break;
                  case 332:
                     miscFixedType();
                     break;
                  case 331:
                     miscDecimalType();
                     break;
                  case 330:
                     miscTinyIntType();
                     break;
                  case 329:
                     miscSmallIntType();
                     break;
                  case 328:
                     miscDoubleType();
                     break;
                  case 327:
                     miscFloatType();
                     break;
                  case 326:
                     miscBigIntType();
                     break;
                  case 325:
                     miscBoolType();
                     break;
                  case 324:
                     miscDateTimeType();
                     break;
                  case 323:
                     miscStringType();
                     break;
                  case 322:
                     miscLongType();
                     break;
                  case 321:
                     miscIntType();
                     break;
                  case 320:
                     wcPredicateNotPredicate();
                     break;
                  case 319:
                     wcPredicateCondition();
                     break;
                  case 318:
                     wcPredicateNotLikeComp();
                     break;
                  case 317:
                     wcPredicateLikeComp();
                     break;
                  case 316:
                     wcPredicateNotNullComp();
                     break;
                  case 315:
                     wcPredicateNullComp();
                     break;
                  case 314:
                     wcPredicateBetween();
                     break;
                  case 313:
                     wcPredicateExprComp();
                     break;
                  case 312:
                     wcPredicateQueryNotIn();
                     break;
                  case 311:
                     wcPredicateQueryIn();
                     break;
                  case 310:
                     wcPredicateQueryExists();
                     break;
                  case 309:
                     wcConditionPredicate();
                     break;
                  case 308:
                     wcConditionOr();
                     break;
                  case 307:
                     wcConditionAnd();
                     break;
                  case 305:
                     wcEmptyClause();
                     break;
                  case 304:
                     wcWhereClause();
                     break;
                  case 303:
                     functionExprList2();
                     break;
                  case 302:
                     functionExprList1();
                     break;
                  case 301:
                     functionUserDef2();
                     break;
                  case 300:
                     functionUserDef1();
                     break;
                  case 299:
                     functionSetCount();
                     break;
                  case 298:
                     functionNextCount();
                     break;
                  case 297:
                     functionNative();
                     break;
                  case 296:
                     functionNative();
                     break;
                  case 295:
                     functionNative();
                     break;
                  case 294:
                     functionNative();
                     break;
                  case 293:
                     functionNative();
                     break;
                  case 292:
                     functionNative();
                     break;
                  case 291:
                     functionNative();
                     break;
                  case 290:
                     functionNative();
                     break;
                  case 289:
                     functionNative();
                     break;
                  case 288:
                     functionNative();
                     break;
                  case 287:
                     functionNative();
                     break;
                  case 286:
                     functionNative();
                     break;
                  case 285:
                     functionNative();
                     break;
                  case 284:
                     functionNative();
                     break;
                  case 283:
                     functionNative();
                     break;
                  case 282:
                     functionNative();
                     break;
                  case 281:
                     functionNative();
                     break;
                  case 280:
                     functionNative();
                     break;
                  case 279:
                     functionNative();
                     break;
                  case 278:
                     functionNative();
                     break;
                  case 277:
                     functionNative();
                     break;
                  case 276:
                     functionNative();
                     break;
                  case 275:
                     functionNative();
                     break;
                  case 274:
                     functionNative();
                     break;
                  case 273:
                     functionNative();
                     break;
                  case 272:
                     functionNative();
                     break;
                  case 271:
                     renameCheck();
                     break;
                  case 270:
                     renameView();
                     break;
                  case 269:
                     renameProcedure();
                     break;
                  case 268:
                     renameKey();
                     break;
                  case 267:
                     renameIndex();
                     break;
                  case 266:
                     renameTable();
                     break;
                  case 265:
                     alterRenameCol();
                     break;
                  case 264:
                     alterModCol();
                     break;
                  case 263:
                     alterAddCol();
                     break;
                  case 262:
                     alterDropCol();
                     break;
                  case 259:
                     alterStore();
                     break;
                  case 257:
                     setUpdDelAlias();
                     break;
                  case 256:
                     deleteStore();
                     break;
                  case 255:
                     returnVarAssignment();
                     break;
                  case 250:
                     updateAssignment();
                     break;
                  case 247:
                     updateStore();
                     break;
                  case 245:
                     selectLimitOpt2();
                     break;
                  case 244:
                     selectLimitOpt1();
                     break;
                  case 242:
                     selectDistinctOpt();
                     break;
                  case 239:
                     selectOrderingDesc();
                     break;
                  case 238:
                     selectOrderingAsc();
                     break;
                  case 237:
                     selectOrderingList2();
                     break;
                  case 236:
                     selectOrderingList1();
                     break;
                  case 234:
                     selectEmptyOrderingClause();
                     break;
                  case 233:
                     selectOrderingClause();
                     break;
                  case 231:
                     selectEmptyHavingClause();
                     break;
                  case 230:
                     selectHavingClause();
                     break;
                  case 229:
                     selectGroupList2();
                     break;
                  case 228:
                     selectGroupList1();
                     break;
                  case 226:
                     selectEmptyGroupClause();
                     break;
                  case 225:
                     selectGroupClause();
                     break;
                  case 223:
                     noAliasOpt();
                     break;
                  case 222:
                     aliasOpt();
                     break;
                  case 221:
                     selectStackJoinTable();
                     break;
                  case 220:
                     selectTable2();
                     break;
                  case 219:
                     selectTable1();
                     break;
                  case 214:
                     selectRightOuterJoinStore();
                     break;
                  case 213:
                     selectLeftOuterJoinStore();
                     break;
                  case 212:
                     selectInnerJoinStore();
                     break;
                  case 209:
                     selectJoinSpecStore();
                     break;
                  case 208:
                     selectTableListStore();
                     break;
                  case 207:
                     selectItem();
                     break;
                  case 206:
                     selectionList2();
                     break;
                  case 205:
                     selectionList1();
                     break;
                  case 204:
                     selectSelectionStore2();
                     break;
                  case 203:
                     selectSelectionStore1();
                     break;
                  case 202:
                     selectStore();
                     break;
                  case 201:
                     insertExprValue();
                     break;
                  case 200:
                     insertExprValue();
                     break;
                  case 199:
                     insertArg();
                     break;
                  case 198:
                     insertArg();
                     break;
                  case 197:
                     insertValueSpecStoreExecute();
                     break;
                  case 194:
                     insertPrepare();
                     break;
                  case 191:
                     insertBySelectStore();
                     break;
                  case 190:
                     insertStore();
                     break;
                  case 189:
                     rollbackStore();
                     break;
                  case 188:
                     commitStore();
                     break;
                  case 187:
                     startStore();
                     break;
                  case 186:
                     setBTreeIndex();
                     break;
                  case 185:
                     setAVLIndex();
                     break;
                  case 183:
                     setUniqueIndex();
                     break;
                  case 182:
                     createSimpleAttr();
                     break;
                  case 181:
                     createSimpleAttrList();
                     break;
                  case 178:
                     defaultNullOpt();
                     break;
                  case 177:
                     defaultOpt();
                     break;
                  case 175:
                     setNullOpt();
                     break;
                  case 174:
                     setNotNullOpt();
                     break;
                  case 173:
                     setNullOpt();
                     break;
                  case 172:
                     setColumnDesc();
                     break;
                  case 171:
                     setOrdinaryColumn();
                     break;
                  case 170:
                     setPrimaryColumn();
                     break;
                  case 167:
                     procStoreFetchArg2();
                     break;
                  case 166:
                     procStoreFetchArg1();
                     break;
                  case 165:
                     casePrepare();
                     break;
                  case 164:
                     caseCondition();
                     break;
                  case 163:
                     caseConditionList2();
                     break;
                  case 162:
                     caseConditionList1();
                     break;
                  case 161:
                     caseClause();
                     break;
                  case 160:
                     procFactor14();
                     break;
                  case 159:
                     procFactor13();
                     break;
                  case 158:
                     procFactor12();
                     break;
                  case 157:
                     procFactor11();
                     break;
                  case 156:
                     procFactor10();
                     break;
                  case 155:
                     procFactor9();
                     break;
                  case 154:
                     procFactor8();
                     break;
                  case 153:
                     procFactor7();
                     break;
                  case 152:
                     procFactor6();
                     break;
                  case 151:
                     procFactor5();
                     break;
                  case 150:
                     procFactor4();
                     break;
                  case 149:
                     procFactor3();
                     break;
                  case 148:
                     procFactor2();
                     break;
                  case 147:
                     procFactor1();
                     break;
                  case 146:
                     procTerm3();
                     break;
                  case 145:
                     procTerm2();
                     break;
                  case 144:
                     procTerm1();
                     break;
                  case 143:
                     procExpr4();
                     break;
                  case 142:
                     procExpr3();
                     break;
                  case 141:
                     procExpr2();
                     break;
                  case 140:
                     procExpr1();
                     break;
                  case 139:
                     procPredicate4();
                     break;
                  case 138:
                     procPredicate3();
                     break;
                  case 137:
                     procPredicate2();
                     break;
                  case 136:
                     procPredicate1();
                     break;
                  case 135:
                     procCondition3();
                     break;
                  case 134:
                     procCondition2();
                     break;
                  case 133:
                     procCondition1();
                     break;
                  case 132:
                     procWhileCondition();
                     break;
                  case 131:
                     procWhileStatement();
                     break;
                  case 130:
                     procElsIfCondition();
                     break;
                  case 129:
                     procIfCondition();
                     break;
                  case 128:
                     procElsePart();
                     break;
                  case 126:
                     procStoreElseBlock();
                     break;
                  case 125:
                     procStoreIfBlock();
                     break;
                  case 122:
                     procStoreIfBlock();
                     break;
                  case 121:
                     procIfStatement();
                     break;
                  case 120:
                     procExceptionCondition();
                     break;
                  case 119:
                     procExprValue();
                     break;
                  case 118:
                     procExprValue();
                     break;
                  case 116:
                     procValueSpec();
                     break;
                  case 115:
                     procExceptionStatement();
                     break;
                  case 112:
                     procBlockStart();
                     break;
                  case 111:
                     procBlockStatement();
                     break;
                  case 110:
                     procReturnStatement2();
                     break;
                  case 109:
                     procReturnStatement1();
                     break;
                  case 108:
                     procQueryStatement();
                     break;
                  case 107:
                     procQueryStatement();
                     break;
                  case 106:
                     procQueryStatement();
                     break;
                  case 105:
                     procQueryStatement();
                     break;
                  case 104:
                     procQueryStatement();
                     break;
                  case 103:
                     procQueryStatement();
                     break;
                  case 101:
                     procInitialAssignment2();
                     break;
                  case 100:
                     procInitialAssignment1();
                     break;
                  case 99:
                     procNoopStatement();
                     break;
                  case 98:
                     procAssign2NullStatement();
                     break;
                  case 97:
                     procAssignStatement();
                     break;
                  case 96:
                     procCursorCloseStatement();
                     break;
                  case 95:
                     procCursorCreateStatement();
                     break;
                  case 94:
                     procVarStatement();
                     break;
                  case 93:
                     procStoreBlock();
                     break;
                  case 90:
                     procArg2();
                     break;
                  case 89:
                     procArg1();
                     break;
                  case 83:
                     procReturnOpt();
                     break;
                  case 82:
                     procStore();
                     break;
                  case 81:
                     procHead();
                     break;
                  case 79:
                     unionAllStore();
                     break;
                  case 78:
                     jdbcArg2();
                     break;
                  case 77:
                     jdbcArg1();
                     break;
                  case 76:
                     jdbcInfo();
                     break;
                  case 75:
                     execCounterId();
                     break;
                  case 74:
                     execSetCounter();
                     break;
                  case 73:
                     execDropCounter();
                     break;
                  case 72:
                     execCreateCounter();
                     break;
                  case 71:
                     execIndexCheck();
                     break;
                  case 70:
                     execPrint();
                     break;
                  case 69:
                     execAssignStatement();
                     break;
                  case 68:
                     execCheckCreate();
                     break;
                  case 67:
                     execForeignKeyCreate();
                     break;
                  case 66:
                     dropOpt2();
                     break;
                  case 65:
                     dropOpt1();
                     break;
                  case 64:
                     execBTreeDrop();
                     break;
                  case 63:
                     execCheckDrop();
                     break;
                  case 62:
                     execFKeyDrop();
                     break;
                  case 61:
                     execProcDrop();
                     break;
                  case 60:
                     execViewDrop();
                     break;
                  case 59:
                     execIndexDrop();
                     break;
                  case 58:
                     execTableDrop();
                     break;
                  case 57:
                     execIndexCreate();
                     break;
                  case 56:
                     execPrimaryIndexCreate();
                     break;
                  case 55:
                     execUserTableCreate();
                     break;
                  case 54:
                     execFuncCall();
                     break;
                  case 53:
                     execProcCall();
                     break;
                  case 52:
                     execProcLoad();
                     break;
                  case 51:
                     execProcCreate();
                     break;
                  case 50:
                     execViewLoad();
                     break;
                  case 49:
                     execViewCreate();
                     break;
                  case 48:
                     execQuery();
                     break;
                  case 47:
                     execQuery();
                     break;
                  case 46:
                     execQuery();
                     break;
                  case 45:
                     execQuery();
                     break;
                  case 43:
                     execSelectPlan();
                     break;
                  case 42:
                     execSelect();
                     break;
                  case 41:
                     execIndexReorganize();
                     break;
                  case 40:
                     execTableReorganize();
                     break;
                  case 39:
                     execDisableQueryCache();
                     break;
                  case 38:
                     execEnableQueryCache();
                     break;
                  case 37:
                     execSetIsolation();
                     break;
                  case 36:
                     execDisableAutoCommit();
                     break;
                  case 35:
                     execEnableAutoCommit();
                     break;
                  case 34:
                     execDisableAppendMode();
                     break;
                  case 33:
                     execEnableAppendMode();
                     break;
                  case 32:
                     execQuery();
                     break;
                  case 31:
                     execQuery();
                     break;
                  case 30:
                     execQuery();
                     break;
                  case 29:
                     execAuthUser();
                     break;
                  case 28:
                     execSetTableSet();
                     break;
                  case 27:
                     execCheckShow();
                     break;
                  case 26:
                     execViewShow();
                     break;
                  case 25:
                     execProcShow();
                     break;
                  case 24:
                     execProcDesc();
                     break;
                  case 23:
                     execCheckDesc();
                     break;
                  case 22:
                     execKeyDesc();
                     break;
                  case 21:
                     execViewDesc();
                     break;
                  case 20:
                     execBTreeDesc();
                     break;
                  case 19:
                     execIndexDesc();
                     break;
                  case 18:
                     execTableDesc();
                     break;
                  case 17:
                     execShowSystemSpace();
                     break;
                  case 16:
                     execShowPool();
                     break;
                  case 15:
                     execTableInfo();
                     break;
                  case 13:
                     setTableSetOpt();
                     break;
                  case 12:
                     execListCheck();
                     break;
                  case 11:
                     execListTmpObj();
                     break;
                  case 10:
                     execListSysObj();
                     break;
                  case 9:
                     execListCounter();
                     break;
                  case 8:
                     execListKey();
                     break;
                  case 7:
                     execListBTree();
                     break;
                  case 6:
                     execListIndex();
                     break;
                  case 5:
                     execListView();
                     break;
                  case 4:
                     execListProc();
                     break;
                  case 3:
                     execListTable();
                     break;
                  case 2:
                     execListTableSet();
                     break;
                  case 1:
                     execSync();
                     break;
               }
               break;
            }
            case ACCEPT:
            {
               return;
            }
            default:
               break;
         }
      }
      else
      {
         Chain msg = "Parse error at token <" + Chain(_tokenVal) + ">.";
         throw Exception(EXLOC, msg);
      }
   }
}


bool Cego::getAction(int state, Cego::Token token, Cego::Action& a, int& num)
{
    if (_actionMap[state][token].getAction() != NULLACTION )
    {
	a = _actionMap[state][token].getAction();
	num = _actionMap[state][token].getNum();
	return true;
    }
    else
    {
	return false;
    }
}

bool Cego::getJump(int state, Production prod, int& fstate)
{
    if ( _jumpMap[state][prod] > 0 )
    {
       fstate = _jumpMap[state][prod];
	    return true;
    }
    else
    {
	    return false;
    }
}

bool Cego::isSepSign(char c)
{
   if (c == ';') return true;
   if (c == ',') return true;
   if (c == '=') return true;
   if (c == '<') return true;
   if (c == '>') return true;
   if (c == ')') return true;
   if (c == '(') return true;
   if (c == '[') return true;
   if (c == ']') return true;
   if (c == '/') return true;
   if (c == '+') return true;
   if (c == '-') return true;
   if (c == '|') return true;
   if (c == '*') return true;
   return false;
}
bool Cego::isSepIgnore(char c)
{
   if (c == '\t') return true;
   if (c == ' ') return true;
   if (c == '\n') return true;
   return false;
}
bool Cego::shiftToken()
{
   unsigned long i=0;
   char c;
   while ( isSepIgnore(c = nextChar()) && ! _isReserved );
   if ( _isReserved )
   {
      _token = _reservedToken;
      _isReserved = false;
      return true;
   }
   if (c == 0)
   {
      _token = ENDTOKEN;
      return true;
   }
   if (isSepSign(c))
   {
      _tokenVal[i]=c;
       i++;
   }
   else
   {
      while (c && ! isSepIgnore(c) && ! ( isSepSign(c) && i>0 ) )
      {
         _tokenVal[i]=c;
         i++;
         c = nextChar();
      }
      if (isSepSign(c)) backChar();
   }
   _tokenVal[i]=0;
   Scanner* pS = _scannerList.First();
   while (pS)
   {
      if (pS->checkPattern(_tokenVal))
      {
         _token = pS->getToken();
         return true;
      }
      pS=_scannerList.Next();
   }
   return false;
}
void Cego::setReserved(Token t)
{
   _reservedToken = t;
   _isReserved = true;
}
